N1MM Free Contest Logger documentation

Idea & overall design: | Tom Wagner | N1MM
Overall programming: | Tom Wagner | N1MM
Programming: | Rick Ellison | N2AMG
 | Terry Gerdes | AB5K
Documentation/Help: | Thomas Tinge | PA1M
Testing and proposals: | Members Yahoo group | Thanks!!!

Updated through version 5.11.11
Date: January 19, 2006

Copyright 1998-2006, Tom Wagner (N1MM), Rick Ellison (N2AMG), Thomas Tinge (PA1M), Terry Gerdes (AB5K)
CRC32 portion of this program Copyright (C) 2001 DI Management Services Pty Ltd.
DLPORTIO is copyright 1996, Scientific Software Tools, Inc.


The Quick Tour

Ten Easy Steps to Successful Logging.

(and no, I wasn't drinking when I wrote this)

Step 1. Setup

Get your radio, packet and telnet connections set up (Tools/Configure). You really won't be impressed without the radio connected. The program really shines when you have a spotting connection (packet or telnet).

Step 2. Adjust Window Positions

Adjust the window positions as desired by opening every window separately from the 'Window' menu.

Step 3. Connect the Sound Card and the CW interface.

Connect your sound card to the radio so that you can play wave files or record contacts. Connect your CW interface to the parallel, serial or USB port for CW keying. See the interface section for possibilities.

Step 4. Entering a Call

Entry Window Ok, now we are ready to log. By default, you should be in the General log - look at the log window caption. So you want to log a qso? Type in the callsign field from the Entry Window the call of the station you want to log. Let's say you type 'N1MM'. Notice that the Check window shows calls with N1 in it, later N1M and finally only N1MM. This will happen with any call or partial call 2 or more characters long. Use the mouse and click on N1MM in the Check window. Notice that N1MM will be filled in the Entry window callsign field, defaults will be set for fields who can have defaults (in this case the RST fields) and the cursor will be placed in the next field to be filled in -- the name field.

Step 5. Using the Space Bar to Tab

Ok, that's cool, lets try it another way. Click on the Wipe button to clear the Entry Window fields. Your cursor will be positioned on the callsign field again. This time Type 'N1MM' and press **SPACE**. Notice that the RST fields are again filled automatically and you are positioned to the next field to be filled in. Enter 'Tom' and press SPACE. In this case, you will not tab to the next field, since space is a legitimate character in a name. This is atypical behavior. Most contest fields do not allow any spaces in them, so the space bar will jump from field to field. You'll like this, dammit! Really, I think you will like it - particularly in contests.

Step 6. Using the Tab Key

So if SPACE tabs, what does Tab do? It tabs as well! But it doesn't tab like space. The Tab character (and Shift+Tab) behave like they do in most programs. They jump from field to field, without trying to be smart. So if you need to change the RST, you'll use the Tab key to get there.

Step 7. Bandmaps, Spots and Other Cool Stuff

Ok now the really cool part. We need to get some spots onto the bandmaps. If you have set up a radio, you should have two bandmaps, and they should be displaying the frequencies of your A and B VFOs at the top. So how do we get spots on there? We need to connect to packet or telnet, of course. If you have an Internet connection, try telnet, if a packet connection, well I guess you'll try packet. To pick, click on the appropriate tab in the Packet Window. To connect to packet, just type a command in the one-line text box at the top, like "C K1TTT" and press enter. Just do your usual stuff. Then type sh/dx/100 (we want a lot of spots) if it's a weekend, otherwise just type sh/dx/30. (Why the difference? The logger won't show old spots - the default is 60 minutes.

To use telnet, you must choose a telnet server. This you do in the configuration screen (you didn't skip step 1, did you?). I don't want to recommend one, for fear of overloading it, so try one, close the configuration window and type your call in the "Enter Command" window and press enter. Answer the questions, then type sh/dx/100 (we want a lot of spots) if it's a weekend, otherwise just type sh/dx/30. (Why the difference? The logger won't show old spots - the default is 60 minutes.

Step 8. Spots are Fun

Spots should start appearing. Don't be afraid, there is no leopard. (Get it, spots?) Enough dumb jokes. Anyway, that's what people always tell me. So, what can we do with the spots? Lots of stuff. First note that each spot (except US and VE spots and spots from your own country) has it's beam heading next to it. (Well it has the beam heading from my house, too bad if it isn't the beam heading from your house. If you really want to fix that, go to the station dialog in Config/Change Your Station Data - you'll need to enter your latitude and longitude. If you don't know your latitude and longitude, tough - this isn't geography class, kid.)

Are we ever going to get to the good stuff? Sigh. Ok. You have spots in your bandmaps. Try SINGLE clicking on one. Notice how the radio tunes to the frequency of the spot? Also notice that the call appears in the frame around the callsign textbox in the Entry Window. Now press that magic space bar again. The spot jumps into the call textbox! Let's try this another way. Click on the Wipe button (or press Ctrl+W). Now tune the radio to a frequency within 300 Hz of another spot. Notice that the call again appears in the frame, and again the space bar will enter the call into the call textbox.

Ok, try Wiping again (either way). Now double click on a spot. Notice that again, you jump to the frequency of the spot, but this time the call is entered in the callsign field and the default fields are filled in, and you are ready to copy the next empty field (in this case name).

Wipe just one more time. Let's try jumping around the spots without using the mouse. Your cursor should be in the callsign field. If it isn't put it there. Now press Ctrl+Up arrow or Ctrl+Down arrow. You should jump from spot to spot on the same band. Pick one of the spots where you can hear the station. Use the up and down arrow keys (no Ctrl this time) to tune the station in. Each press of the key will go jump 100 Hz on SSB and 20 Hz on CW (configurable). You're smiling, aren't you? There is a lot more. Go look here for more keyboard tricks: Key Assignments and Key Assignments Short List

Step 9. Actually Logging Contacts

We need to shift attention to actually logging contacts. Enter a call in the call textbox, press space and then type a name, well any name except 'Arthur' in the name textbox. (I'm sorry, I really cannot be responsible if you type Arthur.) You typed Arthur, and nothing happened, didn't you? Now you're angry. Here's a quarter.... Ok. Back on task. You have enough to log a contact now. Press enter, and notice that the contact will appear in the Log Window.

Now the fun part. Enter the same callsign again and press space. Looky, looky! The usual stuff happens, but two more things happen as well. The first contact shows up in the lower part of the Log Window, and the name from the first contact appears in the name field. If you were logging a contest, like ARRL DX, the power would be filled in from the first contact. If the first contact was on the same band as this contact, then the word "DUPE" in BIG RED LETTERS would appear. I was going to put the word "Dope", but then I thought that no one would want to use the program. Really, you should probably work the dope, I mean dupe, since you might not be in his log. It's actually easier to just work him than explain "You're a dupe, dope!"

Ok, press enter and log the dupe. You don't agree with me about logging dupes? Then RIGHT-click on the Log Window entry for the dupe, and choose delete contact. No, I'm not going to tell you what to do with the dialog box that pops up. I trust you. I feel like we are already friends.

Step 10. The Exciting Finale

Now for the exciting finale, if I called it the boring finale, you wouldn't read it now, would you? It is kind of boring, but I really couldn't trust you to get this far now could I? This step is about all the wonderful things you can change about this program. If I tried to explain them all, you wouldn't read it, so here is just a little bit. Look at the Edit menu. Here you can change the usage of many of the buttons in the program, like the CW buttons, packet, telnet, etc.

The Tools menu lets you rescore the contest and reload the country (mostly CTY.DAT) file using 'Import country list from downloaded file'. The Config menu lets you change state tables, section tables, not to mention the exciting Configuration options that we all know and love by now.

Step 11. CW and WAV Recordings

"Hey wait," you say, "You said there were 10 easy steps - what's this number 11 business?" There is a very simple answer. I lied. I wanted to write only 10, but I forgot to tell you about the CW and SSB buttons. They are preset at the factory (ok, at my house), to be very useful to only me. Try them anyway. If you have a CW interface, the CW buttons will send pretty damn good CW, even when you are doing other things like moving windows around. You had better appreciate this, because it was very hard to code, and I am very proud of it.

The same buttons are used in SSB to send WAV files. While this seems much harder, it was actually quite easy, but it's ok if you are impressed. I don't care, so long as you are impressed. You don't need to hook up your radio to enjoy this wonderful feature, just hook some speakers to your sound card and listen to my melodious voice call CQ as you click on the CQ button. In a real contest, however, you'll want to hook up the output of the sound card to your microphone input through a Radio Shack audio transformer and resistor setup. The high impedance side (with a 100k series resistor) goes to the microphone input, the low impedance side goes to the sound card speaker out. Of course you'll need to adjust the levels using the software that comes with your operating system or sound card. See the interface section for more info.

This thing will record QSO's as well, but I'll let you find that in the help files.

I hope you have enjoyed this quick tour as much as I have enjoyed writing it. And for the second time, no, I was not drinking when I wrote this.


Logger General Overview

N1MM Free Contest Logger

General Overview

The N1MM Logger is a freeware program designed to do contest logging and some general logging. It is not a general logging program with award tracking etc. but is mainly a contest logging program. Check the Features listing.

Important! The usefulness of this program is greatly enhanced by reading the Key Assignments

The Quick Tour is another must read.

These are the Supported Contests and the Supported Radios.

The program can be used on Windows 95/98/ME and on Windows NT/2000/XP. DOS is not supported. Windows 95 is not encouraged.

N1MM logger discussion group

This group discusses features, bugs, and ideas for the N1MM Free Contest Logger.

  • Do you have questions/remarks
  • Here you want to go: http://groups.yahoo.com/group/N1MMLogger

Documentation

The documentation for this program is available in three different forms

  • On the Internet on the N1MM logger homepage, select 'Help files', item 'View Help files'.
  • As the programs Help file (N1MMLoggerHelp.chm)
  • As a PDF file (N1MMLogger.pdf) which can be viewed and printed with Adobe Acrobat Reader (Version 3 or higher)
Both the Help file (CHM file) and the manual (PDF file) can be accessed while in the program. For this to happen the files should be placed in the N1MM logger program directory.

Group Email Addresses

Post message: | N1MMLogger@yahoogroups.com
Subscribe: | N1MMLogger-subscribe@yahoogroups.com
Unsubscribe: | N1MMLogger-unsubscribe@yahoogroups.com
List owner: | N1MMLogger-owner@yahoogroups.com

Programming specifics

  • Coded in Visual Basic 6.0 using no aftermarket controls.
  • Current exe size (p-code) about 3000 kB.
  • 38 Forms, 21 Modules, 115 Classes.
  • 71718 lines of code (57156 lines without the window controls).
  • Uses one freeware dll for LPT port control and one for crc32.
  • Database used is Access 2000.
  • Uses data-bound controls for log and check functions.
  • Uses MMTTY for soundcard RTTY support (FSK and AFSK).
  • Uses MMVARI for soundcard PSK support (PSK31, PSK63 and all other MMVARI modes).

The logging program has been designed to work on a Pentium II/III 500-800 MHz, 128 MB as a minimum platform. Thus, it runs reasonably on a 500 MHz Pentium II. Whether it can run as designed on slower speed machines is to be determined. It has not been and won't be a priority to make it run on clunkers.

Program development?

N2AMG, PA1M and I develop the software. It is a cooperative development venture. If you have programming or other skills we'd be interested in your help. To help develop, you'll need your own copy of .Visual .Basic 6.0 PE or EE. A copy of .Access 2000 is helpful, but not required. Contact N1MM to discuss working on this project. Source code is provided to those who would like to contribute to the project.


Features

  • All major HF Contests are supported including General DX logging, DXpedition, DXSatellit and VHFdx.
  • Uses sound card for DVK but also DVK interface for W9XT & other DVK's.
  • Contact recording to wav files. Right-click on log entry to play back.
  • Automatic CW generation.
  • RTTY support for MMTTY, HAL DXP38 and other external TNC's (like PK-232)
  • PSK31 and PSK63 support.
  • The program retains the size and position of windows as specified by the user.
  • The main windows (Entry Window, Log, Bandmaps, Packet, Check, Multipliers, Score Summary, Info, Available Mults and Q's and the Digital Interfaces) are non-modal. That is, you can interact with any of them without having to close the last window used.
  • Available Window keeps track of needed spots & mults on each band for easy band-change decisions. Color-coded buttons indicate on which bands the current contact is needed.
  • Radio interface to support radios from Kenwood, many Yaesu (for example: FT-1000, FT-1000MP, FT-990, FT-920 and more), Icom, Tentec Orion and Elecraft.
  • Click on packet spot in packet window to tune to that frequency/mode.
  • Spotted stations appear on callsign textbox frame when you tune near a spot. A touch of the space bar will enter that call into the callsign field.
  • Mode-aware fine tuning from the keyboard.
  • Automatic beam heading and sunrise/sunset calculations.
  • Check partial function.
  • Packet & Telnet support - spots from both automatically update the band maps.
  • Packet spot filtering.
  • CW sending from the keyboard.
  • Dual graphical bandmaps click to tune radio to the spot selected. The bandmap can be zoomed in or out depending on number of spots shown.
  • Two radio support. Two VFO support when using one radio. One VFO/Bandmap.
  • Multiplier window.
  • LPT port functionality to control antenna switches, radio selected, and PTT (95/98/ME/NT/2000/XP).
  • Multi-user support.
  • Cabrillo export support.
  • ADIF import/export support.
  • All data is stored in an Access 2000 database to facilitate reporting and future integration with other software.
  • Two monitor support (Requires Win 98 or better).
  • S&P QSO stack.
  • Call stacking.
  • Spot all S&P calls locally (QSYing wipes the call & spots QSO in bandmap).
  • HF including WARC and 60 meter support, VHF and up support.
  • Transverter support (SHF bands supported up to 10, 24, 47, 76, 142 and 241 GHz).
  • Winkey support (Serial CW keyer by K1EL).
  • Antenna mapping.
  • SO2R/SO2V support.
  • User-settable band edges for CW, SSB and digital.
  • Statistical reports.
  • Generation of CW via USB to serial converter.
  • Serial number server for multi-user stations.
  • Rotator control (LP-Rotor and ARSWIN).
  • Multi-User: automatic resync on reconnect
  • Transaction log, which keeps all QSOs to facilitate recovery of log
  • Many more..

Major Changes Version 4 to Version 5

  • Bandmap
    • Expanded zoom capability in the bandmaps - see the whole band
    • Mouse wheel zooming of bandmaps.
    • Improved movement of cursor from spot-to-spot (spot jumping)
  • Entry Window
    • 12 message buttons
    • Sizable
    • Added access to packet window menus to facilitate minimizing of packet window.
  • Multi-User
    • New multi-user connection support (works across Internet).
    • Automatic resync on reconnect
  • Other
    • More contact info stored with spots & restored when space pressed
    • Rotator control (ARSWIN/LPROTOR interface)
    • $5 SO2R - thanks to K1TTT - supporting SO2R with just sound cards
    • Serial number server for SO2R & multi-user - coordinates serial numbers across radios.
    • Added option to remove non-self spots in bandmap & packet windows
    • Bring program to top when tuning a VFO.
    • Support for Winkey leadtime, tailtime, reverse, hangtime, 1st character extension and Winkey version 9
    • Record wav file of last N seconds of contacts.
    • Consistent coloring between the windows
    • All bug fixes already in V4, and many bug fixes omitted from V4


Minimal PC Requirements

Minimum hardware requirements

The logging program has been designed to work on a Pentium II/III 500-800 MHz with 128 MB memory as a minimum platform. Whether it can run as designed on slower speed machines is to be determined. It has not been and won't be a priority to make it run on clunkers.
The graphical resolution is minimal 800 by 600, but much better is 1024 by 768 or more to get all windows on the screen.
A lot of free serial ports is nice to have, this for connecting the radio (or radio's) and packet radio. CW-keying and PTT-ing the radio can be done through a free serial but also by a free parallel port. For PTT-ing MMTTY an extra serial port is needed. Also USB-to-serial converter are supported.
For more info see the Radio Computer interfacing section.

Supported Operating systems

  • Windows 95 (not supported anymore)
  • Windows 98
  • Windows ME
  • Windows NT
  • Windows 2000
  • Windows XP
  • and probably future Windows versions.

Linux and other Operating Systems will not be supported.


Installation and Upgrading

Update Procedure

The scheduled update procedure will be one major release per month, numbered [Version].[Month].
The version released in July 2005 will be Version V5.7.0 (nominally, the July, 2005 release). The next scheduled update, around August 20, will be Version V5.8.0. If any critical fixes are required between scheduled updates, they will be released when ready, and numbered 5.8.1, 5.8.2, etc.

The monthly Full Installer will be named: N1MM-FullInstaller.exe
The update files will be named: N1MM-newexeV5.8.1.exe (as an example)

The purpose of this systematic approach is to do a better job of scheduling and testing contest-specific enhancements and bug fixes, improving the overall quality of the program.

Downloading the software

Internet access

During installation it is possible that a connection to the Internet is requested to download the Help, Manual or the DLPORTIO port driver. A firewall may prevent this action or pop up and ask your permission. If no permission is given these files can not be downloaded.

Boot during install

During install it is possible that the PC has to be booted (restarted) to install some new system files. If possible cancel this message and wait until the installer is done and reboot afterwards.

Errors

If an error occurs during installation or when starting the program please reboot the PC and see if the error is still disappears. On some Windows systems system files need to be added/updated and need a reboot. If the error(s) persist please report on the N1MM logger discussion group.

Links and steps

The software can be downloaded via the links shown below.
  • Steps 1 and 2 are the monthly Full Installer and the latest Update files.
    • Both steps are needed to get the program running and up-to-date.
    • Only step 2 once the Full Installer has been installed (to keep up to date)
  • Steps 3 and 4 are files from other websites needed by the program
    • These files should be kept up to date at any time
  • Step 5 is the download and install of MMTTY used by the program
    • When RTTY is your passion...
  • Step 6 is the Call History manager 'Thucydides'
    • To create import files from previous contest logs for the Call History function
1 | Download the Full Installer file (5 MB) from: | Download from www.pi4dec.nl/n1mm - Dutch site kindly donated by PA8AD / PI4DEC Download N1MM-FullInstaller.exe
2 | Download the latest N1MM-newexeVx.x.xxx file (1 MB) from: | www.n1mm.com and select under the menu 'Downloads' : Download latest Update

Update needed Support Files from other websites

3 | Download and update the latest country file (cty.dat or wl_cty.dat). Don't forget to import the country file into the database under Tools! | http://www.k1ea.com/cty/index.htm Look for install information on: Customizing the DXCC list
4 | Update the Master Callsign database (master.dta). Copy this file in the 'Program folder'. N1MM logger supports the CT-format master.dta file. | http://k5zd.com/scp/

Optional files to Download and Install

5 | Optional: Download MMTTY from the MMTTY homepage. | http://mmhamsoft.ham-radio.ch/ Look for install information at: RTTYConfig.htm
6 | Optional: Download 'Thucydides' by Carel, PC5M “A history manager for N1MM logger” A great tool to create import files from previous contest logs for the N1MM logger Call History function. | Download information can be found in the links chapter.

First-Time Install Instructions

Please download the files via the links mentioned above.
  • 1 - Download and run the Full Installer called N1MM-Fullinstaller.exe (use link above).
    • The default directory to install will be 'C:\Program Files\N1MM Logger'
    • The Full-Installer will
      • Install all needed files on your computer to run N1MM logger
      • Update your system files where needed
      • Download the latest Help file (2.5 MB) and copy it into the N1MM Logger program directory
        • It can be accessed from within the program using Alt-H
      • Download the latest Manual (PDF) (4 MB) and copy it into the N1MM Logger program directory
        • It can be accessed from within the program but Adobe Acrobat Reader version 3.0 or higher is needed to display the file and has to be installed. For a paper version of the Manual/Help, this is the file to print.
      • (Windows NT, 2000 and XP users only), select and install PORT95NT.EXE
        • Needed for CW serial and parallel port support
    Notice that when running the Full Installer it is possible your computer reports that certain system files are already installed on your system and are newer than the one you are trying to install. It asks if you want to replace the newer, existing file with the old one in the Full Installer. Select 'No'. You do not want to overwrite newer system files.
    The directory where the program is installed will be called the 'program directory' from now on.
    You must install the Full Installer as the administrator of your machine.
  • 2 - Download and run the N1MM-newexeVx.x.xxx file upgrade file (Example: N1MM-newexeV5.8.4.exe)(use link above).
    • Run this file and let it copy and overwrite all the files into the N1MM Logger program directory replacing any old version.
      • The upgrade file is called N1MM-newexe(Version).exe
      • The version number Vx.x.x is also shown in the description of the file.
      • This file contains: the latest exes and other necessary files.
      • Only the last update file is necessary, not all updates before...
  • 3- Download the latest country file under Tools by selecting 'Download latest country file' ,
    • Select wl_cty.dat and import this country file by selecting 'Import country list from downloaded file'.
  • 4- Download the latest master.dta file and copy it in the program directory. N1MM logger supports the CT-format master.dta file.
  • 5- Optional: Download MMTTY for RTTY with the soundcard.
  • 6- Optional: Download 'Thucydides' by Carel, PC5M “A history manager for N1MM logger”.
    • A great tool to create import files for the programs Call History function from previous contest logs. More info in the chapter 'Third Party Software'

Subsequent Install Instructions / Upgrading to a new program version

  • Download **only** the N1MM-newexeVx.x.xxx file upgrade file (Example: N1MM-newexeV5.8.4.exe)(use link above).
    • Run this file and let it copy and overwrite all the files into the N1MM Logger program directory replacing any old version.
    • When a new cty.dat file is added to the newexe file import it by selecting 'Import country list from downloaded file' under Tools
      • The upgrade file is called N1MM-newexe(Version).exe (Example: N1MM-newexeV5.8.11.exe)
      • The version number Vx.x.x is also shown in the description of the file.
      • This file contains: the latest exes and other necessary files.
      • Only the last update file is necessary, not all updates before...
An e-mail will be send out periodically to announce new versions (updates) of the program to the group members.

Upgrading the Help file and Manual

The Windows Help file and Manual are maintained separately from the program and follow it as close as possible. So when checking for a new program version also check if a new version of the Help/Manual is present.
  • Check the revision number and revision date of the file.
    • The revision number and revision date are shown on the bottom of the first page.
    • Select Link: HtmlDocTitlepage.htm

  • The Windows Help file is called N1MMLoggerHelp.chm (use link above).
    • Download the Windows help file (2,5 MB) if a newer version is present.
    • Select link: N1MMLoggerHelp.chm (right click on link and choose: Save As)
    • Copy the file(s) into the N1MM Logger program directory replacing the old file(s).
    • The Help file can be accessed while in the program with Alt+H or from the Help menu but also separately from within Windows.

  • The Manual called N1MMLogger.pdf (use link above).
    • Download the PDF version of the help, suitable for printing (4 MB) if a newer version is present.
    • Select link: N1MMLogger.pdf (right click on link and choose: Save As)
    • Copy the file(s) into the N1MM Logger program directory replacing the old file(s).
    • The Manual can be accessed while in the program from the Help menu (Manual) but also separately from within Windows. Adobe Acrobat Reader version 3.0 or higher is needed to display the file and has to be installed. For a paper version of the Manual/Help, this is the file to print.
An e-mail will be send out periodically to announce new versions of the Help and Manual to the group members.

Using the Program the First Time

  • The first thing to do after starting the program is setting up the station information.
    • This can be done in the 'Change Your Station data' dialog.
    • The first time the program starts automatically with this dialog.
    • This dialog can also be found under: Config / Change Your Station Data
  • After that configure the radio and packet and/or telnet connection.
    • Choose Config/Configure ports, Telnet Address, Other
  • The packet buttons and main window function buttons can be changed.
    • See the Config menu.
  • Alt+H is help.
  • Space is the preferred Tab character (see Help).
  • Read the Help/Manual!!! but to start at least:
    • Quick Tour
    • Using the Program
    • Setting up the Program
    • Entry Window
    • Key Assignments
    • Basic Functions
    • Key Assignments Short List (this one should be printed and placed near the radio)

Become a Tester and Report Problems

  • If you want to become a tester or want to be serious with the program, please join the Yahoo discussion group at http://groups.yahoo.com/group/N1MMLogger/join. This way you will receive information on bug fixes and new versions. This is especially important during contests, should there be a serious bug. Give out the Yahoo url.
  • Be sure to download the latest update (Newexe). There have been added many new features and contests since the base install files were created. An e-mail will be send out periodically to announce new program versions to the group members.
  • Please indicate the version number on your problem report e-mail's, so that I can determine if the problem has already been fixed. The version number displays on the "splash" screen (the one with the tower) on start-up or can be seen in the Help/About window.
  • Please report bugs. If I don't know about them, I can't fix them. This is a freeware project. It depends on volunteers like you. The quality of this software is directly proportional to the quality of testing. Thanks for your help!
  • To qualify as a tester, you need at least a Pentium II class PC or better and if possible a packet cluster and radio connection.

Bug lists and Feature requests

Feature requests and bug reports can be found on the N1MM web site (www.n1mm.com). You can check them either from the Download Latest Update or Support pull-down menus. There are 5 lists:
  • Pending bugs
  • Fixed bugs
  • pending feature requests
  • Feature requests completed
  • Contest-specific issues
    • The latter are arranged by the month in which the next running of a contest will occur.
    • Example, if you want to see what's pending for WAE, you would look in August 2006. The idea here is to help the developers schedule their work in time for the next time a contest goes "live."
It is possible that listed items have already been resolved, but the requests and reports not have been moved to the right list. For that reason I really need your help --- please look for any reports or requests you have filed that are on the wrong list.

As always, thanks for your help and cooperation.

73, Pete N4ZR

Uninstalling the program

  • Removing the program from the computer or when installing the program from scratch do the following:
    • Go in control panel. and select 'add/remove programs', select 'N1MM logger
    • Remove the Program directory (mostly c:\Program Files\N1MM Logger) and remove it with all it's files.


Setting up the Program

When you want to use the program you need to know how to connect the radio(s), packet or Telnet etc. to the program. Also the Exchanges need to be setup for the contest. Below some information how this could be done. Next to reading this chapter also read Basic Functions, the Key Assignments and the Quick Tour to have basic program information.
  • Setup station information
  • Setting up radio control
  • Setting up packet/telnet
  • Setup up wav files (SSB)
  • How to send messages in CW?
  • Setting up the exchanges
  • How to set up function keys with 'Enter mode'
  • Command line parameters

Setup station information

The information in the Station dialog is self-explanatory. Make sure that you enter your call as the station call sign. Many of the fields in this dialog are used in creating contest entries, so do update them with their correct values. Like calculating beam headings, distances, sending a bug report via e-mail etc.

Setting up radio control

The program really shines when a radio is connected so that is what we have to do.

  • Check if the radio is supported by the program in the Supported Radios chapter. If not... you have no luck.
  • So it is supported
    • It is connected right (cable from radio to a serial port from the computer).
      • Sometimes a serial interface is needed, see the manual of the radio and the interfacing chapter.
    • Go to the Configurer and fill in the information under the hardware tab.
    • Select the serial port the radio is connected to and choose the radio behind it.
    • Select the 'Set' button and choose the right setting. (baudrate, databits etc).
      • These can be found in the manual of the radio.
      • There is also some information in the Supported Radios chapter.
    • Press OK , select VFO A and the frequency from the radio should appear in bandmap A.

Setup packet/telnet

We need spots to fill the bandmaps so the next thing to do is connect to a DX cluster. This can be done in the Configurer under the hardware tab for telnet and packet. For telnet a Internet connection is needed. The telnet cluster to connect can be (also) selected, yes again in the Configurer under the hardware tab.

  • Go to the Configurer and select the hardware tab.
  • Select at the bottom a telnet cluster. AB5K is default selected (AB5K) and works fine.
  • Select the 'Telnet' tab on the Packet Window.
    • Cluster commands can be given here, the information from the cluster is shown in the window.
    • See the Packet window for commands, info etc.
    • Connecting a Telnet cluster is usually done by sending your callsign.
    • When everything works fine, spots should appear in the bandmaps.

The hardware tab in the configurer is also the place to select the right parameters for setting up a packet TNC.

  • The TNC should be connected to a serial port from the computer
    • The TNC could be checked with Hyperterminal to see if it responds fine.
  • Go to the Configurer and select the hardware tab.
  • Select the serial port the TNC is connected to and select the 'Packet' selection box.
  • Select the 'Set' button and choose the right settings (baudrate, databits etc).
  • Select the 'Packet' tab on the Packet Window.
    • Cluster and TNC commands can be given here, the information from TNC and cluster is shown in the window..
    • See the Packet window for commands, info, how to connect a cluster using a TNC with TAPR/TF or WA8DED software etc.
    • When everything works fine, spots should appear in the bandmaps.

Setup up PTT-ing the rig/sending CW

Sending CW and PTT-ing the radio can be done three different ways.

  • Using the Parallel port
    • Add an interface to the parallel port, this can be a simple one transistor circuit (for each pin one) but also a bought interface . More on this in the interfacing chapter. Pin 17 is used for PTT and pin 16 for CW, these are fixed values. Use pin 1 as ground!
    Go to the Configurer and select the hardware tab.
      • Select behind the LPT port to use the 'Other' selection box.
      • Select the 'Set' button and choose the right settings (CW-speed, PTT-delay and the CW/PTT port address).
      • The CW/PTT Port Address should be the same as used in you Windows configuration.
      • Select the correct Radio/VFO setting (1, 2 or Both)
      • Press OK
    • PTT and CW should work now.
  • Using the Serial port
    • Add an interface to the serial port, this can be a simple one transistor circuit (for each pin one) but also a bought interface . More on this in the interfacing chapter. Mostly the RTS is used for PTT and DTR for CW.
    Go to the Configurer and select the hardware tab.
      • Select behind the serial port to use the 'Other' selection box.
      • Select the 'Set' button and choose the right settings (CW-speed, PTT-delay and the CW/PTT port address).
      • Select the pin to use to PTT and CW.
      • The CW/PTT Port Address should be the same as used in you Windows configuration.
      • Select the correct Radio/VFO setting (1, 2 or Both)
      • When Winkey is used also select this setting. The baudrate etc. for Winkey is fixed and set by the program.
      • Press OK
    • PTT and CW should work now.
  • Using a USB port
    • PTT via a USB port can not be done direct, a USB-to-serial converter is needed.
    • Not every Serial-to-USB can change the status of the RTS (and DTR) pins . So check before you buy.
    • When this device is setup in Windows select the serial port used by it.
    • Follow the steps for a serial port to set up for PTT-ing.

Setup up wav files (SSB)

The sound (wav) files which have to be made have some standard texts, some are contest dependent. There are two kind of sound files used by the program.

  • Files used by the function keys
  • Sound files used to send the callsign or numbers (in number contests)
    • by sending single sound files for each letter and number
    • or by sending the full callsign or numbers when found in the wav directory

How to send messages in CW?

You need to do two things:

  • Set the message properly in 'Config | Change Packet/CW/SSB/Digital Message Buttons | Change CW Buttons'. The first 12 rows are the run messages for F1-F12. The second 12 rows are the S&P messages for F1-F12. If you have less than 9 messages, the S&P messages will just repeat the Run messages.

  • Make sure that the function key tab in the main configurer ('Config | Configure Ports, Telnet Address, Other') has each button set to its correct meaning. I.e. if F1 is your CQ key as set in the messages (#1 above), then make sure that the "CQ Key" box is set to F1.

To send the serial number in any message, put the character # as part of the CW message in CW buttons above. There is a list of other characters which can be used to substitute. The macros and some examples can be found on the macros page.

Setting up the exchanges

By Jamie, WW3S

  • I'm assuming you want to set up for a RTTY contest.
  • Go to Config, Ports, telnet and then Function keys.
    • If you plan to use Enter Sends Message swap F5 and F3:
      • 'End of Qso Key' to F5
      • 'His call' to F3
    • Now go to 'Config | Change Packet/CW/SSB/Digital Message Buttons | Change Digital Buttons'.
      • The buttons/messages are displayed in order starting with F1.
      • Change the F4 key to read &WW3S in the one column and WW3S in the other.
        • The & just tells the button what caption to display.
      • Now change the F2 to read 599-599 and your CQ zone.
        • Mine reads 599-599 PA PA 05 05 BK.
        • Starting to make sense? Whatever you change here is what will be sent.
        • If you use 'Enter Sends Message' the corresponding F-key also needs to be set in 'Config | Configure Ports, Telnet Address, Other | Tab: Change function keys'.
        • THESE KEYS NEED TO MATCH OR "ENTER SENDS MESSAGE" WILL NOT WORK!!
      • Set your F3 key for however you want your ''End of qso' to be sent.
        • Mine reads TU QRZ DE WW3S WW3S TEST.
      • F1 read CQ CQWW TEST DE WW3S WW3S TEST.
  • These all get changed in change digital buttons. BTW, the same logic applies in CW.

How to set up function keys with 'Enter Sends Message mode'

Below an example of a possible ESM setup from Jose, CT1AOZ.

Setup the function keys ('Config | Configure Ports, Telnet Address, Other | Tab: Function Keys')
Default Function keys
F1 | CQ key | F5 | His Call Key | F9
F2 | Exchange key | F6 | QSO B4 Key | F10
F3 | End of QSO Key | F7 |  | F11
F4 | My Call Key | F8 | Again Key | F12

Enable all check box options except Monitor via PC speaker (but you may if you want to. NB only when using Windows 95, 98 or ME).

Now set the '' MACROS '' in the 'Config | Change CW buttons', the same settings are used for the SSB and the RTTY buttons.

    Running mode |  | S&P mode
Button Caption | CW message / .WAV file /Text to Send |  | CW message / .WAV file /Text to Send
F1 CQ | CQ CQ ** | F1 QSY | PSE QSY QRL *
F2 Exch | <<< ENN >>># | F2 Exch | <<< ENN >>>#
F3 TU | TU * | F3 | TU *
F4 My | * | F4 My | *
F5 His | ! | F5 His | !
F6 QSOB4 | ! QSOB4 TU * QRZ | F6 QSOB4 | ! QSOB4 DE *
F7 His/TU | ! TU | F7 Corr | ! TU
F8 Again | ! AGN PSE * | F8 Again | ! AGN PSE *
F9 |  | F9 |
F10 |  | F10 |
F11 |  | F11 |
F12 |  | F12 |

As Jose writes: Try this and I'm sure you will be happy with the performance of the program and the Enter Sends Message mode...

Command line parameters

The program has a command line parameter to select the used 'N1MM logger.ini' file.
Example: "C:\Program Files\N1MM Logger\N1MM Logger.exe" SO2R.ini


Basic Functions

When using the program there are some standard routines like changing frequency, band and mode. Next to reading this chapter also read the Key Assignments, Setting up the Program, Entry Window and the Quick Tour to have basic program information. There are also some features which will be explained in this chapter like 'Running' mode, Search and Pounce' mode and 'Enter Sends message' mode etc. Operating tips and tricks can be found in the Tips and Tricks chapter.
Help Going through the Entry Window fields Resizing windows Select New Contest Delete Contest Select Country file Select Master.dta file | Changing Frequency Changing Band Changing Mode Changing Operator Setting up CW speed Split Operation
Running Mode Search and Pounce Mode (S&P mode) Playing Wav files Recording Wav files Soundcard control in configurer | Quick Edit Meaning of Colors Multipliers and QSO's Connecting a telnet cluster How to save the log Function Key macros Edit (lookup) table Backup and Restore

Help

Almost every window has a Help function. To get to the help, right click on a window and select 'Help', or click on the Help button. The Entry window help can be accessed from the Help menu at the top, or by pressing Alt+H. Also note that the Key Assignments help can be accessed directly from the Help menu on the Entry Window. Note that you can print any help topic from the help system by clicking the Print button. Most of the help files displayed will be for window in which you select the help. This makes it easier to find the topic you are interested in.

Searching through the Help can be done most easily using the Find function using the PDF version of the Help file.
There is a very useful facility on the Help menu if your computer is connected to the Internet called 'Searching Help using Google', you can search the latest version of the manual on the website using Google. This will give by far the quickest results and will include the most recent changes to the Help/Manual.

Going through the Entry Window fields

Use the spacebar. It is the preferred Tab character in the Entry window. The space bar avoids fields (like RST) that don't normally need to be changed and prefills other fields. Spacebar operation is described in detail in the Key Assignments portion of the help. Using the Tab and Shift+Tab fields is to move to the rarely used fields.

Resizing Windows

Logger's windows can be located where ever the user chooses and most can be made any size. The Bandmap has a minimum width. The new dimensions and positions of the windows are stored when the program is closed. Closing the Entry window will close the application. All QSO's are saved permanently to the hard drive as they are logged.

Select New Contest

To select a new contest go to the Contest selection dialog ('File | Choose Which Contest to Log') and select 'Start a new log for a contest'. On the upper right of the screen a contest can be selected by clicking on it. Fill in the details for your specific situation. Which contests are supported can be found in the chapter 'Supported Contests'. Check the website for the latest rules and check the contest setup information in chapter 'Contest Setup Instructions'.
The preferred procedure is to start with a new database with each major contest where to expect very large logs or on very slow machines.

Delete Contest

Go to the Contest selection dialog ('File | Choose Which Contest to Log') and first click on the contest in the Previous Contest pane so it is selected. Then press the Delete key.

Select Country file

Selecting a new country files means downloading and copying the country file on your harddisk but also Importing it into the current used database. If a new database is selected you may have to import the latest country file in the new selected database again! The country file is stored per database.
  • Download the latest country file under 'Tools' by selecting 'Download latest country file (wl_cty.dat) (Internet)'
    • Preferable select wl_cty.dat because it has extra country info.
  • Import this country file by selecting 'Import country list from downloaded file'.
    • Without importing the country file is NOT used by the program.

Select Master.dta file

Selecting a new master.dta file with many regular contest callsigns in it means downloading and copying the country file on your harddisk. No importing needed but you have to select the master.dta file to use for the selected contest.

  • Download a master.dta file for the selected contest under 'Tools' by selecting 'Download Latest Check Partial file (Master.DTA) (Internet)'
    • N1MM logger supports the CT-format master.dta file.
  • Select the master.dta file to use for the selected contest under 'File | Choose Which Contest to Log'.
    • Use the Change button behind 'Master.DTA filename'.

Changing Frequency

Changing frequency can be done in many ways. Below a short list with some possibilities.
  • Just turn the dial or change band on your radio, the program will follow if connected.
  • Enter a frequency in the Entry window 'callsign' field. Example: 14200,5 will jump to 14.200,5 MHz. The mode will be changed when needed following the bandmap rules (depending on settings tab: 'Mode Control' in Configurer).
  • Enter an offset in the Entry window 'callsign' field. Example: Current frequency = 14200 Enter +3, frequency will jump to 14.203 MHz
  • Enter an offset from the beginning of the MHz in the Entry window 'callsign' field. Example: Current frequency = 14200 Enter 123 and the frequency will jump to 14.123 MHz
    • Placing a / in front of the frequency or offset will set the second VFO (B). Example: /12200,5 /+3 /123
  • Click on a spot in one of the bandmap windows.
  • Click on a spot in the Packet/Telnet window.
  • In the Log window, right click and select 'Jump to this frequency' to go to the logged QRG.
  • Click on one of the callsigns in the last multipliers below the 'Available Mult's and Qs' window.
  • Push one of the buttons in the 'Available Mult's and Qs' window to change band.
  • Enter an offset in the Entry window 'callsign' field to go 'split'. See the Split Operating section.
  • Use one of the many keys below to change frequency, band or vfo/radio. Go look in the Key Assignments section to read what they all do!
    • Alt+Ctrl+Down Arrow | Ctrl+Shift+Page Down | Ctrl+Down Arrow | Alt+Ctrl+Q | Ctrl+Left | Alt+Q
Alt+Ctrl+Up Arrow | Ctrl+Shift+Page Up | Ctrl+Page Up | Page Up | Ctrl+Right | Alt-F8
Ctrl+Shift+Up Arrow | Ctrl+Shift+Down Arrow | Ctrl+Page Down | Up Arrow | Alt+F9 | Alt+F10
Alt+Shift+Ctrl+Up Arrow | Alt+Shift+Ctrl+Down Arrow | Ctrl+Up Arrow | Alt+Shift+Q | Alt+F11 | Alt+F12
  • Need any more?

When no radio is attached and PgUp/PgDn is pressed nothing will happen. I.e. if the frequency is inaccurate, don't allow the operator to move out of band by inadvertently pressing PgUp/PgDn.

When a frequency is chosen outside an amateur band a warning dialog will be shown when trying to enter information. This could happen making a typo when entering the frequency or when no radio is connected, so a kind of "radio is not working" message.

Changing Band

Below some of the possibilities how to change band.
  • Change the band on your radio, the program will follow if connected.
  • Ctrl+Page Up - Go up one band. WARC bands are being skipped while logging for a contest.
  • Ctrl+Page Down - Go down one band. WARC bands are being skipped when logging a contest.
  • Enter a frequency in the Entry window 'callsign' field on another band. Example: 14200,5 will jump to 14.200,5 MHz
  • Push one of the band buttons in the 'Available Mult's and Qs' window to change band.
  • Click on one of the callsigns in the last multipliers below the 'Available Mult's and Qs' window on another band.
  • Click on a spot in the Packet/Telnet window on another band.

Changing Mode

  • Change the mode on your radio, the program will follow if connected.
  • Change the mode in the top part of the Bandmaps windows by clicking on the mode 'field'.
  • Change the mode by typing CW, LSB, USB, SSB, RTTY, AM, FM, DIGI, PSK or SSTV in the 'Entry window' callsign field.
    • When a radio is connected it could become a problem to enter DIGI, PSK, RTTY or SSTV because most transceivers do not have these modes as a selectable mode on the radio. Mostly LSB should be chosen on the radio. To have the program log the right mode you have to go into the 'Config' and select 'Config Ports, Telnet Address, Other'. Then select the the 'Mode Control' tab. Under the 'Mode recorded in log' and check 'Always:' and also select PSK31 (example). See also note below.
Note: How mode will be controlled on the radio and how contacts will be logged needs to be set on the tab: 'Mode Control' in Configurer.

Changing Operator

  • Ctrl+O - Change the callsign of the operator. If you are multi-user, you will be prompted for the operator at startup. The default is the callsign in the station information dialog. A callsign is required to be entered.
  • Entering "OPON" in the callsign field will also prompt for an operator callsign.

Setting up the CW speed

Setting up the speed can be done using the Entry window speed control (only shown when CW is selected) for each radio or VFO. Use Page Up/Page Down or click on the arrows beside the speed box to change the speed.

Split Operation

Split operation is when you transmit on another frequency then you receive. This is being used when stations have huge pileups like some DXpedition's or the bandplan does not allow people making contact on the same frequency. An example is 40 meter SSB between Europe and the USA. In Europe the highest SSB frequency is 7.1 MHz while US stations may not go that low in frequency.
Split operation can be recognized in the bandmaps and in the Entry window. In the bandmaps the big blue marker will indicate your receive frequency. A red marker will indicate your transmit frequency. The frequency set will become the transmit frequency! Normally only one frequency is shown in the top portion of the bandmap, when working split the transmit frequency is added and shown just below the receive frequency.
In the Entry window in big gray letters Split will be shown.
Note icon Note: When you are working split and you are in 'Running' mode moving around will not change 'Running' mode into 'Search and Pounce' mode.

Split frequencies can be set manual

In the Split dialog with Alt+F7 or direct into the Callsign textbox in the Entry Window entering it with Ctrl+Enter. Decimal points and comma's are allowed in split frequencies in the callsign pane. Which one to use depends on the selected preferences in Windows. The split frequency has to be entered or an offset to the current frequency for the active radio/vfo.

  • Enter Split Frequency or
  • Enter offset from band bottom (the full MHz) or
  • Enter offset from current frequency as +5, +4, 3, 6, -2, -5 etc.
  • Examples:
    • 7050,3 Ctrl+Enter
    • 220,3 Ctrl+Enter
    • +5,3 Ctrl+Enter

Split frequencies can be set automatic by packet spots

When a station is selected in the bandmap it can happen the program puts the radio into split automatically. This station has been entered on the packet cluster including a split offset frequency which will be used by the program!

Resetting to non-split mode

  • Move to another frequency or band
  • Click on the transmit frequency in the top part of the bandmap just below the receive frequency.
  • Click on a spot in the Bandmap or Packet/Telnet window
  • Click on a frequency in the Bandmap window
  • Click on the frequency scale
  • Click on a band button in the Available Mult's & Q's
  • Press Ctrl+PgUp or Ctrl+PgDn

Split operation Key Assignments

Note icon Icom radios and split mode
Icom radios can't report VFO B without being set to VFO B. The program polls VFO A, but not VFO B. You must only set VFO B from the computer. To set split, press Alt+F7 and enter +3 or 215 or 7215. You can also enter those from the call textbox by pressing Ctrl+Enter.

Alt+F7 - Set split frequency or offset to current frequency for the active radio

Alt+S - When your rig is in the split mode, Alt+S will reset the receive frequency back to your transmit frequency, but the split mode is preserved. Application: Many operators will run a pileup with the rig in split mode, and use the 2nd VFO as an RIT. This is done since many RIT knobs are small or hard to get at, while some find it more natural to use the main VFO to tune in a caller rather than use the RIT. By running split, you can use the main knob to tune in the caller, while your TX frequency doesn't change. The Alt+S acts like an “RIT clear” when you are running split. Operates on left vfo only!

“Reset RX freq when running split" is an associated feature to the Alt+S function (found in the CONFIG menu). When invoked, the program will automatically do an Alt+S as you log each QSO. This gives you an automated “RIT clear” after every QSO when you are running split. The exact logging sequence when you hit the Enter key is: move RX frequency to TX frequency, log QSO, and then send the TU message. For additional background, see the Alt+S feature

Ctrl+S - When not in split mode it will first put the radio in split mode after that Ctrl+S will toggle the RX frequency between the split RX frequency and the RX/TX frequency while maintaining split mode. Application: This was designed primarily to help SSB operators run on 40 or 80m, where split operation is widely used. For example, "CQ CQ de N1MM listening on this frequency (7183) and 7068". Use the Ctrl+S key to toggle between 7183 and 7068 to check for both USA or DX callers.

Ctrl-Alt-S - Toggle Split mode on the radio. 'Split' will be shown in the Entry window.

Ctrl+Enter - Entering a frequency or offset in the callsign field and entered with Ctrl+Enter will set a split frequency.

Note icon A split example
Don't click on spots in the packet window. Click on spots in the bandmap or available window. Then look at the bandmap or the Entrywindow title bar to see if you are going to transmit out-of-band. I presume we are talking about 40 or 80 meters. If you SINGLE-click on a spot, and don't see split indication, then wait for the station to announce their frequency. If they say "listening 214.5" type 214.5 in the callsign and press control enter. You are ready to call them. Good typists can do this and call them by the time they finish their CQ.

Running Mode

Running mode means that you are giving CQ and stations are coming back to you. The frequency you are on is 'fixed' and you are not searching for stations. The program marks this frequency with the text CQ-frequency in the Bandmap window and the 'Running' indicator is marked on the 'Entry Window'. A part of this feature is that 'Running' mode has it's own set of Function keys. They will be automatically placed under the keys F1 to F12. There is also a set of function keys for Search and Pounce' mode, these function keys will swap to Shift+F1 until Shift+F12 so they are still available.
    The "Running" switch is automatically marked when:
  • The operator clicks on CQ-frequency in the Bandmap window.
  • The frequency of the radio is in tuning range of your CQ-frequency (on that band).
  • Pressing Shift+Function key when in Search and Pounce mode (this can be changed on the Function Keys tab from the Configurer dialog.
  • The string "CQ" are the first characters of a CW message, the first characters of a label, or anywhere in a SSB wav file name
    • Example filename: cqwwssb\mycall.wav will get you in Run mode.
  • CQ button is pressed, even if no CQ in the message.
When leaving the 'Running' frequency the indicator on the 'Entry Window' will be unmarked and the Function keys will be swapped for F1 to F12 in the 'Search and Pounce' keys.

When moving away from the 'Running' frequency the program will place you automatically in Search and Pounce mode. Going back to the 'Running' frequency will automatically select 'Running' mode (the 'Running' indicator is selected again). Clicking on 'CQ-frequency' in the bandmap will also place the program in 'Running' mode. An exception is when working split i.e. transmit on one VFO and receive on the other. Moving around will not change 'Running' mode into Search and Pounce mode.

There is only one CQ-Frequency per band. If swapping VFOs, it is possible to swap between 'Running' and Search & Pounce mode.

Search and Pounce mode (S&P mode)

'Search and Pounce' mode (S&P) is the contrary from 'Running' mode. The program is always in one or in the other. S&P mode means searching for stations on the bands and not giving CQ. The frequency used is not 'fixed'. The 'Running' indicator is not marked on the 'Entry Window'. The function keys under F1 until F12 are the keys programmed for Search and Pounce' mode, the 'Running' mode function keys are swapped to Shift+F1 until Shift+F12 so they are still available.
Note icon Note: If "Running" is checked, the Run messages are shown, if not, the Search and Pounce messages are shown on the function keys.

When pressing Shift, the labels will change (when made different) and the text from the "Running" keys become the text from the "Search & Pounce" keys and vice versa. SHIFT REVERSES THE MEANING OF THE ABOVE RULE.

Note that when in Search and Pounce mode, to call CQ, press Shift+F1. That will place the program in Run mode and will press F1; from that point on F1 will call CQ (in Running mode).

When the label or the message in S&P mode has "CQ" in it, pressing it also changes you automatically to run mode
Example: You are S&P'ing through the spots. You land on one, and no one is there. What do you do

Send CQ. Rather than make you press Shift+F1, you can press your CQ key that you have programmed in S&P mode. The fact that the label or the message has "CQ" in it, changes you to Run mode. If you sent CQ, don't you want to be in Run mode?

When entering a call in the S&P mode and the call is a dupe, changing frequency (QSY) will automatically enter the dupe callsign into the band map and clear the Entry Window..
When a frequency is busy it can be marked with Mark (Alt+M). This could be used when the station on that frequency is not in the contest, may not be worked in the contest or seldom says his callsign to have the frequency marked in the bandmap. Press Alt+M, and move on. That frequency is busy, so you won't want to stop there again.

How to check if you are in Running mode or in S&P mode?

  • Running checkbox checked/unchecked.
  • Textboxes are white in running, yellow in S&P and blue in quickedit.
  • The green ball shows "Ru" for running, "SP" for S&P.
  • You can put different labels on the textboxes for Running & S&P.
  • "CQ-Frequency" will show on the callframe if you are Running.
    • "CQ-Frequency" appears next to the frequency arrow on the bandmap when going into Running mode.

Playing Wav files

The program can play wav files in SSB for giving CQ, sending default reports etc. For this to work wav files have to be made with the text to send. These wav files should to be placed in the wav\ directory under the program directory. To call a wav file edit the SSB function keys as in the examples below. It is also possible to send a callsign by sending it's letters and numbers.

  • Use the SSB function keys to send wav files
  • Examples:
    • Play CQ: wav\cq.wav
    • Play default exchange: wav\5905.wav
    • Play the callsign entered in the callsign entry field will be send by the soundcard: !
      • This example uses the macro: ! (Sent his call)
    • Play the serial number to sent from Entry window by the soundcard: #
    • Play call from station in callsign field: letters\!
    • Don't play call from station in callsign field: Use a single space (mostly used in F5)
    • Possible are strings like: ##!wav\{operator}\thanks.wav
      • with or without leading zeros specified.
      • only one wav file can be played per string and only at the end of the string.
  • Some examples using the macro {OPERATOR}, let each operator have his own wav files. You can specify wav files like: wav\{OPERATOR}\cq.wav As you change operators in a multi operator contest, the wav files will change as well. You will have to name them consistently. Note that wav directory syntax indicates a subdirectory under the Install directory. You can also fully qualify, like: "C:\wavfiles\cq.wav". {OPERATOR} is a string substitution only implemented for SSB buttons.
    • Play CQ with operators voice: wav\{OPERATOR}\cq.wav
    • Play call with operators voice: {OPERATOR}\letters\!
    • Play default exchange with operators voice: wav\{OPERATOR}\5905.wav
Some more examples can be found in the Macro chapter under {OPERATOR} macro examples and in the Sweepstakes contest setup.

For those with problems with wav files playing from the Function keys... Make sure that under "File/Choose Which Contest to Log'" you have "Mode Category" set to SSB (or Mixed) and not set to CW. Check out the Audio tab in the configurer.

Recording Wav files

The first thing to try is to plug the microphone (mic) directly into the sound card. Then open the sound playback control panel, make sure the mic channel is displayed and see if you can get the mic to come out the speakers. Once you do that then plug the mic into the rigblaster and the rigblaster into the mic input on the sound card and make sure it still comes out. Then go from the sound card to the rigblaster and make sure you can hear it in the speakers connected to the rigblaster, then go from the rigblaster to the mic on the radio. That all verifies the audio paths. Note that none of this uses the logger yet.

Now change the volume control to show the recording controls. Make sure the mic input is displayed and select it as the recording source. Open the windows 'sound recorder'. Yes, I know it is a dumb program, but its main advantage is that it is simple. Try to record using the sound recorder and then play it back, the trace should show if audio is getting into the recording.

Now you are ready to try the logger. Watch the status line on the bottom of the entry window when pressing Ctrl+Shift+Fx, make sure it says that recording is started and then that the file is saved. Pressing the same keys again (Ctrl+Shift+Fx) to stop recording. Note the confirmation start/saved messages on the status line at the bottom of the Call Entry window.

If the above steps verified the audio paths then the only thing left is to make sure the PTT keys the radio when you send the file. Note, that you can key manually or turn on the VOX just to make sure that the audio is getting to the rig even if the PTT doesn't work.

N1MM logger only supports standard PCM format files. Some editors use ADPCM instead and you have to convert them to standard PCM to have them played.
More info on recording in the chapter 'Before the contest'

Soundcard control in configurer

The soundcard has to be set up when playing wav files. This has to be done on the Audio tab in the configurer. Check out the settings for it in the configurer chapter.

Note: This is the most common problem when no sound is heard when playing wav files.
Also check for a non existing wav file and the correct path in the program.
Always check the wav file in a media player if it can be heard from the speakers!

When play SSB wav files, the play volume can be adjusted by the Windows play control sliders.

Quick Edit

Do you ever log a contact with a mistake in the callsign? Want to bring it back, so you can change it? You can do it with "Edit last contact (Ctrl+Y)", but that dialog is complicated and not the right tool for the heat of a contest.

There is an alternative called "Quick Edit" (Ctrl+Q). Quick edit will return the last entered qso to the entry window to allow you to change it. Pressing enter will log the changes, ESC will abandon them. The Entry window text boxes change to blue to let you know you are in quick edit.

Was the mistake three QSO's ago? Then just press Ctrl+Q three times to get to it. The same rules about saving/abandoning apply here as well.

Note: There is no check if the entered contents is valid like is done when the qso is entered normally.
So check thoroughly what you type.

Meaning of Colors

The meaning of the colors is where possible consistent across all windows. The table below will give the meaning per window.

Color | Entry Window |  |  | Available Mult's and Q's Window |  | Check Window | Bandmaps
 | Call | Dupe | Callframe | Buttons | Mults |  | Calls | Frequencies
Gray | Dupe | Dupe | Dupe | Dupe |  | Dupe | Non workable |
Black |  |  |  | CQ Freq. |  |  | CQ Freq. | CW
Blue | QSO |  | QSO | QSO | QSO | QSO | QSO | SSB
Red | Multiplier |  | Multiplier | Multiplier | Multiplier |  | Multiplier | Out of band
Green | > 1 Multiplier |  | > 1 Multiplier | > 1 Multiplier | > 1 Multiplier |  | > 1 Multiplier |
Magenta |  |  |  |  |  |  |  | RTTY

Multipliers and QSO's

The program shows at many place if a callsign is a multiplier, a qso or a dupe. Please study the table with the meaning of colors above.

  • The windows
    • Entry Window
      • Callsign in callsign field : the color of the entered call will tell Qso, Dupe or Multiplier(s)
      • Callsign on the call-frame: the color of the entered call will tell Qso, Dupe or Multiplier(s)
    • Available Mults and Qs window - the button colors will tell Qso, Dupe or Multiplier(s)
    • Check window - the callsign colors will tell Qso or Dupe status
      • Mul: - multiplier on this band
      • Q: - qso on this band
        • Example: Mul: 15 20 Q: 160 80 40 10 - multiplier on 15 and 20 meter and a qso on the other bands
    • Bandmap - the callsign colors will tell Qso, Dupe or Multiplier(s)
  • The colors
    • Blue: Qso
    • Red: Single Multiplier Example: CQWW - qso is either zone or country multiplier (one multiplier)
    • ">">Green: Double or better Multiplier Example: CQWW - qso is a zone and a country multiplier (two multipliers)
    • Gray: Dupe

Connecting a telnet cluster

  • Select the tab: Telnet in the packet window.
  • Select a telnet cluster from the list in the upper right corner
    • This list can be changed in configurer at 'Config | Configure Ports, Telnet Address, Other | Select tab: Hardware', Select 'Edit' next to Telnet Cluster)
  • Click the button marked with your callsign, on the far lower right, or type your callsign in the left field at the top of the telnet tab. Do not click the CONN button, that's solely for RF packet

How to save the log

Well, there isn't a 'save' function because it is not necessary. Every change you make to the database, is stored 'on the fly', hence the absence of a 'save log' function. The ham.mdb file (default name) on your hard disk is the database where every contest is stored, along with lots of other information used by the program. Also there is no need to make a new file for each contest. Each new contest is stored in one and the same file. Just go 'File | Choose Which Contest to Log' Select 'Start a new log for a contest' and pick one out of the list, and you're all set to go. After a couple of years, there are dozens of contests in the database, for a total of a couple of thousand QSO's.

Now, you can make new databases, as many as you want. You can have separate databases for separate calls, separate contests etc. Most users however, only need 1 database. You can copy it to backup etc. Just be sure what you're doing when messing with files...

Function Key macros

You can't skip function key numbers. It is the position of the macro, not the number you identify it with.

The first 12 macros are RUN macros. If you then only fill in 7 S&P macros then 8 thru 12 will be the same macros as the ones you filled in for RUN. So in your example if you set up your {WIPE} macro for F11 in RUN and your S&P F11 was blank then the {WIPE} F11 key would work in both RUN and S&P.

If you want to fill in a blank macro enter the function key comma and a space. You have to put the space as you cannot create a blank macro.

If you want to go from S&P to RUN is a single keystroke then set the first S&P macro to CQ (without F1 in the description) and put the
command QRL? in the macro (Pete's trick). CQ,QRL? So hitting F1 would send QRL? and put you in RUN and start your auto CQ if turned on.

Editing (lookup) tables

(Lookup) tables are used widely throughout the program. Example tables are the function keys, telnet stations, exchange abbreviations etc. These tables can be updated by the user and mostly lines can be added at the bottom of the list or deleted where needed.

  • To Delete a row, click on the row "handle" - the gray arrowhead - the 'pensil' will move to it and the row will be selected, press the Delete key. >
  • To Inserting/Adding a row, click on the icon with the 'star', a new row will be added. A row can only be added if all columns are filled.
    • The column values will automatically be assigned a space so add a new row is direct possible.
  • To edit an entry select the field to update and enter the new information.

Backup and Restore

Information used by the program is partly stored in the database, partly in ini files and in some additional subdirectories. Examples are the WAV files (for the function keys) but also in the Letters directory. So when making a backup not only backup the MDB files but also some text files / or sub-directories. The best solution is to backup and restore the whole N1MM logger subdirectory. Backup/restore proposal 2 is a partial backup/restore.

Full backup/restore on same computer - proposal 1 - backup and restore the whole N1MM logger subdirectory
  • Backup
    • >Backup the whole N1MM logger subdirectory.
  • Restoring
    • Restoring the data is more or less the other way around. Restore the whole N1MM logger subdirectory.

Partial backup/restore on same computer - proposal 2 - make a partial backup and restore.
Storing all these settings (exported text files, wav files etc) next to all databases (mdb files) on a diskette, CD/RW or USB-pen in case of a computer crash would not be a bad idea :-)

  • Backup
    • All database (*.mdb) files
      • >In the database files are all contests with QSO's but also the function keys content, Station information etc. Compress the database to get them small.
    • N1MM Logger.ini
      • Windows Settings, radio settings, port settings, RTTY settings etc. i.e. everything in Configurer but also last contest used are are stored in the N1MM Logger.ini file.
    • Wav files
      • Which can be used by the program (SSB mode). They are in the WAV directory (for the function keys) and and in the Letters directory (sending callsigns etc).
      • Recorded QSO's are stored in subdirectories under the N1MM logger program directory (and can become very big).
    • More?
  • Restoring on the same computer - Restoring the data is more or less the other way around.
    • Restore All database (*.mdb) files
      • Restore the database file(s) back in the program directory (which is the default place but not necessary).
    • N1MM Logger.ini
      • Copy the saved file in the Program directory.
    • Wav files
      • Create the directories WAV and Letters directory and other directories needed.
      • Copy the wav files in them.
    • More?
Note: This is not the way to place the program on another computer, the first time you always have to install !.

Installation on a different computer

The difference with another computer is that you first have to install N1MM logger on the new computer , this to get all dll , ocx files etc. copied and registered. After that you may overwrite/add all *.mdb files, settings etc. in the N1MM logger program directory by copying and importing settings. See the restore procedure above.

You have to watch out if the settings like serial ports, directory structure, screen resolution etc. are different on the second computer. This could/will give trouble.

Copy, zip, cd/rw etc.

Compressing the database files for backup/restore with a program like WinZip really helps, these databases (but also Word files, Excel files etc.) compress a lot, mostly down to 10-25 percent of it's original size. This means that a 4 MB database fits easily on a diskette.

The database can be also compressed with File/Copy and compact database. This is not a zip compression. It recovers space from deleted rows. Most database engines do not recover deleted rows until a reorganization is done. They just mark them deleted. This is not the same compression as mentioned above when using zip compression. When doing a compact database the database can still be used afterwards by the program. Using zip compression is only for backup/restore purposes.

It is wise to make a regular backup of the whole N1MM logger subdirectory including all subdirectories to a CD recordable. Copying it to another hard disk (in the same computer but better on another computer when you have a network) is also a good idea.


Advanced Functions

In the 'Basic Functions' chapter the more standard routines like changing frequency, band and mode can be found. In this chapter the more advanced features are addressed. Not needed for everybody but nice when you think you need the,

Auto Send
 Call Stacking
Enter Sends Messages Mode (ESM mode)
 QSYing wipes the call & spots QSO in bandmap
Serial Number server
SO2R

Auto Send

Autosend ( Ctrl+Shift+M ) will start sending the callsign before you have finished copying a full callsign. i.e. starting after a certain number of characters has been typed AFTER the last number in the callsign. The minimum threshold is 1. Zero will turn off the feature. Only when in RUN mode.

The rules are:
  1. Find the first letter in the call.
  2. Find the last number after the first letter.
  3. Find the Nth letter after step 2.
Example: Threshold set to 2
  • W4WYP would start sending at Y
  • S57AD would start sending at D
  • KH6/WA4WYP would start sending at Y (using the "/" rule as well)
  • WA4WYP/4 would start at Y (/4 will not be looked at)
WYP, WWYP and WAWYP do not meet the criteria for autosend to begin.
Prefixes like KH6/ are ignored and do not themselves trigger the autosend threshold.

Call Stacking

This is a feature to 'remember' callsigns with their frequencies and then quickly work them. When retrieving the 'stacked' callsign the radio is tuned to the station.

  • Shift+Enter will enter a call from the callsign field on the 'stack'.
  • The stack is shown on the callsign frame when giving Shift+Enter.
  • Callsigns on the stack are shown with 3 dots added like W1XXX...
  • Go through the stacked calls with Shift+Enter (shown on the callsign frame) so Shift+Enter (stack) will pop the next contact after logging this one.
  • When stacking, the next time when the Entry window is clear with Alt+W or logging the qso, and pressing Enter, the stacked call will be entered, and the radio tuned to the station.
  • To delete a callsign from the 'stack' press 'Space' and log the call which appeared in the callsign field or Wipe (Alt+W) the callsign field.
  • The same call can be 'Stacked' only once on the same band.
  • A callsign can also be stacked from one radio to another when in 'Multi-User Mode'. So a second operator can stack a call on your PC, and he could find stations and stack them for you to work. They would stack just like you stacked them yourself. See the Multi-User section for Remote call stacking.

Enter Sends Messages mode (ESM mode)

Setting the option "Enter Sends Messages" in the Config dialog will enable a mode that allows you to make entire QSO's without using the function keys. ESM works for both running and S&P mode, but the messages are different for each mode. To set ESM, go to Config, and check Enter Sends Messages (ESM mode), or use the shortcut Ctrl+M.

Basic ESM Functionality
 When running, pressing 'Enter' with the callsign textbox empty will send CQ. If someone answers you, type in his callsign. Hit 'Enter' again, and the program will send the exchange. After entering the other stations info, hitting 'Enter' again will send the end of QSO message (TU/QRZ) and automatically log the contact. See the chart below for a detailed list of what is sent at various states of the QSO.

Here's a typical scenario where N1MM is calling CQ in the CQ WW CW Contest:

Hit "Enter" - sends CQ N1MM
PA1M calls in - type "PA1M"
Hit "Enter" - sends "PA1M 5NN T5", note that PA1M's zone is filled in for you.
PA1M sends "599 14" (zone matches what program filled in)
Hit "Enter" - logs QSO & sends "TU de N1MM"

That's 3 keystrokes + typing PA1M's callsign. Slick!

On the other end, the S&P station (PA1M) can also use ESM. During the same QSO:

You hear N1MM calling CQ - type "N1MM"
Hit "Enter" - sends "PA1M", note that N1MM's zone is filled in for you
N1MM sends "PA1M 5NN T5" (zone matches what program filled in)
Hit "Enter" - sends "599 14"
N1MM sends "TU de N1MM", completing the QSO and logging it

Once again, that's 3 keystrokes + typing N1MM's callsign. In some other contests, like CQ WPX, you will also have to type in the exchange, but in any contest ESM cuts the effort required to complete a QSO to a minimum.

Keeping track of which ESM "state" you are in can be confusing when things get hectic. To help you understand which state you are in, the function keys on the Entry Window will change color (aqua blue) to alert you which message will be sent next. The goal here is that it should always be obvious what will happen next.

There will be times when you get out of sync, or where you need to send something different than what the next "Enter" will send. Don't panic. Just press the correct function key(s) (F2, F4, etc as needed). If you finished out the QSO with the F-keys, just hit Alt+Enter, which will log the QSO without sending anything, and you are ready for the next QSO (and ESM is reset to the beginning state).

The cursor is kept in the callsign if you have entered a callsign that does:
  • not have a prefix and at least one characters suffix
  • prefix is a letter followed by a number
  • prefix is a letter followed by a number, letter, number combo.
When ESM is on, the space bar is used only when you need intelligent tabbing mostly between the callsign and the exchange field for instance to correct a call.
Note: If a CQ is being sent, typing a character in the callsign field while in ESM will stop sending a CQ message being transmitted (this can be set in the Function Keys Tab from the Configurer dialog using "Fill in his exchange while sending yours").

When the copy is solid, and no copying mistakes are made, ESM will just send the basic messages in the previous example. Depending on what information is in the Call window and Exchange window and what state the QSO is in, different messages can be sent. The chart below outlines the possible combinations of information in the Entry window, and what will be sent in each situation.

     |  | Running mode | S&P mode
Callsign field | Exchange field | Enter sends: | Enter sends:
Empty | Empty | CQ (F1) | My Call (F4)
New Call (1st time) | Empty or invalid | His Call + Exch (F5 + F2) | My Call (F4)
New Call (repeat) | Empty or invalid | Again? (F8) | My Call (F4)
New Call | Valid (before sending exchange) | His Call + Exch (F5 + F2) | Exchange (F2) + Log It
New Call | Valid (after sending exchange) | End QSO + Log (F3 + Log It) | Send Nothing + Log It
Duplicate Call | Empty or invalid | QSO B4 (F6) | - Nothing -
Duplicate Call | Valid (before sending exchange) | QSO B4 (F6) | Exchange (F2) + Log It
Duplicate Call | Valid (after sending exchange) | End QSO + Log (F3 + Log It) | Send Nothing
Dupe (1st time), Work Dupes unchecked | Empty or invalid | His Call + Exch (F5 + F2) | QSO B4 (F6)
Dupe (repeat), Work Dupes unchecked | Empty or invalid | Again? (F8) | QSO B4 (F6)
Dupe, Work Dupes checked | Valid (before sending exchange) | His Call + Exch (F5 + F2) | Exchange (F2) + Log It
Dupe, Work Dupes checked | Valid (after sending exchange) | End QSO + Log (F3 + Log It) | Send Nothing
NB: When in ESM and in S&P, If the cursor is not in the call textbox and the Exchange is not finished, the program will send " Again? (F8)"

When a dupe callsign is in the callframe, the call is put in the call textbox and highlighted.

The actual messages sent by each of those function keys (e.g. CQ Key, Exchange Key, My Call Key, etc.) are set in the configuration dialog ('Config | Change Packet/CW/SSB Digital Message Buttons'). There are 24 messages that can be set: the first 8 messages are for Running mode, and the second 8 for S&P mode. Each mode (CW, SSB, Digital) can have a separate set of messages, which are saved by the program. If the program is sending the wrong message, check here first! In the middle of the contest, you can also change the messages for the current mode by right-clicking on (one of) the message buttons in the Entry window.

How to prevent the cursor moving to next exchange field<

In ESM mode when running and trying to send a partial call entered in the callsign field, the cursor jumps to the report field before you can finish typing the call...

Solution 1

When you press Enter in ESM mode while running, the cursor will be placed highlighting the ?. If you type a letter, say "J", the ? will be changed, and you will have G4UJS in the callsign. Whenever you press the space bar, and the cursor is placed in the callsign, the ? will be highlighted, ready to be replaced without typing Del or Backspace...

When you are Running with ESM enabled and while entering you place a ? in the callsign field the cursor will not move to the exchange field but stay in the callsign field highlighting the ?

Solution 2

To enjoy all the ESM features and still stay synchronized with the pile-up, go to 'Config | Function Keys' and deselect 'Fill in his exchange'.

How to skip sending the callsign or exchange field (SSB)?

To avoid PTT when setting up ESM on SSB without sending a callsign or exchange put "EMPTY.WAV" as the wav file for the callsign and/or the exchange buttons. The program will not assert PTT and immediately simulate the space bar being pressed.

NB: The next button to be sent shows in turquoise. If you don't like what ESM will send, you may choose another.

QSYing wipes the call & spots QSO in bandmap

If you turn on this feature (in the Config menu), it will spot stations in the bandmap which you haven't worked yet or don't want to work all. These stations are not spotted on packet/telnet but only locally. Any call greater or equal to 3 characters that you don't work but have entered in the callsign field will be automatically spotted in the bandmaps when you turn the vfo to another frequency. This way you can place stations on the bandmap which you can't work direct (big pileup?) so want to store them somewhere. Also useful when you want to add stations to the bandmap who you don't want to (or may not) work but like to have the callsign in the bandmap so when searching for stations you know who is on that frequency so you can turn on.
All bandmap features work on these 'spotted' stations so they are easy accessible if needed. Self spotted stations are easy recognized because they are shown in bold.
This feature is also very useful in a M/S or M/M environment. Often there is a MULT station that is tuning the bands, but may not want to post the spot until the QSO has been worked by their own RUNNING station. (I do not wish to get into an ethics discussion, but this is done quite often) This feature allows the MULT station to build a band map full of calls for the RUNNING station to work when it gets a chance.

That means you can do the following:

  • Tune to 21200.
  • Enter VU2PTT.
  • Tune off.
  • VU2PTT is "spotted" at 21200, and the Entry Window is cleared.
  • Tune to 21208.
  • Enter G4UJS.
  • Tune off.
  • G4UJS is "spotted" at 21208, and the Entry Window is cleared.
  • Repeat as long as desired.
  • Go back and work all of them using Ctrl+Up and Ctrl+Dn to navigate.
Note: There is also a "Spot all S&P QSO's" option. It has a number of rules, but will spot everything you WORK on packet, if it has not already been spotted on the same frequency.

Serial number server

N1MM logger supports a single sequence of serial numbers for SO2R, MS, M2 and MM.

The serial number is reserved in
  • S&P mode when the cursor leaves the callsign field or the Exchange key (F2 default) is sent.
    • Either through spacing, tabbing, or hitting Enter in ESM or pressing the Exchange key.
    • This is needed so you can enter calls to check for dupes while not reserving a serial number.
  • RUN mode as soon as you enter a letter in the call-sign field.
    • This because on SSB people frequently talk before they type, and they need to see the serial number displayed earlier. A serial number is not assigned in S&P mode until the spacebar is pressed, so you can do dupe and check multipliers without committing a serial number to it, by entering it in the callsign field without pressing [Enter] or [Space].
In SO2R and SO2V, doing Alt-W (wipe) after a serial number has been reserved or wipe through QSY will "un-reserve" that number.

Because of the way the serial number server works, there are a couple of cautions:
  • Serial numbers issued by the second radio may be out of time sequence with those issued by the main one. This occurs because certain program actions cause a serial number to be reserved for the use of a station, and if that station does not use that number until after the other station has made several QSO's, when the log is viewed in chronological order the serial number will appear to be out of order. I don't think there is anything to be done about this.
  • For similar reasons, depending on operator actions at one or the other station, such as shutting down the program while a number is reserved, there may be some gaps (numbers not issued) when reviewing the final log.
  • The most important aspects of serial numbering are that the serial sent to a station be correctly logged, and that there be no duplicate serial numbers sent; N1MM logger seems to meet both these criteria.
  • Sometimes it's possible a number will be skipped when given out but not used (example: qso not made after all or deleted). Contest committees do accept this behavior!.
Most sponsors are more interested in serial number accuracy than in serial number time order. If you think about it, it is impossible to guarantee the order of serial numbers in a two radio situation. This assumes that you alwayslog the time when the QSO is added to the log, which is the right time from a rules point of view. i.e. end of contact.

How to start contest with other number then 001?

Some contests which have more parts/sessions there is the need to start a next session with the next number given in the previous part. So how to not to start with 001?
There are two workarounds
  1. Start second part as a separate contest and make the first qso with number 001 and log it, then correct (Ctrl+Y) to proper sent number.
  2. Start second part as a separate contest, enter fake QSO, open qso in EDIT window, change SENT number from 001 to last number you sent in the previous part of the contest, save changes, et voila, it's done. When a couple of real contacts entered, delete fake QSO.

SO2R

Single Operator 2 Radio (aka SO2R) is an operating technique that when done properly, can add many extra QSO's and multipliers to your log. This is accomplished by increasing your efficiency during "dead" time, specifically when you are sending on one radio. Efficiency is increased by listening on a 2nd receiver while you are transmitting on the 1st radio. On the 2nd radio you are scanning the bands for needed QSO's and multipliers. If you find a new station to work on the 2nd radio, you leave it staged on the 2nd Entry Window until you get a free moment to work this station. Even adding a few QSO's an hour will greatly boost your score.

A complete chapter has been devoted to SO2R.


Two Monitor Support

Original by Joe Natale, K1JN

Requirements

  • Requires Win 98 or better.
  • Additional videocard (only when the computer has one video output).
  • Additional monitor.

General

Using two monitors is easy and once you have used two you won't want to go back to using one.

To use two monitors is easy. The operating system takes care of everything. Just think of the two monitors as one - sitting side by side. You can move windows (apps) around. When you move to the right on the left monitor and reach the edge of the monitor, just continue and you will be on the left edge of the right monitor. So just open up the program you wish to use then move it on to the second monitor just drag it across to where you want it on the second monitor.

You only need one mouse and keyboard the mouse will move smoothly between the two screens just click the mouse on the monitor that is displaying the program that you wish to use and then the keyboard is available to that program. All of the windows setting and commands are available to both monitors and can be different for each.

Just fit a cheap PCI or APG graphics card into your PC and attach a second monitor and check the windows setting in the control panel under display to extend the desktop across the two monitors and then go and have fun.

Also some laptops support dual monitors. I.e. the laptop screen and one attached to it.

The best way to set up two monitors is to have the primary monitor on the left because many programs do not handle negative position numbers. They all should but they don't. If you do it with Primary on left all programs should work and remember positions. N1MM supports negative position numbers.

Two Monitor Setup

Install hardware

Many new computers have already two video outputs on the video card. In that case adding an extra card with a video output is not needed.

  • Shut down Windows
  • Open the case
  • Install a second video card (when needed)
  • Attach a monitor.
    • Any card/monitor will do, they don't have to be same as the one already installed, I used a Windows 95 era ATI Rage video card and an old Gateway 2000 CrystalScan monitor.
  • Close the case

Software

  • Start the computer and reboot
  • Windows should find the new card and monitor and install the software.
    • You will get a message on the 2nd monitor that says if you can read this, you can extend your desktop onto this monitor.
  • You do that by right clicking on the desktop and click on properties. Click on the settings tab. There will be icons for two monitors. Click on the one numbered 2 and check the box that says extend my Windows desktop onto this monitor.
  • Drag the monitor icons to set which is left and which is right.
    • The second monitor is actually an extension of your desktop, it will have the same wallpaper and color scheme. If you move the mouse cursor off the right edge of the left monitor, it shows up on the right monitor. The screen saver runs on the main monitor, but not the 2nd one here.

As far as the windows sticking, it varies by program. Luckily, in the case of N1MM Logger, they stick!

Example Setup

The picture below is a setup example from K1JN during the CQ WPX CW contest.
The left monitor is a 17" set to 1024 x 768 resolution, the right monitor is a 15" set to 800 x 600 resolution.

Left screen windows | Right screen windows
Both Bandmaps | Packet/telnet window
Log window | Info window
Entry window | Available mult's and Q's window
Check partial window | Score Summary window


Station Dialog

Your Station Dialog window will be similar to this one.

The information in this dialog is self-explanatory. Be aware that in order for the logger to calculate accurate beam headings, you will need to put your longitude and latitude into the appropriate fields. Also make sure that you enter your call as the station call sign. Many of the fields in this dialog are used when creating contests or during contests, so have them updated with with the correct values.

The Latitude and Longitude are used to calculate the distance and bearing to another station/country.
The Club normally has to be spelled out completely, so not YCCC but Yankee Clipper Contest Club (the dialog above is just a bad example!) to have it accepted (and counted) by the contest committee.
The e-mail address and SMTP server Address are being used for sending a bug report via e-mail. Your e-mail address and SMTP server address can be found in your e-mail program.

Help - Show the help file for this window.


Configurer Dialog

The Configurer Dialog or Configurer as we call it often has many tabs with program settings influencing the behavior of the program. Be careful in setting up all the items on the different tabs. All settings are remembered by the program in "N1MM Logger.ini"*. Keeping different versions of this file is a fast way to change between program configurations. Function key information, telnet clusters, call history, and country information are saved in the ham.mdb database and any new databases you may have created.
If you have not unchecked "Hide extensions for known file types" in Windows Explorer Options, you will not see "N1MM Logger.ini". You will see "N1MM Logger" with a Type of "Configuration Settings". Do not be confused by the file "N1MM Logger.ini.init". It is used by the program during installation. It should not be modified by the user of the program.

Hardware tab

The Hardware tab is used to set up your radios, packet interfaces, telnet connections and CW port. Set the values appropriate to your station. If you do not have one of the items listed, make sure the port selection is 'None'.

Hardware setup

The program supports 8 serial ports (Com1 - Com8) and 3 parallel ports (LPT1 - LPT3).
Select for each port what is connected and set the correct details.

Radio - The radio used and controlled by the program. Select 'None' if no radio is connected.
Digital - This port is used for digital communication (RTTY/PSK)
Packet - This port is used for packet radio (TNC) if selected. Do not select if no TNC is connected.
Other - This selection can be done in combination with a Radio, Digital interface or Packet. Select "Other" on the port, that is supposed to PTT your radio.
Details - A window is shown with a set of controls depending on the selections made above (Radio, Digital, Packet, Other). To the right of the details column are the details settings shown as set (via the Set button).

Set button examples

Details shown when Radio (non Icom) selected (serial port)

Details shown when Other selected (pin 17/16 fixed)
for a serial or parallel port

Details shown when CW and PTT are selected (serial port)

Details shown when only Digital selected (serial port)

There are many more combinations possible than the pictures above are showing.

  • Speed - The speed of the serial port to radio/if-interface link (check the manual of your radio/TNC)
  • Parity - The parity used (check the manual of your radio/TNC)
  • Data Bits - The number of data bits used (check the manual of your radio/TNC)
  • Stop Bits - The number of stop bits used. The default is 2 stop bits which is generally true for non-Icom radios. (Check the manual of your radio/TNC)
  • DTR - The following selections can be made (pin 4 on DB9 connector):
    • PTT - used for keying the radio
    • CW - used for sending CW to the radio
    • Always on - DTR is always 'high'
    • Always off - DTR is always 'low'
    • Handshake - DTR is used for handshaking
  • RTS - The following selections can be made (pin 7 on DB9 connector):
    • PTT - used for keying the radio
    • Always on - RTS is always 'high'
    • Always off - RTS is always 'low'
    • Handshake - RTS is used for handshaking
  • Icom Addr (hex) - The address for the radio used, enter without the H i.e. 26 not 26H. (This field is only shown when Icom is the selected radio)
  • Radio Nr - The radio where the information is valid for.
    • In SO2V ( one radio, two VFOs) select:
      • 1 - both VFOs used on the attached radio.
      • 2 - VFO-A attached to the radio and VFO-B in manual mode.
      • Both - will put both VFOs in manual
        • Don't forget to change the LPT keying from Radio 1 (default) to BOTH. Otherwise you will not get any keying on VFO B.
    • In SO2R select the radio (1 or 2) connected to this port.
      • If one LPT "other port" is set up as Both, and another LPT "other port" is set up as 2, route band data for second radio to second port.
  • PTT Delay (mSec) - The time between keying the radio and starting to send CW, a wav file or transmit a digital mode (only shown when PTT selected).
  • Radio PTT via command - Select when the PTT for the radio should be send as a command to the radio. Check if you want the program to turn on your radio prior to starting to send CW or a .Wav file. When checked, the radio will be set to transmit 40 milliseconds (default) before beginning the message, this is configurable using 'PTT delay (mSec)'.
  • Allow ext. interrupts - Allow external interrupts for this port when using a RigBlaster. It will bring focus to the Entry window and stop a CQ in progress when pressing the footswitch attached to the Rigblaster.
  • Winkey - Select when using a Winkey keyer. No Speed, Parity, Data bits or Stop bits settings have to be set, they are fixed and set by the program. Settings for the keyer can be done on the Winkey tab in the Configurer.
  • CW/PTT Port Addr - specify port address for serial and parallel ports.
    • When both RTS and DTR are set to PTT they will both be 'keyed' for PTT with the set 'PTT delay'.
    • Packet uses as handshaking RTS + XON/XOFF.
    • When using a home-brew self-powered interface set the handshaking to always on (DTR), always on (RTS)
    • Note: The address here should be the same as used for this port in Windows!
  • DVK - DVK interface for W9XT & other DVK's. Also recording is supported by the program.
    • NB. When DVK is selected, the Antenna selection via the LPT port is disabled.
    • The DVK pins and the antenna pins on the LPT port overlap.
Note. When setting up CW and your radio has two VFOs, set them up for Radio 1. The radio 1 CW port is for the first radio. If you want also CW on the second radio you also have to setup the CW-port for radio 2.

Telnet cluster

  • Telnet Cluster - The default telnet cluster to connect in the Telnet Window
    • Ctrl-D - delete a row in the table or use right click menu.
  • Edit - Edit Telnet selection list

Other information

It is possible to have the PTT on the same serial port as the radio.
If the type of CW port chosen is LPT1, LPT2 or LPT3, additional information will be present on the parallel port. See Radio Interfacing for more detailed info.
Help - Show the help file for this window.

Windows NT/2000/XP (32 bit OS)

Under 32 bits Windows operating systems using the parallel and the serial ports require a special dll which will be installed using the program: Port95nt.exe. A link to this file can be found in the installation section.

Files tab

The files Tab is used to set the path to the Buckmaster callsign database if present.

Field descriptions

  • Callsign database path - Used to identify the directory of the Buckmaster callsign database to be used by the logging program. Be sure to include a trailing '\' in the directory name. Make sure that the path to the CD is set correctly. You can set the path to the Buckmaster database here and type in the full path to the Buckmaster database on your CD. For example: If your CD-ROM is mapped to the 'E' drive, the full path is: E:\HAM0\
    Don't forget the back-slash '\' at the end of the path!
    Also, make sure to copy the HAMCAL32.DLL from the CD to the program directory where N1MM Logger is installed. On 'older' CD's, this file is located in the \API\WINDOWS directory. It may be located elsewhere on the newer CD's.
  • Recorded wav file path - The path where the recorded wav files are placed on your harddisk. In this path the directory with the contest name will be created.

Function Keys tab

Function keys for each message are set here.

Field descriptions

  • Monitor via PC speaker - The CW sent by the program plays via the PC speaker (only for Windows 95, 98, ME, disabled for NT/2000/XP machines)
  • Send Corrected Call (Before End of QSO Msg) - Send Corrected Call (Before End of QSO Message) - If the callsign is corrected after answering a call, then the corrected call will be sent before the End of QSO message (as configured by the End of QSO Key). E.g. 'PA1M TU DE N1MM' instead of 'TU DE N1MM'.
  • Send Partial Calls - Only CW. When sending a partial corrected call only the corrected part will be send (prefix or suffix). If not checked the whole call will be sent.

  • Work Dupes - Work dupes is for ESM in Run mode and don't send the QSO B4 Key. All it does is determine what is sent when a dupe calls you AND YOU PRESS ENTER. Normally you do want to work dupes. See the chapter 'Off topic' why...

  • Use Contest Word Spacing for CW - The box is defaulted ON for "Use Contest Spacing for CW". This setting changes the spacing between words in your CW, where "N1MM 599 5" is 3 words. Default is 6 bits for "contest spacing". When box is not checked, 7 bits between words is used, which is "normal spacing".
  • Send leading zeros in serial numbers (e.g. TT7) - CW: Insert leading "TT" to 1 digit serial numbers and leading "T" to 2 digit serial numbers in CW to make into 3 digit number. So 007 will become TT7 and 030 will become T30. Shorts like 1TT or 1T9 are not supported. RTTY: In RTTY zeros will be added, so 1 will become 001.
  • Stop Sending CQ when Callsign changed - Typing a character in the callsign field will stop a (repeated) CQ.
  • Fill in his exchange when sending yours (ESM mode) - When selected and in Enter Sends Message mode the cursor moves to the Exchange field when there is something in the Callsign field and Enter is pressed and does not keep the cursor in the callsign field. If you don't usually get a station on the first call then deselect this option.
  • String to use on CW between his call key and exchange key (default is one space) - Just as it says. Example ' ur '
  • Keycode of Ins Key Substitute - Enter the number for the Ins Key substitute as mapped below in this configurer dialog. Defaults to 186, the ; character. The program can automatically enter the keycode in this field . Place the cursor in the keycode field and press the key you want to substitute, it will put the correct keycode in. 186 is an extended key code. Not all keyboards map keys the same way. Note that you can't use a Shift, Ctrl, Alt etc. key. I would not advise using a key like Numeric + that is already in use. It may or may not work. In this case Numeric +, does NOT work.
  • Keycode of TU/Log Key Substitute - Enter the number for the TU/Log Key substitute as mapped below in this configurer dialog. Defaults to 222, the ' character. The program can automatically enter the keycode in this field . Place the cursor in the keycode field and press the key you want to substitute, it will put the correct keycode in. 222 is an extended key code. Not all keyboards map keys the same way. Note that you can't use a Shift, Ctrl, Alt etc. key. I would not advise using a key like Numeric + that is already in use. It may or may not work. In this case Numeric +, does NOT work.

Remapping Function Keys: Select which function keys to send messages. Each type of message has a combo box for you to set the appropriate function key. If the program is sending the wrong message check here first. The only restriction is that a key must mean the same thing in Running & S&P.

For the following messages a function key can be selected

  • CQ Key
  • Exchange Key
  • End of QSO Key
  • His Call Key
  • My Call Key
  • QSO B4 Key
  • Again Key

A function keys doesn't have to be unique for a selected message. There is little reason to do so although if you want it can be done.

Digital Modes tab

The Digital modes tab is used to set up the interfacing to external Controllers via the Serial ports or MMTTY which uses the sound card.

Field descriptions

  • Digital Interface 1 / 2
    • TU type
      • Other like the KAM, PK232, PTC and any other external TNC.
      • MMTTY soundcard software.
    • Port, Speed, Parity, Data Bits, Stop Bits, Flow Control - Have to be set when 'Other' has been chosen.
  • MMTTY Window Settings
    • Normal MMTTY Window - The normal size MMTTY window is shown. A restart of N1MM logger is needed to activate this function.
    • Small MMTTY Window - The small size MMTTY window is shown. A restart of N1MM logger is needed to activate this function.
    • MMTTY always on Top - MMTTY is always over all other N1MM logger windows. A restart of N1MM logger is needed to activate this function. Minimizing the N1MM logger program will not minimize the MMTTY engine.
  • DI-1 MMTTY Mode | DI-2 MMTTY mode
    • When using MMTTY, select if AFSK or FSK is being used.
    • If FSK is selected the serial port will not get passed to MMTTY on startup. The serial port has to be set in MMTTY Setup! More information in the RTTY support chapter.
  • DI-1 MMTTY Path | DI-2 MMTTY Path
    • The path to the MMTTY engine goes here including the file name from the program.
    • It's not necessary that MMTTY is in the same directory as N1MM logger.
    • Via the 'Select' buttons the path and file name can be selected.
    • DI-1 is for the first Digital Interface, DI-2 for the second Digital Interface.
    • It is possible to select two instances of MMTTY.

Other tab

The Other tab is used to set up default values and select special modes and functions.

Field descriptions

  • Packet Spot Time (min) - Indicates how long (in minutes) spots are kept in the bandmaps. The default is 60 minutes, any integer may be specified.
  • Repeat time in millisecs - Specify the repeat interval (CW or SoundBlaster) in the Entry window (Auto-CQ). The default value is 1.8 seconds. Enter a value in seconds or milliseconds. The maximum value is 32767. This is the same as Ctrl+R or 'Config | Set CQ repeat time' in the Entry Window.
  • Default # Spots in SH/DX/# - The number of returned spots by the SH/DX command in the bandmap window. The default value is 30 spots. The number of returned spots for the SH/DX command in the Packet / Telnet window is not affected by this value and has to be changed in the Entry window under 'Config menu | Edit Packet/Telnet Buttons'.
  • SSB Tuning Tolerance (Hz) - SSB mode: Clicking on or next to a station in the bandmap window will put the call on the callsign frame (if the callsign field is empty) of the Entry window. This value gives the maximum frequency distance to the call on the bandmap when it will be put on the callsign frame. The value has to be between 0 and 1000. The default value is 300.
  • CW Tuning Tolerance (Hz) - CW mode: Clicking on or next to a station in the bandmap window will put the call in the callsign frame (if the callsign field is empty) of the Entry window. This value gives the maximum frequency distance to the call on the bandmap when it will be put on the callsign frame. The value has to be between 0 and 1000. The default value is 300.
  • RTTY Tuning Tolerance (Hz) - RTTY mode: Clicking on or next to a station in the bandmap window will put the call on the callsign frame (if the callsign field is empty) of the Entry window. This value gives the maximum frequency distance to the call on the bandmap when it will be put on the callsign frame. The value has to be between 0 and 1000. The default value is 300.
  • CW Weight - Adjusts the CW weight. The default value is 50.
  • SSB Up/Down Arrow Incr (kHz) - This value gives the frequency jump amount in SSB by the up/down arrow keys. NB. Never make it smaller than the smallest step your radio can make in SSB. Older Icom rigs are known to have a smallest step of 100 Hz which is quite big. When the step is made smaller than the minimum step size the Up/Down Arrows don't seem to work...
  • CW Up/Down Arrow Incr (kHz) - This value gives the frequency jump amount in CW by the up/down arrow keys. NB. Never make it smaller than the smallest step your radio can make in CW. Most rigs have a smallest step in the order of 10 Hz. When the step is made smaller than the minimum step size the Up/Down Arrows don't seem to work...
  • PgUp/PgDn Incr (kHz) - This value gives the frequency jump amount for the {PGUP} {PGDN} macros.
  • Keep log of all QSO's to facilitate recovery of log- This is the transaction back-up log file. This journaling back-up text file has all QSO's from the contest in it. So if the database for some reason would become corrupt it is possible to import this file in a new database and go on with the contest.
    • When this option is selected the transaction log is created for each contest you log to.
    • The file is closed after each transaction and reopened to force the data to be written to disk.
    • To keep things simple and foolproof, you are not allowed to change the name of the transaction log.
      • The name is used to make sure you are loading it properly, and to prevent mixing logs of two contests.
      • Example name: 'ham.mdb - CQWWCW - 2005-09-19.LOG' i.e.: Used database name - contest name - date log created
    • You MUST import the transaction log into an NEW (empty) database.
      • Why? To prevent a user recovering from a database problem making the problem worse. This will prevent any issues from duplicate contacts and a number of other problems.
      • Use 'File, Import, Recover QSO's from a Transaction Log' to import the transaction log file.
    • As you load the transaction log, a new transaction log is automatically made with the transactions in the first log. Thus you should never have to merge logs. You always use the last one.
  • Format for DXSpider Cluster - This will send the right SH/DX message for DXSpider clusters from the button in the top of the bandmaps (Example: SH/DX/30 on 20). Also SH/QRZ will be sent instead of SH/BUCK. Only select this when connecting a DXSpider cluster. Connect the cluster and send: SH/VER A DX-spider cluster will say something like: DX Spider Cluster. The 'normal' setting is not selecting this option.
  • Auto-Completion Mode - Auto completion of callsigns. It works like Internet Explorer's address bar. If you type in a partial callsign, the program will attempt to match it with a call that you have already logged or is uniquely identified in the check window. If it matches, the rest of the call will be added to the callsign textbox and highlighted. You can then either accept the call as displayed, or keep typing. If you keep typing, the highlighted portion will be replaced by what you type.
  • Use Reverse CW - When selecting CW send the reverse CW string to the radio to use Reverse CW.

Winkey tab

The Winkey tab is used to set up the supported K1EL Winkey keyer.

Winkey is an external keyer designed by K1EL and G3WGV. The goal for the keyer is to interface with various Windows programs and to avoid CW timing problems caused by multitasking. This keyer eliminates any hesitation that occurs from scheduling multiple tasks under Windows. It is also a really sweet standalone keyer. Winkey is fed ASCII characters from N1MM Logger (via COM port only), and converts the ASCII to timed CW. For more info see the links page and the Supported Hardware page.

Field descriptions

  • Keying Mode - Select the keying mode. Choices are: Iambic A, Iambic B, Ultimatic and Semi-Automatic. The default is Iambic-B.
  • Autospace - Select when the autospace feature should be used.
  • Pot is wired with two leads - Select when the potentiometer on the board is wired only with two instead of three wires.
  • Pin 5 Function - Select the function of pin 5. The choices are:
    • PTT (default)
    • Sidetone
    • 2nd CW (second output)
    • None
  • Sidetone Frequency - Select the sidetone frequency. The default sidetone frequency is 469 Hz.
  • Reverse Paddles - Reverse the left and right paddle.
  • Lead Time - Lead time before sending CW in 10 mSec steps. Value must be between 0 and 250 mSecs.
  • Tail Time - Tail time after sending CW in 10 mSec steps. Value must be between 0 and 250 mSecs.
  • First Character Extension - First character extension in 10 mSec steps. Value must be between 0 and 250 mSecs.
  • Hang Time - Hang time.
Note. The speed is changed only unless the manual speed changes by more than 1 wpm.

How to setup Winkey in N1MM logger

Identify the port to control it. Check "Other" on that port. Click Set. Check Winkey. Now go to 'Config|Configure ports,other', and on the Winkey tab, make the relevant choices. The only subtlety is that if you are using Winkey's PTT you need to set a lead-time value of other than zero, and a tail time value sufficient to make Winkey hold in between characters of hand-sent CW. That's it.

NB Winkey needs a dedicated serial port.

Mode Control tab

The mode control tab determines how the mode will be controlled on the connected radio, whether the program sets the mode when changing frequency or not, and what mode it changes it to. This dialog also gives you control over how contacts will be logged. The bandplan currently supports CW and SSB.

Field descriptions

  • Mode recorded in log - Set how to determine the mode which should be entered in the log.
    • Use radio mode - use the mode received from the radio
    • Follow band plan (default) - use the mode the internal bandplan gives for this frequency.
    • Use contest mode or bandplan - if the contest is a single mode, use that mode. If mixed, use the bandplan (as above).
    • Use contest or radio mode - if the contest is a single mode, use that mode. If mixed, use the mode from the radio.
    • Always: - always use the mode selected here
  • Mode sent to radio - Select how to determine the mode sent to the radio
    • Don't change radio mode - do not sent info to the radio regarding mode
    • Follow mode recorded in log (default) - use the setting as selected above (Setting: Mode recorded in log)
    • Except change
      • Log mode RTTY to Radio mode - select the radio mode when the log mode is set for RTTY
      • Log mode PSK to Radio mode - select the radio mode when the log mode is set for PSK

Antennas tab

The Antennas tab gives control over which antenna should be automatically selected when selecting a new band. The parallel port is being used to give the needed code to an external Top-Ten type device box. The code to send to the box is setup in this dialog. To replicate the default Top-Ten behavior see the example setup in the Interfacing chapter.

When you press Alt+F9, you will toggle through all the antennas FOR THAT BAND. If there is only one, then no toggling will occur. When you change bands, the antenna switch will be changed to the antenna with the lowest code for that band. The selected antenna will show in the status pane. Commas are not allowed as separator if that's the decimal separator (in Windows).

  • Code - The code which will be presented on the LPT port.
    • Each code represents ONE ANTENNA not a band.
    • Code is binary code on the parallel port using the pins 9, 8, 7 and 2.
  • Antenna - Free text to describe the antenna, give a meaningful name here.
  • Bands - The bands on which this antenna should be used.
    • Use bands in MHz e.g. 1.8, 3.5, 7 etc.
    • Bands should be separated by a comma for multi band antennas.
    • An antenna may be used on any number of bands.
Note. When DVK is selected on the used LPT port, the antenna selection on the pins is not working because the DVK pins and the antenna pins do overlap.

Audio Setup

For the Two Sound Card SO2R ($5 SO2R) check the SO2R chapter.

  • Select at the top of the page the configuration to use. (example picture how to connect can be found in the SO2R chapter.)
    • 1 - Single Card - One radio, No Sound Card SO2R
      • One radio and one sound card to play wav files and record new messages and mute the microphone when playing wav files.
      • Only the top part of the dialog above (Tx Sound Card and QSO recording) has to be set up.
    • 2 - Single Card - Two radio, No Sound Card SO2R
      • Not SO2R but two radios and one sound card to play wav files and record both radios.
      • Only the top part of the dialog above (Tx Sound Card and QSO recording) has to be set up.
    • 3 - Single Card - Two radio, Sound Card SO2R, CW Only
      • SO2R with one sound card for CW only.
      • The drawback here is that no switching of the headphones is done.
      • You will have to wire a cable to the cd or aux input of a sound card in order to make use of this feature.
      • You'll need to define your radios as SO2R in the Hardware tab.
      • Both the top and bottom part of the dialog above (Tx Sound Card and QSO recording + Rx Sound Card) have to be set up.
    • 4 - Dual Cards - Two radio, Sound Card SO2R
      • Full SO2R with audio switching where two soundcards are needed.
      • Switching of the headphones is done.
      • You will have to wire a cable to the cd or aux input of a sound card in order to make use of this feature.
      • You'll need to define your radios as SO2R in the Hardware tab.
      • Both the top and bottom part of the dialog above (Tx Sound Card and QSO recording + Rx Sound Card) have to be set up.
Note. The configurer lets you pick parameters that your sound card may not support... usually 16 bit, 11025 Hz/sec is safe for all cards.
  • Tx Sound Card and QSO Recording Setup
    It is best to choose the default card for the Tx Sound card. This is because the CD input is not used for Tx and can be used normally. If you do use the default card for Rx, try connecting one of the radio inputs to an unused input like 'Aux'.
    • Select Device - Select the soundcard to use for sending Wav files (DVK) and recording QSO's
    • Select Input Line - Select the Input line for recording. If your microphone is connected to the soundcard this will be the 'Mic input'.
    • Select Line to Mute - Select the line to mute when playing wav files. This is also mostly the Mic input.
    • Recording Bits - Select 8, 16 or 24 bit recording. NB Your soundcard should support this or an Error 4 will appear when starting to record.
      • Select 8 bits and it will probably always work and make the smallest files (and good enough quality recordings)
    • Recording Sample Rate - Select the sample rate to record. The lower the rate the smaller the files but less quality recording.
      • Selecting 11025 is a good starting point.
    • Radio Input Port - Select the Radio Input Port which receives the audio from the radio. Mostly Line In. Only when configuration 1 or 2 selected, otherwise grayed out.
    • Max Recording Length (secs) - This is the maximum recording length of a wav file, when the recording is longer the first part will be discarded so always the last 30 seconds (in this example) will be recorded.
    • Recording channels - Select the number of channels to record, 1 or 2.
The output for Wave files from the computer to the radio/radios is always the 'Speaker Out' from the soundcard.
  • Rx Sound Card Setup (used for SO2R Headphone Switching)
    Two line-level inputs are required for SO2R. With almost all cards, you will have to use one of the internal inputs like 'CD' or 'Aux'. You will need to make a custom stereo cable. This part can only be selected with configuration 3 or 4, otherwise grayed out.
    • Device - Select the (second) soundcard to use
    • Left Radio Input Port - Select the Left Radio Input Port which receives the audio from the radio. Mostly Line In, CD or Aux.
      • Must be different from Right Radio Input Port.
    • Right Radio Input Port - Select the Right Radio Input Port which receives the audio from the radio. Mostly Line In, CD or Aux
      • Must be different from Left Radio Input Port.


Select Log Type Dialog

When starting a new contest you have to fill out the screen below. It can be found under: 'File | Select a New or Existing Contest Log'

Your Select Log Type Dialog will be similar to this one.

General

You need to understand a little about how the N1MM Logger stores contacts. The logger stores contacts in an Access 2000 database. Multiple contests can be stored in the same database. Within the database, contest information is stored in two tables. One table is for the contacts, and one is for the contest information shown in the Contest Specifics section of the dialog. In this second table the start date for the contest is stored. This start date does not affect what contacts are associated with that contest. If you log a contact while a particular contest is chosen, that contact is associated with that contest, no matter what the date of the contact or the contest. The contest date is only used to help you identify a particular contest.

The supported contest can be found in the chapter "Supported Contests".

A general log is the contest: DX. To do both CW and SSB in this 'contest' choose Mixed mode. Selecting SSB or CW will only allow the selected mode.
Note: Be sure to always load the most recent (and right) CTY.DAT file before entering a contest. Download the most recent country file from the Internet using 'Download latest country file (wl_cty.dat) (Internet)' in the Tools menu AND import it into the current database using 'Import country list from downloaded file'.

Sent Exchange: Do not enter the signal report as part of the exchange on this setup page.

Select a New Contest

To start a new contest select 'Start a new log for a contest'. On the upper right of the screen a contest can be selected by clicking on it. Fill in the details for your specific situation. The contest selection defaults to the correct mode based on the contest.

Which contests are supported can be found in the chapter 'Supported Contests'. Check the website for the latest rules and check the contest setup information in chapter 'Contest Setup Instructions'.

Delete Contest

To delete a contest, you must first click on the contest in the Previous Contest pane so it is selected, then press the Delete key.

Field explanations

  • Log Type: Make the choice for the appropriate contest.
  • Start date: The first day of the contest.
  • Operator Category: Make a choice for your situation.
    Choices are:
    • SINGLE-OP
    • SINGLE-OP-ASSISTED
    • MULTI-ONE
    • MULTI-TWO
    • MULTI-MULTI
    • SCHOOL-CLUB
    • CHECKLOG
    • SINGLE-OP-PORTABLE
    • ROVER
    • MULTI-UNLIMITED
    • MULTI-LIMITED
  • Band Category: Make a choice for your situation.
    Choices are:
    • ALL
    • 160M
    • 80M
    • 40M
    • 20M
    • 15M
    • 10M
    • LIMITED
  • Power Category: Make a choice for your situation.
    Choices are:
    • HIGH
    • LOW
    • QRP
  • Mode Category: Make a choice for your situation.
    Choices are:
    • CW
    • SSB
    • RTTY
    • MIXED
  • Overlay Category: Make a choice for your situation.
    Choices are:
    • N/A
    • ROOKIE
    • BAND-LIMITED
    • TB-WIRES (tri-bander and wires)
    • OVER-50
    • HQ

    The category overlay of the log submission when appropriate. In CQ-WPX CW and CQ-WPX-SSB, category overlay may be any combination of ROOKIE, BAND-LIMITED, TB-WIRES. In STEW-PERRY,category overlay may be OVER-50. In IARU-HF, category overlay may be HQ.

  • Claimed score: Claimed score for this contest
  • Button: Import Section List: Importing the contest section file for the selected contest.
    • This section list is used to determine multipliers for the contest which will be shown in the Multiplier window.
    • This button is only shown when the contest has a selection list.
    • The name of the list will be shown when pressing it (saving the file) like IOTA.SEC
    • Updating this file can be done with a Text editor like 'Notepad' when when rules have changed and sections need updating.
  • Button: Show Rules (Internet access required): Go to the website from the contest sponsor on the Internet where the rules can be found.
  • Sent Exchange: Contest-dependent, mostly a number, zone, state etc
    • Enter the exchange without the RS(T) !!
    • The result will be extra RST lines in the output files (Cabrillo, generic file output) !
    • The program will give a warning when a RST (alike information) will be entered.
      • Warning: "Don't put signal report in the sent exchange. It will cause incorrect cabrillo output."
  • Operators: Enter here all the callsigns from the operators. Clicking the button 'Update Ops from Log' will do this for you (most useful after the contest..).
    • Update Ops from Log - Clicking this button will transfer all operators from the contest log in the operators field.
  • Soapbox comments: Give your comments on the contest, results, propagation etc. This text is cleared when selecting a new contest.
  • Master.DTA Filename: Shows the selected master.dta file for this specific contest-specific (not contest instance-specific). E.g all qso parties will use the same master.dta filename. Defaults to master.dta.
    • The Change button gives the possibility to select a different master.dta file for this contest type
  • Ok - Leave this dialog saving the contents.
  • Help - Show the help file for this window.
  • Cancel - Leave this dialog without saving the contents.


Entry Window

Your entry window will be similar to this one.

There are two ways to move from field to field.

  • Tab or Shift Tab will move through the fields normally.
  • The spacebar will jump from field to field filling in defaults. Defaults like the callsign from the frame, the reports, and information from previous contacts with this station are shown in the log window.

    The spacebar is the preferred Tab character.
  • Button Assignments
  • Other Info (Running Check Box)
  • Status Bar Information
  • Callsign Colors
  • Other Features
  • Function Keys
  • Other Keys (Insert & Ctrl+Enter)
Menu system: File Edit View Tools Config Window
Help

Button Assignments

  • Wipe Alt+W - Wipe Out Entry Fields. Clear information about the current contact (equal to Ctrl+W).
  • Log It Enter - Write this contact to the database. Disabled when in reedit mode.
  • Edit - Edit additional contact information.
  • Mark Alt+M - Mark this frequency in the Bandmap as being in use. I.e. you don't want to take time to enter the call of the station using this frequency.
  • Store Alt+O - Stores the contact in the Bandmap where it will be shown in bold because it is self spotted.. The call will also be placed on the callsign frame.
  • Spot it Alt+P - Spot the contact on the current Packet/Telnet connection.
  • Buck - Display information on the current call using the Buckmaster callsign database. Note: hamcal32.dll must be in the start-up and the callsign database must also be set up properly in the Files Tab from the Configurer. If hamcall32.dll is not found it will use www.qrz.com to find the call.
  • F1 through F12 - Send the associated CW/Digital text or .wav file. Right click on the buttons to change labels and actions (or go into the menu). Running mode has 12 function keys and also S&P mode has 12 function keys. When Running the S&P keys can be found under Shift+Functionkey. See below for more info about the files send and the status of the Running indicator.
  • Shift+F1 through Shift+F12 - Send the associated CW/Digital text or .wav file from the opposite mode. So when the program is in Run mode pressing Shift will show the labels (and send the associated info) from S&P mode and vice versa. Each mode has 12 function keys. When Running the S&P keys can be found under Shift+Functionkey.
  • Esc - Stop sending the associated CW or .wav file. Also stops playback of recorded contacts.
  • Running Alt+U - Toggles "Running' box". When running is checked, the behavior of Enter Sends Messages mode changes appropriately. Additionally contacts are logged as being part of a run.
  • CW speed - The CW speed in wpm can be set using the textbox with speed & up/down buttons (only visible when CW mode is selected). Also Page Up and Page Down can be used to change the CW speed.

Callsign/Exchange Editing Features

  • Space Bar - moves cursor to the position the last position the cursor was in prior to leaving the Callsign or Exchange fields.
  • Tab - Move to the next field.
  • Shift-Tab - move to the previous field.
  • Home - moves cursor to beginning of the field it's in.
  • End - moves cursor to end of the field it's in.
  • Question mark (?) - Sends a ?, and will cause the ? to be highlighted when you reenter the field . E.g. N?MM will send what is typed, but automatically highlight the ? so you can replace it. A double ?, as in DL?K?A will highlight all text in between and including the ? marks. The first keystroke entered will replace all three characters.
  • Left/Right Arrow - moves cursor to left or right one position within the field it's in.
  • Backspace - delete character to the left.
  • Delete - delete character to the right.
  • Shift-Home - will highlight from the cursor insertion point to the home (beginning) of the textbox.
  • Shift-End - will highlight from the cursor insertion point to the end of the textbox.
  • Shift-arrow - will highlight as you press the keys. When you type the first character, it will delete the highlighted character.
Check out the chapter Key Assignments for all available key assignments by the program.

Other Info

Running Alt+U - Mark this contact as being part of a run (versus S&P).
    "Running" is automatically marked:
  • when you click on CQ-frequency in the Bandmap window
  • when you are in tuning range of your CQ-frequency (on that band)
  • when you pressing Shift+F1(= CQ-button) when in Search and Pounce mode (this can be changed on the Function Keys tab from the Configurer dialog.
  • when clicking on the green dot when it shows SP (Search & Pounce)

Status Bar Information

  • Left pane - Information
    • After entering a callsign - Country, Zone, Continent
    • Otherwise - Messages (like error messages, results from commands etc.)
  • Middle pane - QSOs /multipliers (/zone) depending on the selected contest
  • Right pane - Current score

Callsign Colors

There are two places where a callsign can be shown in the Entry Window , in the Callsign field and on the callsign-frame.

Red | Single Multiplier Example: CQWW - qso is either zone or country multiplier (one multipliers)
Green | Double or better Multiplier Example: CQWW - qso is a zone and a country multiplier (two multipliers)
Blue | New contact
Gray | Dupe contact or an unworkable station in a non-workable country This means that you don't need this station because he is a dupe or you are not even 'allowed' to work him in this contest according the contest rules.

The red and green dots (LEDs)

On the Entry Window a green and/or a red dot (LED) might be shown. The LEDs are visual aids that help you easily identify what is happening on each radio. This is part of N1MM's continuing philosophy of letting the operator easily know what's happening at any give time.

Dot/LED colors used:

Green dot/LED - This VFO/Radio has receive (RX) and keyboard focus. RX and keyboard focus are always together.

  • Inside the green dot the Ru/SP (Run/S&P) designators are shown. Ru means the station is in running mode, and SP means the station is in S&P mode
    • when clicking on the green dot it toggles between running mode (Ru) and Search & Pounce mode (SP)
  • RX/keyboard focus can be toggled between the VFOs/radios by
    • using a mouse to click on a free space in one of the two Entry windows
    • pressing the \ key (backslash)
  • To move both Transmit and Receive focus
    • pressing Ctrl+Left-Arrow / Ctrl+Right-Arrow will move both foci to the left and right radios

Red dot/LED - This VFO/Radio has transmit (TX) focus

  • Transmit (TX) focus can be changed between the VFOs/radios by pressing the Alt-F10 key
  • To move both Transmit and Receive focus pressing Ctrl+Left-Arrow / Ctrl+Right-Arrow will move both foci to the left and right radios
  • When transmitting the TX focus can not be changed
  • When the VFO had TX focus, the LED is dark red. When that VFO is transmitting, the LED changes to bright red
  • Inside the red dot the R (Repeat) designator is shown when Repeat mode (for CQ-ing) is active
  • Inside the red dot the D (Dueling CQ) designator is shown when Dueling CQ is active

The Entry Windows

The program has two Entry windows. When using both bandmaps/both VFOs, both Entry windows are needed to make QSOs on both VFOs!

The standard Entry window, which is always open, is being used to transmit on VFO-A (SO2V) or the left radio (SO2R).
The second Entry window is being used to transmit on VFO-B (SO2V) or the right radio (SO2R). The second Entry window can be opened by entering a backslash \ in the first Entry window.

If two Entry windows take up too much space, position the second Entry window over the first Entry window. "\" will toggle you from one to the other (typing focus) or use Ctrl+right/left to move transmit and typing focus. The Entry window can be resized if the two needed Entry windows take to much screen space.

Most SO2R operators get the most efficiency while CQ-ing on 1 radio, and S&Ping on the other. The below Entry Window examples reflect a typical setup: The left VFO (A) is now assigned to running, and the right VFO (B) is assigned to S&P.

All of the features that are available to the single radio operator also work in SO2R/SO2V. For example, when tuning the band with the S&P VFO, spots that are in the bandmap are automatically inserted into each call frame (above callsign entry window) when you tune across the frequency of the spot. Hitting the space bar will pull the callsign from the call frame into the QSO field. Then if a station calls you on the run radio, toggling back and forth between Entry Windows with the \ key or Ctrl Left/Right arrows will keep the information in each Entry Window until the respective stations are logged, wiped clean via Alt+W or Ctrl+W, or you QSY and the callsign is entered into the bandmap (if "QSYing wipes the call && spots QSO in bandmap" is selected). Most people who are comfortable with Logger tend to use the reduced size Entry Windows in the examples above. All of the vital information an operator needs is displayed in the smaller window.

The second Entry window will be opened when a call is clicked in the second bandmap and it is not open.

More SO2R info can be found in the SO2R chapter.

In SO2V (one radio - two VFOs = 'normal' operation) QSOs made on VFO-A have to be entered in the standard (first) Entry window. Making a QSO on VFO-B (so transmitting on VFO-B) has to be done by using the second (VFO) Entry window. So when using both bandmaps, both Entry windows are needed to make QSOs on both VFOs.
When a call from VFO-B is entered in the first Entry window you will transmit on the wrong VFO. Select the correct Entry window!

Other Features

  • When a callsign is entered info about the country (bearing, distance etc.) is shown just above the status bar.
  • When a callsign is entered and the station is a dupe moving to another frequency will automatically clear the callsign field (and place the station on the bandmap)
  • If in the callsign typed there is a question mark (you didn't get the complete call the first time), the cursor highlights the ?, so that when you type, it will replace it. When in Enter Sends Message (ESM) mode a ? in the callsign field Enter doesn't move focus to the Exchange field but highlights the question mark. A callsign with a question mark in it can not be logged!
  • Clicking on the Exchange pane will have the same effect as pressing Space when the cursor is in the callsign field.
  • When both bandmaps are closed the frequency and mode are shown on the title bar before the contest name.
  • When tuning the band and a station on the bandmap is within tuning range, this call will be placed on the Entry window callsign frame. When the callsign field is empty, giving space will copy the callsign from the Entry window callsign frame to the callsign field. Also clicking on the callsign in the callsign frame will place the this callsign into the callsign field, replacing anything that was previously there. The tuning range can be set in the configurer (Other tab).
  • Set Frequency in callsign field - The frequency from the first VFO (A) can be set by entering a frequency or offset into the callsign field. Decimal points and comma's are allowed in (split) frequencies in the callsign pane. Placing a / in front of the frequency or offset will set the second VFO (B). Also Split frequencies can be set here, see the chapter Basic Functions for frequency change and split frequency examples.
  • Set Mode in callsign field - The mode can be set by typing CW, USB, LSB, SSB, RTTY, AM, FM, DIGI, PSK or SSTV into the callsign field.
  • Ctrl+P - Spot the station entered in the callsign field as a spot to the active cluster connection, either packet or telnet. You will be prompted for a comment. If no station is entered in the callsign field, the last logged station this session will be spotted. Macros are accepted in the comment sent.
  • Ctrl+O - Change the callsign of the operator. If you are multi-user, you will be prompted for the operator at the first call logged. The default is the callsign in the station information dialog. Entering "OPON" in the callsign field will also prompt for an operator callsign.
  • Auto-call completion - As you are typing a callsign in the callsign field, if a unique match to your log or to the check window call occurs, the remaining characters in the call are added to what you have already typed. They will be highlighted, so that if you continue to type, you will replace the characters automatically added.
  • Auto-CQ - Alt+R toggles the CQ button to give CQ once or repeat. The on/off on the status bar determines if the next CQ will go into repeat mode. The only way to stop the repeat (mid stream), and to get completely out of it, is to hit Escape.
    • Ctrl+R sets the period of repeat in seconds or milliseconds.
    • Alt+R turns repeat mode on or off.
      • If repeat mode is on, CQ will always repeat (CQ needs to be somewhere in the caption or the text of the function key).
      • If repeat mode is off, CQ will not repeat.
      • A 'R' will be shown in the red status 'led' when repeat mode is on.
    • The repeat timer for CW and SSB is for the interval from when you stop sending CQ until CQ resumes.
      • When using an External DVK there is no stop sending indication and CQ will not repeat.
  • Shift+Ctrl+Fx - Record SSB message for the assigned function key. Pressing Shift+Ctrl+Fx again stops the recording. Fx can be F1 to F12.
  • Ctrl+Alt+Fx - Record external DVK memory 1 to 4. Fx can be F1 to F4. An external DVK has to be connected and configured on a LPT port.
  • Enter sends messages - the so called 'Enter mode' or 'ESM' mode. An entire normal contact (CQ & S&P) can be handled with the Enter key. More information is given in the chapter Basic Functions.
  • Automatically Spot all S&P QSO's - Spot the contact automatically when you log it (only when in S&P mode).
  • "Quick Edit" (Ctrl+Q/Ctrl+A). - Quickly edit the QSO's worked before in the log.
    • Ctrl+Q - moves back one QSO
    • Ctrl+A - moves forward one QSO.
    • Enter - logs the changes made and brings you back in normal logging mode.
    • Escape - discards the changes made and brings you back in normal logging mode.
    • If the text boxes in the Entry window are colored blue, you are in Quick Edit mode, also "QuickEdit" will be shown in as the callframe caption when re-editing QSO's. Quick Edit starts editing with the highlighted contact and you can move forward or back from there.
    • There is no check if the entered contents is valid like is done when the QSO is entered normally. So check thoroughly what you type.
  • The program will display a warning if it suspects that the computer time is wrong (by checking local time & time zone ).
  • Call Stacking - This is a feature to 'remember' callsigns with their frequencies and then quickly work them. When retrieving the 'stacked' callsign the radio is tuned to the station. A call stacking example is given in Basic Functions chapter.
  • Using both VFOs when 'Running' - When using the main VFO to transmit and the other to receive (split mode) after each logged QSO the RX frequency will be made equal to the TX (main VFO) frequency. It's there to let you use the main frequency control as an RIT. It resets after every RUNNING QSO.
  • Automatic antenna selection can be used. Antennas have to be set on the Antenna tab from the Configurer dialog and can be controlled using an external box on the parallel port. When you press Alt-F9, you will toggle through all the antennas FOR THAT BAND. If there is only one, then no toggling will occur. When you change bands, the antenna switch will be changed to the antenna with the lowest code for that band. The selected antenna will show in the status pane.
  • Alt+' (Alt+single quote) toggle between the wide and narrow filter for the selected mode (SSB, CW and Digital modes). This hot key will work whether you have changed your filter codes or not. Filter codes can be set in the the bandmap right click menu.
  • Pause - swap radios and match keyboard to radio.
  • A warning message will be shown if user tunes away before logging a qso in the Entry window with a correct entered exchange.
  • Exchange field validation:
    CQ Zone | only allow numbers, tab, space, backspace
    Section | only allow letters/numbers
    Exchange | only allow letters/numbers
    Grid | only allow letters/numbers
    Power | only allow letters/numbers
  • K1TTT's call checking function has been implemented. When a callsign is entered it is checked against a pattern file to see if the callsign entered is a possible callsign. A warning will be given in the Check window when this is not true. The checking in done using a set of rules in the file CALLSIGN.PAT. Note that the call checking function only works for HF (no WARC) and only for CW and SSB. More information in the chapter Call Checking.
  • When a SH/DX command is entered in the callsign field it is passed to the packet window for processing.
  • Show windows when radio frequency changed - This function will bring the program on top when the radio frequency is changed.
    • This only happens when there is another program on top of N1MM logger like your Internet browser, e-mail client etc.
    • A radio is attached (to get the frequency change from).
    • When N1MM logger is minimized nothing will happen.
    • This function is standard behavior and is always enabled.

Function Keys

General

The program has 24 possible programmed messages assigned to the function keys. There are two sets of messages, Run messages and Search and Pounce messages. The first twelve messages you enter are presumed to be Run messages F1 to F12, the second twelve, Search and Pounce messages F1 to F12.

The function keys can be remapped , this can be done in 'Config |Configure Ports, Telnet Address, Others | Tab: Function Keys'.

The function keys can be stacked. This means you can press several function keys behind each other which will all be send in the selected order. The text from each key will be fully sent (CW & SSB).

When hovering with the mouse over a function key button the text to sent is shown.

Running mode and S&P mode

If "Running" is checked, you will see the Run messages, if not, you'll see the Search and Pounce messages on the function keys. SHIFT REVERSES THE MEANING OF THE ABOVE RULE.
When you press Shift, the labels will change (if you made them different) and the text from the "Running" keys become the text from the "Search & Pounce" keys and vice versa.

Running mode is determined by whether you are on a CQ-Frequency or when the 'Running' indicator is marked. There is one CQ-Frequency per band. Swapping VFOs may possible swap between Running mode and Search & Pounce mode. Running mode is based on the TX frequency.

Moving away from the frequency on which you were in Running mode will place you automatically in Search and Pounce mode. Going back to the Running frequency will put you back in Running mode (the 'Running' indicator is marked again), clicking on the 'CQ-frequency' in the bandmap also will place the program in Running mode again. An exception is when you are working split i.e. transmit on one VFO and receive on the other. Moving around will not change Running mode into Search and Pounce mode.

Note that if you are in Search and Pounce mode, to call CQ, you will need to press Shift+F1 or first change to Running mode by pressing Ctrl+U (or clicking the Running indicator). That will automatically place you in Running mode , the Run indicator will be set, and you can press F1 from that point on.

Default Function keys
F1 | CQ key | F5 | His Call Key | F9
F2 | Exchange key | F6 | QSO B4 Key | F10
F3 | End of QSO Key | F7 |  | F11
F4 | My Call Key | F8 | Again Key | F12

The above mentioned function key assignments are the defaults. The function keys can be remapped in the 'Configurer' dialog.

Just put 24 messages (for CW/Digital) or 24 wav files for SSB in order. They will map to F1-F12 (first 12 are for Run mode) and Shift+F1-F12 (second 12 are for S&P mode). Keys not programmed in S&P mode take the value of that key from Running mode (if programmed). This means that when the F5 key in S&P mode isn't programmed, the F5 key from Running mode will be shown (and used) by that function key in S&P mode. If you want you can come close to CT compatibility.

Therefore the text sent by and shown on the function keys depend on the Running mode indicator!

More info about Running and S&P mode can be found in the Basic Functions chapter.

Note 1: There may not be any 'holes' in the function key lines with skipped function keys. ALL preceding function keys must at least have a line in the table.
Example: You'd like to have a different S&P F3 key than the Run F3 key. First you have to add the 12 Run lines in the table, after that the S&P lines for F1 + F2 +F3 which you liked to change for S&P. So at least 15 lines in total have to be in the function key table (12 run + 3 S&P).

Note 2: The text F1 (etc.) in the left column is only text and has no intelligence/meaning for the program. You could remove it and change it to any text you like, which will show on the Function key in the Entry window. The order of lines determines what the key will do. Examples: line 5 is Run F5 , line 11 is Run F11, line 17 is S&P F5 (17-12=5) etc.

Other Keys

    Key | Send function key(s) | Action(s)
Insert (middle) | His Call Key & Exchange Key | Send His Call followed by the Exchange.
; (same as Insert key) | His Call Key & Exchange Key | Send His Call followed by the Exchange.
Alt+Enter |  | Log the contact.
' | End of QSO Key & Log contact | Will send the End of QSO message and logs the contact.
Alt+Ctrl+Enter |  | Log a not accepted 'invalid' qso (invalid exchange etc.). It will prompt for a comment. Use 'View | Notes' to correct later. When no comment is entered "Forced QSO" will be added to the comment field.

Background: The ; and ' keys were added to make touch typing much easier for those who use the Insert and + keys for working and logging QSO's. It is impossible to touch type and easily hit these very often used keys. If you have ever operated at a Multi-multi event with many different keyboard layouts (QUERTZ, QUERTY, German, Dutch etc.) you will have noticed that each keyboard layout has these keys in different places. Using keys like ; and ' helps standardize often used keystrokes the keys to use can be set in the Configurer under the Function keys tab.

File Menu Selections

Note: a database is a single Access 2000 database file. It has an extension of .mdb. In each database are held zero or more general or contest logs. For the time being, only one contest or general log within a database may be viewed or edited at a time.
  • Choose Which Contest to Log - Choose an existing contest or create a new contest (within the current database). More info in the chapter 'Select Log Type Dialog'.
  • New Database - Create a new log database. Change the proposed name (new.mdb) into a meaningful name for the use or contents of this new database. From now on this database will be opened by default at startup of the program. Use Open Database to select another Database which will become the default database to open. Many contests can be stored within one database. Always use a separate database for testing new versions of the program and make regular backups of the N1MM logger directory with all it's contents but with at least the database files ( *.mdb) with 'real' contest QSO's.
  • Open Database - Open an existing log database. A selection can be made from databases already created. Many contests can be stored within one database.
    Warning: All setup information like station info, telnet clusters, function key information etc. is stored in the current database. When creating a new database this information is copied to the new one. Changes are always stored in the current open database. So when opening an old database all the stored information has to be checked if still valid and changed where needed. This can be done partly automatic by using the export and import functions for packet/telnet buttons and function keys.
  • Copy (and Compact) Database - Copy the database to a new database file, and compress the data at the same time. Change the proposed name (new.mdb) into a meaningful name. This function can be used to reduce the size of the database after importing a new CTY.DAT file or after deleting contests. The original database is not changed, nor does the program start using the new database, unless Open Database is subsequently used to open the new database.
    Note: Copying a database also compresses it. If you have deleted contests from your database, you may want to copy it to reduce the space it takes up. Deleted contests and contacts are definitely gone after this action!
  • Copy This Contest to Another Database - Copy the key/button information and QSO's from the current contest to another database. The database should exist, if not create it first with 'New database'.
  • Repairing a corrupted database (Internet) - This is a link to the Microsoft Web site on how to fix a corrupted Access databases. A program to fix can be downloaded there (Jetcomp.exe). This file can also be download from the N1MM website under the menu item 'Other files'.
  • Import
    • Import ADIF from file... - Load the data from an ADIF file into the current database. ADIF is being used to import into and export from many contest and logging programs. It is not possible to import a contest if the contest ID doesn't match the current contest. So the exported and imported contest have to be the same. If not look in the FAQ section what to do.
    • Import Call History - Some contests use exchanges which are very often the same the next contest you work a station. This table can be used by some of the contests to show information in one of the exchange fields or fill a macro when a callsign is entered. This information can be Name (RTTY friends file), Grid square, age, etc. For more information see the Before the Contest chapter and for vhf the VHF and up contesting chapter (VHFREG1 is a VHF contest which uses this table to fill the grid square). When importing a new file with information the contents of the CallHist table will be deleted first. So export first if you want to keep the content!
    • Recover QSO's from a Transaction Log - Import the created transaction log file. This file is created when on the 'Other' tab in the Configurer the option 'Keep log of all QSO's to facilitate recovery of log' has been selected. More info in the Configurer chapter.
    • Import Packet/Telnet Buttons from file... - Import the contents of the Packet/Telnet buttons file (*.mc). This way for every kind of packet cluster or different locations a separate set of Packet/Telnet Buttons could be created.
    • Import Function Keys to file... - Import the contents of a saved function keys file (*.mc). This file can be edited with a text editor like Notepad before importing.
      • SSB Function Keys - import the SSB function keys.
      • CW Function Keys - import the CW function keys.
      • Digital Function Keys - import the Digital Interface function keys (not the extra keys from the Digital Interface).
  • Export
    When the "Save File" window prompts for a filename the default is [callsign.txt]. If your contest call sign was N1MM/P, put something like "N1MM_P.txt" The / and many other characters are a no go in the Windows OS.
    • ADIF
      • Export ADIF to file... - Create an ADIF file. This file can be used to import into a logging program or contest program (like this one). Deleted QSO's are not exported, select the 'DELETEDQS' contest to export these.
      • Export ADIF to file by date... - Create an ADIF file from the selected contest from the date set. The first time the default date from which QSO's will be exported is 1900-01-01 (yyyy-mm-dd). The second time the default date and time will be shown by the program and will be the moment you last exported with this option. The date/time can be changed if necessary, i.e. when opening another (older) database. This function is especially useful when you liked to export the generated ADIF file into a (general) logging program to do award tracking etc. Deleted QSO's are not exported, select the 'DELETEDQS' contest to export these.

    Export All QSOs by date

      • Export ADIF to file by date from all contests... - Create an ADIF file from all QSO's in all contests when the current contest is DX. Otherwise, it exports only from the contest you are logging in. The first time the default date from which QSO's will be exported is 1900-01-01 (yyyy-mm-dd). The second time the default date and time will be shown by the program and will be the moment you last exported with this option. The date/time can be changed if necessary, i.e. when opening another (older) database. This function is especially useful when you want to export the generated ADIF file into a (general) logging program to do award tracking etc. Deleted QSO's are not exported, select the 'DELETEDQS' contest to export these.

    Export All QSOs by date

      • Export ADIF to file by Multi-User Station Number - Create an ADIF file from all QSO's from one station in a Multi User environment when you are currently logging DX. Otherwise, it exports only from the contest you are logging in. A station number has to be given after which a filename can be given for the ADIF file to generate.
      • Note: When using ADIF export and the contest name contains "RTTY" or "JARTS" the export mode is set to "RTTY" even when the log file shows otherwise (i.e. LSB).
    • Export Cabrillo to file... - Create a Cabrillo file for contest log submission. Make sure that the Station information Tools/Edit Station Data) and overall contest information (File/ Choose Which Contest to Log ) is correct before creating this file. It is also a good idea to rescore the contest before submitting.
    • Export REG1TEST to file by band... - Create a REG1TEST file which is a regular file format used for VHF contests in Europe. A separate file will be created for each band with QSO's made on it. Not fully ready yet.
    • Export Call History - Exports the information in the Call History table. This table can only be filled by using Import Call History.
    • Export Packet/Telnet Buttons to file... - Export the contents of the Packet/Telnet buttons to file (*.mc). Exported Packet/Telnet buttons can be imported using the menu item 'File | Import Packet/Telnet Buttons from file...'. This way for every packet cluster or different locations a separate set of Packet/Telnet Buttons could be created. The exported file can be edited with a text editor like Notepad.
    • Export to File (Generic)
      • Export to File (Generic), order by QSO Time (normal) - Creates a generic file named [callsign].txt from the contest log ordered by time (and not by band). In some cases this is the file needed by the contest manager. This file can also be used to import into a spreadsheet or database program or your logging program if it can't import ADIF format. The exported file can be edited with a text editor like Notepad.
      • Export to File (Generic), order by Band - Creates a generic file named [callsign].txt from the contest log ordered by band, per band ordered by time. In some cases this is the file needed by the contest manager (like in VHF and up contests).
    • Print Score Summary to File - Print a summary sheet to a file with the default name [Callsign].SUM Example: N1MM.SUM The number of contacts printed on the Summary sheet is without dupe contacts. The exported file can be edited with a text editor like Notepad.
    • Export Function Keys to file... - Export the contents of the function keys to file (*.mc). Exported function key settings can be imported using the menu item 'File | Import Function Keys to file...'. This way for every contest a separate set of function keys could be created. The exported file can be edited with a text editor like Notepad. The length of the macro to export can not be longer than 70 characters long and the caption can not be longer than 9 characters wide.
      • SSB Function Keys - Export the SSB function keys.
      • CW Function Keys - Export the CW function keys.
      • Digital Function Keys - Export the Digital Interface function keys (not the extra keys from the Digital Interface).
  • Recently used contests/databases - The most recently used contest/databases will be shown here with a maximum of ten.
  • Exit Alt+F4 - Quit the program. If two Entry windows are open the program will not exit. If unlogged contacts are in the Entry window you will be prompted with the dialog below.

    Exit warning when having an unlogged contact

Edit Menu Selections

  • Wipe Out Entry Fields Ctrl+W - Clear information from the current contact (equal to Alt+W).
  • Edit Last Contact Ctrl+Y - Open a dialog to allow all fields for the last contact to be modified.
  • Add a Note to Last/Current Contact Ctrl+N - Add a note to your the current contact in the Entry window or the last QSO logged when no callsign is shown in the Entry window.
  • Edit Current Contact - Open a dialog to allow all fields for the current contact to be modified. Double clicking in the Log window on a contact will open the same dialog.
  • Quick Edit Previous Contacts (Back) Ctrl+Q - Quickly edit the QSO's worked before in the log. Ctrl+Q moves back one QSO, Ctrl+A moves forward one QSO. If the text boxes in the Entry window are colored blue, you are in Quick Edit mode. To exit, press enter to save changes or Escape to abandon changes.
  • Quick Edit Previous Contacts (Forward) Ctrl+A- Quickly edit the QSO's worked before in the log. Ctrl+Q moves back one QSO, Ctrl+A moves forward one QSO. If the text boxes in the Entry window are colored blue, you are in Quick Edit mode. To exit, press enter to save changes or Escape to abandon changes.
  • Increase Received NR by 1 Ctrl+U - Increase the number in the exchange field by 1. You will find this useful during serial number contests when you are in a pileup and you need to keep incrementing the DX station's serial number because you can't get him in the log...
  • Find first Ctrl+F - Find the callsign entered in the callsign field in the log, when not found, a message is shown.
  • Find next Ctrl+G - Find another instance of the call entered in the callsign field in the log, when not found, a message is shown. You have to start with Find First (Ctrl+F) for the first instance to be found.

View Menu Selections

  • Max Rates - View 1 minute, 10 minutes and 60 minutes highest rates for the contest. The content shown can be saved as a text file by clicking on the Save button or by right clicking to the clipboard using the menu item: Copy text to Clipboard.
  • Off Times - Show off times. Shown is the start and end of the period and the minutes off time, if the operator is known it will be shown. Also the total off time is given in minutes and days/hours/minutes. If a contest does not have an off period, I set it at 30 minutes. The content shown can be saved as a text file by clicking the Save button or by right clicking to the clipboard using the menu item: Copy text to Clipboard.
  • Runs - Shows all runs. These are the periods between band changes and includes off times. The content shown can be saved as a text file by clicking the Save button or by right clicking to the clipboard using the menu item: Copy text to Clipboard.
  • Suspect Calls - Show suspect calls using the K1TTT's call checking function. A window will open with the results. The content shown can be saved as a text file by clicking the Save button or by right clicking to the clipboard using the menu item: Copy text to Clipboard.
  • Suspect Zones - Show suspect zones. Zones in the USA and Canada are omitted. The first zone is the zone from this contest, the second zone is the zone from the cty.dat file loaded. A window will open with the results. The content shown can be saved as a text file by clicking the Save button or by right clicking to the clipboard using the menu item: Copy text to Clipboard.
  • Varying Zones - Show varying zones. The first zone is the zone from this contest, the second zone is the zone from any other contest in this database or this contest. A window will open with the results. The content shown can be saved as a text file by clicking the Save button.
  • Notes - Open a window and display all contacts with notes. Great feature to check operator notes when checking the log after the contest. The content shown can be saved as a text file by clicking the Save button or by right clicking to the clipboard using the menu item: Copy text to Clipboard.
  • Statistics - Show statistics for the selected contest. Many choices available. See chapter 'Statistics' for more detail.
  • Show Last 10 Spots - Show the last 10 spots for the call in the callsign field. If the callsign field is empty the callsign on the callsign field frame will be used, if any. A Packet or Telnet session with a DX cluster should be present because a query will be send to that cluster.
  • Show Buck/Packet - Show the Buckmaster information for the call in the callsign field. If the callsign field is empty the callsign on the callsign field frame will be used, if any. A Packet or Telnet session with a DX cluster should be present because a query will be send to that cluster.
  • Show Station - Show the station information for the call in the callsign field. If the callsign field is empty the callsign on the callsign field frame will be used, if any. A Packet or Telnet session with a DX cluster should be present because a query will be send to that cluster.
  • Show QSL/Packet - Show the QSL information for the call in the callsign field. If the callsign field is empty the callsign on the callsign field frame will be used, if any. A Packet or Telnet session with a DX cluster should be present because a query will be send to that cluster.
  • Show Sunrise/Sunset - Show the Sunrise/Sunset information for the call in the callsign field. If the callsign field is empty the callsign on the callsign field frame will be used, if any. The information shown is also available in the Info Window. A Packet or Telnet session with a DX cluster should be present because a query will be send to that cluster.
  • SH/DX Current Call or Spot - Shows DX information from the current call in the callsign field or spot. If the callsign field is empty the callsign on the callsign field frame will be used, if any. A Packet or Telnet session with a DX cluster should be present because a query will be send to that cluster.
  • Show QRZ (Internet) - Show the information that QRZ.com has for this call using your browser. An Internet connection should be present.
  • Show Google (Internet) - Show the information that Google.com has for this call using your browser. An Internet connection should be present.
  • Show Buck (Local) - Show the Buckmaster database information for this call. This requires installation of Buckmaster database software and Buckmaster database on the local computer.
  • Set Font - Change the font of the Entry window text boxes. A nice slashed font is Monaco.

Tools Menu Selections

  • Rescore Current Contest - Rescore the current contest. This is required before submitting a log if CTY.DAT has been changed (if applicable) or if contacts have been modified or deleted during the contest. It may be run at any time but is rather slow.
  • Rescore last N Hours - Rescore the last N hours for the current contest. It may be run at any time but is rather slow.
  • Download Latest Check Partial file (Master.DTA) (Internet)- This item will open your web browser to the web page where to download the latest version of the check partial file. Select the file to download and copy the file in the program directory(NB. N1MM logger supports the CT format master.dta file). Select the one to use at the bottom of the 'Choose which contest to log' dialog. The calls in these database master files appear in the Check window after entering at least two letters of the callsign field.
  • Tune (CW mode) Ctrl+T - Turn on the radio and send continuous CW (tune). Escape or Ctrl+T again ends the transmission. When the mode is not CW it will be changed to CW and put back in the mode used before.
  • Download latest country file (wl_cty.dat) (Internet) - This item will open your web browser to the web page where to download the latest wl_cty.dat file. After downloading the new country file it has to be imported in the program by selecting 'Tools | Import country list from downloaded file' which is the next menu item.
  • Import country list from downloaded file - Load a new copy of the country file into the log database. Mostly this file is called WL_CTY.DAT but may have any name. Just select the right file when importing and select ''Open". To check which file you are using go into 'Help - About N1MM logger Vx.x.xx'' and look at the bottom line which tells you the current country file (mostly cty.dat or wl_cty.dat), check the date and time if it matches the file. Duplicate entries are ignored during the import so the first instance will be added.
    Always load the most recent (and right) CTY.DAT file before entering a contest from the Internet.
  • Add call to country - Specify a country for the callsign in the callsign field in the Entry Window. If no callsign entered this menu item will be grayed out. This is a quick way during the heat of a contest to add a country. Added callsigns to countries are valid until you do a new 'Import country list from downloaded file'. Making changes permanent means changing the imported country file (wl_cty.dat) and importing the changed country file. This feature is for getting stations accepted by the program from countries when otherwise rejected by the program due to a faulty country file. When using the right country the program will accept the station and calculate the right (well at least a more accurate) score (points and multipliers).
  • Tune to beacon for this band - This will tune to the NCDXF beacons on bands 10, 15 and 20 meters and displays the station transmitting and the power steps in the status bar of the focus window. See: http://www.ncdxf.org/Beacon/BeaconSchedule.html
  • Turn Rotor Alt+J - Turn rotator to bearing for callsign in Entry window.
    • The statusbar will show the bearing it will turn to. Example: Turning Rotor to 123°
  • Stop Rotor Alt+Ctrl+J - Stop turning the rotator.
  • Packet Window Tools - It opens the menu for the Packet Window, from the Entry window. So you don't need to look at the packet window while operating. This let's you change things without un-minimizing it.
More info about rotator control can be found in the chapter 'Supported Hardware' under 'Rotator control'

Config Menu Selections

  • Configure Ports, Telnet Address, Others - Also called 'Configurer'. This a very important dialog which can change the programs behavior. This menu opens the configuration dialog to modify setup options.
  • Change Your Station Data - Modify overall Station information - name, call, address, state, latitude, longitude, etc. The callsign entered here is very important for most contests (to determine in which country YOU are).
  • Change Sub Bands - These are the definable band edges. The frequencies added (in kHz) are used for the specific mode. Note that no band edges are defined for Digital. What you will want to do for digital is add say 7060 7090 for band edges. That range will show as magenta in the bandmap. If you click in that area and you are following the band plan , then the mode will change appropriately. Make sure you have the desired mode control defined in the config dialog ('Config | Configure Ports, Telnet Address, Others | Tab: Mode Control | Follow band plan (default)'). The bandplan is computed as follows: Is it Digital? If not, is it CW? If not then is it SSB.
    Note: The default US bandplan is used by the program. Non US stations have to make changes to that bandplan. An example is 40 meters for Europe where the CW part of the band is mostly much smaller.
    Ctrl-D - delete a row in the table or use right click menu.
    • CW Sub Bands - See example below. The band 7000 to 7035 is set as CW (Europe), the frequencies above are automatically set to SSB if no digital sub bands are set.
    • SSB Sub Bands - the sub bands for SSB , if nothing is set this is the default mode.
    • Digital Sub Bands - the sub bands for the digital modes

  • Clear INI file settings - Option to clear out the 'N1MM logger.ini' file. Could be used when having configurer troubles. Radio, port etc. settings will be lost when using this item.
  • Find all windows (move to within 800 * 600) - Option to force all windows onto primary 800 x 600 screen. Great when coming from a higher resolution screen or a two monitor setup and windows are 'missing on the screen'.
  • Enter Sends Messages (ESM mode) Ctrl+M - the so called 'Enter mode'. Messages can be sent by pressing the Enter key. You must correctly match the function keys to the messages set up in the function key buttons. Entire normal contacts (QSO's, Running and S&P) can be handled with the Enter key.
  • Auto-Send Ctrl+Shift+M - Start sending the callsign after a certain number of characters typed AFTER the last number in the callsign. The minimum threshold is 1. 0 will turn off the feature. Only when in RUN mode, not in S&P. More info in the chapter Advanced Functions.
  • Spot all S&P QSO's - Spot the contact when you log it. Watch not to flood the packet network. This feature is turned off EVERY time you exit the program. This is to prevent accidental spotting test QSO's or casual rag chew QSO's. The section from the spotted station is sent as comment.
      A contact is automatically spotted when:
    • "Spot all S&P QSO's" is checked and
    • if your running check box is not checked and
    • the spot is not already on your bandmap
  • QSYing wipes the call & spots QSO in bandmap - The ability to spot all S&P calls locally to the bandmaps. The call is shown bold in the bandmap and shown on the callsign frame. The setting of this feature remains as it was across program restarts. An example is given in the Basic functions chapter.
    Example: Tune to 21200, Enter VU2PTT, Tune off, VU2PTT is "spotted" at 21200. Repeat as long as desired. Go back and work all of them using Ctrl+Up and Ctrl+Dn to navigate.
  • Show non-workable spots - This allows non-workable spots and logged contacts to be hidden. . If you hide spots, you will likely never utilize the program to its full advantage, especially S&P. If you don't know why I am saying this, then don't hide spots.
  • Reset Rx freq when running split - When using the main VFO to transmit and the other to receive (split mode) after each logged QSO the RX frequency will be made equal to the TX (main VFO) frequency. It's there to let you use the main frequency control as an RIT. It resets after every RUNNING QSO.
  • CQ Repeat Alt+R - Toggle to let the CQ button give CQ once or repeat. The on/off on the status bar determines if the next CQ will go into repeat mode. The only way to stop the repeat (mid stream), and to get completely out of it, is to hit Escape. The function is automatically turned off when no longer on the CQ-frequency and the mode changed to S&P mode.
  • Set CQ repeat time Ctrl+R - Specify the repeat interval (CW or SoundBlaster) in seconds or milliseconds (Auto-CQ). The default value is 1.8 seconds.
  • Call History Lookup - Toggle to let the contest use the Call History table. In this table station information like Name, GridSquare, Section, State, Age etc. can be stored and retrieved during the contest. This setting will cost some performance because the program has to lookup information when leaving the callsign field from this table in the database. This table has to be filled with 'Import Call History' and the contest has to be suited for it before it can be used!
  • Record QSO's - Record current contacts when in CW or SSB and is disabled for other modes. The path set in 'Configurer', tab: Files is being used. More info can be found in the chapter 'Tips and Tricks'.
  • Dual Rx always on - Yaesu FT-1000 series only: Selects the mode for Dual Receive toggle (Alt+F12)
    • Selected - The sub receiver will be left on (blinking green RX led)
    • Not selected - The sub receiver will switched off (RX led off)
  • Change Packet/CW/SSB/Digital Message Buttons Alt+K - Change the contents of the Packet/CW/SSB/Digital message buttons. The maximum length of text from the Packet, CW, SSB and RTTY buttons is 255 characters. Alt+K will access the CW/SSB/RTTY exchange buttons depending on the mode you are in. Use Ctrl-D to delete a row in the table or use the right click menu.
    • Change Packet/Telnet Buttons - Change the contents of the packet/telnet buttons. Note that the use of '&' in the Button Caption will cause the following lettered key to become a "Alt+Hotkey."
    • Change CW Buttons - Change the contents of the CW buttons. Note that the use of '&' in the Button Caption will cause the following lettered key to become a "Alt+Hotkey". It can happen that the "Alt+Hotkey" combination already exists!. The first one found by the program, probably in the Menu will be used. Another instance won't be used! Also the packet substitutions can be used. Examples: {F1} {F2} {GRID} See the possibilities in the Macros chapter
    • Change SSB Buttons - Change the contents of the SSB buttons. Please use the file chooser buttons to the right of each row. Note that the use of '&' in the Button Caption will cause the following lettered key to become a " Alt+Hotkey." It can happen that the "Alt+Hotkey" combination already exists!. The first one found by the program, probably in the Menu will be used. Another instance won't be used!
      There are some special characters which may be used, see the Macros chapter for the possibilities.
    • Record CQ SSB message Shift+Ctrl+F1 - Opens the sound recorder using the wav file from the defined CQ button in the configurer (mostly F1). The user has to make the arrangement that it can record to the input of the soundcard (with the microphone).
    • Change Digital Buttons - Change the contents of the Digital buttons. Note that the use of '&' in the Button Caption will cause the following lettered key to become a "Alt+Hotkey." It can happen that the "Alt+Hotkey" combination already exists!. the first one found by the program, probably in the Menu will be used. Another instance won't be used! Also the packet substitutions can be used. Examples: {F1} {F2} {GRID}
      There are some special characters which may be used, see the Macros chapter for the possibilities.
  • Change Telnet Cluster List - Change the contents of the list of available Telnet Cluster sites that appear in the Configurer dialog under 'Telnet Cluster'. Here you can add, edit or delete telnet cluster sites.
  • Multi-User Mode - Start the networking mode of N1MM logger (Multiple computers connected to each other)
  • Multi-User Tools - Menu with Multi User stations tools.
    • For more detailed info see Multi-user chapter.
  • Edit Station Computer Names - Associate the computer numbers (starting with 0 for the master station) with its IP-addresses.
  • Change Operator Ctrl+O - Change the callsign of the operator. If you are multi-user, you will be prompted for the operator at startup. The default is the callsign in the station information dialog. Entering "OPON" in the callsign field will also prompt for an operator callsign.
  • Change Exchange Abbreviations - Change the exchange abbreviations
    • Change ARRL Section Abbreviations - Change the list of valid ARRL Sections
    • Change VE Province Abbreviations - Change the list of the Provinces in Canada.
    • Change PA Province Abbreviations - Change the list of the Provinces in the Netherlands.
    • Change USA State Abbreviations - Change the list of the State Abbreviations of the United States.
    • Change CQ WW RTTY Abbreviations - Change the list of Abbreviations for the CQ WW RTTY contest.
    • Change QSO Party Abbreviations - Change the list of QSO party Abbreviations. Can only be selected when a QSO party is the selected contest.
  • SO2R
    • Dueling CQ's Ctrl+B - will send CQ (without delay) alternately on each radio. Dueling SSB and CW CQ's are supported too.
    • Resume CQ on Run Radio - will start CQ again on the run radio whenever you are not sending on the S&P radio.
    • TX Lockout - Select a lockout item.
      • Multi-TX - This is the default setting. Start CQ on radio A, next a CQ on radio B, both are active. (no lockout)
      • First one wins - Start CQ on radio A, pause, Start CQ on radio B. The radio B CQ is ignored since radio A is already active, so if you press a F-key for the second radio while radio1 is transmitting, the radio B F-key is ignored.
      • Last one wins - Start CQ on radio A (CQ starts), pause, Start CQ on radio B. The CQ on radio A will aborted and the CQ on radio B will start so if you press a F-key for the second radio while radio A is transmitting, the radio A transmission is interrupted and radio B transmits.
  • Testing
    • Trace Program Execution - Trace facility. Exports to a selectable file (*.trc). Tracing has been added to all program areas that are used for keying macro's and Multi User connections. If you experience Multi user connecting problems or a macro delay please turn tracing on and hit some macro's a couple of time then close the program and send me the tracing file so I can figure if the delay is in the program or MMTTY.... (or just a slow computer).
    • Test Radio Operation - This function is not yet implemented!
  • WAE - Special commands for the WAE DC contest only
    • Toggle WAE QTC mode Ctrl+Z - Toggle the WAE QTC mode between QSO and RQTC. See the WAE contest setup in the chapter 'Setup Contests' for WAE specific use and operating of the program.
    • WAE Received QTC Confirmation - Enter the WAE confirmation string or .WAV file

Window Menu Selections

  • Available Mult's and Q's - Display the Available Mult's and Q's window.
  • Bandmap Ctrl+B - Display the Bandmap window.
  • Check - Display the Check window.
  • CW Key Ctrl+K - Display the CW Key window. Pressing Ctrl+K again will close the window but will continue sending the message. Pressing Escape will stop sending the message.

  • Digital Interface - Displays the Digital (RTTY/MMTTY/PSK) interface window.
  • Entry Window - Display the Entry Window.
  • Gray Line - Open the optional to install Gray line program (only for Windows NT, 2000, XP or newer).
  • Info - Display the Info window.
  • Log Ctrl+L - Display the Log window (toggles between open and minimized).
  • Multipliers by Band - Display the multipliers by band window.
  • Packet - Display the Packet/Telnet window.
  • Score Summary - Display the score summary window.

Ctrl+Tab toggles between the Entry window and Packet windows. If other windows are added that have text boxes, then they will be accessed in a round-robin basis via Ctrl+Tab

Help Selections

  • Help Alt+H - Show this help file. Note that pressing Alt+H in any window will show the help specific to that window. You have to download the help file separately from the N1MM homepage and copy the file into the directory that contains the Logger program. The Windows Help file and Manual are maintained separately from the program and follow it as close as possible. So when checking for a new program version also check if a new version of the Help/Manual is present. The revision number and revision date are shown on the first page of the Help/Manual.
  • Search Help using Google (Internet) - Search help using Google on the Internet.
  • Key Assignments Help - Show this Key Assignments chapter of the help file.
  • Manual - Show the PDF version of the help file, this version can easily be printed. You have to download the manual separately from the N1MM homepage and copy the file into the directory that contains the Logger program. At that point, clicking on Help->Manual should launch the Adobe Acrobat Reader and display the Manual.
  • Contest rules for this contest (Internet) - Go to the web site from the contest sponsor on the Internet where the rules can be found.
  • ARRL Contest Calendar Page (Internet) - Go to ARRL contest calendar site on the Internet.
  • SM3CER Contest Calendar (Internet) - Go to the SM3CER contest calendar site on the Internet.
  • VK4DX Contest Calendar (Internet) - Go to the VK4DX contest calendar site on the Internet.
  • N1MM Logger Home Page (Internet) - Go to the N1MM logger Home page.
  • Download Help (English version) (Internet) - Download the Help file from the N1MM logger Home page.
  • Yahoo Discussion Group (Internet) - Go to the Yahoo Discussion Group page on the Internet.
  • Report Bugs/Request Features/Request Support (Internet) - Go to the N1MM logger web site to report bugs or request features.
  • Email Problem Report (Internet) - Send a problem report by E-mail to Tom, N1MM. The Report gives detailed info about the problem and some program (configuration information) and computer information (speed, processor etc.). To send a report some questions must be answered.
    • Long description of the problem
    • Enter your smtp server name. (Only first time)
      • Just check your e-mail program and look for the name of the outgoing e-mail server that you use. Use that name for the smtp server name. Example: smtp.freeler.nl
  • View Revision History (Internet) - Shows the revision history from the program on the Internet.
  • View Revision History (last downloaded) - Shows the last downloaded revision history on the harddisk. This avoids the need for an Internet connection.
  • View Error Log - View the latest 'Errorlog.txt' file generated by the program. The program creates and updates the contents of this file when the program generates an error. This could be used to help pinpointing a problem in the program.
  • Report Score to 3830 (Internet) - Go to the 3830 score reporting site on the Internet.
  • About N1MM logger Vx.x.xxx - Show the About Dialog. See the tower from Tom (N1MM) with a Cushcraft X9 at the top!


Log Window

Your Log window will be similar to this one.

  • The top grid is the log
  • The bottom grid shows the contacts in yellow that match the partial or full call entered in the Entry window. It is sorted by band, call, date & time.
  • The separator bar is set at a percentage of window size. When shrinking the window, both sections get smaller. After resizing the window, decide how much space to allocate to dupes by setting the separator bar.
  • The upper pane gives date and time (in UTC) and the selected contest.
  • When a Multi operator mode (Multi-One, Multi-Two, Multi-Multi) is selected:
    • The operator name is shown in the log window
    • The radio number is shown in the log window
    • Group edits are not allowed while in multi-user mode.
    • Editing a qso is only allowed from the station who did make the qso, not from other stations.

The relative sizes of the grids can be adjusted by clicking and dragging the gray bar between the grids. The adjusted window size and the column width are saved by the program.

In a serial number contest the serial numbers in the log window will be displayed without any leading zeros even when zeros are entered before the number (like 001). When printing the leading zeros will be added again and printed.

Keyboard Assignments

  • Enter - Edit the contact which is selected.
  • Delete (Ctrl+D) - Delete the contact which is selected.

Mouse Assignments

  • Left mouse button click
    • Single click on column title - Change log sort order using the selected column. Second click on a column will sort descending.
    • Double click on a contact - Quick Edit the contact.
  • Right mouse button click
    • Right-click on a contact - Displays a menu:
      • Quick Edit Contact - Quickly edit the current contact using the Entry window fields. Ctrl+Q moves back one qso, Ctrl+A moves forward one qso. If the textboxes background in the Entry window are colored blue, you are in Quick Edit mode. To exit, press enter to save changes or Escape to abandon changes. Quick Edit starts editing with the highlighted contact and you can move forward or back from there. Enter logs the changes made and Escape discards the changes bringing you back in normal logging mode.
      • Edit Contact - Edit the contact.
      • Delete Contact (Ctrl+D) - Remove the contact from the log.
      • Play Contact - This selection will be gray, if there is no .WAV recording file for this contact. If it is not gray, the selection can be chosen and the contact audio will play on your default sound player. (Make sure you don't have the sound card hooked up at that moment to your microphone!)
      • Jump to this frequency - Jump to the frequency logged with this contact
      • www.qrz.com - Ask information about this station using www.qrz.com (name, address etc.). An Internet session should be available.
      • Change All Contact Timestamps by a Fixed Amount -this will fix a log where all QSO's are off by a common amount of time
        • Put mouse over log window and right click
        • Select 'Change All Contest Timestamps by a Fixed Amount'
        • Dialog box will open, and enter offset time (+ or -) in minutes
        • The date will automatically adjust if the offset rolls a QSO into a different day. The time is entered in minutes, and can be a negative time to go backwards. (You might need a calculator to determine the offset in minutes if your date was off by many days, months, or years)
        • NOTE: While you can easily adjust for a mistake by doing another offset, it is advisable that you backup your log before making any changes.
      • Change Operator - Change operator callsign for this contact (Multi-user). The default is the station callsign. When selecting several rows, the change will be applied to all rows. This operation is not reversible. See example picture.

      • Change Mode - Change the mode for this contact. When selecting several rows, the change will be applied to all rows. This operation is not reversible. See example picture above.
      • Change Rx Tx Frequency (and band) - Change the RX and TX frequency for this contact. When selecting several rows, the change will be applied to all rows. This operation is not reversible. See example picture above.
      • Change Station Number - Change the station number for this contact (Multi-user). The Master station always has number 0. When selecting several rows, the change will be applied to all rows. This operation is not reversible. See example picture above.
      • Find all contacts with a station - Search a call (station) in the logged contacts from this contest.
      • Set Start Interpolation Time Row - Set the start row and time from where the time interpolation has to begin. An example how to use can be found in the chapter 'After the contest'.
      • Set Stop Interpolation Time Row - Set the stop row and time from where the time interpolation has to stop. This menu item is only highlighted when a start time has been entered. An example how to use can be found in the chapter 'After the contest'.
      • Rescore from this point on - Rescore the contest starting with this logged contact till the end of the log.
      • Delete custom column widths - Delete the custom column widths and go back to the default column widths as set per contest (by the programmer).
      • Show date - Select or deselect showing the date in front of the time (first column log window).
      • Select All - Select all QSO's in the log (for copy and paste actions)
      • Copy
        • Copy Generic Print String - Copy generic print string to clipboard
        • Copy ADIF String - Copy ADIF string to clipboard
      • Set Font - Set the font for the Log window, a selection window will appear.
      • Help - Show the help file for this window.


Bandmap Window

Your Bandmap window will be similar to this one.

Example bandmap window

The Bandmap Window represents a VFO or a radio. There are two scenarios, one radio with 2 VFOs displayed, or two radios with one VFO shown for each radio. The bandmap is made zoomable to the complete band size.

One radio scenario

With one radio, each bandmap holds one VFO. Typically, VFO-A will be on the left and VFO-B will be on the right. If you want to change VFOs, just use the mouse to click on one of the spots in the bandmap or use the Ctrl+left & Ctrl+right arrow keys to change VFOs. The radio information box at the top of the bandmap will change colors as you change VFOs. The selected Bandmap will have a blue top.

Two radio scenario

With two radios the operation is exactly the same, except that each bandmap represents one of the radios. It is best if one orients the bandmaps in the same position as the radios, left-right or top-bottom. This will make operation more intuitive.

Other

  • It is well worth your time to quickly review the Mouse Assignments below in order to become familiar with the functions that the Bandmap provides.
  • Also important! The usefulness of the Bandmap is greatly enhanced by reading the Key Assignments
  • The text CQ-Frequency will be shown on the bandmap when running stations. It is automatically marked when you press the CQ-button (mostly the F1-key).
    When a spot is less than three minutes old NEW will be placed behind the call and bearing in the bandmap. When the station works split the receive frequency (QSX frequency) will be shown behind the bearing after the spot is three minutes old, there is not enough room to give both NEW and the QSX frequency. Splits are shown as 3 digits on HF. The bearing to a station is shown only for stations outside your own country.
  • On the title bar of the bandmap you can see what type of radio is connected. It will show Manual - A when no radio is connected or as an example Kenwood VFO A when a Kenwood radio is connected. It will show a B for the other bandmap/VFO.
  • Normally only one frequency is shown in the top portion of the bandmap. This is the receive and transmit frequency. When working split the transmit frequency is added and shown just below the receive frequency in a smaller font.
  • Busted spots (calls with "BUST" in the comment) are not shown on the bandmaps (when coming in via packet/telnet).
  • When both bandmaps are closed the frequency and mode is shown on the title bar of the Entry window before the contest name.
  • During busy contests the default zoom is too dense. Use the right-click menu to zoom or use the numeric pad +/- keys.
  • New calls will show up first in the bandmap, ahead of old calls on the same frequency.
  • A zone only multiplier will be shown in red (except "non-workables"). The exception means that in CQWW, your own country will show as gray, even if it is a multiplier.

Colors of the incoming spots:

  • Blue: Qso
  • Red: Single Multiplier Example: CQWW - qso is either zone or country multiplier (one multiplier)
  • Green: Double or better Multiplier Example: CQWW - qso is a zone and a country multiplier (two multipliers)
  • Gray: Dupe
  • Bold - This is a self spotted call ('Stored' or by using the feature 'QSYing wipes the call & spots QSO in bandmap') and is not coming from the cluster.

Keyboard Assignments

  • Mouse wheel - Zoom in or out the bandmap which has KEYBOARD focus.
  • Numeric keypad + key - Zoom In to show less spots from the bandmap which has KEYBOARD focus.
  • Numeric keypad - key - Zoom out to show more spots from the bandmap which has KEYBOARD focus.
  • Shift - Numeric keypad + key - Zoom In to show less spots from the bandmap which NOT has KEYBOARD focus.
  • Shift - Numeric keypad - key - Zoom out to show more spots from the bandmap which NOT has KEYBOARD focus.

Button Assignments

  • Narrow - Toggle the radio filters from Wide to Narrow, or vice versa. The label indicates the current state.
    Note N1MM: I never should have implemented this feature because of the many filter settings possible on all different radios. I did it for my radio, not fully realizing what a nightmare it would be to support for all radios. It's a moderately useful feature, but to make it work for all radios is a HUGE amount of work. I think we are stuck with it for a while.
  • USB - Click this label to toggle from USB/LSB (band sensitive) via RTTY to CW (radio dependent).
  • RIT Offset (-0.08) - Click this label to clear the RIT offset.
  • RIT - Click this label to toggle the RIT on and off.
  • XIT - Click this label to toggle the XIT on and off.

Mouse Assignments

Left-Click menu

  • Click on frequency - Jump with the active VFO/radio to that frequency.
  • Shift+Click on frequency - Jump to that frequency on the non active VFO/radio. This allows you to be active on VFO-A, but change the frequency on VFO-B without making that the active VFO (or radio).
  • Click on call - Jump to that frequency and place the call on the Entry window callsign frame. When the callsign field is empty, giving space will copy the callsign from the Entry window callsign frame to the callsign field. Also clicking on the callsign in the callsign frame will place the call into the callsign field, replacing anything that was previously there.
  • Double-Click call - Jump to that frequency, place call into Entry window callsign field, replacing anything that was previously there. Spots with 'Busy' in the call will be ignored (placed in the bandmap when using Alt+M).
  • Click dial ticks - Jump to that frequency.
  • Click frequency label - Jump to that frequency.
  • Right Click call - Display the right-click menu for the selected call (see Right-Click menu below).
    • The selected call will be shown italic and underlined when right-clicking on it
  • Right Click anywhere else - Display the right-click menu with some options grayed out which are call related.

Right-Click menu

If you right click in the Bandmap Window the following menu items will appear. Not all menu items are always shown.

  • Zoom In - Show less spots on the bandmap which has keyboard focus.
  • Zoom Out - Show more spots on the bandmap which has keyboard focus.
  • Go to Bottom of Band - Go to the bottom of this SSB/CW subband.
  • Go to Top of Band - Go to the top of this SSB/CW subband.
  • Packet Spot Timeout - Indicates how long (in minutes) spots are kept in the bandmaps. The default is 60 minutes, any integer may be specified.
  • Remove Spot - Remove this spot from the bandmap. A spot on the same frequency will be put in callframe.
  • Remove Packet Spots, Leave Self Spots - Remove all packet spots coming in via packet but leave all self spots in the bandmap.
  • Remove All Spots - Remove all spots from this bandmap.
  • Turn Rotor - Turn rotator to bearing for callsign in Entry window.
  • Show Last 10 Spots - Show the last 10 spots for this call in the packet or telnet window.
  • Show/Buck Packet - Show the Buckmaster information for this call in the packet or telnet window. Uses SH/QRZ if format for DXSpider is chosen in configurer.
  • Show Station - Show the station information for this call in the packet or telnet window.
  • Show QSL/Packet - Show the QSL information for this call in the packet or telnet window.
  • Show Sunrise/Sunset - Show the Sunrise/Sunset information for this call in the packet or telnet window based on the imported country file. (This information is also available in the Info Window).
  • Show Buck/Internet - Show the information that 'www.QRZ.com' has for this call using Internet Explorer.
  • Show Buck Local - Show the Buckmaster database information for this call. This requires installation of Buckmaster database software and database, also see the Files section from Configurer.
  • Set transceiver offset frequency - This is for transverter supporting transverters. Enter the transceiver offset frequency in kHz (minus is allowed). Example: 116000 when using a transverter from 28 MHz to 144 MHz (144000 - 28000 = 116000). The same for other bands (up or down). The transverter offset is saved when the program closes and read again when opened. Remember to enter the frequency of the transceiver and not that of the transverter when going into split mode (Alt+F7).

    Example Transceiver offset dialog

  • Set transceiver timeout time - timeout value for each radio (default is 10 seconds)
  • Set transceiver filter codes - You will be prompted for the wide or narrow string to set the filters. For Kenwood, it's pretty easy. You just look up in your manual the string you want and enter it. For other radios, like FT-1000MP, its harder. You must enter a series of space-delimited codes in DECIMAL. Therefore, when an FT-1000MP filter code of 0 0 0 0 8C is required, you must enter 0 0 0 0 140 (8C hex).
    To reset to the default values in the program enter a space and press the OK button
    It is possible to use {CR} in the filter codes which will be replaced with the return character.
    • CW Wide
    • CW Narrow
    • SSB Wide
    • SSB Narrow
    • Digi Wide
    • Digi Narrow
  • Bring to foreground when made active - This brings the active bandmap to the foreground. When not having enough real estate on the monitor screen it is possible to place both bandmaps on top of each other. The active bandmap will be shown hiding the non-active bandmap.`
  • Reset Radios - Allow manual reset all attached radios. When contact with a radio is lost the dialog below will appear. Select 'Retry' to restore the connection with all attached radios or Right-Click on the bandmap and choose "Reset Radios" to restart the connection.

    Example Rest radios window

  • Help - Show the help file for this window.
Note icon

When a command is sent to the packet window, it is sent to whichever connection is active.
Note icon

When the connected cluster is a DXSpider cluster, select on Tab: Other in the Configurer 'Format for DX Spider cluster'.

Hovering with the mouse over a spot

Hovering with the mouse over a spot in the Bandmap gives the following info about the spotted station:
  • Exact frequency sent by spotter.
  • Callsign of spotter.
  • The time in minutes since the station was placed on the DX cluster network.
  • Comments sent with the spot.
  • The 'standard' country prefix from the spotted station

Hovering with the mouse over RX arrow

Hovering with the mouse over the RX arrow shows the frequency.

Example bandmap usage

by Tom, N1MM

In Search & Pounce (S&P) the callframe will show you each spotted station as you come within "tuning tolerance" (user settable) of that station. I'm terrible at remembering whether I worked a station and on what frequency. With worked stations in the bandmap, the program will tell you that they are not workable again. You can tune by them more quickly. The same feature is useful in contests with unworkable stations.

In a contest like CQ WPX, with (basically) no value mults, here is how I use the bandmap. Whenever I can't get a run going I start S&P on a band with a lot of unworked stations (use the available window). I use Ctrl+Up and Ctrl+Down arrow to go to the next station. If that station is at the beginning of a qso, I move to the next one. If the qso is near the end, I wait and work the station. Then I move on. If I reach the top of the band, I start coming back down the band, working the ones I missed on the way up. If there is no station at a frequency, that's my new running frequency!

In contests with valuable multipliers, you should use Ctrl+Alt up/down to get the multipliers first, then go back and get the QSO's.

If the rate drops fairly low, sweep the band using your VFO. That is where the old calls in the bandmap come in useful. If you copy a call, but it seems like it is going to take a long time to work him, tune to the next guy. If you have "QSYing wipes the call & spots QSO in bandmap" turned on, the call will be spotted in bold, so you can Ctrl+Up/Ctrl+Down to him later.
Remember: if a call is in the callframe, space will load it into the call textbox.

If all this seems very unfamiliar, you haven't read the Key Assignments help (and/or the Key Assignments Shortlist).
Reading that single item is your single best time investment in using this program.

Spots and the time shown

When you hover with the mouse over a spot in the bandmap, it will show the relative age of a spot in minutes. The time shown here depends on the spot format. There are two formats for spots. One is for current spots, one is for SH/DX spots. Some clusters allow to show old spots in the current spot format. The program handles the two types of spots differently.
  • Current spots go into the bandmap with the computer's local (converted to UTC) time. This is to remove variations in cluster times and order the spots into the time they were received.
  • Old spots are logged with the originating cluster's time with the provision that it cannot be later than the current local (UTC) time.

With AR-Cluster you can display old spots with SH/DX or SH/FDX. It is recommended to use SH/DX, as it will be recognized as an old spot. Other cluster software may have similar capabilities.

Red lines indicating US license frequencies

On the bandmap there are red lines to indicate extra, advanced and general portions of each band. Since US hams can operate only in their section and the sections of lower class licenses, it is in your interest to operate some in the higher portions of each band. Otherwise there are some US hams you will not ever be able to work.

The lines can be found on:

  • SSB: 3775, 3850, 7225, 14175, 14225, 21225 and 21300.
  • CW: 3525, 7025, 14025 and 21025.
  • No lines on 160 and 10 meters.


Packet Window

Your Packet window will be similar to this one.

The button values can be changed by right clicking on them or going into the menu: 'Config | Change Packet/CW/SSB/Digital Message Buttons | Change Packet/Telnet Buttons'.
Connect and other messages are shown in the bottom pane from the Entry window.
Status info for Telnet is given in the Telnet window title.
Focus is set to the Entry window when one of the 12 buttons is clicked.

All incoming packet spots are placed on the bandmaps. Also the spots requested with commands like SH/DX etc. Split information given in the spot comment will be recognized. When such a spot is selected the transceiver will go into split mode (if applicable). The program recognizes: UP, U, DOWN, DN, D and the word QSX. Examples: QSX 3.838, QSX 4, UP 5, DOWN 2, U 5, D4, U4, DN4, UP4, DOWN4, QSX7144 etc.

When telnet is selected a Telnet DX-cluster can be chosen from the top of this window. By clicking the 'Close Port' button the current connection will be closed. A telnet cluster can be updated in the configurer dialog (Tab: Hardware).

Packet/Telnet has a nine minute stay-alive function which sends a CR every nine minutes (not configurable). The timer is restarted when you send a message to the cluster.

Colors used

  • Blue - 'Normal' incoming spots
  • Red - (Talk) Messages
  • Magenta - WWV messages
  • Black - All other messages like cluster welcome messages, SH/DX responses, messages sent to the cluster, prompts etc.

Initial Button Assignments

Below the default key assignment for the packet/telnet buttons. A maximum of 12 buttons are available for packet and telnet. Adding more lines in the Packet Button edit window will not lead to more buttons, 12 is a fixed value. The contents and texts shown on the buttons can be changed in anything you like.

Button text | Command | Description | Packet | Telnet
BYE | BYE | Log off cluster. | Ok | Ok
CONN | C PE1M-7 | Connect to the (non telnet) packet cluster. Example: C PE1M-7 You have to set your cluster's call under 'Tools | Change Packet Buttons'. | Connect | -
DI/N | DI/N | Show new messages (CLX needs the full: directory/new) | Ok | Ok
SH/DX | SH/DX/30 | Show last DX spots. | Ok | Ok
USERS | SH/U | Show cluster users. | Ok | Ok
WWV | SH/WWV | Show WWV spots. | Ok | Ok
10M | SH/DX/30 10 | Show last 10M spots. | Ok | Ok
15M | SH/DX/30 15 | Show last 15M spots. | Ok | Ok
20M | SH/DX/30 20 | Show last 20M spots. | Ok | Ok
40M | SH/DX/30 40 | Show last 40M spots. | Ok | Ok
80M | SH/DX/30 80 | Show last 80M spots. | Ok | Ok
PA1M | {MYCALL} | Connect to the telnet packet cluster by sending your call to telnet cluster. Most telnet clusters expect your callsign as the first text to receive. The callsign used with the macro {MYCALL} is taken from the station information dialog. | - | Connect
  • Close Port - Close the current Telnet connection.

Keyboard Assignments

  • Ctrl+C - Sends Ctrl+C to the TNC which is used by TAPR TNC's.
  • Ctrl+Z - Sends Ctrl+Z to the TNC which is used by TAPR TNC's.
  • Shift+Escape - Places an Escape character on the command line which is send to the TNC after pressing Enter. The Escape character is being used by WA8DED/ TF firmware TNC's.
    The Packet/Telnet window must be active and the cursor must be on the command line.
    N.B. The Escape key (without the Shift key) makes the Entry Window active.

Mouse Assignments

  • Left mouse button
    • Single click - Tune the active radio to the frequency of the spot.
    • Shift+click - Tune the inactive radio to the frequency of the spot.
    • Double click - The spot under the cursor will be placed in the callsign field in the Entry window and gets focus.
    • Ctrl+Single click - Tune the non-active radio to the frequency of the spot and make it active.
  • Right mouse button - Displays a menu:
    • Configure Ports, Telnet Address, Other - Displays the 'Configurer' dialog.
    • Edit Telnet Cluster List - Displays the 'Change Packet Cluster List' dialog.
    • Change Packet/Telnet Buttons - Change the label and text associated with the packet/telnet buttons.
    • Close Port - Close the packet or Telnet connection (depends on the selected Tab)
    • Specify Comment for All Spots - Enter the text you want appended to every spot. Lasts for the session only. Exit clears it. Example: PACC
    • Auto logon - Automatically connect a cluster when the program starts. When running telnet, auto logon will press the right most button (F12, default this is your call). When running packet, auto logon will press the second F2 button: "C call". When running both, only the one that was in focus the last time before starting will be restarted.
    • Packet Spot Timeout - Indicates how long (in minutes) spots are kept in the bandmaps. The default is 60 minutes, any integer may be specified.
    • Remove Packet Spots, Leave Self Spots - Remove all packet spots coming in via packet but leave all self spots in the bandmap.
    • Remove all spots - Remove all spots from the bandmaps. This means that also all information on the Available Mults and Q's window is cleared.
    • Packet Filters
      • Allow spots from my country only - When selected only spots originated from your own country will be shown in the bandmaps and available window. See note below.
      • Allow spots from my continent only - When selected only spots originated from your own continent will be shown in the bandmaps and available window. See note below.
      • Allow only spots from specified call areas - When selected only spots originated from specified call areas will be shown in the bandmaps and available window. See note below. The spots can be specified at the next menu item. A call area is the country prefix + the first number in the call. Example: Call: WB1KK Call area: K1 (K + 1)
      • Enter call areas (currently) - Call area filter for the menu item above. Enter list of call areas to pass separated by spaces. Example: K1 K2 K3 K4 and select the OK button. To clear the list enter only a space and press the OK button.
      • Allow HF - When selected all spots on the HF bands ( < 30 MHz) are passed to the bandmaps. See note below.
      • Allow VHF - When selected all spots on the VHF bands (> 30 MHz) are passed to the bandmaps. See note below.
      • Allow WARC - When selected all spots are passed to the bandmaps from the WARC bands. See also note below.
      • Allow spots for this contest's mode(s) only - Only allow spots where the mode is equal to the mode set in the contest setup.
      • Change Subbands for mode filter - These are the definable band edges. The frequencies added (in kHz) are used for the specific mode. Note that no band edges are defined for Digital. What you will want to do for digital is add say 7060 7090 for band edges. That range will show as magenta in the bandmap. If you click in that area and you are following the band plan , then the mode will change appropriately. Make sure you have the desired mode control defined in the config dialog ('Config | Configure Ports, Telnet Address, Others | Tab: Mode Control | Follow band plan (default)'). The bandplan is computed as follows: Is it Digital? If not, is it CW? If not then is it SSB.
        Note: The default US bandplan is used by the program. Non US stations have to make changes to that bandplan. An example is 40 meters for Europe where the CW part of the band is mostly much smaller.
        • Change CW Bands - See example below. The band 7000 to 7035 is set as CW (Europe), the frequencies above are automatically set to SSB if no digital sub bands are set.
        • Change SSB Bands - the sub bands for SSB , if nothing is set this is the default mode.
        • Change Digital Bands - the sub bands for the digital modes
    • Set Font - Change the font of the packet & telnet text boxes. Fixed fonts (like Fixedsys, Courier, Anadale Mono which has slashed zeros etc.) are recommended, so that columns will line up.
    • Copy - Mark a part of the packet window with the left button, then right-click and choose copy. The selection will disappear before you choose copy, but that doesn't matter. You can then paste the selected area into Word or Notepad or whatever you like.
    • Help - Show the help file for this window.

Note: Allow spots and Allow HF/VHF/WARC filter settings.
These settings have nothing to do with what shows in the packet/telnet window. They are not commands to the packet cluster but tell the program whether to use the spots in the bandmaps, the available window.
Clear spots will take all the spots that appear in those two windows and delete them. It does nothing to the packet/telnet window. The spots shown in the packet window itself will not be filtered, you would have to do that at the packet/telnet node. Learn your packetcluster's filtering commands. This is the best way to accomplish what you want.

Special keys:

  • Ctrl+key - Holding the Ctrl key while clicking in the packet window will jump the non-active radio to that frequency and make it active

Macro keys

Macro key substitution is supported by the buttons in the Packet window and also in the comments send with a spot (using Shift+F9).
The macros which can be used and some examples can be found on the macros page.

In the substitutions you can include things like {CTRL-M}. There is also a {WAIT} macro that waits 5 seconds.

So if you needed to press CTRL+M, then wait for a prompt, then C PE1M-7 then enter your callsign, you could change the button to send:

{CTRL-M}{WAIT}C PE1M-7{WAIT}PA1M

Enter is sent automatically after each command. This may cause a problem with some systems.

How to add/edit/delete a Telnet cluster

There are three places where you can get to the 'Change Telnet Cluster List' dialog. Select one of them.
  • Right click in the "Packet / Telnet window" and select 'Edit Telnet Cluster List' or
  • Select 'Config | Change Telnet Cluster List or
  • Select 'Config | Configure Ports, Telnet Address, Others | Hardware tab' and click on the 'Edit' button.
The 'Change Telnet Cluster List' dialog will appear. You can go to the bottom of the list and add what you want. Look at the already entered Telnet clusters to see what to enter. To delete a row, click on the row "handle" - the gray arrowhead - and press the 'Delete' button on your keyboard. To edit an entry select the field to update and enter the new information.

How to setup and connect a Telnet cluster

  1. Add the telnet address to 'Config | Change Telnet Cluster List'.
    NB. Use gb7ujs.shacknet.nu as a model for how to specify a port other than 23.
  2. Click on the Telnet tab in the Packet window.
  3. Choose the address to use from the drop-down box left from the button "Close Port".
  4. To connect click on the F12 button with your callsign in it.
    • This presumes that the cluster you are using is looking for your callsign as the first thing to be sent (it mostly is).
  5. Now the cluster should be connected by the program.

How to setup and connect a cluster using a TNC

  1. Click on the Packet tab in the Packet window.
  2. Setup the connect string to your local packet cluster under the F2 (Conn) button.
  3. Click on the F2 button (Conn).
  4. Now the cluster should be connected by the program.
    • Setting up the connect string and the possible used of Nodes to the Cluster is mostly the problem.

Auto connecting a cluster

  • Set up your packet or telnet to the cluster to connect as explained above
  • Right click in the packet/telnet window (top) and select in the menu: Auto Logon
  • From now on the program will connect to the selected cluster automatically when the program starts
  • Auto-logon works only at program startup.
    • Button 1 or button 11 is pressed depending on whether you are packet or telnet.
  • There is a "stay-alive" timer that sends a CR every 9 minutes.
  • If the connection drops, that's it. You are off.

Spotting stations

Spotting stations has to be done from the Entry window. The station entered in the callsign field will be spotted. If the callsign field is empty the last qso made will be spotted.
  • Alt+P spots stations.
  • Ctrl+P spots with a comment.
  • Spot all S&P QSO's under 'Config'.

The frequency from the spotted station is rounded to one decimal place by the program.

Multi-User setup

When running in Multi-user mode (more computers connected in a network) only the Master station has to be connected to the DX-cluster. The master station will send all information from the cluster to all connected computers and also send info received from the connected computers running N1MM logger to the DX-cluster.

Computers on a LAN

It is possible to connect to Telnet hosts when the Internet connection is on a LAN via proxy server or router. First try to access the Telnet cluster via the Telnet program in Windows, if this works it should also work from within N1MM logger. It does not matter if the proxy is in software or hardware. Port 23 (=telnet) should be open.

Packet via the soundcard

Many hams use AGWPE for packet using the soundcard. N1MM logger is not able to direct use this package but there are ways using additional software to get N1MM logger and AGWPE work together. Basically you telnet from inside N1MM to either of these applications. They are in turn linked to AGWPE. Links to these programs can be found in the links section.

  • TelMgr by LU7DID
  • Telnet interface by IZ4AFW

Supported Packet clusters:

  • AR-Cluster by AB5K
  • Clusse by OH7LZB (not fully supported, only incoming spots)
    • To make Clusse more compatible give the command SET/PCMODE YES (typed in uppercase).
    • Only incoming spots will be decoded by N1MM logger (not the response to the List command)
    • The List command (SH/DX) has a different format and will not be decoded.
  • CLX by DJ0ZY and DL6RAI
  • DX-spider by G1TLH
    • DX-spider uses a different SH/DX format, check in 'Configurer / Other' the setting 'Format for DX-spider support'. This will send the right SH/DX message from the button in the top of the bandmaps.
  • DXnet by F5MZN (Unknown if fully supported but it probably is)
  • PacketCluster by AK1A
  • Wincluster Lite by KH2D
  • More?


Check Partial Window

Your Check Partial window will be similar to this one.

N+1 not selected

N+1 selected

The horizontal line separates calls in the current log versus calls in the selected SCP database (master.dta)file.

Features

  • Check partial displays all the callsigns from the MASTER.DTA file and worked calls from the current log, which match the letters/numbers in the callsign field of the Entry window.
  • Columns are used to allow horizontal display.
  • When the program is started and no callsign is entered the Check window will show the date, time and length of the MASTER.DTA file (picture 1).
  • Entering 3CE in the callsign field will give AA3CE, DF3CE, PA3CEF and all others with 3CE in the callsign (picture 2).
  • When there are no matches found Unique will be shown in big red letters (picture 3).
  • When a callsign entered matches a call in the log, the callsign in the Check partial window will be set to bold and 12 point font (PA3C in picture 4).
  • When the station entered is a dupe it will be shown in gray and the text - Dupe! will be added. Example: PA1M - Dupe!
  • The Check Partial window is cleared when a character is typed in the callsign field in the Entry window, so clearing the callsign field won't clear the Check Partial window.
  • All data is shown in upper case and is stripped from non standard ASCII characters.
  • The title bar shows Mul: or Q: followed by the band.
    • Mul: - multiplier on this band
    • Q: - qso on this band
    • Example: Mul: 15 20 Q: 160 80 40 10 - multiplier on 15 and 20 meter and a qso on the other bands

Wildcard search

If one or more characters are not known a ? may be used. It needs two sequential characters like N?MM or N1? to find the call. So M?M will not work!
Searching for leading wildcards is also implemented. I.e. ?1M does match KN1M but also N1MM. N+1 will do this automatically for one ? on every place in the call.

Examples:
PA?M | will match PA1M, PA7MM etc.
P?1M | will match PA1M, PG1M, PF1MO etc.
P?3 | will match no callsigns because there are no two sequential characters
?1M | will match N1MM, KN1M, PA1M etc.

Colors of the callsigns

Blue | New contact on this band
Gray | Dupe contact or an unworkable station in a non-workable country This means that you don't need this station because he is a dupe or you are not even 'allowed' to work him in this contest according the contest rules.

Keyboard Assignments

  • Alt+Y - will "yank" the first call from the Check window in the Entry window callsign field.

Mouse Assignments:

  • Left mouse key clicking on a callsign in the listbox
    • Click on call - Enter the call into the callsign field on the Entry window replacing whatever was there.
      • When clicking on a call with spaces, only the first token will be loaded as callsign
  • Right mouse key clicking, a menu will appear
    • Help - Show the help file for this window.

This window only has entries when there is a valid MASTER.DTA file in the program file directory.

MASTER.DTA files are available from a number of Internet sources. Use your favorite search engine to find one by searching on "MASTER.DTA". If you don't have a favorite search engine, try http://www.google.com.
Watch out! There are MASTER.DTA files in different formats, use the right one!!


Available Mults and Qs Window

The Available Mults and Qs window will be similar to this one.

This window consists of two parts, the top shows the band buttons, the bottom the multiplier list box.

The Band buttons

The top part of this window indicates the number of multipliers (left column) or non-dupe contacts (right column) available on that band. Red numbers indicate the band with the largest number of contacts (QSO's) available. The left picture shows a HF version with the HF bands for use during HF contests. The WARC bands only appear when DX or SATDX are selected as contest. A VHF version will appear when a VHF contest is selected (right picture).

The band buttons change color per band when a callsign is entered in the callsign field. The color gives information if this station is a new multiplier, a new contact or a dupe on this band. So we can see instantaneously if we need this station on another band.

The active band's button text is shown in bold.

Multiplier List box

The list box shows the last multipliers received via Packet or Telnet.
There are 4 columns: Call, Frequency, Bearing (Dir), Time (TS). The format for the time = “mm-dd hhmm”.
Clicking on the selected column title will sort the column, clicking again will reverse the sort order.

Keyboard Assignments

  • Alt+Ctrl up/down arrow - step through the multipliers shown in the list box.

Band button Assignments

  • Left click on band button - Set the left radio or VFO-A to the first spot on the band specified.
  • Right click on band button - Set the right radio or VFO-B to the first spot on the band specified.
  • Clicking on a band button will set the transmit and keyboard focus.
  • Select the correct radio/VFO by right or left clicking the band button.

Band button background colors

  • Blue: Qso
  • Red: Single Multiplier Example: CQWW - qso is either zone or country multiplier (one multiplier)
  • Green: Double or better Multiplier Example: CQWW - qso is a zone and a country multiplier (two multipliers)
  • Gray: Dupe

Mouse Assignments

  • Left mouse key clicking on a callsign in the list box
    • Single Left click Go to the frequency with the active VFO. The callsign on which you have clicked is placed on the frame of the callsign field in the Entry window.
    • Single Shift+Left click The inactive VFO changes to the frequency of the callsign.
    • Double click Go to the frequency with the active VFO. The callsign on which you have clicked is placed in the callsign field in the Entry window overwriting anything what was in there!.
  • Left mouse key clicking on column title
    • Change log sort order using the selected column title (Call, Frequency, Bearing (Dir), Time (TS). A second click on the column title will sort descending.
  • Right mouse key clicking, a menu will appear
    • Delete Spot - Delete selected spot from multiplier list
    • 1 - Show Focus Radio/VFO - Show only the last multipliers from the VFO or Radio which has focus.
    • 2 - Show non-Focus Radio/VFO - Show only the last multipliers from the VFO or Radio which not has focus.
    • 3 - Show Both Radios/VFOs - Show the last multipliers from both VFOs or Radios.
    • 4 - Show All Bands - Show the last multipliers which came in on all bands.
    • 160 - Show only info for 160 meter band.
    • 80 - Show only info for 80 meter band.
    • 40 - Show only info for 40 meter band.
    • 20 - Show only info for 20 meter band.
    • 15 - Show only info for 15 meter band.
    • 10 - Show only info for 10 meter band.
    • Show Q's_Mults - toggle between QSO's in blue or Multipliers in red (for the selected options above)
    • Help - Show the help file for this window.
  • Hovering with the mouse over a spot in the multiplier list will show a tooltip with more info about the spot (frequency, spotter, time, comments)

Other info

Only calls from dupes are shown if the length of the callsign is greater than 2 characters.


Edit Contact Dialog

Your Edit Contact Dialog will be similar to this one.

This screen gives the possibility to update contacts after they have been logged.
The fields 'Country Prefix', 'Mult 1' and 'Mult 2' can't be updated because they are recalculated after each contact update.
The following modes are allowed to be entered in the 'Mode' field: CW, CW-R, LSB, USB, RTTY, RTTY-R, AM, FM, PSK31, PKT, PAC2, GTOR, FSK31, PSK63, PSK125, MT63, MFSK8, MFSK16, HFSK, MTTY, THRB, ASCI, HELL, Q15, PCW.

To what country the program assigns a contact doesn't really matter, except for the *claimed* score. The assigned country does not appear in Cabrillo. You are not penalized for an incorrect claimed score.

The main reason for tracking down these things is for better information about what countries are needed during the contest.

HINT. When the program doesn't allow you to log a contact the way you want it, log it as the program expects it and edit the contact in this screen.

Example: A KG4 station calls and gives a state as exchange, this KG4 is in the USA. The program expects this KG4 to be in Guantanamo Bay and doesn't allow entering a state but wants a number. Enter a number which the program expects and edit the contact in this screen. Of course you have to update CTY.DAT to add the KG4 station so this won't happen again. See the Tips and Tricks section how to do this. Make a note using Ctrl+N so you can update the qso later.

When a contact has been updated and you are moving on to the next/previous qso with the up or down arrow keys the following screen will be shown.

  • Yes - Save the changes made and move on to the next or previous qso in the log.
  • No - Don't save the changes made and move on to the next or previous qso in the log.
  • Cancel - Go back to the qso which has been changed but not saved.

Button Assignments

  • Update - Update the log entry and exit the dialog returning to the last qso in the log.
  • Delete - Removes a log entry from the current selected contest and exits the dialog returning to the last qso in the log.
    • When pressing the deleted button in a contest the following message will appear:
      • Yes, will move the qso to the DELETEDQS 'contest'
      • No, will cancel deleting the qso.
    • When using multi-user mode it is only possible to delete a qso made on the station which made the qso.
      • Message: "You may not delete contacts logged by another station while in Multi-User mode. Ask station #[radionumber] to delete it."
        "Delete not performed!"
  • Help - Show the help file for this window.
  • Exit - Exit this dialog without updating the log entry.
  • Up Arrow - Go to the next entry towards the beginning of the log. Updated log entries can be saved.
  • Down Arrow - Go to the next entry towards the end of the log. Updated log entries can be saved.

How to permanently delete a contact?

  • Delete one QSO
    • Select a qso to delete in the log window
      • When pressing the deleted button the following message appears:
        • Yes, will delete the qso permanently from the DELETEDQS 'contest'
        • No, will cancel deleting the qso
      • It is not possible to select more than one qso and delete them. Deleting has to be done per qso.

  • Delete all QSO's
    • Select the DELETEDQS 'contest'
      • File, Choose Which Contest to Log, Select the DELETEDQS 'contest' in the dialog 'Select a New or Existing Contest Log'
    • Delete the "DELETEDQS" contest by pressing the 'Delete' key. It will reappear with no QSO's.
      • A confirmation will be asked.

How to place a deleted qso back?

This is not easily done. A possibility is to export the 'DELETEDQS' contest. Then import it into the contest from which it was deleted (ADIF).
Before or after exporting you have to remove all the QSO's which you don't want to have imported.

Why move and not delete?

A deleted contact in a contest is not permanently deleted but moved to the 'contest' DELETEDQS. This way a qso can be recovered when accidentally deleted. Permanently deleting the 'deleted' QSO's can be done in the 'DELETEDQS' contest. The technical reason to put the QSO's in another contest is that Access does not free space until you compact. It doesn't do any good to delete a qso, so why not just move it?


Info Window

Your Info window will be similar to this one.

The info window can be found in the Entry Window dialog under the menu 'Window | Info' and normally you want to have it visible.

General

The following information currently appears in this window:

  • Country, Zone, Continent, Bearing (short path), Distance (miles & km), Bearing (long path)
    • From the station in the call window, or if nothing is there, the call in the call frame.
    • If there is nothing in either, it shows the last info that was displayed there.
  • Sunrise/sunset times, Local time
  • Packet spot information
  • Packet talk messages (appear in red)
  • WWV statistics
  • Rate information /goal information (colors) / band change information
  • Callsign of the operator in lower right corner (bold). Set with Ctrl+O.
  • Import and setting Goals button
  • Multi user information (see below),
    • This info will only be shown when Multi-User Mode is selected.
  • Messages
    • Computer name, ip address and port info when in multi-user
    • Winkey version info
    • More..

The next qso number will be shown on the title bar if it is a serial number contest. Example: Exch: 59 002
Local time is not shown for K, VE, UA and VK because of the multiple time zones in these countries.
The band change information and the band timer are hidden when Single operator or Multi-multi are selected.
Messages between stations have a big font so that multis would easily see messages to each other.

Mouse Assignments

  • Right-click in the window - Clicking on an item will select or deselect showing the selected information.
    • Callframe spot - Show country and spot info from the station on the callsign field frame
      • NOT the callsign in the entry window!
    • CountryInfo - Show country info from the station in callsign field
    • Sunrise/Sunset - Show Sunrise/sunset times, Local time from the station in the callsign field.
    • Messages - Show packet talk messages
    • WWV Messages - Show the WWV messages
    • Rates Section - Show the rates section
    • Multi-User Section - Show the multi-user section
    • Help - Show the help file for this window
    • Clear Message Window - Clears the message part of the Info window

When Multi-User Mode is selected, clicking on a red or green icon in the Multi-user part of the window will give an extra menu. See the Multi-User information below.

Rate information

The rate information is shown on the bottom part of the info window. Dupe QSO's are included in the count.
Shown is the following information.

  • Top of rates frame - QSO's per multiplier info
  • Last 10 - Rate last 10 minutes (QSO's per hour)
  • Last 100 - Rate last 100 minutes (QSO's per hour)
  • Since hh:mm - Rate one hour back in GMT (QSO's per hour)
  • Since hh:00 - Rate since the start of the current hour in GMT (QSO's per hour)
  • Band Chgs - Number of band changes since beginning of the contest for multi-single operators.
    • Resets to 0 at top of hour
    • Counts band changes for each computer only if in Multi-Two
    • Band changes are not counted if the worked station on the other band is a multiplier
  • xx min band timer - Count down timer from xx minutes to 0 which starts after the first logged qso after a band change. NB There is one band change counter and it works for the Run station. The multiplier station will have to keep track of changesmanually.

Background colors rate information

The background colors change depending on the goal you have set for this contest.

  • Red - < 50% of goal
  • Yellow - < 51-99% of goal
  • Green - 100+% of goal

Buttons

  • Import Goals - Use this button to import hourly rates from the current contest to be used as goal. If the contest you want as a goal is not the current contest, open it, then set the goal.
  • Goal = - Manually edit the hourly rate goals to be used in this contest. Hours should be from 0-23. If an hour is missing the next lower hour will be used.

Setting a goal for the contest

Most people want to make each year more QSO's than the year before. So for most of us that is our goal!

It's always nice to know what number of QSO's you had last year so you can see where your weak spots are. If this information is not available or you think these numbers are wrong (to low?) set your own! You can set the number of QSO's you want to make on an hourly basis and the program will show them on the 'Goal = ' button.

If you have the contest from last year available you can import the number of QSO's and adjust afterwards if necessary.

The only difference importing QSO's from a previous contest is what database you have loaded in N1MM logger during setup of the goal numbers. If you have the previous contest (from last year) loaded the program will calculate the QSO's per hour and display them. These numbers can be updated to set a new (higher) goal.

Setting the QSO numbers

You can set the number of QSO's per hour for day 1 (Saturday) and for day 2 (Sunday).

  • Import from a previous contest?
    • Yes
      • Load or have loaded the previous contest (mostly from last year) in the program.
      • Use 'File / Open Database' and select in the database the contest you want.
      • Another type of contest is allowed to get some figures and hours imported.
    • No
      • Have an empty contest loaded or make a new contest with 'File, Choose Which Contest to Log' and select ' Start a new log for a contest'.
  • Select button 'Import Goals' on the Info window
    Select the day to set (1 = first day, 2 = second day)

  • Select button 'Goal = ' on the Info window
    A screen will appear where you can enter the QSO's to make per hour.
    If you have not imported a contest the dialog will be empty otherwise it will be prefilled.
    • 24 hour contests start at day 1, hour 12 and end at day 2, hour 11
      N.B. Assumed are contests like the PACC etc. which start at 12 GMT on Saturday
    • 48 hour contests start at day 1, hour 0 and end at day 2, hour 23
      N.B. Assumed are contests like the CQWW, ARRL DX etc which start at 0 GMT on Saturday

Note: The goal is set per database and not per contest in the database. So it is not possible to set different goals for more contests in one database. Again a reason to use for each (major) contest it's own database.

Multi-User information

General

In the bottom part of the Info window all information needed during contesting is displayed. See the picture below.

  • Green or Red station icon
    • Green means connected
    • Red means not connected
    • Light Red means that the program has not been able to contact the other machine for a while.
      • The program will try to solve this problem, if it returns to green, then everything is ok.
      • At startup it is not an issue. If during a contest, with lots of RF, this might mean you have RF in your network cables.
    • Right clicking on these icons brings up a menu
  • Station
    • Name from the station as entered under 'Config / Edit Station Computer names'
  • Pass frequency
    • Frequency where the station likes to receive it's passed stations
  • Run
    • Selected means running
    • Not selected means he is Searching & Pouncing
  • Operator
    • Who is operating the station
    • This call will change to red while transmitting
  • Last 10
    • Rate information from the station over last 10 QSO's
  • Last 100
    • Rate information from the station over last 100 QSO's
  • Current Freq
    • Operating frequency

Mouse Assignments

  • Right-click on the red or green station icon - opens a menu window.
  • Call for Help - On the selected station the following message will be shown: "Station x needs assistance". This way an operator can call for assistance without leaving the chair by sending a message to another (operating) position. The file "Assist.wav" from the program directory will be played on the target station.
  • Help - Show the help file for this window.
  • Send Message - Send a message to this station. The message will be shown in the Info window from the selected station and appears in red.
  • Target for Call stacking - Stacked calls (with Shift+Enter) will be put on the 'stack' for this station. See the Entry Window for more information about call stacking.
  • Pass current/last QSO - Pass the current qso in the Entry window or the last qso when the Entry window is empty to this station.
  • Show Status - Show status of all connections. See image below (no connection set up here).

  • Close Connection - Close the network connection from this station.
  • Open Connection - Open the network connection from this station (only selectable when dot is red).
  • Prevent Automatic Reconnect Attempts - Prevent automatic reconnect attempts every 30 seconds by the program.


Score Summary Dialog

Example screen CQWW SSB dialog

Example screen PACC dialog

Example screen VHFREG1 dialog

The Score Summary dialog displays the score for the current contest with the points that have been achieved by band (as a single band entry). Totals for points, multipliers and score are shown. The dialog can be found under the Window menu item. The scores are updated when contacts are added/deleted.

The first and last example pictures above are single mode contests (SSB), the example in the middle is a mixed mode contest and where necessary the modes will be shown by band. The points are shown in the caption of the dialog.

Mouse Assignments:

  • Right mouse key clicking, a menu will appear
    • Copy all - Copy all info to the Windows clipboard.
    • Print to file - Print the score summary to a file.
    • Help - Show the help file for this window.
Note:The number of contacts shown on screen and printed on the summary sheet are without dupe contacts.


Multipliers by Band Dialog

Your Mults by Band Dialog window will be similar to these.

This dialog gives a band by band breakdown of worked and wanted countries/zones/sections (contest dependent) per continent when Country is selected. Each continent has it's own Tab, the last Tab gives a total for all bands. In the title bar the number of worked and the total of possible countries/zones/sections is shown. The Multipliers by Band dialog can be found under the Multipliers item under Windows. A scroll bar at the bottom is added for convenience.

The blocks shown can be bands or modes depending on the contest. The number of shown blocks depends on the selected contest and selected mode (CW, SSB, Mixed).

If unknown sections are logged they will be shown under the callarea "UNK".

  • The number of blocks shown per band depend on the 'Mode category' in the " Choose Which Contest to Log" dialog
    • CW, SSB, RTTY - will give one block per band
    • MIXED - will give two blocks per band
      • white = CW, gray = SSB
  • The bands shown depend on:
    • The selected contest, each contest has it's own default which mostly will be the 6 HF bands.
    • The setting of the band filter box in the Multiplier by Band dialog.
  • A combination of the Band filter box and the Mode filter box gives many possibilities.
    • Mode filter Auto means that it uses the 'Mode category' in the " Choose Which Contest to Log" dialog
  • Examples:
    • Bandfilter: Auto Mode filter: Auto
      • default per contest, mostly the 6 major HF bands (160 80 40 20 15 10)
        • Used in all major contests like CQWW, ARRL DX etc
        • Single mode contests (CW or SSB)
      • 2 blocks - possible CW and SSB (mixed mode contests)
          • Used in contests like ARRL 10 meter etc.
          • White = CW, Gray = SSB
          • Mixed is selected
    • Bandfilter: HF+WARC Mode filter: SSB
      • 9 blocks - all 9 HF bands (160 80 40 30 20 17 15 12 10)
      • used in contests like DX etc.
    • Bandfilter: HF+WARC Mode filter: Mixed
      • 18 blocks - 2 blocks per band for all 9 HF bands (160 80 40 30 20 17 15 12 10)
      • used in contests like DX etc.
    • Grid square overview
      • Shown when a VHF or up contest is selected
      • Clicking on a grid will center the window on that grid
      • The own station gridsquare will be shown in white/dark green

Keyboard Assignments

  • Ctrl+J - Toggle through the Countries, Zones, Sections & Other windows
    • When the Multiplier window is not open, it will be opened.
  • Ctrl+Shift+J - Opens or minimizes the Multiplier-by-band window
  • Ctrl+Alt+J - Toggles through continents.

Mouse Assignments

  • Right-click in the window - a menu will appear
    • Show Zones/Countries :
      • Countries selected: Shows the zone for a selected country.
      • Zones selected: Shows the countries in the selected zone.
    • Show Calls Worked - Shows all calls worked in this country or zone.
    • Set Grid center - Shows a dialog in which you can enter the desired grid square (4 digits long) on which to center the grid square view.
    • Help - Show the help file for this window.

Radio Button Assignments

  • Country - Show the countries worked for the band chosen.
  • ZN - Show the zones worked for the band chosen.
  • Sect - Show the sections or states worked for the band chosen.
  • Other - Show the other possible multipliers worked for the band chosen.
    • in VHF contests a Grid square overview will be shown.
  • Auto - Band filter
    • Auto - Shows the bands for the selected contest (mostly the major 6 HF bands)
    • HF - shows all 6 major HF bands
    • VHF - shows all VHF and up bands (50 MHz and up)
    • HF + WARC - shows all HF bands
    • All separate bands - 1.8, 3.5, 7 .... up to 241 GHz
  • Auto - Mode filter
    • Auto - Shows the mode as selected for the chosen contest (CW, SSB, Mixed, Digi)
      • one block per band when a single mode is selected
      • two blocks per band when Mixed is chosen as 'Mode category' in the " Choose Which Contest to Log" dialog
    • CW - shows only CW contacts (one block per band)
    • SSB - shows only SSB contacts (one block per band)
    • Dig - shows only Digital contacts (one block per band)
    • Rev -when not in a single mode contest this button selects the other mode (SSB versus CW) (one block per band)
  • Reset - Resets the two filters to Auto

Colors

  • White - You need this one, work 'em.
  • (light) Red - Worked country, zone, section or grid square.


Statistics

Statistics can be found under 'View' - 'Statistics'.

General

The statistics window has the possibility to select almost all database fields from a contest in the row or column side of the statistics table. Many different statistics can be made this way. The database fields to select from are:
Fields | Row | Column | Remarks
Band |  |  |
Operator |  |  | compare operators, only useful when running Multi-operator
Hour |  |  |
RadioNr |  |  | only useful when using more than one radio
Mode |  |  | useful in mixed contests
CountryPrefix |  |  | worked number of stations per country or mode
Zone |  |  |
Section |  |  | used in many local contests
CK |  |  | 2 digit number used in Sweepstakes
Prec |  |  | Precedence used in Sweepstakes
Points |  |  |
Mult1 |  |  | first multiplier selected contest (when applicable)
Mult2 |  |  | second multiplier selected contest (when applicable)
Mult3 |  |  | third multiplier selected contest (when applicable)
WPXPrefix |  |  | prefix
GridSquare |  |  | shows 4 characters of grid square
Run1Run2 |  |  | useful when doing SO2R
MiscText |  |  | contest specific information
ContactType |  |  | Blank = qso, "D" = dupe, "N" = non-workable station
Day |  |  | first or second day of the contest
Mult & Band |  |  |
Exchange1 |  |  | Use in some contests (like WAE to show QTCs)

Note: Old contests may not have valid values in fields that have been added since the contact was logged.

Note:The number of contacts shown on screen and printed on the summary sheet are without dupe contacts.

Button Assignments

  • Row - Select a row field.
  • Column - Select a column field.
  • Refresh - Refresh the contents of the table. The statistics are not automatically updated when a contact is logged/changed/deleted.
    • The statistics window is refreshed when changing contests.

File Menu

  • Print - Print the statistics table to a printer. Font can be set by user.
  • Print to File - Print the statistics table to a file.

Example statistics

Below some example statistics. Interesting statistics are:

Row | Column | Usage | Description
CountryPrefix | Band | Always | QSO's per country per band
Hour | Operator | Multi User | QSO's per hour per operator
Band | Operator | Multi User | QSO's per band per operator
GridSquare | Band | Grid contests | QSO's per gridsquare per band
Band | Exchange1 | WAE and some other | Show RQTC & SQTC info


General RTTY information

General info

On the radio make sure:

  • Audio processing is off
    • Speech processing is off
    • Hi boost is off (Kenwood radios)
  • Radio should be in LSB mode
  • The most used 'Speed' is 45 Baud (60 words/min)
  • The 'standard' shift is 170 Hz
  • When using a TNC set 'Mark' to 2125 Hz and the 'Space' to 2295 Hz
  • Don't overrun your finals from the transceiver and/or amplifier
    • 50 percent duty cycle is mostly ok
    • See the Interfacing section of this help for url's and tips on interfacing.
  • The BAUDOT character-set does not have all ASCII characters so some special characters such as (~ * _ @ # =)? can not be printed/transmitted.
  • Almost always only the small filters in the radio are being used (250 - 500 Hz)

Common RTTY Frequencies

    Contests | USA (kHz) | USA (kHz) | Europe/Africa (kHz) | Japan (kHz)
Common | Common | DX frequency | Common | Common
1800 - 1840 | 1800 - 1840 | 1830 - 1840 |  |
3570 - 3630 | 3580 - 3600 | 3590 | 3580 - 3620 | 3520 - 3525
7025 - 7100 | 7025-7050 7080 - 7100 | 7040 | 7035 - 7045 |
 | 10120 - 10150 |  | 10140 - 10150 |
14060 - 14120 | 14080 - 14100 |  | 14080 - 14100 |
 | 18100 - 18110 |  | 18100 - 18110 |
21060 - 21150 | 21080 - 21100 |  | 21080 - 21120 |
 | 24910 - 24930 |  | 24920 - 24930 |
28060 - 28150 | 28080 - 28100 |  | 28050 - 28150 |

General RTTY info

By Rich, VE3IAY

The 5-bit Baudot code only has enough different characters for 26 letters plus 6 control codes, so to get numbers and punctuation the text has to be preceded with a special "FIGS" character (one of the 6 control codes) to get a second set of 26 characters (10 numbers plus 16 punctuation marks). FIGS is "sticky", so there is another special "LTRS" character to switch back to the letters case.

Just like any other character, these FIGS and LTRS characters can be damaged by noise, QRM, QSB, etc., and if they are, the received info is displayed wrongly until the next LTRS or FIGS character (or the next space, if you are both using UnShift On Space = USOS) comes along and sets things right. Sometimes the opposite happens - a real character is converted by noise into a FIGS or LTRS code, with similar results.

The most common problem that results is numbers being printed as letters, so for example, pretty soon RTTY operators will get used to interpreting "TOO" as "599" and "UE" as "73". Serial numbers are slightly more difficult; "PQW" in the input data is most likely "012", and so on. Letters can also be printed as numbers; for example, "CQ TEST" when converted to FIGS case becomes ":1 53'5".

Various software has different ways of helping out with this. Each way has its own pluses and minuses. In MMTTY run stand-alone, if you right click on a "word", the entire word changes to the opposite case. So, for example, my call sign is converted to ;3E8-6 , and yours would come out as ;-E0) . Some programs have a separate (usually one-line) window in which all incoming text is displayed in the opposite case. N1MM's digital window has an option (available by right-clicking in the DI window) which reserves one line for opposite-case display, but instead of using it to display incoming text as it comes in, it shows text that the mouse "hovers" over (no click necessary) in the opposite case. This requires you to move the mouse over the offending text, but it doesn't get lost whenever there is a line feed in the incoming data.

If everyone is using USOS (unshift on space), as they should, then most of these errors only last for one "word" (up until the next space), and you can probably get by without any LTRS/FIGS assistance from your software. However, some people refuse to use USOS, and some subvert it by refusing to put spaces in their messages, probably from a mistaken wish to make their messages as short and "efficient" as possible. Having the opposite-case display can be almost a necessity in such cases. These folks haven't yet realized that the goal is to maximize communications throughput, not to minimize the time spent transmitting, and they also haven't yet worked out that a single request for a repeat every few QSO's can cost them more time than they save. In anything less than perfect conditions, this is quite likely.

For example, some people send their exchange as 599-123-123. If you miss the FIGS character, this comes out as TOOAQWEAQWE. Not everyone can figure out the serial number from that, especially if you add in a few other errors so it comes out as TOOAPWEUQWA.

On the other hand, if the exchange is sent as 599 123 123 123 using USOS, a single error does no harm. Even at a fairly high error rate, you still have a reasonable chance of getting two identical serial numbers in the clear and not needing a repeat. Yes, 599-123-123 is much faster than 599 123 123 123 with USOS when conditions are perfect, but when signals are poor, the net throughput of the second version can be a lot higher.

Of course, the guy who doesn't put in any separator at all (599123 or TOOQWE) forces you to enter the entire exchange by hand even if there is no transmission error - maybe his software doesn't recognize serial numbers in the clear, but maybe yours does - does he have to penalize you too?

MMTTY info

  • NOTCH - Turns the notch filter on/off. With the NOTCH button clicked right clicking in the waterfall sets the Notch Frequency. If you have 2 notches selected in the setup area then the second time right clicking in the waterfall will set the second frequency.
  • Default Demodulator selection - Choices are
    • IIR - Infinite Impulse Response filter has a feedback loop and has an infinite response to input.
    • FIR - Finite Impulse Response filter is the most basic architecture for digital signal processing.
    • PLL - Phase Lock Loop filter
  • Mark frequency selection - Mark frequency selection. Standard on HF is 2125 Hz.
  • Shift width selection - The Shift width is the difference between de Mark and the Space frequency. Standard on HF is 170 Hz. If the mark frequency is 2125 Hertz then the space frequency will be 2295 Hz.
  • AFC - Turn on or off Automatic Frequency Control. It means if the signal you are copying is drifting and AFC is turned off the interface will not follow the signal.
  • NET - Turn on or off the ability of the transmit frequency to follow the receive frequency in what ever window the transmit control is located.
  • BPF - Turn on or off the TX band pass filter (not necessary to use this filter when in FSK)
  • REV - Select to listen (only) in reverse. Transmitting is always normal.
  • SQL - Turn on or off the Squelch. The squelch lowers the value that the AFC will accept to try to lock in. If the squelch is set too high, you will not tune onto weak signals. If you set it too low, the AFC may tune into random noise or a weak signal or tone rather than a bigger signal in the passband.
  • ATC - The Automatic Threshold Control automatically adjusts the input level in accordance with the strength of the input signal.
  • HAM - This button restores the values that are in the Demodulator group of windows from MMTTY. The following values will be restored to default values if you press the HAM button. (Mark frequency,· Shift width,· BW,· Baud rate,· LPF,· AV.,· Demodulator)

Some RTTY links

    RTTY
  • RTTY contesting (by Don AA5AU) http://www.rttycontesting.com/
  • Also by Don AA5AU, a VERY good RTTY Primer on using MMTTY and understanding how RTTY works http://aa5au.com/gettingstarted/rtty_start_intro.htm
  • SM3CER Contest Service http://www.sk3bg.se/contest/
  • World RTTY Contest Scene (by DJ3NG) http://www.rtty-contest-scene.com/
  • RTTY.com http://www.rtty.com/
  • Jim's Gazette http://www.n2hos.com/digital/
    MMTTY
  • MM Hamsoft Official English Website for JE3HHT (MMTTY) at http://mmhamsoft.ham-radio.ch/
  • Internet group by Bill, KB4IJ at http://groups.yahoo.com/group/MMTTY


RTTY Support

The interface will operate with MMTTY , HAL DXP38 and ANY TNC because the commands for the TNC are not hard coded into the program. This has to be done by the user of the program :-)
When having troubles please first check the Digital Modes part of the chapter Frequently Asked Questions.

The Digital Interface

The Digital Interface can be used with an external TNC and with MMTTY.

Using a TNC will show an interface like the one above.

Using MMTTY will open two windows, the MMTTY engine (example picture above) and the Digital interface (example picture below).

The Digital Interface is shown when it is selected under Window in the Entry Window. If a second RTTY port is configured a menu item will appear on the top of the Digital Interface allowing you to open the second RTTY interface.. The exact frequency is displayed in Digital Interface caption (rig(+/-)audio).

The interface has two windows :

  • Top RX window - This is the receive window. This is the window used for making QSO's. There are 2 ways of placing a callsign into the callsign window of the logger you can single click on a callsign and it will transfer over to the main logging window. Whenever a callsign is printed to a window followed by a space it will be sent to the callsign grab window for easy movement to the logging window by clicking the Grab button. Also in the window if the LTRS/FIGS Converter is turned on a Text line will appear at the top of the RX window. When the LTRS/FIGS Converter is turned on moving the mouse over text in the window will show the converted text in the Converter text line.
    By clicking on the colored pane on the left you can pause input to the receive window to scroll back through the (last 2000 lines of) text using the scroll bars. When the window is paused the color of the pane will turn Yellow. To turn input to the window back on click in the pane again and everything that was to be printed to the window will now enter the window. When the receive window is paused it is possible to copy text in the window.
  • Bottom TX window -This is the transmit window, a free form typing window. If you click on the TX button the cursor will be placed into this window and what ever is typed will be sent. The size is static and doesn't change size (2 lines).
    Only for TNC users. When not transmitting, anything typed in the TX Window will be sent to the TNC. Used to change settings etc.
  • Callsign Textbox and Grab - When a callsign is encountered in one of the receive windows (starting and followed by a space) it will be placed in this textbox and when you press the Grab button it will transfer the callsign over to the main logger window. The grab callsign window holds the last 10 callsigns seen in the RX window. The most current one is at the top and is highlighted. Dupe callsigns will not be shown in the grab window.

    Note: If the callsign in the callsign field in the Entry window is equal to the callsign in the received text, the call in the Entry window does not get placed into the call list.

  • Macro buttons - These buttons on the Digital Interface are (max.) 24 extra macro buttons for preprogrammed messages. Configuring these macro buttons is done in the Digital Interface window under 'Setup | Settings' or by right clicking on them which brings up the Digital setup dialog. The macro buttons widths dynamically adjusts in relation to the width of interface.
  • Clr RX - Clear the receive window (also possible using the right click menu).
  • TX - Start the RTTY transmission, the transceiver is keyed. This button is only shown when MMTTY is selected.
  • RX - Stop the RTTY transmission, the transceiver changes back to receive. This button is only shown when MMTTY is selected.
  • Ltr/Fig - Change between Letters and Figures.
  • Grab - Transfer the selected callsign in the Callsign textbox to the callsign field on the main logger window. Once the callsign is filled what ever you click on next will fill the next box to have info entered in. The mouse is the only way to do this.

It is possible to have 2 Digital Interface windows open at the same time. Open your first interface then click again on the menu item called 'Open 2nd RTTY Window'. This feature can be used to copy both the TNC and MMTTY to pick up on callsigns you might have missed etc. Or if you have 2 radios and 2 separate TNC's you can switch between the 2 of them. Note: The macros for the second Interface window you open up will not be the same as they are for the first window you open.

If the callsign in the callsign field in the Entry window is equal to the callsign in the received text, the call in the Entry window does not get placed into the call list.

Focus is automatically returned back to the Entry window when clicking a callsign in the Receive window

Setup Menu Selections

MMTTY RTTY is based on the MMTTY engine by Makoto Mori, JE3HHT. MMTTY has to be installed separate from the N1MM logger package to be used.

Selection: MMTTY

  • Setup
    • Settings - Setting up the Digital Interface, see chapter below (Setting up the Digital Interface).
    • SoundCard (only on first open MMTTY window).
      • Receive Mixer - Shows the Record control mixer dialog from the Windows operating system. This menu item is only visible when MMTTY is selected.
      • Transmit Mixer - Shows the Play control mixer dialog from the Windows operating system. This menu item is only visible when MMTTY is selected.
    • Setup MMTTY - The MMTTY setup is shown. This menu item is only visible when MMTTY is selected.
    • AFC On/Off with CQ - If set then the AFC will turn on with CQ or TU in the messages.
    • NET On/Off with Run Change - Option to turn MMTTY's Net function on in S&P and off in Running mode.
    • Auto Update TRX Offset w/Mark Freq. - Option to auto update the transceiver offset whenever the Mark frequency changes. This logs the true mark frequency while using AFSK RTTY.
  • Mode
    • RTTY - Select RTTY as mode.
    • PSK - Select PSK as mode.
  • Open 2nd Rtty Window - Opens a second RTTY window. In Configurer, under the Digital Modes tab, a second Digital Interface has to be chosen.
  • Help - Shows help file.

Selection: OTHER

  • Setup
    • Settings - Setting up the Digital Interface, see chapter below (Setting up the Digital Interface).
    • Load TNC Settings File - Ability to load the TNC settings file named 'SETTINGS.TXT' to the TNC. An example file which can be used for the PK-232 can be found on the website when selecting 'Other Files'.
  • Mode
    • RTTY - Select RTTY as mode.
    • PSK - Select PSK as mode.
    Help - Shows help file.

Keyboard Assignments

  • Alt+T - Toggle TX/RX, the cursor will be set to the TX window of the active interface.
  • Alt+G - Grab most recent callsign from callsign textbox. Upon grabbing that callsign gets deleted from the grab list.
  • Ctrl+Left/Right arrows - When 2 radios are configured and 2 digital windows are open, pressing Ctrl+Left arrow of Ctrl+Right arrow will swap from one active Digital Interface to the other. Digital Interface 1 will follow radio 1 (bandmap A), Digital Interface 2 will follow radio 2 (bandmap B).

Insert key Assignments

Mode
Enter Sends Message
(ESM mode)
INSERT key or ; key does the following:

RUN

and

S&P
OFF
  1. Grab Callsign from call list if callsign field empty otherwise use call in callsign field.
  2. Prefills Exchange Boxes
  3. NO DUPE: Sends F5 (Hiscall) + F2 (Exchange)
    or
    DUPE: Sends Nothing
  4. Places cursor in next exchange field (Example: Sect)
RUN
ON
  1. Grab Callsign from call list if callsign field empty otherwise use call in callsign field.
  2. Prefills Exchange Boxes
  3. NO DUPE: Sends F5 (Hiscall) + F2 (Exchange)
    or
    DUPE
     WorkDupes checked: Sends F5 (Hiscall) + F2 (Exchange)
    WorkDupes not checked:Sends F6(Dupe)
  4. Places cursor in next exchange field (Example: Sect)
  5. Highlights F8 button
S&P
ON
  1. Grab Callsign from call list if callsign field empty otherwise use call in callsign field.
  2. Prefills Exchange Boxes
  3. NO DUPE: Sends F4 (Mycall)
    or
    DUPE
     WorkDupes checked: Sends F5 (Hiscall) + F2 (Exchange)
    WorkDupes not checked:Sends F6(Dupe)
  4. Once exchange entered INSERT sends F5-F2
    • Pressing INSERT again will continue to send F5-F2
  5. Places cursor in next exchange field (Example: Sect)

Mouse Assignments

  • Left mouse key clicking
    • Single clicking on a callsign grabs it and places it in the Callsign field on the Entry Window dialog.
    • Single clicking on Exchange info etc. grabs it and places it in the Exchange field on the Entry Window dialog.
      • NB. The callsign field must be filled first!
  • Right mouse key clicking on RX or TX window
    • gives a menu:
      • Clear RX - Clear the receive window.
      • Clear TX - Clear the transmit window.
      • Output to Text File - Output the received text to a text file named RTTY1.txt.
      • LTRS/FIGS Convert - Whenever you pass the mouse cursor over a word in the receive pane, that one line shows the same word with every character in the opposite case (so 599 becomes TOO, etc.).
      • Help - Show the help file for this window.
  • Right mouse key clicking in GRAB window
    • gives a menu:
      • Clear List - Clear the entire grab window .
      • Clear Selected Call - Clear the selected call in the grab window.

Configuring the Entry window function keys

  • The Entry window function keys support 'Running' mode and 'Search & Pounce' mode.
  • The function keys use the same macros for PSK and RTTY.
  • The function keys can be changed under: 'Config | Change Packet/CW/SSB/Digital Message Buttons | Change Digital Buttons'.
  • Below example button definitions:

Macro keys

  • There are 8, 16 or 24 extra macro keys possible on the RTTY interface.
  • A right click on the macro buttons brings up the Digital setup dialog where the macros can be configured.
  • These extra function keys support all the macros but don't support 'Running' mode and 'Search & Pounce' mode.
  • Include in your macros the control keys needed to turn on the TNC and switch to RX...
  • Macro key substitution is supported by the buttons in the RTTY window and the function keys on the Entry window.
    The macros which can be used and some examples can be found on the macros page.

The TNC interface

The TNC Interface will accept all of the Macro keywords that can be used in the Packet window and other places in the Logger and will also accept the following:

    {CTRLl-A} | {CTRL-B} | {CTRL-C} | {CTRL-D} | {CTRL-E} | {CTRL-F} | {CTRL-G}
{CTRL-H} | {CTRL-I} | {CTRL-J} | {CTRL-K} | {CTRL-L} | {CTRL-M} | {CTRL-N}
{CTRL-O} | {CTRL-P} | {CTRL-Q} | {CTRL-R} | {CTRL-S} | {CTRL-T} | {CTRL-U}
{CTRL-V} | {CTRL-W} | {CTRL-X} | {CTRL-Y} | {CTRL-Z} | {ESC} | {ENTER}

Macro keywords can be used in any of the macro buttons or the Logger function keys..

The TX window will accept all control key commands except for the Esc key, this must be sent as a Shift+Escape combination.

There is one special macro key on the TNC interface. The very first macro button must be setup to send the abort transmission command. As you see in the above picture I have this marked as Abort and have it colored RED. If at any time you press the ESC key while transmitting it will send this macro to the TNC to stop transmission immediately.

Remember that when to set up a macro key that is not a TNC command you will need to include the sequence to key the TNC before it sends. If you click on the macro without the TNC transmitting, your TNC will think it is a command being sent to it and not know how to process it.

TNC users have to enter in what ever CTRL characters are needed to turn on and off your specific TNC....

To use the free form typing in the TX window you need to create a macro that will key your TNC and another to Turn it off. Click the macro that starts transmitting and then click in the TX window. Whatever you type will be sent out… then click the macro to turn things off after you are done.

The MMTTY interface

  • The macros for the Interface using MMTTY are different from the way they work with the TNC . What ever you put in the macro will get transmitted. There is a macro keyword needed to turn TX ON {TX} or TX OFF {RX}.
  • There is no special abort macro needed for use with MMTTY just using the ESC key will stop transmitting.
  • The TX and RX buttons are for the free form typing in the TX window.
  • When MMTTY loads it loads the last used settings when the Interface was closed.

Setting up the Digital Interface

This setup dialog is for both MMTTY and PSK, this means that some settings are only for PSK, MMTTY or both. When selecting 'Setup | Settings' in the Digital Interface window will show a dialog like the one below.

  • PSK Engine (PSK only)
    • Waterfall/Spectrum Color palette - The colors that make up the color palette can be changed to represent whatever colors you would like. The colors go from the weakest signal on the left to the strongest signal on the right. There is a color pallet setting for the Waterfall, Spectrum and for Miscellanious colors. The Default button changes the colors back to the default colors.
    • Squelch Level - This level represents the noise level as to where you would like the interface to start copying signals at. 0 indicates an open squelch and everything will be decoded.
    • High Pass Filter - Select 'Use High Pass Filter' to use the internal high pass filter for RX. Although this is unnecessary most soundcards, it sometimes is effective for eliminating hum in the input audio.
    • Spectrum Lower Frq - the lower frequency to display when the Spectrum view or Waterfall is active.
    • Spectrum Upper Frq - the upper frequency to display when the Spectrum view or Waterfall is active.
    • # of PSK channels - Number of PSK channels to use. Choices are 2, 3 or 4.
    • AFC Search Range - This is how far in Hz the interface will track a drifting signal i.e the frequency sweeping width (+/-Hz) for the AFC.
      • Sense Level - specifies the S/N level (dB) for the wide AFC. When less than or equal to 50 Hz, the wide AFC does not function. The sense level is applied to all the RX channels.
    • Digital Output Level - specifies the digital output level in the range of 0 to 32767. The default value is 16384.
  • MFSK (MFSK only)
    • Handling Center Frequency - When selected the center frequency is used for the carrier frequency. When not selected the base tone frequency is used for the carrier frequency.
    • Use Metric Level Squelch - Select to use the metric level for the squelch. When not selected the S/N level is used for the squelch.
  • CW ID (MMTTY and PSK)
    • Enable - If this check box is checked (Enabled) the interface will send the string entered in the field behind it (Enter CWID String). This string will be sent after every transmission. A * will be substituded by SK, + by AR and = by BT.
  • Soundcard (MMTTY and/or PSK)
    • PSK Soundcard Select - (PSK only) Select the soundcard to be used when having more than one soundcard in your computer (maximum 4).
    • FIFO
      • RX - specifies the depth of the RX FIFO. Valid values are 4 to 32.
      • TX - specifies the depth of the TX FIFO. Valid values are 4 to 32.
    • Input Channel - Select the input channel. Mono, Left channel or Right channel.
    • Clock - (MMTTY and PSK) Soundcard Clock adjustment
      • RX - specifies the tuning parameters of the RX clock adjustment function.
      • TX Offset - the offset of the TX frequency compared to the RX frequency.
      • Graphical Adjustment - Graphical RX clock adjustment.
        • The computer clock itself is not very accurate (+- 100 ppm) that is why to use WWV or another precision source to calibrate the soundcard.
        • 1. Tune to WWV or another Time Mark adjust so tick is on 1000 Hz in Spectrum of MMVARI.
        • 2. Wait for line to appear in display and adjust Clock Freq so line appears straight and not at an angle.
        • 3. Click button to save new frequency when line is straight up and down.
  • Digital Interface Window Colors (MMTTY and PSK)
    • The PSK and RTTY receive and the transmit window background colors can be changed here.
  • Digital Interface RX Window Font Selection - (MMTTY and PSK)
    • Change the font and character size for the RX channels. Press the 'Set Font' button to get a selection window.
  • Alignment Frequency - (MMTTY and PSK)
    • RTTY - RTTY alignment frequency.
    • PSK - PSK alignment frequency.
  • Send Space on Callsign Mouse Click - (MMTTY and PSK) Ability to set if a space character is sent to EntryWindow when clicking on the callsign with mouse. Select to enable.
  • (MMTTY) Send HamDefault on Run to S&P change - (MMTTY only) Ability to have Ham Default(MMTTY) sent when going from Run to S&P to reset Mark Frequency. Select to enable.
  • (MMTTY-PSK) Turn AFC Off when switching to S&P - (MMTTY and PSK) Ability to Turn AFC Off (MMTTY-PSK) when going from Run to S&P. Select to enable.
  • (PSK) Do not send Squelch tail - (PSK only) Ability to not send squelch tail in PSK mode which gives a faster turn over time. Select to enable.
  • Add Callsign to Bandmap on Alt+G - (MMTTY and PSK) Option to send callsign from station in callsign field (Alt+O) when doing a grab (Alt+G)
  • Save Configuration - Save the made configuration changes. If the changes made should not be saved select the cross in the upper right corner to close the window.

  • Digital Macro Set Select Interface Type and Window Number to begin - Update the macros definitions and button texts.
    • Select an interface (TNC or soundcard DI) from the drop down menu. Choices are:
      • PSK - macros for the PSK interface.
      • MMTTY 1 - macros for the first MMTTY interface.
      • Other 1 - macros for the first TNC.
      • MMTTY 2 - macros for the second MMTTY interface.
      • Other 2 - macros for the second TNC.
    • Click on the macro button which has to be updated
    • Type the macro text in the field 'Macro Text'
    • Type the button text in the field 'Macro Caption'
    • Click on the 'Save Macro' button when satisfied
    • The selected macro caption text will be shown on the button
    • Available macros are shown in the box 'Available Macros'. First select a macro button to see them all.
    • Below the CW ID check box are two extra Macro buttons which have to be configured as TX/RX buttons. Enter what control codes are needed to turn on and off your TNC. Only visible when Other1 or Other2 is selected.
    • When Other1 or Other2 selected
      • RX - Receive macro, this will become the contents of the macro {RX}
      • TX - Transmit macro, this will become the contents of the macro {TX}
      • ESC - Abort macro, used when pressing the Escape key.
  • Load Macros - Load saved macros from a saved file (*.mc) to the Digital Macro Set.
  • Save Macros - Save macros from the Digital Macro Set to a file (*.mc).
  • # of Macros - Select the number of macro buttons. You can select 0, 8, 16 or 24.
  • Macro Text - Area where to create the macro text for the selected macro.
  • Macro caption - Macro caption from the button.
  • Available Macros - Shows the available macros. Clicking on a macro will transfer it to the macro text area.
  • Save Configuration - Save the made configuration changes. If the changes made should not be saved select the cross in the upper right corner to close the window.

  • RQTC - Under RQTC are the 4 messages to send when sending a QTC
  • SQTC - Under SQTC are the 4 messages to send when receiving a QTC
  • Default Number of QTC to Send - maximum of 10 QTCs
  • Save Configuration - save the made configuration changes. If the changes made should not be saved select the cross in the upper right corner to close the window.

Any changes made in the setup form must be saved by clicking the Save Configuration Button located on the bottom of the form. Any changes made and saved will be changed as soon as the setup area closes.

Test your External TNC

Make sure your radio and TNC work on your computers serial port by testing them with an existing terminal program. Connect your TNC/Radio into your computers serial port. The Hyperterm terminal program is included with Windows and works well. Make sure you note all COM port parameters. You should be able to tune in a RTTY signal and print it on the Hyperterm terminal program.

The interface has been tested with the three mentioned TNC's below and work fine with them. Any other TNC should also work as long as you place the right commands for that TNC in the macros.

KAM

  • Launch Hyperterm and set its parameters to 9600 bps, 8 databits, no-parity, 1 stopbit and no flow control.
  • Connect the KAM to the port configured in Hyperterm.
  • Turn on the KAM.
  • When you see the message 'Press (*) to set Baud Rate, press the "*" button'.
  • Then set your callsign as prompted.
  • To place the unit into RTTY mode type "RTTY".
  • Also make sure the unit is set up for software handshaking XFLOW = ON.
  • Once you are communicating with the KAM and have it in the RTTY mode, you can also tune in a RTTY signal and it will decode and print on the Hyperterm window.
  • Now try to transmit by typing a Ctrl+C and a "T" on the keyboard followed by several characters that you wish to transmit. To get back to receive, type a Ctrl+C and a "R".
  • If you have problems, consult your KAM manual.
  • Now exit the Hyperterm program and start Logger.

Below some RTTY settings for the KAM TNC

AUTOCR | 0 | AUTOLF | ON | AUTOSTRT | OFF
BKONDEL | ON | CD | SOFTWARE | CRADD | OFF
DIDDLE | ON | ECHO | ON | FILTER | OFF
FSKINV | OFF | INVERT | OFF | LFSUP | OFF
LOWTONES | OFF | MARK | 2125HZ | RBAUD | 45
SHIFT | 170 | SPACE | 2295HZ | USOS | ON
XFLOW | ON | XMITECHO | ON |  |

SCS PTC

  • Take the PTC as you use it for other digimode programs e.g. ALPHA (by DH7RG), XPWIN (By KF7XP), LOGGER (by K4CY)
  • Set the PTC to SERBAUD 19200 (not AUTO !) > switch the PTC OFF
  • Start N1MMLogger and go to 'Config | Configure Ports, Telnet Address, Other', Select the tab 'Digital Modes'. Set 'Digital Interface 1 TU Type ‘ to 'Other', set the used serial port to 19200 Baud, N-8-1-none. Set the ‚Digital Interface 2 TU Type ‘None‘. Save with 'OK'
  • Click on Windows and select Digital Interface.
  • Be sure that the PTC is connected to the right serial port and switch it ON and the start info will appear in the upper window finished by the prompt cmd: If you can’t see anything check serial port and settings.
  • Click in the lower window, enter with the keyboard Escape+Shift – bau 45 – ENTER the PTC will switch to RTTY (look at the PTC mode display). Add 'Escape+Shift – term 1 – ENTER' to switch the PTC to echo the transmitted signs in the upper window. Note : Escape without Shift will switch the cursor to the main window.
  • In the open Digital Interface select 'File | Settings' and select Tab: 'Macro Setup'. Select behind 'Digital Macro Set' 'Other 1'. Now three buttons appear with TX, RX and ESC on it. These buttons have to filled with the sequence to put the PTC in TX and RX and to get a correct function for canceling the AUTO-CQ function or make a break with he ESC-key on the keyboard.
    • Digital Macro Set: Other 1
    • TX button: {CTRL-Y} NB. in capital letters
      • Now the macro {TX} can be used to switch the TX ON
    • RX button: {CTRL-Y} NB. in capital letters
      • Now the macro {RX} can be used to switch the TX OFF
    • ESC button: {ESC}CLR{ENTER}{CTRL-D}{ENTER}
      • The macro will reset the PTC-2 to PACTOR, clear the TX buffer and switch the PTC-2 back to RTTY.
  • There are a maximum of 24 extra functionkeys. One of them may be configured to switch the PTC-2 from the default state PACTOR to RTTY.
    • Name button: RTTY
    • Contents button: {ESC}clear{ENTER}{ESC}bau 45{ENTER}{ESC}term 1{ENTER}
      • Every time you start the PTC-2 you may click on this key to start the RTTY-mode. You need 'term 1' to get a delayed echo on the RX-window when your text is transmitted.
  • You may generate more macros with simple QSO texts using the installed N1MMLogger macros as !, *, DATE, TIME etc.
  • Don't forget to start a functionkey with {TX} and at the end place {RX} to switch back to receive.
  • See for some macro examples at macros page..

PK-232

  • Make sure the PK-232 autobaud is set and the unit is set to RTTY mode.
  • Launch Hyperterm and set its parameters to 1200 baud, 8-data, no-parity, 2 stop bits, and no flow control.
  • Connect the PK-232 to the port configured in Hyperterm.
  • Turn on the PK-232.
  • Type a few "*" characters so your PK-232 will autobaud to the 1200 baud rate.
  • Now place the PK-232 in the RTTY mode by typing the command "BAUDOT". It should respond OPMODE now BAUDOT.
  • Turn the threshold pot full clockwise and make sure the LED is on.
  • Also make sure the unit is set up for software handshaking XFLOW = ON.
  • Once you are communicating with the PK-232 and have it in the BAUDOT mode, you can also tune in a RTTY signal and it will decode and print on the Hyperterm window.
  • Now try a transmit by typing a "X" on the keyboard followed by several characters that you wish to transmit. To get back to receive, type a Ctrl+C and a "R".
  • If you have problems, consult your PK-232 manual.
  • Now exit the Hyperterm program and start Logger.

Setting up the PK-232

By John VK4WPX / VK4CEJ

Setting up the PK-232 for RTTY is very simple and straightforward.

  • First, open the 'Configurer' (On the main logging window click Config, Configure Ports, Telnet addresses, Other)
  • Click the Hardware tab
    • Click in the box adjacent to the COM port that you have your PK-232 connected to in the column labeled 'Digital'
    • See picture below, the example here shows the PK-232 on COM-2.

  • Next, click on the Digital Modes tab and set up the Digital Interface 1 parameters.
    • The example in the picture below shows that the PK-232 is set for 9600 baud, no parity and 8 data bits.

Setting up macros and the main logging window "F" keys for the PK-232 is also really very simple.

  • Modify any existing macros that came pre-configured by replacing every instance of ' {TX} ' with ' {CTRL-C}Xmit{ENTER} '
    • I found that the command did not work every time unless it was followed by the {ENTER}
    • or, if the macro does not have {TX} or {RX} in it and you want it to start transmitting or go to receive, add those commands and, replace every instance of {RX} with {CTRL-D}
  • Example: F1 "CQ" macro would therefore be " {CTRL-C}Xmit{ENTER}CQ CQ CQ DE * * * K{CTRL-D} "
  • Example: F5 macro "Hiscall" would be " {CTRL-C}Xmit{ENTER}! "
    • Which would leave the rig in transmit mode so that you could type more info in the transmit window
    • To return to receive, press Ctrl+D (hold down the Ctrl key and press D).

Setting up the KAM

There are three parts in setting up N1MM logger to work with the KAM.

  1. Port configuration
    • The KAM should have a checkmark in digital.
  2. Digital configuration
    • On the digital configuration dialog
      • Choose a free port and configure it for 9600 baud, N,8,1 and none
  3. Macro Creation required to control the KAM
    • Set the TX macro to: {CTRL-C}T
      • will go into transmit
    • Set the RX macro to: {CTRL-C}E
      • return to receive after the message is completed.
    • Set the ESC macro to: {CTRL-C}R
      • this will immediately return the system to receive before sending any text.
    • Example:
      • CQ macro: {TX} CQ CQ CQ DE W3PP W3PP W3PP KKK {RX}

Setting up the HAL DXP38

By Brian, K3KO

The following instructions will get the HAL DXP38 TNC up and running for FSK in N1MMLogger. I admit to not trying AFSK but it should work. This implementation is not elegant but does work with some 'features' of its own. There is a built-in tuning indicator accessible through macro toggles. The implementation is very basic but is working, there are other programs around if you want all the bells and whistles. Thanks go to N2AMG for making the program changes necessary to accommodate HAL commands.

Since there is essentially only one way communication between N1MMlogger and the DXP38 in the command mode, don't expect error checking or error detection. It is assumed that turning on the DXP38 properly loads the internal software. No capability exists here to do such. No capability exists to update the internal programs. This must be done with the HAL software. My unit uses the latest update .LOD and .S28 files from the HAL website http://www.halcomm.com .It is not clear that the updated files are needed here. However, the reason given for the update was to fix a PTT error with another program. So if you are having problems with PTT activation, these updates may be appropriate. Unless you alter the attached initialization macro, you must use LSB RTTY for FSK or LSB for AFSK..

There are three distinct phases - Hardware setup, Software Setup, and Use. The last section discusses two problems that have cropped up and solutions found.

Hardware Set-up

It is recommended that one first get the DXP38 running with WF1B, HAL or a known 'tried and true' software package first. Doing so eliminates the need to troubleshoot both hardware and software when configuring N1MMLogger. Hardware setup:

  1. Connect the PTT and FSK lines to the rig
  2. Connect the COM port (1 for HAL software) to the TNC
  3. Connect audio input to the DXP-38
  4. Connecting the power.
  5. Connecting AFSK output to the rig (AFSK only)
  6. Consult the DXP-38 manuals for the details. The rig must be set FSK RTTY (LSB) or LSB for AFSK.

Software Setup in N1MM logger

There are three parts in setting up N1MM logger to work with the HAL DSP38. Make sure the version of N1MMLogger being used supports the DXP38 hexadecimal commands.

Port configuration

  • The DXP38 port should have checkmarks in digital and set. DTR/RTS should be set to always on.

Digital configuration

  • On the digital configuration dialog
    • Choose a free port and configure it for 9600 baud, N,8,1 and no handshaking.
      • It works fine on the first port but was not tried yet on the second channel. Nor have I tried using two channels.
      • I have been able to get the DXP38 to run on the first port and MMTTY on the second port.

Macro Creation required to initialize and control the DXP38

  • These macros are the 24 box macros not the function keys.
    • Important. This process is error prone. Go to the N1MM logger directory and create a backup of the MDB file in use. If you don't, the results of an error in the macros could be unpleasant. The program may give one a 'type mismatch' error which may not be correctable without either a whole new logging file or somehow editing the .MDB file (using Access) to remove the error. If one does cause this error to happen, just copy the backup file to the original file name. It is a good idea to do the macro creation in steps with backups along the way. N2AMG has some coding in place to help avoid the unpleasantness.
  • Command structure
    • The HAL DXP38 expects commands in the form of two hexadecimal bytes. The first byte is hexadecimal 80 and the second is the hexadecimal command number. Some commands require a second set of two bytes giving the value of a parameter being set. These commands look like {H8084} on the macro page. The {} tell N1MM it is a function, not text. The H triggers the routine which reads what follows as two hexadecimal, one byte numbers and sends them to the DXP38. The first number is always 80. Note: Only the numerals 0-9 and the letters A-F can be used to define the hexadecimal number. Use of any other characters within {} will produce a type mismatch and unpredictable operation. Any text character not in {} is considered text to be sent by the DXP38. As such, it will put the TNC into the transmit mode. The TNC will not return to the receive mode at the end of the macro unless a {RX} is present.
    • Common errors: the use of ( >s instead of {, the letter O for a zero, lower case L for a 1.
  • Macro programming
    • Right click on an empty macro box on the RTTY TNC screen. This will open the macro editing screen which has to be edited. Make sure the commands are of the form {H80xx}. Be very careful with the syntax. There must be four digits and a leading H. Save the macro file and save the configuration. The example uses the macro 'Other 1' and saved the file under 'Other 1.mc' .
    • The HAL command set included in the DSP4100 TNC technical documentation at the HAL website.
    • The printout of the macro file below shows an example.
      • The ESC macro under the TX, RX definition box and (it is no longer the first macro box).
      • The INIZE macro is the initialization macro.
        • Although shown on two lines in most editors, it is programmed as just a series of commands in N1MM.
        • The last command is a return to RX (in hexadecimal). This initialization macro establishes the following TNC characteristics: FSK, BAUDOT, 45 baud, normal FSK mark, normal tones, USOS on, force to letters, TX/RX polarity the same, diddles on, squelch level set to 15, PTT delay =200 ms for XMIT and 100 ms for RX, transmit text echo and tuning indicator on.
      • There are three levels of squelch control provided. The second word in the macro contains a 80nn. The nn is the squelch level. Zero is the lowest and 99 is the highest. You may have to tailor these to your particular radio. RXnorm and RXinv permit inversion of received signals. Echo y (echo yes) and Echo n (echo no) permit echoing of the transmitted characters as they are sent in the received screen area.
      • Fnar, Fmid, Fwide are the filter width selection macros (55Hz, 75Hz, 100Hz).
      • B45 sets the baud rate to 45 baud. If you want another rate change the 8000 command to 800x, where x =1, 2, 3, 4, 5 for 50, 57, 75, 100, 110 baud respectively.
      • Tun on and Tun off control the tuning indicator. The tuning indicator is a freq offset bar indicator with a center zero position. Turn the radio knob towards the bar until it aligns with the center mark. This indicator currently has one problem. It can't be used with call capture. The frequency offset data being sent back confuses the call capture logic.
        • Turn On using {H805D}
        • Turn Off using {H804D}

Example Macro file (other 1.mc). This macro is available for download from the N1MM website (Other files)

*,-
INIZE,{H8084}{H8085}{H80D1}{H80C0}{H80DB}{H80D3}{H805B}{H8089}{H80E3}{H8002}{H80ED}{H8001}
{H80E8}{H8037}{H8000}{H805D}{H8059}{H800E}
*,-
RXinv,{H804C}
RXnorm,{H805C}
Echo y,{H8059}
*,-
*,-
SQlow,{H80E8}{H8015}
SQmid,{H80E8}{H8037}
SQhigh,{H80E8}{H8045}
B45,{H80E4}{H8000}{H800E}
*,-
Echo n,{H8049}
*,-
Tun Off,{H804D}
Fnar,{H80EB}{H8000}
Fmid,{H80EB}{H8001}
Fwide,{H80EB}{H8002}
*,-
*,-
*,-
*,-
Tun On,{H805D}
TX,{H800D}
RX,{H800E}
ESC,{H8006}

First time startup

  • Start up N1MM logger first.
    • After the program loads, make sure focus is on the TNC received text screen. Then turn on the DXP38. If the data link is OK , an @ will be printed on the screen. You will have to create the macros the first time, save the configuration and save the macros to the file. I saved them to the 'other 1.mac'.
  • Subsequent startups
    • Turn on the DXP38. Start N1MM logger. Click on the INIZ macro. One should see a text rendition of the initialization process on the screen. See the picture above. If the function keys have not been defined yet, do so. Almost without exception, end with an {RX}. The call sign in the S&P mode might not have the {RX} command. Now use the program as one would a CW or SSB contest. Call capture as well as the insert key work just like the CW mode. Note: The initialization macro puts the TNC and rig in the transmit mode. No other macros do unless one embeds text characters, spaces or a {TX} command.

Known problems

I have experienced some occasional problems on start-up and shutdown.

Startup - Sometimes the DXP38 and N1MM logger just don't want to communicate. The TNC won't accept the initialization commands. The cure is to shut off the TNC and wait about 45 seconds. Shutdown N1MM logger. Start up the TNC and wait until it has finished its internal initialization. (LED indicators have stopped flashing). Restart N1MMLogger. This may be a problem I have with the COM3 port here and you may never see it.

Shutdown - About half the time the DXP38 will go into the transmit mode when N1MMLogger is shutdown. The cure is to turn off the DXP38. Hopefully a more graceful shutdown can be developed.

Download, configure and test MMTTY

Download MMTTY

  • Download the current release of MMTTY from: http://www.qsl.net/mmhamsoft/
    • At least version 1.64 is needed
  • Run the setup program and install this to your computer (preferable) in its own directory
    • Don't install in the N1MM logger directory when using a MMTTY version from before July 7 2002. When uninstalling MMTTY all files in the install directory will be deleted and with that also N1MM logger. MMTTY version 1.64 uses a new installer and does not have this problem anymore.
  • The NewExe contains the file XMMT.ocx needed for MMTTY version 1.64 or higher and should be in the N1MM Logger directory after an update.

Configure MMTTY

FSK KEYING

  1. In Main Config area 'Digital' tab.
    • Select MMTTY as your Interface type.
    • Select the MMTTY Interface Type (FSK).
    • Select the path to your MMTTY directory, preferable not the same directory as N1MM logger is installed in.
  2. In Main Config area 'Hardware' tab.
    • Place a check mark under the digital column that you are using for the digital port.
  3. Save and exit If MMTTY is already loaded you will probably get an Error message about not being able to open port xxxx.
  4. Open the 'Digital Interface' and when MMTTY loads select: Settings/Setup MMTTY.
  5. Click the TX Settings pane in the MMTTY Setup area and set your serial port that you will be using for FSK keying and Data.
  6. Close the Setup Window and then close the Digital Interface to have MMTTY save the settings.
  7. From this point every time the Digital Interface loads It will NOT pass the port info to MMTTY. MMTTY will load the the serial settings from it's own settings file.

Using the RIGblaster interface for FSK with N1MM/MMTTY combo.

The default for FSK via MMTTY is TXD. You'll need to change the jumpers when using a Rigblaster. Also, make sure you get MMTTY working as a standalone first. Then you should just be able to specify MMTTY in the Digital Interface config in N1MM and it should take off. If you are lucky enough to have a radio where PTT is asserted via radio control ( Kenwood is one) then leave the PTT unchecked in the port setup and checked in the PTT via rig control portion.

AFSK KEYING

  1. In Main Config area 'Digital' tab.
    • Select MMTTY as your Interface type
    • Select the MMTTY Interface Type (AFSK)
    • Select the path to your MMTTY directory, preferable not the same directory as N1MM logger is installed in.
  2. In Main Config area Hardware pane
    • Place a check mark under the digital column which is being used for the digital port.

SO2R : In order to use 2 copies of MMTTY you need to have 2 different keying comports setup for MMTTY to use. Also the second serial port must be a higher number than the first.. More info can be found in the SO2R chapter.

Testing MMTTY

MMTTY is also a stand alone application. So testing can be done outside N1MM logger.

Tips using MMTTY

How to tune RTTY

  • Use the VFO on your radio and dial in the peaks to match the 2 yellow lines on the spectrum
  • Click view and the X-Y scope
  • Make sure you click the "ham" button for proper shift etc.
  • Probably set AFC off..when you are in a crowded section of the band and manually tune the signals
  • Also in crowded sections its helpful to use the built-in notch and bandpass filters
  • Make sure to use LSB

Periodically you get a lost sound indication in the MMTTY window and the program quits responding to RTTY.

  • This should never happen but when it does it happens every 20 minutes or so. Try increasing the priority with which MMTTY runs from its default "high" to "highest". This is one step below the maximum "critical". This setting is in MMTTY under Options, Setup MMTTY and the MISC tab..... Mostly the transition from RX-TX-RX is much smoother.

When should I use AFC

  • Use AFC (automatic frequency control) when MMTTY should automatically track the incoming RTTY signal.
  • With AFC and NET turned on, MMTTY will track the incoming signal and also keep your transmitter frequency locked to the received signal when using AFSK.

    When MMTTY is set to transmit FSK, AFC will work on receive only. When in "Running" mode, you want to keep your TX frequency stable, but with RX AFC set on you can pick up stations who reply a bit off your frequency and copy the exchange without losing your TX spot. Just don't let the AFC spread get too far from where you're transmitting.

  • A nice option to use is: AFC On/Off with CQ - If set then the AFC will turn on with CQ message or TU messages. This way when Running the AFC is on and during S&P the AFC is off. Check it.

When should I use the NET option: NET On/Off with Run Change

  • When in 'Search and Pounce' mode the program will check the NET option, your signal will track any drift on the person you are calling and working.
  • When in 'Running' mode the program will uncheck the NET option, you don't want to 'follow' the station which is calling you over the band.

Why to use "Auto Update TRX Offset w/Mark Freq."

  • Default the mark frequency being used is 2125 Hz. Under the settings menu on the Digital window check Auto Update TRX Offset w/Mark Freq. This way the program will track the mark frequency and will be more on frequency when a spot comes in. When leaving the Digital window the offset is set back to 0 and turned off...

Configure and test using a TNC

Configure the TNC

  1. Start the N1MM Logger application.
  2. On the Logger Main Window do a 'Config> Configure Ports, Telnet Address, Other'
  3. In Digital Setup
    • a. Choose Other for Interface
    • b. Set other parameters accordingly (Example settings: Com 4 ,9600 ,8 ,N ,1 RST-Xon)
    • c. Save the configuration
  4. Load the Digital Interface from the window menu.
  5. Create your Abort macro (This should be in the upper left corner) by right clicking on it. This will open up the RTTY setup area. Click on the same macro and enter what ever key sequence you need to abort transmission and save the macro.
    Example PK-232: {CTRL-C}R{ENTER} and save the macro.
  6. You should be ready to copy RTTY make sure your interface is set to copy 45 baud and 170 shift. You can configure a macro key to change this or you can type the key sequence needed in the transmit window and it will get sent to the TNC.

That should be it. You will need to add the CTRL keys that turn on and off the TNC
Example CQ macro for the PK-232: X{ENTER} CQ CQ CQ TEST DE {MYCALL} {MYCALL} K {CTRL-D}

Testing the TNC

  • Test stand-alone
  • See the separate sections for the PK-232, KAm, HAL etc. If your TNC is not mentioned please set it up like the other mentioned TNC's.

Make a RTTY transmission

  • We need to make room for a new RTTY screen so for now minimize the Logger Telnet/Packet window.
  • Now select 'Window | Digital Interface' and the Digital Interface will open. The Digital Interface window can be positioned and resized on your monitor as desired.
  • When MMTTY is chosen two extra windows will appear: the MMTTY Engine window (how it will appear depends on the settings in the Configurer) and the Digital Interface window. If an external TNC is used only the Digital Interface window is opened.
  • Left clicking on a call will grab the callsign. Right clicking on the RX and TX windows will show a menu.
  • Pressing Insert will Grab the highlighted call and sends Hiscall followed by the Exchange button.
  • Double clicking on a callsign in the callsign box from the Digital Interface sends that call to the Entry window.
  • A callsign is automatically highlighted if recognized by the program. For that to happen it needs to have a space before and a space after the callsign. If the first thing on a new line in the Digital Interface window is a valid callsign, it is not highlighted or added to the grab list.
  • The red and green lines show roughly where the spectrum works the best. The Red line indicates center 1500 and the green lines show 2000 and 1000 Hz.
  • There is a timer that activates after 5 secs of inactivity in the Digital window to send focus back to the Entry window. It is in there as MMTTY likes to take focus and not let go of it. And currently there is no way to tell MMTTY to let go of it....

Name lookup

The program has the possibility to lookup the name from a station entered in the Callsign field. For this to happen the following has to be done.

  • Import a callsign versus name text file
    • The famous 'Friend.ini' file used in the WF1B program can be directly imported
    • Also a text file using the format for Call History import can be used.
      • Callsign Comma Name
      • Example: N1MM,Tom
  • Select the menu item: 'Call History Lookup' under 'Config'
  • Use the {NAME} macro to have the name sent.
    • Note: The name is looked up in the Call History table with the cursor in the callsign field and pressing the Spacebar!

Example how to import the Friend.ini file from the WF1B program.

  • Select 'File | Import | Import Call History'.
  • Select your 'Friend.ini' file by changing 'Files of type:' to 'All Files (*.*)'. Otherwise only text files will be shown!
  • Select the 'Open' button. The callsigns with names from the text file will be imported.
  • NB. Importing info in this table will delete all previous content. There is no merge option! So if there is information in it and you only want to add info, first export this info (Select 'File | Export | Export Call History') and merge the data outside the program with a Text editor like Notepad. After this import the new merged file 'Friend.ini' file.
  • The program will show in the bottom pane of the Entry Window status information during importing and afterwards the number of imported callsigns.

Outputting RX data to a text file

Outputting your RX data to a text file can be done in N1MM logger and in MMTTY.

  • N1MM logger: Right click in the RX window and select output to Text File
  • MMTTY: Doing this in MMTTY is a bit tricky. Go to the directory where MMTTY has been installed and load MMTTY in standalone mode. Click on Flie/Log RX and close the program. From now on every time you start MMTTY either via the logger or in standalone mode an output text file will be created and all your info will be stored in this text file. In the directory where MMTTY is located files will be created that have names like 031103.txt. MMTTY creates a new file for each day. These files are a real safety feature as you can go back through them for any info you missed or lost during a crash.

SO2R

N1MM logger also supports SO2R for RTTY. You can use any combination of either 2 MMTTY windows, 2 TNC windows or a combination of MMTTY and a TNC for SO2R operation. Info about MMTTY soundcard setup and SO2R can be found in the N1MM logger Help file in the SO2R chapter

Other Features

  • Pressing Ctrl while single clicking on a call will force the call into the Entry window.
  • In ESM mode, don't simulate space bar, just set focus to the Entry Window.
  • "-" are being stripped from exchange elements
  • CQ Repeat time when using MMTTY counts from when the sending stops. When using a TNC the timer still tracks from when the macro is sent as there is no way to tell when the TNC finishes sending.
  • The {RX} macro string has a CR/LF at the end for easy recognition.
  • During transmit, callsigns are not grabbed from the receive window.
  • Linefeed characters (LF) in incoming text are replaced with Carriage Return (CR) characters. This prevents the showing of blocks in the receive window.
To get auto-CQ to work correctly with a TNC set you repeat time to at least 9 or 10 seconds. It may need to be longer if you have a longer CQ macro. This will stop the TNC buffer from receiving the next string before it finishes sending the last one.
It is best to add the command that your TNC uses to clear the transmit buffer to the end of your Abort Macro. If not, the transmit buffer still holds the remaining characters that were left in the sent string and will get sent the next time the TNC sends.
When using a TNC turn off Stop Sending CQ when Callsign changed this is located in the configuration area under function keys. If not every time you stop an auto-CQ and you type a callsign in the box it will send the abort string to the TNC.

Do you have... (what to check when it does not work)

Below the most common mistakes made setting up or using N1MM logger in RTTY mode.
  • Add {TX} and {RX} to each of the F Keys...
  • Set up "always RTTY" in the Configurer under the Tab: Mode Control
  • Select the DI type in the Configurer under the Tab: Digital Modes
  • When MMTTY selected: Set up the path to MMTTY in the Configurer under the Tab: Digital Modes
  • More?


General PSK information

General info

When you plan to run PSK:
  • Keep your macros short.
    • PSK is about 1/3 slower than RTTY; you can really impact your rates with wordy macros
  • Use lower case letters wherever possible.
    • PSK is a varicode mode. That means that characters contain a variable number of bits, unlike ASCII characters that have a fixed number of bits. Most lower-case PSK characters have fewer bits in them than their upper-case equivalents, so lower-case (in general) transmits faster.

On the radio make sure:

  • Audio processing is off
    • Speech processing is off
    • Hi boost is off (Kenwood radios)
  • Radio should be in USB mode
    LSB is also possible but normally USB is used.
  • Don't overrun your finals from the transceiver and/or amplifier
    • 50 percent duty cycle is mostly ok
    • See the Interfacing section of this help for url's and tips on interfacing.
  • Using lower case letters instead of all caps, will increase speed and reduce TX time.
  • Only 100 Hz is needed as channel separation.
  • Example filter usage:
    • Available 2.4 kHz / 250 Hz /100 Hz filter bandwidths.
    • 2.4 kHz is used for monitoring the PSK area of band when in search and pounce mode.
    • 250 Hz and 100 Hz filter bandwidths are used when in run mode.

Common Digital Frequencies

    Band | Digital Frequencies (kHz)
160 meter |
80 meter | 3575 - 3585 / 3620 - 3640
40 meter | 7060 - 7080
30 meter | 10130 - 10145
20 meter | 14065 - 14090
17 meter | 18100 - 18110
15 meter | 21060 - 21090
12 meter | 24920 - 24930
10 meter | 28110 - 28125

Common PSK Frequencies

PSK31 activity starts from the bottom edge of the IARU RTTY bandplan, expanding upwards as activity increases.

    PSK Frequency (kHz) | Remarks
1838.15 |
3580.15 |
7035.15 | 7080.15 in Region 2.
10142.15 | WARC, no contesting
14070.15 |
18100.15 | WARC, no contesting
21080.15 |
24920.15 | WARC, no contesting
28120.15 |


PSK Support

When having troubles please first check the Digital Modes part of the chapter Frequently Asked Questions.

The PSK Interface

The PSK interface is based on the MMVARI engine by Makoto Mori, JE3HHT.
Supported will be all modes from the MMVARI engine which are next to bpsk (like PSK31 and PSK63) also GMSK (HF), FSK (V/UHF), FSK-W (V/UHF, satellite), BPSK (HF), bpsk (Standard bpsk), rtty-L (LSB), rtty-U (USB), mfsk-L (LSB) and mfsk-U (USB).

The MMVARI engine does not have to be installed separate, it is included in the N1MM logger program program/update files.

The PSK Interface Window

The PSK interface window is broken into 5 separate areas which will be covered in order from the top. The exact frequency is displayed in the Digital Interface and PSK Engine Caption (rig(+/-)audio).

  • Receive Windows 1 and 2 - Both these windows operate in the same manner and both windows are able to grab callsigns and place them into the grab window that will be discussed later.
    There is a colored pane on the left side of each receive window that serves 2 purposes
    1. Identifies which window is currently the transmit window by coloring it Red.
    2. By clicking on the colored pane you can pause input to the receive window to scroll back through the (last 2000 lines of) text using the scroll bars. When the window is paused the color of the pane will turn Yellow. To turn input to the window back on click in the pane again and everything that was to be printed to the window will now enter the window. When the receive window is paused it is possible to copy text in the window.

    There are 2 ways of placing a callsign into the callsign window of the logger you can single click on a callsign and it will transfer over to the main logging window. Whenever a callsign is printed to a window followed by a space it will be sent to the callsign grab window for easy movement to the logging window by clicking the Grab button.

    You can select any exchange info by single clicking on the sent info. This info will be transfered over to the logger Entry window item by item after the callsign is filled in.

    Selecting another frequency for this window is done by left clicking in the Waterfall or Spectrum window. This is the window used for making QSO's. If you select a callsign using your mouse it will be put into the callsign field in the Entry window.

The two receive windows are resizable by the middle splitter.

  • Transmit window - This is a free form typing window. If you click on the TX button the cursor will be placed into this window and what ever is typed will be sent. The size is static and doesn't change size (2 lines).
  • Callsign Textbox and Grab - When a callsign is encountered in one of the receive windows (followed by a space) it will be placed in this textbox and when you press the Grab button it will transfer the callsign over to the main logger window. The grab callsign window holds the last 10 callsigns seen in the RX window. The most current one is at the top and is highlighted. A right click in this box brings up a menu to clear list or selected callsign. Dupe callsigns will not be shown in the grab window.

    Note: If the callsign in the callsign field in the Entry window is equal to the callsign in the received text, the call in the Entry window does not get placed into the call list.

  • Clr RX - This is a fast way to clear BOTH receive windows. If you want to clear individual windows right click over the window and a menu will pop up. The only time this menu will not appear is if you are in RUN MODE. Then when you right click on either of the 2 receive windows the F2 macro will be sent. You can still access the clear menu by right clicking in the TX window.
  • TX - Places the interface into transmit, the transceiver is keyed, and places the cursor into the TX window for input. See the Radio Interfacing section for Parallel and Serial port info.
  • RX - This places the interface back into receive mode after all the characters in the transmit buffer have been sent. To abort transmit immediately you may press the Escape key.
  • Macro buttons - These buttons on the Digital Interface are 24 extra Macros for preprogrammed messages. Configuring these macros is done in the Digital Interface window under 'Setup, Settings' or by right clicking on them which brings up the Digital setup window. The macro buttons widths dynamicly adjusts in relation to the width of interface.
  • Grab - Transfer the selected callsign in the callsign textbox to the callsign field on the main logger window. Once the callsign is filled what ever you click on next will fill the next box to have info entered in. The mouse is the only way to do this.

The Waterfall or Spectrum window

  • The digital engine window - This window which uses the MMVARI control from Makoto Mori, JE3HHT which is equipped with a total of nine RX channels and one TX channel. Across the top it shows the frequency of your radio. As you tune your radio this will update and the numbers will change. There are colored cursors which represent the 2 receive windows. The yellow cursor is for the 1st receive window and the red cursor is for the 2nd receive window. To change frequency for the 1st receive window you place your mouse pointer over a signal trace and click with your left mouse button. To change frequency for the 2nd receive window you place your mouse pointer over a trace and click with your right mouse button.

    • The exact frequency of the Main Channel is displayed in Digital Interface and PSK Engine Caption (rig(+/-)audio).

    The remaining textboxes represent the receive frequency of the receive windows. The IMD settings for each channel are listed and will change whenever idle signal (only signal no text) is received.

  • Buttons above the FFT
    • TX - Start the transmission, the transceiver is keyed and places the cursor into the TX window for input. See the Radio Interfacing section for Parallel and Serial port info.
    • RX - Stops the transmission, the transceiver changes back to receive after all the characters in the transmit buffer have been sent. To abort immediately press the Escape key.
    • Escape key - (on keyboard) forces to get back to RX (receive) immediately.
    • AFC - Shows AFC on or off. Selected (white) means AFC on.
    • NET - Shows NET on or off. Selected (white) means NET on. When NET is on the TX frequency follows the RX frequency.
    • Align
      • ????
    • Mode
      • Select the mode to use. Selections are:
        • GMSK - MBCS experiment (HF)
        • FSK - MBCS experiment (V/UHF)
        • FSK-W - MBCS experiment (V/UHF, satellite)
        • BPSK - MBCS experiment (HF)
        • bpsk - Standard bpsk
        • rtty-L - BAUDOT (LSB)
        • rtty-U - BAUDOT (USB)
        • mfsk-L - MFSK (LSB)
        • mfsk-U - MFSK (USB)
    • Speed
      • Select the speed to use in bps. Selections are: 15.625, 31.25, 45.45, 62.5, 125.0 or 250.0 (bps)
  • The FFT
    • Just above the FFT are shown the Main Channel receive and transmit frequency and the IMD setting (S/N).
    • Left vertical indicator which shows ...??
    • At the top of the window the ? frequencies are shown in 500 Hz steps (0 - 3000 Hz)
    • Markers
      • Top markers (taps)
        • 1 - frequency receive channel 1
        • N - indicates a notch filter
      • The light blue vertical line (spectrum) or a light blue colored marker (waterfall) indicates the selected listening frequency ??
      • The dark blue vertical line (spectrum) or a dark blue colored marker (waterfall) indicates the TX carrier frequency
    • Any hints or tips using the FFT?
    • Mouse key clicking
      • Left mouse key clicking
        • Single clicking in the FFT will change the transmit frequency
      • Right mouse key clicking
        • The exact transmit frequency will be shown.
        • Also a menu will show
          • Set notch on here - adds a new notch filter on the selected frequency indicated by a N in a yellow area. Multiple nothes can be set.
          • Delete all notches - all set notches will be removed.
          • Set TX carrier on here - a dark blue line will appear for the selected frequency.
          • RX 1 Freq Here - specifies the RX carrier frequency of selectd RX channel.
  • Receive channels below the FFT
    • Below the FFT the receive channels will be shown. A new receive channel will be added when ???
    • Mode - Select the mode to use. Selections are: GMSK, FSK, FSK-W, BPSK, bpfs, rtty-L, rtty-U, mfsk-L or mfsk-U
    • Speed - Select the speed to use. Selections are: 15.625, 31.25, 45.45, 62.5, 125.0 or 250.0
    • AFC - Shows AFC on or off for the selected channel. Selected (white) means AFC on.
    • Left Tuning indicator
    • Another indicator
    • Swap - Swaps transmit control between the receive windows. The indicator on the left of the window will turn red if the window has transmit control and green when not. This is good in contesting as while working one station. You can dial the second station in via the second receive window and after you finish the first contact just hit swap button and then call the other station.
  • Menu at the Top
    • BPF
      • Selects the used Band Pass Filter. Selections are: Wide, Middle, Narrow, Ultra Narrow
    • ATC
      • Select if Automatic Timing Control (ATC) is turned on or off. It is recommended to keep ATC on all the time for better signal decoding.
        • when RTTY is selected ATC if always off
        • in mfsk mode ATC is always on
    • FFT
      • FFT type
        • Select the FFT type to use. Selections are: Spectrum, Waterfall, Sync or Wave Input
      • FFT Width
        • Select the FFT width to use. Selections are: 250 Hz, 500 Hz, 1000 Hz, 2000 Hz, 3000 Hz or User Defined
      • FFT Scale
        • Select the FFT scale to use. Selections are: 100 dB, 60 dB, Square Amplitude
      • Waterfall AGC
        • Turn the waterfall AGC on or off.

Keyboard Assignments

  • Alt+T - Toggle TX/RX, the cursor will be set to the TX window of the active interface.
  • Alt+G - Grab most recent callsign from callsign textbox. Upon grabbing that callsign gets deleted from the grab list.
  • Ctrl+Left/Right arrows - When 2 radios are configured and 2 digital windows are open, pressing Ctrl+Left arrow of Ctrl+Right arrow will swap from one active Digital Interface to the other. Digital Interface 1 will follow radio 1 (bandmap A), Digital Interface 2 will follow radio 2 (bandmap B).

Insert key Assignments

Mode
Enter Sends Message
(ESM mode)
INSERT key or ; key does the following:

RUN

and

S&P
OFF
  1. Grab Callsign from call list if callsign field empty otherwise use call in callsign field.
  2. Prefilles Exchange Boxes
  3. NO DUPE: Sends F5 (Hiscall) + F2 (Exchange)
    or
    DUPE: Sends Nothing
  4. Places cursor in next exchange field (Example: Sect)
RUN
ON
  1. Grab Callsign from call list if callsign field empty otherwise use call in callsign field.
  2. Prefilles Exchange Boxes
  3. NO DUPE: Sends F5 (Hiscall) + F2 (Exchange)
    or
    DUPE
     WorkDupes checked: Sends F5 (Hiscall) + F2 (Exchange)
    WorkDupes not checked:Sends F6(Dupe)
  4. Places cursor in next exchange field (Example: Sect)
  5. Highlights F8 button
S&P
ON
  1. Grab Callsign from call list if callsign field empty otherwise use call in callsign field.
  2. Prefilles Exchange Boxes
  3. NO DUPE: Sends F4 (Mycall)
    or
    DUPE
     WorkDupes checked: Sends F5 (Hiscall) + F2 (Exchange)
    WorkDupes not checked:Sends F6(Dupe)
  4. Once exchange entered INSERT sends F5-F2
    • Pressing INSERTagain will continue to send F5-F2
  5. Places cursor in next exchange field (Example: Sect)

Mouse Assignments

  • Left mouse key clicking
    • Single clicking on a callsign grabs it and places it in the Callsign field on the Entry Window.
    • Single clicking on exchange info etc. grabs it and places it in the Exchange field on the Entry Window.
      • NB. The callsign field must be filled first!
  • Right mouse key clicking
    • Clear RX1 - Clear Receive window 1
    • Clear RX2 - Clear Receive window 2
    • Clear TX - Clear the transmit window
    • Output CH1 to Text File - Output the received text from channel 1(receive window 1) to a text file named PSKCH1.txt
    • Output CH2 to Text File - Output the received text from channel 2 (receive window 2) to a text file named PSKCH2.txt
    • Help - Show the help file for this window
  • Right mouse key clicking in GRAB window
    • gives a menu:
      • Clear List - Clear the entire grab window
      • Clear Selected Call - Clear the selected call in the grab window

Configuring the Entry window function keys

  • The Entry window function keys support 'Running' mode and 'Search & Pounce' mode.
  • The function keys use the same macros for PSK and RTTY.
  • The function keys can be changed under: 'Config | Change Packet/CW/SSB/Digital Message Buttons | Change Digital Buttons'.
Example button definitions:

Macro keys

  • There are 8, 16 or 24 extra macro keys possible on the PSK interface.
  • A right click on the macro buttons brings up the Digital setup dialog where the macros can be configured.
  • These extra function keys support all the macros but don't support 'Running' mode and 'Search & Pounce' mode.
  • Include in your macros the control keys needed to turn on the TNC and switch to RX...
  • Macro key substitution is supported by the buttons in the PSK window and the function keys on the Entry window.
    The macros which can be used and some examples can be found on the macros page.

Setup Menu Selections

Selection: PSK

  • Setup
    • Settings - setting up the Digital Interface, see below.
    • SoundCard
      • Receive Mixer - shows the Record control mixer dialog from the Windows operating system
      • Transmit Mixer - shows the Play control mixer dialog from the Windows operating system
    • AFC On/Off with CQ - If set then the AFC will turn on with CQ message or TU messages.
    • NET On/Off with Run Change - Option to turn Net function on in S&P and off in Running mode.
    • Auto Update TRX Offset w/Mark Freq. - Option to auto update the transceiver offset whenever the Mark frequency changes.
  • Mode
    • RTTY - select RTTY as mode
    • PSK - select PSK as mode
  • Help - shows help file

Setting up the Digital Interface

This setup dialog is for both MMTTY and PSK, thismeans that some setings are only for PSK, MMTTY or both. When selecting 'Setup | Settings' in the Digital Interface window will show a dialog like the one below.

  • PSK Engine (PSK only)
    • Waterfall/Spectrum Color palette - The colors that make up the color palette can be changed to represent whatever colors you would like. The colors go from the weakest signal on the left to the strongest signal on the right. There is a color pallet setting for the Waterfall, Spectrum and for Miscellanious colors. The Default button changes the colors back to the default colors.
    • Squelch Level - This level represents the noise level as to where you would like the interface to start copying signals at. 0 indicates an open squelch and everything will be decoded.
    • High Pass Filter - Select 'Use High Pass Filter' to use the internal high pass filter for RX. Although this is unnecessary most soundcards, it sometimes is effective for eliminating hum in the input audio.
    • Spectrum Lower Frq - the lower frequency to display when the Spectrum view or Waterfall is active.
    • Spectrum Upper Frq - the upper frequency to display when the Spectrum view or Waterfall is active.
    • # of PSK channels - Number of PSK channels to use. Choices are 2, 3 or 4.
    • AFC Search Range - This is how far in Hz the interface will track a drifting signal i.e the frequency sweeping width (+/-Hz) for the AFC.
      • Sense Level - specifies the S/N level (dB) for the wide AFC. When less than or equal to 50 Hz, the wide AFC does not function. The sense level is applied to all the RX channels.
    • Digital Output Level - specifies the digital output level in the range of 0 to 32767. The default value is 16384.
  • MFSK (MFSK only)
    • Handling Center Frequency - When selected the center frequency is used for the carrier frequency. When not selected the base tone frequency is used for the carrier frequency.
    • Use Metric Level Squelch - Select to use the metric level for the squelch. When not selected the S/N level is used for the squelch.
  • CW ID (MMTTY and PSK)
    • Enable - If this check box is checked (Enabled) the interface will send the string entered in the field behind it (Enter CWID String). This string will be sent after every transmission. A * will be substituded by SK, + by AR and = by BT.
  • Soundcard (MMTTY and/or PSK)
    • PSK Soundcard Select - (PSK only) Select the soundcard to be used when having more than one soundcard in your computer (maximum 4).
    • FIFO
      • RX - specifies the depth of the RX FIFO. Valid values are 4 to 32.
      • TX - specifies the depth of the TX FIFO. Valid values are 4 to 32.
    • Input Channel - Select the input channel. Mono, Left channel or Right channel.
    • Clock - (MMTTY and PSK) Soundcard Clock adjustment
      • RX - specifies the tuning parameters of the RX clock adjustment function.
      • TX Offset - the offset of the TX frequency compared to the RX frequency.
      • Graphical Adjustment - Graphical RX clock adjustment.
        • The computer clock itself is not very accurate (+- 100 ppm) that is why to use WWV or another precision source to calibrate the soundcard.
        • 1. Tune to WWV or another Time Mark adjust so tick is on 1000 Hz in Spectrum of MMVARI.
        • 2. Wait for line to appear in display and adjust Clock Freq so line appears straight and not at an angle.
        • 3. Click button to save new frequency when line is straight up and down.
  • Digital Interface Window Colors (MMTTY and PSK)
    • The PSK and RTTY receive and the transmit window background colors can be changed here.
  • Digital Interface RX Window Font Selection - (MMTTY and PSK)
    • Change the font and character size for the RX channels. Press the 'Set Font' button to get a selection window.
  • Alignment Frequency - (MMTTY and PSK)
    • RTTY - RTTY alignment frequency.
    • PSK - PSK alignment frequency.
  • Send Space on Callsign Mouse Click - (MMTTY and PSK) Ability to set if a space character is sent to EntryWindow when clicking on the callsign with mouse. Select to enable.
  • (MMTTY) Send HamDefault on Run to S&P change - (MMTTY only) Ability to have Ham Default(MMTTY) sent when going from Run to S&P to reset Mark Frequency. Select to enable.
  • (MMTTY-PSK) Turn AFC Off when switching to S&P - (MMTTY and PSK) Ability to Turn AFC Off (MMTTY-PSK) when going from Run to S&P. Select to enable.
  • (PSK) Do not send Squelch tail - (PSK only) Ability to not send squelch tail in PSK mode which gives a faster turn over time. Select to enable.
  • Add Callsign to Bandmap on Alt+G - (MMTTY and PSK) Option to send callsign from station in callsign field (Alt+O) when doing a grab (Alt+G)
  • Save Configuration - Save the made configuration changes. If the changes made should not be saved select the cross in the upper right corner to close the window.

  • Digital Macro Set Select Interface Type and Window Number to begin - Update the macros definitions and button texts.
    • Select an interface (TNC or soundcard DI) from the dropdown menu. Choices are:
      • PSK - macros for the PSK interface.
      • MMTTY 1 - macros for the first MMTTY interface.
      • Other 1 - macros for the first TNC.
      • MMTTY 2 - macros for the second MMTTY interface.
      • Other 2 - macros for the second TNC.
    • Click on the macro button which has to be updated
    • Type the macro text in the field 'Macro Text'
    • Type the button text in the field 'Macro Caption'
    • Click on the 'Save Macro' button when satisfied
    • The selected macro caption text will be shown on the button
    • Available macros are shown in the box 'Available Macros'. First select a macro button to see them all.
    • Below the CW ID check box are two extra Macro buttons which have to be configured as TX/RX buttons. Enter what control codes are needed to turn on and off your TNC. Only visible when Other1 or Other2 is selected.
    • When Other1 or Other2 selected
      • RX - Receive macro, this will become the contents of the macro {RX}
      • TX - Transmit macro, this will become the contents of the macro {TX}
      • ESC - Abort macro, used when pressing the Escape key.
  • Load Macros - Load saved macros from a saved file (*.mc) to the Digital Macro Set.
  • Save Macros - Save macros from the Digital Macro Set to a file (*.mc).
  • # of Macros - Select the number of macro buttons. You can select 0, 8, 16 or 24.
  • Macro Text - Area where to create the macro text for the selected macro.
  • Macro caption - Macro caption from the button.
  • Available Macros - Shows the available macros. Clicking on a macro will transfer it to the macro text area.
  • Save Configuration - Save the made configuration changes. If the changes made should not be saved select the cross in the upper right corner to close the window.

Any changes made in the setup form must be saved by clicking the Save Configuration Button located on the bottom of the form. Any changes made and saved will be changed as soon as the setup area closes.

Make a PSK transmission

  • We need to make room for the Digital Interface so for now minimize the Logger Telnet/Packet window.
  • Now select 'Window | Digital Interface' and the Digital Interface and the Waterfall/Spectrum window will open. The Digital Interface dialog can be positioned and resized on your monitor as desired.
  • Left clicking on a call will grab the callsign. Right clicking on the RX and TX window will pop a menu (S&P mode) or send the Exchange function key in Running mode..
  • Pressing Insert will Grab the highlighted call and sends Hiscall followed by the Exchange button.
  • Double clicking on a callsign in the callsign box from the Digital Interface sends that call to the Entry window.
  • A callsign is automatically highlighted if recognized by the program. For that to happen it needs to have a space before and a space after the callsign. If the first thing on a new line in the Digital Interface window is a valid callsign, it is not highlighted or added to the grab list.

Other

  • The Radio Frequency display on the Waterfall and Spectrum display follows the active Radio Frequency
  • The last PSK mode used is remembered, so the next time the last used mode is selected.
  • Getting (PSK) object errors during program start or starting PSK?
    You will likely have to run c:\windows\system\regsvr32 /u PSKCore.dll, followed by c:\windows\system\regsvr32 PSKCore.dll to register the PSKCore.dll. Run upgrade.bat which is located in the program install directory and these commands will be executed.
  • During transmit, callsigns are not grabbed from the receive window.


Before the Contest

  • Call History Lookup
  • Importing and exporting message Function keys
  • Getting ready for CQWW (and other contests)
  • How to record Wav files for the Function keys used in SSB contests.

Call History Lookup

In some contests part of the exchange is known if the callsign is known. So it would be easy to have this information shown (or already prefilled) if the callsign is entered. Lookup examples are names (Friends file in RTTY contests), gridsquares for VHF contests, ages in All Asian DX contests etc. In all cases the possibility to use this lookup function means changes in the contest class by the programmer. A lookup is only done when the cursor is in the callsign field in the Entry window and SPACE or TAB is pressed.

Call history is implemented in a separate table in each database. This table is called CallHist. The entry window menu options for Call History Lookup are:

  • Config | Call History Lookup
    • Toggle to let the contest use the Call History table. In this table station information like Name, GridSquare, Section, State, Age etc. can be stored and retrieved during the contest. This setting will cost some performance because the program has to lookup information when leaving the callsign field from this table in the database. This table has to be filled with 'Import Call History' and the contest has to be suited for it before it can be used! Provision has been made in the table for additional fields: State, Birthdate, CK. These are in the table, but do not have any effect on logging.
  • File | Import | Import Import Call History
    • Some contests use exchanges which are very often the same the next you work a station. This table can be used by some of the contests to show information in one of the exchange fields or fill a macro when a callsign is entered. This information can be Name (RTTY friends file), Grid square, age, etc. For more information see the VHF and up contesting chapter (VHFREG1 is a VHF contest which uses this table to fill the grid square). When importing a new file with information the contents of the CallHist table will be deleted first. So export first if you want to keep the content!
  • File | Import | Export Call History
    • Exports the information in the Call History table. This table can only be filled by using 'Import Call History'.

Note: Currently, there is no way to export from a contest log to the call history table yet, filling the CallHist table has to be done by importing a text file.

Creating a lookup file for importing in CallHist table

The import function expects a text file with on each line the information as mentioned in the order below.
Order: Callsign, Name, Grid1, Grid2, Section, State, CK, Birthdate
The delimiter between the fields may be a comma, a semicolon, a space or an equal sign. The delimiters may be mixed in the file but not within one line! The callsign is needed, all other fields are optional. The equal sign is introduced so a friends.ini file used by many RTTY contest programs can be used without converting.

A missing CK must be entered as -1, since any check from 00 through 99 is valid (ARRL Sweepstakes).
Birthdate is expected to be used for the AA contest to compute the other stations age. This will obviously be a little tricky to deal with.
Be sure to put birth dates in a universal format, e.g. 1980-12-31

Example call history file:

Only name needed for contest | Grid Square needed | State needed
N1MM,Tom | PI4GN,,JO33II,JO33jf, | N1MM,Tom,,,,CT
N2AMG;Rick | PA5DD=Uffe=JO22ic= | K3ZO;Fred;;;;MD
WW3S=Jamie | PA1T,Timon,JO33jf, |

Or

K1CC,RICH,FN31,FN32,,,-1,1900-01-01
KG1D,LES,,,,,-1,1900-01-01
N1MM,TOM,FN31,,CT,CT,61,1949-10-01
# this is comments (line starts with a #)
W1RM,PETE,,,,,-1,1900-01-01

  • The callsign is needed and may not be omitted
  • When the Grid square is needed and the name is not known it does not have to be filled. Don't forget the delimiter! A second grid square may be entered at the position of Grid2. Grid1 should be filled if one grid square is known/used. Filling Grid2 is optional.
  • Example 'State needed' gives many delimiters. Depending on the contest class an entered name will be used or not.
  • There is no maximum for the number of lines. For VHF contesting we normally import a file with over 50,000 lines and there is no noticeable delay in searching (on a fast computer). There is a gridsquare file available from the N1MM website under 'Downloads', select the menu: 'Other Files'. It was created by PA1M for use in European VHF contests.
  • Pressing the SPACE bar or TAB when the cursor is in the callsign field will look for a callsign in the CallHist lookup table.
  • It is possible to add comment lines in the Call History file, use a # on the first position of the line. See example above.
  • Sweepstakes will pull in the Section and CK, the 10m contest will pull in the State, NAQP will pull in the Name & State. PAbeker will use Section. VHFREG1 uses Grid1, Grid2 and name etc. If the contest doesn't use one of those fields you're out of luck!
  • To check if a contest uses the call history create a file with one one call to import and each field filled with unique content. When call history enabled this content should show up when this call is entered (and space or tab pressed). By the unique content you can estimate which field (Name, CK etc.) is being used.
  • A great tool to use has been made by Carel, PC5M and is called 'Thucydides'. Check out the chapter 'Third Party Software' for more info.

Tip 1 by Kenny, K2KW

For those of us with limited dB skills, there is a relatively easy way in Excel to get the data into the right format. Start off by parsing out the data from an old log into different columns. (In Excel, there is a Text to Columns conversion, if your data starts off in one line). Once you get the basic data extracted and parsed, insert additional columns for all the fields as required. Then insert a field for every comma you need, resulting in 8 data fields, separated by 7 fields with single commas in them. By now the data should look exactly as you need it, but in 15 different columns. Then in yet another field, use the Excel Concatenate function:"=concatenate(A1, B1, C1, etc)" You will list every column. This function will then concatenate all the data into one long string, and then just copy and paste all the columns (you can do it all at once) with data into an ASCII file. I had just done this at work last week and it works great. Sounds complicated, but it's quite easy.

Tip 2 by Tom, N1MM

In the log window, choose 'Select All' and use 'Copy Generic Print String' to speed up this approach. The data in the clipboard can then be pasted into Excel.

Tip 3 by Thomas, PA1M

Use 'Thucydides' by Carel, PC5M . Check out the chapter 'Third Party Software' for more info.

Importing and exporting message Function keys

The CW messages and SSB wav file messages are not contest-specific, but rather portable between contests.

When you get the message keys set up for a particular contest do the following: File > Export > Export Function Keys to File > CW Function Keys (for example) This saves the message key setup as a Macro file. Name it after the contest. You can recall that set of function keys any time you like by importing them: File > Import > Import Function Keys from File > CW Function Keys (for example) > (select file)

This way you can make and reuse different files for all the different contests. Just import the message keys for the contest de jour.

Getting ready for CQWW (and other contests)

Top contesters have a checklist of things to do prior to a major contest. Please consider adding these logging program related items to your list:

  1. Make a few dozen test contacts in the contest.
    Make several QSO's in 'running' mode and several QSO's in S&P mode. Press the CQ function key to set yourself to 'running' mode. If it does not, make sure the 'Configurer | Function Keys tab' matches your button setup.
  2. If you plan to use any of the following features, make sure they work as you expect:
    • Enter sends messages
    • Autocompletion
    • Multi-op
    • Send leading zeros
    • Send corrected call
    • Radio interface
    • Packet connection
    • Telnet connection
  3. Get the latest CTY.DAT and install & test it. The About window will tell you the version you are using.
  4. Get the latest MASTER.DTA and put it in your install directory. The Check window at startup will tell you the version you are using.
  5. Prepare your CW function keys, SSB wav files, or CQ/RTTY messages. Test them!
  6. Make sure that RF does not get into your cabling.
  7. Make sure you have selected the correct options in the contest setup dialog. For CQWW your exchange field should contain only your zone.
    Read the contest rules so you know how to setup the contest, Function keys etc.
  8. Run Cabrillo output and check for proper generation.
  9. Sync your time with an Internet time standard, if possible. I use a freeware program called Dimension 4 and resync periodically (every hour?) during the contest.
  10. Review "Key Assignments" in the help. Print it out or print out a keyboard template which can be found on the N1MM website under 'Downloads', select in the 'Download' menu, 'Other Files'.

73, & GL in the contests

Tom Wagner - N1MM

How to record Wav files for the Function keys used in SSB contests.

By Tom, N1MM.

  1. I use Cool Edit 96, but there are later versions.
  2. Record **all** of the messages on one wav file. Make sure you have a quiet room. Record each message at least TWICE. Sound excited!
  3. Leave 5 seconds of empty space at the beginning of the recording.
  4. Record.
  5. Save the recording as "Raw CQ" or some such.
  6. Use Cool's noise reduction feature. Mark the blank part of the wav, and set the noise reduction, then noise reduce the whole wav file.
  7. Save the recording as "Noise reduced CQ".
  8. Perform bass reduction, treble boost or whatever other transformations and save them as you do them.
  9. You can use compression, but I don't recommend it.
  10. Split the wav file into the separate messages, saving the best of the two recorded.

Recording ALL your messages in one recording and afterwards splitting them up using a wav editor will avoid the pops at the start and end of recording, as well as making it more likely that all the messages will be recorded at the same volume level and sound the same.
Don't ask why you need Cool Edit. Just get it.

Here is what is recommend by Uffe, PA5DD

Another nice program is Audacity and this one is freeware. This program can scale the peak amplitude of all the audio files to be the same. In order to set the audio level out of the computer, I recorded 10 seconds of a 800 Hz tone. Scaled the amplitude (peak = mean) and assigned it to F7. I call it cal.wav.
I turn off the speech processor, and turn up the computer volume just until full output is reached. Although not guaranteed, the peak amplitude of my audio files should now be in the dynamic range of my transceiver. Afterwards I turn the processor on again.
P.S. Ok then, I admit to sometimes turning the volume just 1 or 2 ticks higher to be on the safe side.........

Place the Wav files you have made in the N1MM Logger\wav directory and call them cq.wav n1mm.wav 59.wav etc. Just what you like!
In the program I specify them as:

CQ | wav\cq.wav
N1MM | wav\n1mm.wav
Exch | wav\59.wav

NOTE THERE IS NO LEADING \ before wav !
This notation means to start looking for the directory at the current directory (N1MM Logger or whatever).

When making also all letters and number wav files these have to be placed in the N1MM Logger\letters directory.

Examples:

letters\1.wav
letters\2.wav etc

? = letters\query.wav
/ = letters\stroke.wav

Below some extra information from Mario, S56A, N1YU

  • I recorded CQ CONTEST FROM S56A S56A CONTEST, S56A, THANKS S56A, THANKS 599 15 in one session. That should cover most of my automatic SSB transmissions.
  • I used 20 dB MIC preamp in SoundBlaster and spoke few words before the real recording in order to settle ALC. I used modest 8 bit 11K sampling.
  • Graphic equalizer was later used with 125 Hz cutoff, flat settings on 250 and 500 Hz, +7 dB on 1 kHz, +14 dB on 2 kHz and - 18 dB on 4 kHz.
  • Output was checked for flat topping and later normalized. This is NOT Hi-Fi sound but HF SSB optimized audio.
NB. When using WAV files turn off Windows sounds in ' Control Panel - Sound' and select: Scheme : No sounds.

Making the Window Focus More Distinctive

By Pete, N4ZR

The standard Windows XP color scheme does not make the active window (among many) distinctive enough for quick recognition during a contest. This can be particularly an issue in SO2R operation. Fortunately, this can be fixed. You can do the same thing with Windows 98 as well, just by right-clicking on the desktop and proceeding as outlined.

In Windows XP the specific process is as follows:

  • Open Control Panel|Appearance and Themes
  • Click on Display
  • Click on the Appearance Tab
  • Under Windows and Buttons, select Windows Classic
  • Click the Advanced Button
  • Under Item, select the Active Title Bar and choose a color for it
    • I use dark red for the active window and gray for the inactive.
  • Then select Active Window Border and choose a color for it

You will probably want to fool around for a while before you settle on what you like best. Once you have done that, back out to the Themes tab under Display Properties. Click the Save As button and name this theme and save it to your settings.

From now on, all you need to do to switch to your N1MM setup is to right-click somewhere on your desktop, select Properties, and then choose your N1MM theme.

Turn of Windows Sounds when using Wav files

  • Open Control Panel
  • Double-click the Sounds folder.
  • Click on the Sounds Tab
  • Select scheme: No Sounds

Adding a new font to Windows

  • Open Control Panel.
  • Double-click the Fonts folder.
  • On the File menu, click Install New Font.
  • In the Drives box, click the drive and select the folder that contains the fonts.
  • Click the font you want to add. To select more than one font at a time, press and hold down the Ctrl key while you click each font.
  • Click to select the Copy Fonts To Fonts Folder check box (mostly already selected).
  • Click OK.
  • Done


During The Contest

The scenario

During a contest you should know all the basic functions of the program like changing frequency, band and mode. The program should have no secrets anymore. Your only concern is making QSO's, working multipliers, having a good strategy. The manual is lying next to you but you don't need it, the key assignments (shortlist) has been printed and is hanging within visual range so when you might forget you can take a peek.

You know there are no bugs in your version because you tested it, made test QSO's. No concern during the contest. You have reported bugs long before the contest and of course these are solved long before the contest starts.

Long before the contest you have read the Key Assignments, Basic Functions, Setting up the Program, Entry Window and the Quick Tour to have basic program information. So questions have been asked and answered, the manual has been read several times.

You have made a clean database, recorded your wav files and programmed your cw messages, etc. weeks before the contest.

Nothing can happen to you, you have prepared!

Bugs

When a bug was missed during testing and comes out during the contest please report it right after the contest or during the contest if it is a show stopper. Tom participates in many contests but he also reads the mail during contests and can give hints or sometimes bring out a new version. In addition to Tom there are many other hams available who can help solving problems, giving hints etc.

Rather than writing down problems during the contest try the following:

  1. Use Alt+N to write a note that will be attached as a comment to the QSO.
    1. E.g. "This call not in master.dta."
  2. At the end of the contest, use the menu option 'View | Notes' to see all the notes you have made during the contest.


After the contest..

When the contest is over we are not ready yet. The points have to be calculated and the log has to be submitted.
  • Post-Contest QSO Entry
  • Change All Contact Timestamps by a Fixed Amount
  • How to create Cabrillo files
  • Submitting E-mail logs for ARRL Contests
  • ARRL Contest Robot
  • Printing QSL cards
  • Importing a contest into your general logging program

Post-Contest QSO Entry

Made a paper log during (part of) the contest? The QSO's have to be entered after the contest. The program has some nice features that will allow rapid QSO entry, and allow you to easily set the date and time via interpolation. (Remember, exact QSO times are not critical for contest sponsors, just within reason) This feature is most useful if you have a bunch of QSO's to enter. If you have one or two QSO's on paper you might as well do it the old way...

Warning: Make a copy of your log, and only use the copy for this process! You cannot (automatically) reverse the time interpolation process below. You have been warned!

Enter QSO's

Suggested way to enter QSO's

  • Type frequency/band, hit enter.
  • Continue entering calls and exchange as long as they are on the same band (type as fast as you can and don't worry about the times, they will be fixed later).
  • If the band changes, type new frequency/band, and finish typing calls on that band.

Example:

7000 {enter}
W1ABC 35 CT {enter}
W2XYZ 55 MA {enter}
14000 {enter}
W5JOE 42 TX {enter}
etc.

Change time/date

To change time/date of a series of the hand-entered QSO's

  • Put mouse over the first QSO you want to change the time/date and single click to highlight the row.
  • With mouse over log window, right click.
  • Select "Set Start Interpolation Time Row".
  • Enter desired start time, and hit OK.
  • Put mouse over the last QSO you want to change the time/date and single click to highlight the row.
  • With mouse over log window, right click.
  • Select "Set Stop Interpolation Time Row".
  • Enter desired stop time, and hit OK.
Note: The utility will average out the time for each QSO in the group of QSO's you have selected. Remember there is no "undo" feature, so make a copy of your log before using this utility. If you have a large gap in time in your hand log, enter the first batch of QSO's, and do the interpolation. Then enter the second group of QSO's and do a 2nd interpolation (by breaking up the interpolation, you can better accommodate gaps in the log.

Change All Contact Timestamps by a Fixed Amount

This will fix a log where all QSO's are off by a common amount of time

  • Put the mouse over the log window and right click.
  • Select "Change All Contest Timestamps by a Fixed Amount".
  • A dialog box will open, and enter offset time (+ or -) in minutes.

    The date will automatically adjust if the offset rolls a QSO into a different day. Time is entered in minutes, and can be negative time to go backwards. (You might need a calculator to determine the offset minutes if your date was off by many days, months, or years)

Note: While you can easily adjust for a mistake by doing another offset, it is advisable that you backup your log before doing any changes.

How to create Cabrillo files

Cabrillo is being used by the major contests.

  • Select 'File | Export | Export Cabrillo to file...'
    • This will create a Cabrillo file for contest log submission.
    • Make sure that the Station information 'Tools | Edit Station Data') and overall contest information ('File | Choose Which Contest to Log' ) is correct before creating this file.
    • It is also a good idea to rescore the contest before submitting.
    • A Cabrillo file will be created named <yourcall>.LOG in the N1MM logger program directory.

In the chapter Technical Information there is some more information about files the program can make on your command. (Cabrillo, summary sheet, log, ADIF etc.)

How to print the log

Well, there is no print function 'as such', and I don't think many of us print logs. Paper? Ouch! ;o)
Go to 'File | Export', where you see a broad variety of choices. Make an ADIF file for importing in another program, to import the contest QSO's in the general DXlog. It is possible to make a summary sheet, save the file, open it in WordPad and then print it. CSV (comma separated value) format is also an option.

How to get statistics

The program does have very nice statistics by itself. Also there is a external tool from I8NHJ. Below some possibilities.

  • Select under 'View' the menu item 'Statistics'. Take your pick.
  • Export to ADIF and import in a general DX log. Use the statistics from that program
  • Use the Cabrillo output format, needed by most (if not all) contest sponsors.
  • Use the brilliant I8NHJ's tool (also free!) to analyze the log afterwards.
    • More info about this tool is given in the chapter 'Third Party Software'

Submitting E-mail logs for ARRL/CQ contests

ARRL and CQ need a Cabrillo log file for each contest.

  • The Cabrillo log file named: <yourcall>.LOG Example: N1MM.log
    • 'File | Export | Export Cabrillo to file...'

Submitting the files

  1. Attach the Cabrillo Yourcall.* file. DO NOT send them as text but as attached files.
    Check the file before sending. Read the the first part of the log file to check if all is correct.
  2. The E-mail subject line should read:
    • ARRL: Contest, Yourcall, Class and Power
      Example E-mail subject line: ARRL DX CW N1MM SOA HP
    • CQ: Callsign and the mode (SSB or CW).
      Example E-mail subject line: N1MM CW
  3. See the ARRL and CQ Web site for the appropriate e-mail addresses:
    • ARRL at http://www.arrl.org/contests/email.html
    • CQ at http://www.cqww.com
  4. From the robot (answering computer) in return you'll receive an automatic message, acknowledging receipt of your log. Please save this message.
  5. Remember that logs received after the deadline will be considered check logs only!

ARRL Contest Robot

Log files to the ARRL have to Cabrillo files and need to be sent as attachments (not as text)!

Below a possible response from the ARRL contest Robot.

(This is an automated response).

Thank you for your participation in the contest and for submitting your log in Cabrillo format. While the robot appears to be able to process your log, it appears to have discovered irregularities in your log. These do not affect its ability to be processed but correcting these problems will help ensure the entry is properly scored. These irregularities appear in a report at the bottom of this message. You are encouraged to review and fix these irregularities. You may then re-send it to dxcw@arrl.org. You may have to resubmit your log two or three times to get everything just right. Don't worry, the robot replaces the previous file as long as the callsign remains the same. We want to make sure that we have your information right! If you have any questions regarding this, please contact me at n1nd@arrl.org or by phone at 860-594-0232.

Your tracking number is [3044.dxcw]. Please save this receipt until verifying that your log appears on the Logs Received web page at

http://www.arrl.org/contests/claimed/

Thanks for your cooperation. 73

Dan Henderson, N1ND
ARRL Contest Branch Manager

ARRL DX CONTEST LOG WARNING MESSAGE REPORT FROM THE ROBOT
CATEGORY-OVERLAY: N/A
Line 7 was discarded. The CATEGORY-OVERLAY: tag is not used in ARRL contests. You may delete this line from your log.

Delete the line and send the log again. Now the log is accepted without warning messages.

Printing QSL cards

N1MM logger doesn't have a QSL cards sent/received feature. Why? If every general logging feature people want has to be implemented, the program would be neither a good contest program, nor a good general logging program. It has been decided early that this was to be a contest program with a few general logging features. To print QSL cards use a dedicated QSL manager (like BV) or use your daily logging program. Almost all logging programs who can print QSL card can accept ADIF input.

Importing a contest into your general logging program

By Franki, ON5ZO

N1MMLogger can be used for DX-logging but this is not where it was written for. You are missing some basic features of course, like award and country tracking and QSL'ing options. There is no way around this than using a specific DX logger for DX, or at least to do the "bookkeeping" afterwards. You can do this by exporting your N1MM log to ADIF and importing this file in the DX logger.

What I mean is this: N1MMLogger provides the ADIF-export feature. This creates a simple and plain ASCII file from your log-database. You can open and edit this file with any ASCII-editor, like the old DOS "Edit", Windows' Notepad or WordPad. In this file, the different parts that define a "QSO" (time, QRG, call, reports etc. etc.) are separated by field identifiers or tags that are defined in the standard of the ADIF-format. Read all about it at: http://www.hosenose.com/adif/adif.html

You cannot simply use this file for DX logging, but you can import this file in any casual DX logging program.

When I entered a contest, and I made -let's say- 300 QSO's, I export this file to an ADIF file. ADIF specifies a field named "comment", so I put a comment like "QSO in ARRL DX CW 2002" in the first QSO and save this. Then I have WordPad replace all the 299 empty "COMMENT" tags by "<COMMENT>QSO in ARRL DX CW 2002", so each of these 300 QSO's gets this comment added. When I import this file in my general DX-log containing a few thousand QSO's, these are marked with the specific comment. This is what I mean with "interacting". Other feature is that, in that same contest, the RST from the American stations, i.e. their state, is automatically filled in, in the "state" field in DX4WIN.

I never log a rag chew QSO or a DXpedition with N1MMLogger, and I never enter a contest with my DX-logging software. Yet all my contest contacts end up in my "general DX log", with a special note indicating what contest it was...


Help files and Manuals

The documentation for this program is available in three different forms

  • On the Internet on the N1MM logger homepage( www.n1mm.com ) , select "Help | View Help files".
  • As the programs Help file (N1MMLoggerHelp.chm) which can be downloaded (select link below).
  • As a PDF file (N1MMLogger.pdf) which can be downloaded (select link below). The PDF file can be viewed and printed with Adobe Acrobat Reader (Version 3 or higher)

Both the Help file (CHM file) and the manual (PDF file) can be accessed while in the program. For this to happen the files should be placed in the N1MM logger program directory.

Version 5

English - most recently updated / latest versions updated almost every week

Please check the version information and download the latest Help and/or Manual when getting behind..

    Help file
  • View Help on the web
  • Download Help as Windows Help file (2,2 MB)
    • Computers using Windows XP Service Pack 2 or Windows Server 2003 Service Pack 1 or higher will place a block on compiled help files (*.chm) that are downloaded from the Internet. The block will interfere with the operation of the help file and an ‘Action canceled’ or ‘The page cannot be displayed’ error will be displayed in the topic pane. The problem is caused by security features introduced in the service packs designed to reduce vulnerabilities in HTML help.
    • Workaround: After downloading the document, open it from the location where it was saved and a security warning will appear. In order to view the help documents properly, the checkmark must be cleared from the ‘Always ask before opening this file’ check box. The files will then open properly from the PC. Alternatively, right-click on the file you want to open, click Properties, and then click Unblock.
    Manual
  • Download Manual in PDF format (use right-click to download) (3,7 MB)
    Version information
  • Show the version of the Help file and manual (go to the bottom of the page)
    Other information
  • Take the Quick Tour

Version 4

English - latest version 4 Help file (not being updated anymore)

    Latest version 4 Help file 4.0.191 (December 31 2004)
  • Download Help as Windows Help file (2.1 MB)
    Latest version 4 Manual 4.0.191 (December 31 2004)
  • Download Manual in PDF format (use right-click to download) (3,3 MB)
French

The most important parts of the Help have been translated in French by Patrick, TK5EP

    Other information
  • View French Help on the web
German

The complete Help has been translated in German by Eike, DM3ML August 2004.

    Manual
  • Download Manual in PDF format (zipped) (version 4.0.88 August 2004) (use right-click to download) (2.6 MB)
Italian

The Quick Tour has been translated in Italian by Max, I8NHJ

    Other information
  • Take the Quick Tour / Una Panoramica del Programma (July 2002)
Polish

All files have been translated in Polish by Andy VA3PL (with help) in June 2004

    Help file
  • View Polish Help on the web
  • Download Help as Windows Help file (Version 3.0.193 8 luty 2004) (1.8 MB)
    Manual
  • Download Manual in PDF format (Version 3.0.193 8 luty 2004) (use right-click to download) (2.8 MB)
    Version information
  • Show the version of the Help file and manual (go to the bottom of the page)
Spanish

All files have been translated in Spanish by Fernando LU9UOL in November 2002
The Quick Tour has been translated in Spanish by Fernando LW2DX in April 2001

    Help file
  • View Spanish Help on the web
    Other information
  • Take the Quick Tour

Frequently Asked Questions

Question: What is the latest version of the Help and the Manual?

At the bottom of the first page the latest date and version of the Help/Manual are shown. See the link above.
NB. The English version is always the latest version of the Help and Manual.

Question: Why are the Help and the Manual out of date?

The Help updates on a schedule different from the program (mostly every few weeks).
The program is updated by Tom, N1MM, the Help/Manual by Thomas, PA1M.

  • You need to download it separately, it's not in the N1MM logger update file.
  • Check to see if there is a more recent Help file and Manual (updated every few weeks).
  • Major updates will be announced on the N1MMLogger reflector but there are many in-between updates.
  • The Help and Manual are updated at the same interval.

Question: Why doesn't the Help work?

  • Try Alt+H and not F1
  • Probably because the file is not on disk or not in the right folder (program directory N1MM logger).
  • The latest version can be downloaded from the link above.
  • In the N1MM-FullInstaller.exe file there is an replacement Help file which gives instructions to download the most recent version.
  • The Manual is not included at all and can be downloaded which is advised for printing.
  • Windows blocks the program (Windows XP/SP2 security)
    • Computers using Windows XP Service Pack 2 or Windows Server 2003 Service Pack 1 or higher will place a block on compiled help files (*.chm) that are downloaded from the Internet. The block will interfere with the operation of the help file and an ‘Action canceled’ or ‘The page cannot be displayed’ error will be displayed in the topic pane. The problem is caused by security features introduced in the service packs designed to reduce vulnerabilities in HTML help.
    • Workaround: After downloading the document, open it from the location where it was saved and a security warning will appear. In order to view the help documents properly, the checkmark must be cleared from the ‘Always ask before opening this file’ check box. The files will then open properly from the PC. Alternatively, right-click on the file you want to open, click Properties, and then click Unblock.


Tips and Tricks

This chapter gives some tips and tricks on using the program. All tips are from Tom, N1MM unless otherwise mentioned. The tips are examples how you could use the program, not how you should use it, that is up to you!

  • Bandmaps, Entry windows and the mysteries thereof...
  • N1MM Logger Contest Technique
  • Start of the contest season
  • Autocompletion mode
  • Log editing
  • Force to log whatever heard
  • Prefix not found when logging contact (no multiplier credit)
  • Having F1 always send CQ
  • Silence the Function Keys
  • How I recommend to S&P on a new band
  • Setting contest goals
  • Problems during a contest
  • Using up/down arrows to tune
  • CW Tips
  • Working Dupes
  • Packet Spot Timeout
  • How should I really use this program if I am SOA?
  • How to find a worked station in the log when I missed parts
  • Databases versus Contests
  • How to upgrade the database to a newer version?
  • Deleting QSO's (especially important for Multi-User)
  • QSYing wipes the call & spots QSO in bandmap
  • Exchange abbreviations
  • Too many calls on the bandmaps!
  • Gray line openings
  • Serial number contest tip
  • Dead radio at startup
  • Read the update log
  • Packet/telnet button setup
  • Slow PC syndrome
  • Using N1MMLogger for regular logging
  • Move RX frequency from the keyboard
  • Recording QSO's
  • How to Tune your radio

Bandmaps, Entry windows and the mysteries thereof...

Two Entry Windows

Here is what you should be able to do:

  • Change keyboard focus with backslash \
  • Change keyboard and transmit focus with Ctrl+left/right arrow

With one vfo on one band, and another on the same or second band, you should be able to jump from spot-to-spot using Ctrl+up/down arrow on the main vfo. With Ctrl+Shift+Up/Down arrow , you should be able to jump from spot to spot on the secondary vfo. If your radio has dual receive (Orion, FT-1000 series), you should be able to listen to both VFOs at once. Alt+F12 will toggle between listening to the vfo with keyboard focus and both VFOs on these radios.

With the Orion and FT-1000 series, the way I envision this being used in S&P: You would find a station on the main vfo, and wait for it. In dual receive, you would used Ctrl+Shift Up/Down arrow to find another station that is ready to be worked. You would call whichever station is ready first. This could be done on two bands (SOA), or on a single band (MM). If one has spotted a number of calls locally (QSYing wipes the call & spots QSO in bandmap), one could use it on one or more bands in SO.

Bandmaps
Clicking on a spot on either bandmap will set that vfo to keyboard & transmit focus, and put the call in the callframe. Double-clicking will put the call in the callsign field.

Please print and read the keyboard assignments help. Your will be rewarded with greater enjoyment of the program. Trust me.

N1MM Logger Contest Technique

I can't go over this enough. All the pretty bandmap stuff is not there to look nice. It's there to help you make Q's. Here is how to do it...

When there are lots of spots in the bandmap, you can work lots of stations with S&P. Start anywhere in the band. Press Ctrl+Up. Listen. Is he CLOSE to ready to be called? If yes, call him. If not, press Ctrl+Up again. Repeat this until you work through all the available Q's. This way you don't waste time listening to endless repeats when one station is working a weak one. I have made a 90/hr rate doing this.

More tips: If a spot is dead, or not in a legal part of the band, use Alt+D to delete it. You won't have to stop at it next time.

If you don't want to see spots for the wrong mode, right-click Allow spots for this contest's mode(s) only in the packet window. Be careful using this one on 80 & 40.

Print the Key Assignments for how to jump between mults.

Variation: You are CQ'ing, but the rate is slow. Use the S&P technique to jump between spots. Then quickly return to your CQ frequency with Alt+Q.

Unassisted S&P: DO NOT TURN OFF "Show non-workable spots" this is there ONLY for US Sprints, as those stations move around after every qso. Here is my recommendation. Tune up or down the band, listening and watching the entry window for band edges, but also for calls that you have heard before or worked before in the callframe. If the call is unworkable, speed up your tuning, and find the next station. When you come to a station who is working someone else, type in his callsign. Work him if it is quick. If not, tune on, and the guy's call will be spotted. Tune up for a short time, then return to his freq with Ctrl+Up or Ctrl+Down. If he is ready, work him, if not repeat the process of trying to find another station.

In all cases DO NOT TURN OFF "Show non-workable spots". The bandmaps are not supposed to be nice & clean. They are supposed to show you where stations can be worked. The bandmaps can be zoomed with the numeric +/- keys or by right-clicking on the bandmap. It is important to know if a frequency is in use to save time listening to a dupe or non-workable station.

The final, dirty little secret... What do you call a spot where there is no station? Your new CQ frequency...

Rate is everything...

Start of the contest season

Approaching CQWW SSB means the start of the main part of the contest season. Enhancements to the program will be curtailed during this part of the year to focus on eliminating any bugs or performance problems.

Testing
 Please start testing with your favorite fall/ winter contest in the autumn. Make a copy of ham.mdb (or whatever you have called it), and use last year's contest as a test platform. Why?
Some problems only appear with larger logs. Find out performance issues. I relay on the users to let me know about them.
Would you like a guide to testing? Check out the website (Download | Other Files and select "TestPlan.wri". We would be interested in any improvements you would like to suggest for this form.

Key Assignments
 Now is also a good time to review the Key Assignments. That is a good place to start to pique your interest in what the program can do. The Key Assignments Shortlist is great to print and hang beside the radio.

ESM
 If you are planning to operate CW or RTTY, you MUST learn about ESM (Enter Sends Messages). It reduces fatigue and errors by sending the right message each time just by pressing Enter. It may take you a while to understand and set up ESM, so don't leave this to the last minute. Believe me, those that learn to use ESM, love it.

Dual entry windows.
It would be a good idea to try those out, so you don't get frustrated during the contest. For your reference:
\ backslash switches keyboard focus, Ctrl+left/right arrow changes keyboard & transmit focus.
Also, Ctrl+Fn, and Ctrl+Enter send on the radio that does NOT have focus.

Configurer options
Finally, make sure you understand what settings you want for the following Configurer options:

  • SO2V/SO2R
  • Send corrected call
  • Send partial calls
  • Stop sending CQ when callsign changed
  • Fill in his exchange when sending yours (ESM Mode)
  • Config/QSYing wipes the call & spots QSO in bandmap

Autocompletion mode

Later in a contest, you hear a lot of stations that you have already worked, whether on this band or another band.

If you check Autocompletion mode (Configurer | Other tab) the program will match the first characters that you typed to previous callsigns. It will then pre-fill the callsign field with the rest of the call. The portion of the call that you did not type will be highlighted, and you can remove it with the delete key. However, if you press space, the call will be kept in its entirety.

This function is similar the technique used in Internet Explorer to "guess" which url you are typing.

Some like it, some don't. Try it with an existing log that has a large number of QSO's.

Log Editing

You should rarely/never have to use the edit window during a contest. To get back your last QSO, press Ctrl+Q. To go back another QSO, use Ctrl+Q again. To go forward, use Ctrl+A. These keys ignore QSO's made by other stations when in Multi-User mode. It is also much better, because you are using the same Entry window to edit that your fingers have gotten used to. To abandon edit of a QSO, press Escape. The background color of the text panes changes while in "quick edit"

Force to log whatever heard

Ctrl+Alt+Enter will force the program to log whatever it doesn't recognize in the exchange field.

Country not found when logging contact (no mulitplier credit)

  1. The preferred way to handle this is to load the latest wl_cty.dat file prior to the contest.
  2. A second way to handle it is to force a particular call to a country with 'Tools | Add Call to Country'.
    • Note that this addition will be wiped out on the next reload of the country file.
  3. A third way to handle it is to add a note (Alt+N) to the qso, and fix it later. 'View | Notes' will help you find those QSO's with notes.

Having F1 always send CQ

Hitting F1 should always call CQ in CW/SSB and also place you in Running mode? Here is the trick.

N1MM logger places the program in Running mode when there is CQ somewhere in the message or in the Button caption. So we have to program a CQ macro on one of the the S&P buttons. Then when S&P and you press F1 (my choice) it switches to run automatically and the buttons are now the run buttons. Tune off the run frequency and they revert back to S&P. Default the function key F1 does not contain a CQ so that is what we have to change. The following changes to your Message Buttons to have F1 always call CQ.

  • 'Config |Change Packet/CW/SSB/Digital Message Buttons | Change CW Buttons' (or SSB Buttons)
  • The default S&P Caption Button for F1 is normally: "F1 {MY CALL}"
    • This will have F1 in S&P just send your call once.
  • Change the default S&P F1 Caption Button to "F1 CQ" followed by your CQ message in the CW or SSB Message box .
  • The default Running CQ F1 Caption Button should also read "F1 CQ" followed by your CQ message in the message box

Note: Even when doing the above, while in ESM, the Enter key still sends Your Call once, like normal S&P operation with ESM.

Silence the Function Keys

If you want to 'silence' the function keys so they do not send anything and do not PTT the radio, just put a single blank space in the Fkey contents of the button you want to silence. A space is a real character, but not one that is transmitted, and the program knows not to switch the PTT in that case.

How I recommend to S&P on a new band

  1. Look at the available window. Are there any Mults to be had? (You should already know this, since you just chose this band.)
  2. If there are mults to be worked, use Alt+Ctrl Up/Down to jump to them. Look at the callsign frame for the callsign. Use your ears to decide if that's the station and that they are near ready to work you.
  3. Jump through all the mults until you have worked those that you can in a reasonable time. You may need to repeat the search several times to get them all. Note that you don't want to spend a lot of time waiting for them. Just keep going up and down the band and clean 'em out.
  4. Repeat the process with Q's that are available (Ctrl+up/down). When you find a dead frequency, try a short cq. Maybe you can get a run going. Otherwise, clean out the QSO's.
  5. Once you have worked all the spotted stations (assuming assisted), start manual S&P. Turn on "QSYing wipes the call..." option. If a station is hard to work, put in his call and tune to the next. The call will be spotted on your computer(s) only. You can use the technique in steps 1-4 to work him.
  6. Spot non-workable stations if you are a good typist. It's nice to know where they are so you don't waste time on them during the next sweep.

Setting contest goals

How do you get better at contesting? One way is to set goals for yourself.

The info window supports this by allowing you to set how many QSO's per hour you want to try to accomplish. As you are contesting, the four rate panes will let you know if you are at less than 50% of goal (red), between 50-100% of goal (yellow), or ahead of goal (green).

Note whatever goals you set for an hour will continue until the hour for the next goal is reached.

What if you want to beat last year's score?

The program supports that as well. Just open LAST year's log, and click the Import Goals button. Choose the day (1 or 2) and press enter. You goals are now set to your hourly totals from last year. Don't forget to start a new log for this year! The goals will be kept until you reset them explicitly or until you LOAD A NEW DATABASE.

You don't want to have a different database for each (small) contest. This is a common misconception.

Problems during a contest

What do you do if you have problems during a contest?

1. Make sure you have a previous version of the logging program around that you have used successfully in the past.

2. Make sure you have tested the program ahead of time using the modes you plan to use during the contest. Log a few sample QSO's. Check all the windows you plan to use. Connect to packet or telnet if that is your plan. You might want to run through a test plan. See: TestPlan.wri

If found problems before the contest, please send the bugs in to be fixed as much before the contest as possible

2. Check the update page on the N1MM website. We frequently fix problems during the contest. The problems that we try to fix are either fatal ones, or low-risk ones. Nonessential functions that present some risk to fix, are left until after the contest.

Using Up/Down arrows to tune

The Up and Down arrow keys can be used to tune your radio. If you are in S&P, then just use them to tune in the station you are trying to work. This is particularly good for packet spots.

If you are running, you might try this technique. Set your radio up for split, and use the up/down arrows as RIT.

The amount to be tuned up/down with each press of a key is set on the Configurer Other tab.

CW Tips

CW Macro tip: Some calls have letter combinations where it's hard for to copy correctly. E.g. 6Y2A is often copied as BY2A. To help make your call easier to copy, Go to 'Config | Change Packet/CW/SSB/Digital Message Buttons | Change CW Buttons', and try changing the default F1 and/or F4 message where * is used for your call. In this example, 6Y2A changes F4 from * to >6<~Y2A.
Result: the 6 is sent 2 WPM slower compared to the rest of the call, and an additional half space is added between the 6 and Y. Try other combinations of <, >, or ~ to make your call easier to copy.

Contest Spacing: Go to 'Config | Change Ports, Telnet Address, Other | Function Keys'. The box is default ON for "Use Contest Spacing for CW". This setting changes the spacing between words in your CW, where "N1MM 599 5" is 3 words. Default is 6 bits for "contest spacing". When this box is not checked, 7 bits between words is used, which is "normal spacing".

Working Dupes

The default is to work them. The theory is that it's faster to work them than it is to argue, and you might really not be in there log. If that is the case, and they submit a log, you'll lose points by not working them.

The "work dupes" option in the configurer is for ESM and running mode. All it does is determine what is sent when a dupe calls you AND YOU PRESS ENTER.

When using Enter Send Message (ESM) mode the behavior is a follows:
  • In S&P using ESM, if you press Enter with a dupe call in the entry window nothing will happen (intentional), but you can always work him by pressing F4 instead.
  • In Run using ESM with "Work Dupes" checked, when you press Enter you will send his call sign and the exchange whether he is a dupe or not. If you want to send "QSO B4" you can just press F6 instead.
  • If you don't have "Work Dupes" checked, then to work a dupe in Run mode you will have to press F5 and then F2 to send his call sign and the exchange; pressing Enter will send the F6 message.
All that being said, you can work dupes in either situation (Run and S&P) by pressing the F-keys.

A goal of the program is to promote good operating. Working dupes while running is good operating. That's why work dupes is the DEFAULT. It is an option because an argument was made that in a long exchange contest like SS, you might not want to automatically work dupes.

What I suspect happened is that someone turned work dupes off while playing with the program. This is a complicated program. Changing options that you don't know the meaning of can lead to a lot of confusion. My advice is:

  1. Get the program working with your equipment.
  2. Save the ini file.
  3. Play with the options.
  4. Discard that ini file and revert to the one from step 2.
  5. Change any options you feel you truly understand and want changed.
  6. If an option doesn't seem to "do anything" -- watch out! You might want to set it back to the original setting.

Packet Spot Timeout

What setting should I use for the Packet Spot Timeout?
For general DX-ing, 30 minutes is not too long.
For a contest, you might want to crank it down to 20 minutes, since there is more movement of stations. Also, a lower timeout will mean fewer spots are managed by the program. This may help performance for those with marginally performing machines.

For testing packet spot behavior when there are few spots, or for testing performance, a timeout setting of 1000 minutes might be right.

How should I really use this program if I am SOA?

SOA = Single Operator Assisted

Try these techniques:

  • Connect to a telnet node. Do a sh/dx/100 to fill up the bandmap.
  • Pick the band with the most mults as shown in the Available window.
  • Go to that band and use Alt+Ctrl+Up arrow and Alt+Ctrl+Down arrow to work all the mults on the band. Don't waste too much time on each one.
  • Go back through the band and use Ctrl+Up arrow and Ctrl+Down arrow to work all other stations on the band. If you find that a frequency is dead, do you know what you call that? You call it your new RUN frequency! Call CQ and get a run going.
  • When the run is over, go pick up any more mults or QSO's on this band.
  • Now, either move to another band and repeat, or try these techniques. Turn on "QSYing wipes the call & spots QSO in bandmap" Tune up or down through the band, looking for stations you haven't worked. Enter all or part of their calls, then tune off. The call will be "spotted" in the bandmap. You can use Ctrl+Up/Down arrow to work them later. Again, what do we call a dead frequency? That's right, it's a RUN frequency. ;-) (As you are doing this, if you can work the station without waiting, of course you should work it.)
  • If you don't want to type a call, and you know you don't want to work the station, you can mark the frequency busy with the Mark button (Alt+M).
  • As you are tuning, watch the bandmap. It will give you big hints as to whether you should waste time listening to a station. If you start hearing "grumble grumble" 2 kHz away from the frequency marked with Joe down the street's call, you know to speed right by.

How to find a worked station in the log when I missed parts?

There are three possibilities to find a worked call in the log. The results are shown in the bottom part of the low window below the logged QSO's.

  • When entering the beginning of a callsign after 3 characters a worked station starting with these three characters will be shown automatically.
  • When you have from N1MM only N?M this is also enough to show N1MM and every other station that ends with N?M.
  • When you only have 1MM and missed the first part of the prefix you can place a * in front of the characters you have. *1MM will show N1MM and every other station that starts with 1MM in the callsign.
Combinations are also possible:
  • *1?M will show N1MM but also K1MR, J41YM etc.
  • *3? or *3* will show all worked callsign with a 3 in the callsign
  • *3*Z will show every station with a 3 followed by a Z somewhere in the callsign like K3ZO, VA3UZ etc.

Using a * is called a "like" search in SQL. The problem is that a "like" search is very slow so on slow computers this will take some time.

In VHF contests use Alt+= (equal) and the program will search everything which matches the content of the callsign and the gridsquare fields.

Databases versus Contests

There is a lot of confusion about how contests are stored in the logging program.
To clear this up, let's start with a couple of definitions:

Database - an Access 2000 format database file with a file extension of .mdb. Any number of contests may be stored in a database.
Contest - a set of QSO's within the database. They are stored in rows in a table called DXLOG. Each contest row has a ContestNr which ties it to a ContestInstance entry.

Much of the confusion comes from people thinking that they need to have only one contest in a database. This is not the case. I have only one database that I log "official" QSO's in. (Of course I have many test & backup databases.) Why? because the performance of the program is not very sensitive to database size. I currently have about 14,000 QSO's in my database.
Now if you plan to go on a DXpedition and log 25,000 QSO's, I would recommend a separate database for that. For most users, no.

Another thing. Did you ever notice the option"Copy (and compact) Database". This is one I bet you never use, but should use. Deleted space in most databases is not recovered automatically, and Access is no exception. If you delete a contest, or delete contacts (see tip on deleting contacts), you will need to run this option to recover the space. Do you need to run it every day? No. Maybe once every 6 months would do for most people, or before archiving a database.

The most important thing to remember about databases is to BACK THEM UP. Periodically copy your database to a backup device, or zip it up and copy to a floppy. Even e-mailing it to work would do! It is your entire record for all of your QSO's using the program. Don't lose it. Also, if you are going to import data, or delete data, that is a good time to back up your database. If you don't have the data anymore, no one can help you!

How to upgrade the database to a newer version?

A. The best way upgrade the database to the current version by opening it with a current version of the program on the first machine. Then you can open it with the same version on the second machine, and no database upgrades will need to be done.

Please do a backup first!

Now what do I mean by a "database upgrade"? From time to time, I add columns, indexes, data etc. to the database. For each of those changes, I have the program query the database to see if the change has already been made. If not, I make the change. To the user of the program, this is automatic. All he will notice is that startup takes some additional time.

This works very well. Haven't had any complaints. Nevertheless, a database that is a year or two since the last time it was opened will have quite a bit of updating to be done. Why not do it on a known, working machine?

Deleting QSO's (especially important for Multi-User)

This topic affects all users, but multi-user contesters the most.

As part of the multi-user support, I implemented a DELETEDQS contest. When a contact is "deleted" with Alt+D or the Delete key, it is not really deleted. It is moved to the DELETEDQS contest. Yes, you could go to DELETEDQS, and remove it, but that would not be wise. Why?
Because there is no reason to delete it, and there are good reasons not to. With it in DELETEDQS, you can recover it by exporting it to an ADIF file, changing the ADIF file and importing it into the original contest. That, however is not the overriding reason not to touch DELETEDQS. The main reason is a Multi-User reason.

In multi-user, DELETEDQS is how I determine to "delete" a contact in the logs of other stations. Since no contact is ever really deleted, I need only gather all the QSO's and DELETEDQS logged by a station and add or update them in the other station's logs. This lets me avoid the danger of deleting rows in a database. Therefore, DON'T MESS WITH DELETEDQS during the contest. Make a backup after the contest of all the stations' logs. Then you can do anything you want, and I can help you recover, since you have a backup. If you don't follow this advice, you will not be happy. :-(

Oh, but if it is a dupe, that's different, right? NO! Log dupes. Cabrillo doesn't care, the contest sponsor doesn't care, and it doesn't hurt your score. It CAN help your score. Log those dupes, and DON'T delete them.

QSYing wipes the call & spots QSO in bandmap

Have you ever noticed that the logging program will "spot" dupes in the bandmaps. That is, if you type in the call of a dupe then tune away from it, the entry fields will be cleared (wiped) and the call placed in the bandmap.

That feature is always active. There is a similar feature that you must turn on to use. It is called "QSYing wipes the call & spots QSO in bandmap". It does the same thing as the dupe spotting, but for other calls you enter. You must be in S&P mode for this to work.

This option is good for combing a band for stations to work during a contest. If a station you hear is not finishing a qso, you can move on to find another. The program will spot the call in bold, and you can use Ctrl+Up/Down to go back through and work the ones you skipped.

Exchange abbreviations

What are exchange abbreviations?
Some contests require sections, counties or other entities for the exchange. These must be LOGGED with standard abbreviations. The menu item Change Exchange Abbreviations under Config allows you to edit them.
What if you don't like for example the standard ARRL abbreviations? Well, you can enter your own. Let's say you'd like to enter CONN for CT. You can ADD CONN CT in the exchange abbreviation list and if you enter CONN or CT, the program will LOG CT. Don't replace the abbreviations that are already there. It's best to just add the ones you like. (I use the presence of certain abbreviations to determine whether to reload some of the lists.)

Too many calls on the bandmaps!

What do you do if the calls are crowded together on the bandmaps? You need to zoom in or out...
There are two ways to do it. On a traditional keyboard, using the numeric pad plus (+) and minus (-) keys will zoom the current bandmap. The current bandmap is the one with the cyan frequency display. If you want to do it with the mouse, hold the cursor over the bandmap you want to zoom, then right click. Choose zoom in or zoom out.

It is also possible not to show "non workable contacts". This means that only the stations are shown in the bandmaps which are valid QSO's in the contest and not have been worked before (all normally gray contacts will disappear from the bandmaps).

Gray line openings

Watch for gray line openings when your sunrise or sunset match the other station's sunrise or sunset. You must have entered your lat/long accurately (watch the +/-) in the Station dialog. Your sunrise & sunset times can be found in Help/About.
Sunrise & sunset for a prefix or call can be found by typing it in the entry window, and looking at the Info window. Note that the sunset & sunset times are for whatever central point in that country is specified in the loaded country file (wl_cty.dat or cty.dat).

QSO confirmation

Some contest rules state that the received exchange must be acknowledged for the QSO to count.
If a contest sponsor wants you to acknowledge (i.e. confirm) the exchange, they mean for you to send "QSL", "TU", or "R" to indicate receipt.
This does not mean a resend from the report back to the station. A resend would provide verification, not acknowledgment. Only under rare circumstances would you ever repeat the other stations exchange.

Serial Number contest

When waiting to work a station in a serial number contest, you sometimes log the number, then increment it for each time you don't win in the pileup. Ctrl+U increments the received serial # by 1.

Dead radio at startup

If you fail to turn on your radio at startup, the program will refuse to log contacts. This feature is to prevent a dead radio from causing you to log contacts on a wrong frequency. If the radio really is dead, go to the configurer and remove it.

If you just forgot to turn on the radio, then turn it on. If the bandmaps do not show the frequency after 10 sec or so, you can force the program to open the radio connection by opening the configurer and pressing the "OK" button. Some people think you have to restart the program, but that is slower than the configurer approach.

Read the update log

Every version of the program has a revised update log with it. This log is in the zip file, and can be accessed with WordPad or from within the logging program (see the help menu).

This is a good source for determining what might have made some feature start or stop working. This is a cooperative project. The more research you can help with on reporting bugs, the quicker Rick & I can fix them.

Note that I occasionally change the description or credits on an item after another version has been released. If you did not get credit for reporting a bug, let me know I'll update the log.

The latest version always contains the most up-to-date info, so there is no reason to save old ones.

Packet/telnet button setup

Here are the buttons I currently use for AR-Cluster nodes: I don't think these are necessarily optimal, but they give you an idea of what is possible.

NE only means (near) New England only. (W1 & W2). The first column is the command, the second column is the button label. & in the button label makes it an Alt hotkey.

Anyone want to post a similar list for other cluster software? (Please test them first.) Also, what about screening out cw or ssb spots when in a single mode contest?

Note that the menu item Tools/Clear All Spots will remove all spots from the bandmap. You might decide that there was too many unreadable stations in the bandmap. You would set a filter (below), then clear all spots. You could then use sh/dx/100 to refill the bandmaps.

Button text | Command
BYE | BYE
CONN | C K1TTT
DI/N | DI/N
SH/DX | SH/DX/30
USERS | SH/U
WWV | SH/WWV
Clear NE | set/filters dxorigstate/off
Yes DX | set/filters dxorigcty/off
NE only | set/filters dxorigstate/pass ny,nj,ct,ri,ma,nh,vt,me
No DX | set/filters dxorigcty/pass k,ve, xe
No VHF | set/filters vhf/reject
K1TTT | {MYCALL}

Slow PC syndrome

On some COMPAQ & Toshiba laptops with Win98, it has been seen that the PC can turn very slow after a beep (eg. CW monitor) has been given. Pulling down menu´s take forever, and the PC clock operates about 10 times slower than usual. This situation persists even when the logger is shut down, and until the next boot.

The fix is simple just deactivate "Monitor via PC speaker" (Config - Configure Ports - Function Keys) and boot the PC, and it will never happen again.

You only need to do this if you have noticed the behavior described above.

73 Uffe PA5DD

Move RX frequency from the keyboard

At a local club meeting last night we watched the FO0AAA video. I've seen a number of other DXpedition videos before and they all show the operator reaching over after each or so QSOs and moving the RX frequency. Given this is standard practice for DXpeditions, both SSB and CW, I thought it would be a useful feature to have that function built into the logging program.

As it turns out, it's really there already in N1MM. If one sets the radio on SPLIT and TXs on the second VFO, pressing either UP/DOWN ARROW moves the RX frequency up or down by the amount set in CONFIG/CONFIG PORT, TELNET......./OTHER window. It also works well for regular contesting. Put the radio on SPLIT SIMPLEX (A=B) and use the UP/DWN arrows instead of the RIT for those off frequency callers when you're RUNNING.

Gerry VE6LB/VA6XDX

Recording QSO's

The program has the possibility to record all QSO's made. With this feature it is possible to listen back to all QSO's made.

  • Select 'Record QSO's' under Config' to turn it on/off.
  • The 'normal' connection would be to have your microphone to the sound card 'microphone in' and the radio audio out to the sound card 'line-in'. this way the microphone can be used to record SSB messages on the fly and the line-in can be used to record qso's or for RTTY without having to rewire anything. Switching can be done automatically using the setup in the Audio tab for SSB recording and playback, and also works for CW qso recording. Switching to RTTY may need
    a manual operation on the windows volume control to select the input source for MMTTY.
  • Beware that when using the headphone output the level will change with the volume of the radio so preferable use a fixed audio source from the radio. Also your transmitted audio level will depend on the monitor level from the send audio/sidetone. There are some nice programs which can set your audio levels and remember the settings the next time you need them (see the links chapter).
  • You probably want to record not only the station you work but also your own audio/sidetone. 'Monitor on' is needed on most radios.
  • A recording for a new qso will start as soon as the qso before has been logged, so a recording will stop when a qso is logged and a new recording will begin.
  • There is a recording timer the Audio tab in the configurer.
  • Each qso will become a separate recording (wav file). The wav file is named: '[Callsign] [Date] - [Time].wav. Example: "N1MM 10-26-03 - 22 47 45.wav"
  • The Wav files (recordings) are stored in a directory under the program directory named after the selected contest. So when selecting CQWWCW the directory will be named CQWWCW. E.g. C:\Program Files\N1MM Logger\CQWW\....
  • Wav files can be played from within the program by right clicking on the qso in the 'Log Window' and selecting 'Play contact'. Pressing Escape stops playback of recorded contacts.
  • These Wav files can of course also be played outside the program with any other media player on your computer which supports WAV files.
  • Recording uses about 1 GB per 24 hours (40-50 MB per hour) when 8 bits, 11025 Hz/sec is used. There are programs which can compress these wav files to MP3 files but if this can be done at the same time when giving CQ depends a lot on the computer used. A clunker will surely not do it. There is of course the possibility to do this after the contest. Enough harddisk space during the contest is necessary.
  • Recording is stopped when there is less than 40 MB space free on the current drive.
  • Test before using this feature. To get the recording levels all the same (received and transmitted audio/cw) can be a bit tricky when not using a fixed audio level from the radio.
Note. The configurer lets you pick parameters that your sound card may not support... usually 16 bit, 11025 Hz/sec is safe for all cards.

How to tune your radio

Ctrl-T (or the menu item under Tools) will switch the radio into CW and toggles PTT. Below three cases using Ctrl-T:
  1. serial port PTT on DTR (example: a simple USB-to-serial adapter)
  2. PTT via radio command
  3. no PTT connected
Ctrl-T switches the radio into CW (when in another mode)and toggles PTT with 1 and 2. With 3 of course the radio has to be in semi- or full-break-in mode (vox) to transmit.
In all cases, to stop the tuning signal press the Esc key or press Ctrl-T again. The Esc: Stop button on the entry window is different: it always turns off the tune signal but it never restores the radio to the original mode.


VHF and Up contesting

N1MM logger has some features which will be appreciated especially by VHF and up contesters. The program supports bands up to the SHF bands 10, 24, 47, 76, 142 and 241 GHz

VHF options

The frequency is shown in the Bandmap and in the Entrywindow. When the frequency is above 1 GHz the band will be shown in cm, not the exact frequency in the Entry window. When entering qso's it's easy this way to recognize the band in which you log.

Gridsquare Key Assignments (VHF and up)

  • Alt+equal (=) - Search entered info from both the Callsign field and the Gridsquare field in the call history table.
    • The results will be shown in the Check window.
  • Alt+minus (-) - Toggle through call history and entered grid squares (max 3) in the grid square entry field.
    • When no grids are found in the call history there is nothing to toggle..

Call History Lookup

More information about this can be found in the chapter Before the contest

This feature is very useful in VHF contests. Lookup examples are lookups for names (Friends file in RTTY contests), gridsquares for VHF contests, ages in All Asian DX contests etc. With the importing and exporting options the call history table can be updated.

Call history lookup is enabled with the option ('Config | Call History Lookup'). If enabled, it will look up in VHF contests: Grid Square (max 2) and Name.

The program itself does not have a function to export the log file to (update) the call history table. Filling the call history table has to be done by importing a text file. Carel, PC5M has written a separate program called 'Thucydides' which can do this. Check out the links chapter.

VHF master.dta file

For HF there are several master.dta files which contain callsigns of active contesters. Select the Master Callsign database link on the download page. There are separate files for RTTY and for VHF and up contesting. A very nice tool to create a master.dta file has been written by Alex, VE3NEA. This tool can be downloaded from his site (see the links section) and is freeware! A text file with callsigns is needed. An example master.dta file for VHF is available from the N1MM website in the 'Other Files' menu under 'Downloads'.

Transverter support

N1MM logger has transverter support in the form that per bandmap an offset frequency can be set. Right click menu bandmap and select Set transceiver offset frequency. Enter the transceiver offset frequency in kHz (minus is allowed). Example: 116000 when using a transverter from 28 MHz to 144 MHz (144000 - 28000 = 116000). The same for other bands (up or down). This can be set per bandmap so when using two transceivers with transverters they can each be on a different band. The offset is saved by the program so after a restart the offset is still there.

Example contest setup

Additions are welcome!

Create (days) before the contest

  • New master.dta file
    • Use tool from Alex, VE3NEA, see chapter Links
  • Create 'N1MM logger.ini' to use during the contest
    • Setup all the program setting and place the windows as you like them during the contest (on the computer to use)
    • Don't forget the tab 'Mode Control' in the Configurer.
    • After closing the program it has created a file called 'N1MM logger.ini 'with all the settings
    • Copy 'N1MM logger.ini' (not .init) to ' VHFsettings.ini'.
  • Text file with contents Function keys for SSB/CW
    • As a start:
      • 'File | Export | Export Function Keys to file... | SSB Function Keys'
        • Give a name like: VHFssbfunctionkeys.mc
      • 'File | Export | Export Function Keys to file... | CWFunction Keys'
        • Give a name like: VHFcwfunctionkeys.mc
    • Update these text files if needed
    • Check possible macros in chapter macros
  • Packet/Telnet button text file
    • As a start: 'File | Export | Export Packet/Telnet Buttons to file...'
    • Update this text file if needed
    • Give a name like: VHFpacketbuttons.txt
    • Check possible macros in chapter macros like {GRIDSQUARE}
  • Lookup database text file for the VHF contests to use
    • Create a text file with callsign, name, locators etc.
    • Give a name like: VHFlookup.txt
    • See info about CallHist file
  • SSB: Wav files for CQ, rst, exchange etc.
    • Create wav files for all operators.
    • See {OPERATOR} macro in chapter macros
  • Download up to date country file (cty.dat)
    • mostly a country file is not used for VHF and up contesting but the program gives information in the Info window about the logged callsign so download the latest version.
  • Check if the selected contest is still ok, make some test QSO's
    • This should be done weeks before the contest!
  • ....

Before starting the program

  • Copy the created master.dta file in the N1MM logger program directory
  • Copy the wav files from all operators in the WAV directory
  • Turn off Windows sounds if using WAV files
    • Control Panel - Sounds - Scheme: No Sounds
  • Rename ' VHFsettings.ini'. to 'N1MM logger.ini' and copy it into the program directory
    • The program will start using the settings as set up days before the contest.

After starting the program

  • Select/Check if correct database is used
    • 'File | open Database and select VHF database'.
  • Import
    • This has to be done only once if every time the same database is used!
    • Each database can handle many contests and thousands of QSO's, don't use a database for every contest!
    • Updated files (like the lookup file) have to be imported before every contest.
      • The function keys macros (SSB/CW)
        • 'File | Import | Import Function Keys to file... | SSB Function Keys'
          • use file created above (Example: VHFssbfunctionkeys.mc)
        • 'File | Import | Import Function Keys to file... | CW Function Keys'
          • use file created above (Example: VHFcwfunctionkeys.mc)
      • The packet/telnet buttons
        • 'File | Import | Import Packet/Telnet Buttons from file...'
        • use file created above (Example: VHFpacketbuttons.txt)
      • Lookup file
        • 'File | Import | Import Call History'
        • use file created above (Example: VHFlookup.txt)
      • Country file
        • 'Tools | Import country list from downloaded file'
  • Use file downloaded/updated above
    • Check Station dialog ('Config | Change your Station Data')
    • The locator from this dialog is used for distance calculation so needs to be entered!
  • Check contest ( File | Choose Which Contest to Log)
    • Check if entered information is correct.
    • Enter Sent Exchange (this is contest specific, see chapter Setup Contests)
  • Setup configuration (Rig control, PTT, CW)
    • Check the tab 'Mode Control' in the Configurer.
  • When using a transverter
    • Enter offset for bandmap A and bandmap B
  • ....

Have fun during the contest!


Key Assignments Short List

Running keys | S&P Keys
F1 = CQ ; or insert = Send call and report ' = Send TU message and enter in log Alt+R = Enable CQ repeat Ctrl+R = Set repeat time Esc = Stop sending, stop repeat | Shift+F1 = Call CQ and switch to run Alt+U = Toggle S&P/Run. Set CQ-frequency for pass Alt+Q = Return to CQ-frequency Ctrl+Up/Dn arrow = Grab next qso from bandmap Alt+Ctrl+Up/Dn arrow = Grab next mult from bandmap
General keys | DX Spots and Band Map
Ctrl+O = Set operator call (or OPON in Callsign field) Ctrl+N = Add note to log Ctrl+W or Alt+W = Wipe entry fields Release a reserved serial number SPACE or Tab = Move between logging fields Enter = Log it (see ESM mode) Ctrl+Q/A = Quick edit previous or next call Ctrl+D = Delete last qso! Alt+H = Show help Alt+K = Edit message buttons Alt+Ctrl+Enter = Log a not accepted 'invalid' qso. | Mouse wheel = Zoom in/out bandmap Keypad +/- = Zoom in/out bandmap Alt+D = Remove spot Alt+P = Send spot Ctrl+P = Send spot with comment Ctrl+Tab = Toggle to/from packet window Alt+O = Store contact in the Bandmap Alt+Q = Jumps to the CQ frequency on this band
Radio control | ESM Mode
Alt-F10 = Swap VFOs Alt+Q = Return to CQ frequency Alt+F8 = Return to last frequency Ctrl+PgUp/PgDn = Up/Down a band Type CW/USB/LSB/RTTY= Change mode Ctrl+S = Set radio into split Ctrl-Alt-S - Toggle split mode Ctrl+Enter = Set split frequency Alt+F7 = Set split frequency or offset to current frequency Alt+' = Toggle between the wide and narrow filters | Ctrl+M = Turn on/off Insert or ; = Send call and exchange Enter = Send TU and log it Enter = Start CQ again... Alt+Enter = Log without sending anything Multi-User Mode Alt+Z = Set pass frequency (broadcasted to all computers)
SO2R | Specific radios
Backslash ( \ ) - Two radios = Change Receive (RX) focus Pause = Swap both Transmit and Receive/Keyboard focus Ctrl+Enter = Send next ESM state on alternate radio Ctrl+F1 to F12 = Send message on alternate radio Ctrl+B = Dueling CQ's ` (Back-quote) = Toggle Stereo/Mono ( LPT pin 5). Ctrl+I - Toggle through SO2R supported modes ($5SO2R) | FT-1000MP/FT1000D Alt+F12 = Dual Receive toggle TenTec Orion Alt+F12 = Toggle Main/left Sub/Right and Active in both ears.

CW | SSB | RTTY | VHF
Page Up = speed up Page Down = speed down Ctrl+K = CW window Esc = Stop sending | Ctrl+Shift+F1 = Record CQ Ctrl+Shift+F* = Record F-key message NB. Same keys again to stop recording | Alt+G = Grab call from stack Alt+T = RX/TX toggle Ctrl+Arrows = Swaps DI Esc = Stop sending | Alt+= = Search entered info Alt+minus = Toggle grids Ctrl+E = Send message to stations Alt+Z = Set pass frequency


Key Assignments

The keys below work from all main windows

General Key Assignments

  • Space - The spacebar will jump from field to field filling in defaults like the callsign from the frame, 59/599, and information from previous contacts with this station. SPACE IS THE PREFERRED TAB CHARACTER.
  • Tab - Jump to the next entry field in the Entry Window.
  • Shift+Tab - Jump to the previous entry field in the Entry Window.
  • Alt+H - Show this help file. Note that pressing Alt+H in any window will show the help specific to that window.
  • Ctrl+Tab - Toggle between the Entry window and the Packet window.
  • Alt-F9 - toggle through all the antennas for that band. The selected antenna will show in the status pane.
  • Alt+F4 - Quit the program. If two Entry windows (SO2R) the program will not exit. You are being asked if you are sure.

Active Radio/Bandmap Control Key Assignments

Jump to Spots

Note: If you are operating single mode, your mode won't change when jumping between spots.

  • Ctrl+Down Arrow - Get next spot higher in frequency.
  • Ctrl+Up Arrow - Get next spot lower in frequency.
  • Alt+Ctrl+Down Arrow - Get next spot higher in frequency that is a multiplier.
  • Alt+Ctrl+Up Arrow - Get next spot lower in frequency that is a multiplier.
Jump to CQ Frequencies
  • Alt+Q - Jumps to the last CQ frequency on this band (active bandmap)
  • Alt+Shift+Q - Jumps to the last CQ frequency on other band (non-active bandmap).
  • Alt+Ctrl+Q - Jumps to your last used CQ frequency on any band and tune active bandmap to that frequency.
  • Alt+Shift+Up Arrow - Get next spot lower in frequency that is self-spotted.
  • Alt+Shift+Down Arrow - Get next spot higher in frequency that is self-spotted.
Tune the Radio
  • Ctrl+Page Up - Go up one band. WARC bands are being skipped while logging for a contest.
  • Ctrl+Page Down - Go down one band. WARC bands are being skipped while logging for a contest.
  • Up Arrow - Tune radio down 100 Hz on SSB, 20 Hz on CW (adjustable in the configurer).
    • FT-1000MP, FT-890, FT-920, FT-990 and FT-1000 and all Kenwood radios
      • In S&P - pressing the up/down arrows will turn off RIT and tune your main VFO.
      • In Running mode - it will turn on your RIT and tune the RIT.
  • Down Arrow - Tune radio up 100 Hz on SSB, 20 Hz on CW (adjustable).
    • See Up Arrow information
  • F9 - Set frequency or offset to current frequency for the active radio. The frequency can also be set in the Callsign textbox in the Entry Window entering it with Enter.
  • Alt+F7 - Set split frequency or offset to current frequency for the active radio. More information about working split can be found in the Basic Functions chapter.
  • Ctrl+Enter - Entering a frequency or offset in the callsign field and entered with Ctrl+Enter will set a split frequency.
  • Alt+S - When your rig is in the split mode, Alt+S will reset the RX frequency back to your transmit frequency, but the split mode is preserved. "Reset RX frequency when running split" is associated with Alt+S. When invoked, the program will automatically do an Alt+S as you log each QSO. Operates on left VFO/radio only.
  • Ctrl+S - Set radio to split operation, if not in split mode already.
  • Ctrl-Alt-S - Toggle Split mode on the radio. 'Split' will be shown in the Entry window.
  • Alt+F5 and Alt+F6 - Swap radio frequency and mode between VFOs (one radio)/radios (two radios).
  • Alt+F8 - Jump to your last frequency.
  • Alt+' (Alt+singlequote) - toggle between the wide and narrow filter for the selected mode (SSB, CW and Digi modes).
Change Keyboard & Radio Focus
  • Ctrl+Left arrow - Move both TX and RX/Keyboard focus to VFO A or in SO2R to left radio
  • Ctrl+Right arrow - Move both TX and RX/Keyboard focus to VFO B or in SO2R to right radio
  • Alt+F10 - Swap between VFOs when using one radio (VFO A-B)
  • Pause - Swap radios and match keyboard to radio.
Other Nifty Tricks
  • Mouse wheel - Zoom in or out the bandmap which has KEYBOARD focus.
  • Numeric keypad + (plus) - Zoom in the bandmap which has KEYBOARD focus to show fewer stations (less bandwidth).
  • Numeric keypad - (minus) - Zoom out the bandmap which has KEYBOARD focus to show more stations (more bandwidth).
  • Ctrl+T - Turn on the radio and send continuous CW (tune). Ctrl+T again or the Escape key ends the transmission.
  • Alt+F12 - Copy frequency and mode to other radio/VFO.
  • ` (backquote) - Toggle Stereo/Mono ( LPT pin 5)
    • Back-quote can be found on US keyboard left from 1 below tilde ~
  • = (equal key) - Will send the last message key (F1-F12) again.
FT-1000MP / FT1000D Specific Features
  • Alt+F12 - Dual Receive toggle
TenTec Orion Specific Features
  • Alt+F12 - Toggle between Main/left Sub/Right and Active in both ears.

Non-Active Radio/Bandmap Control Key Assignments

Jump to Spots
  • Ctrl+Shift+Down Arrow - Get next spot higher in frequency.
  • Ctrl+Shift+Up Arrow - Get next spot lower in frequency.
  • Alt+Shift+Ctrl+Down Arrow - Get next spot higher in frequency that is a multiplier. If you are operating single mode, your mode won't change when jumping between spots.
  • Alt+Shift+Ctrl+Up Arrow - Get next spot lower in frequency that is a multiplier. If you are operating single mode, your mode won't change when jumping between spots.
  • Alt+Shift+Q - Jumps to your last CQ frequency on the inactive VFO/radio.
Tune the Radio
  • Ctrl+Shift+Page Up - Go up one band.
  • Ctrl+Shift+Page Down - Go down one band.
  • Shift + Numeric keypad + (plus) - Zoom in the inactive bandmap which not has KEYBOARD focus to show fewer stations (less bandwidth).
  • Shift + Numeric keypad - (minus) - Zoom out the inactive bandmap which not has KEYBOARD focus to show more stations (more bandwidth).

Logging Key Assignments

  • Enter
    • Log contact, when 'Enter sends message' is off in config menu.
    • Sends message when 'Enter sends message' is on in config menu. The send messages depend on the field values i.e. in which field the cursor is in the Entry Window. Check the highlighted keys.
  • Space - Preferred TAB character .
    • Jumps from callsign to Exchange field or vice versa.
    • Other fields' default values will be filled in
    • If there is a call on the callsign frame and if the callsign field is empty, the call from the frame will be placed in the callsign textbox.
  • Alt+Enter - Send End of Contact message key and log the contact. In ESM it just logs the contact (nothing sent).
  • Insert or ; - Sends His Call key followed by the Exchange key.
  • ' - Send TU message and enter in log .
  • Alt+W or Ctrl+W (Alt+W = Ctrl+W)
    • Wipe Out Entry Fields, clear information about the current contact his window.
    • Serial number contests: Release a reserved serial number after it has been reserved.
  • Ctrl+Shift+W - Wipe out other window's contact information.
  • Alt+Ctrl+Enter - Log a not accepted 'invalid' qso (invalid exchange etc.). It will prompt for a comment. Use 'View | Notes' to correct later.
    • When no comment is entered "Forced QSO" will be added to the comment field.
  • Ctrl+Y - Edit last contact.
  • Ctrl+D - Delete the last contact.
  • Alt+O - Store contact in the bandmap.
  • Alt+M - Mark this frequency in the bandmap as being in use.
  • Alt+D - Removes the spot from the bandmap which is on the callsign frame or in the callsign field in the Entry window when S&P or CQ-frequency when Running.
  • Alt+P - Spot the contact on the current Packet/Telnet connection.
  • Ctrl+F - Find the callsign entered in the callsign field in the log.
  • Ctrl+G - Find another instance of the call entered in the callsign field in the log after Ctrl+F.
  • Ctrl+M - Enable/disable 'Enter sends message' mode.
  • Ctrl+N - Add a note/comment to your last or current contact.
  • Ctrl+Q - Quick Edit mode, go back one qso in the log. Enter logs and Escape discards the changes made. No content checking!
  • Ctrl+A - Quick Edit mode, go forward one qso in the log. Enter logs and Escape discards the changes made. No content checking!
  • Ctrl+U - Increase the number in the exchange field by 1.
  • Shift+Enter - This is the Call Stacking feature, it 'remembers' callsigns with their frequencies and then quickly work them. An example is given in the Basic Functions chapter.
  • Alt+U - Toggles "Running' box". When running is checked, the behavior of Enter Sends Messages mode changes appropriately. Additionally contacts are logged as being part of a run.
  • Alt+K - Change the contents of the Packet/CW/SSB/Digital message buttons.
  • Alt+Y - Will "yank" the first call from the Check window in the Entry window callsign field.
  • Ctrl+Shift+M - Set threshold for Auto-Send option.
Key | Send function key(s) | Action(s)
Insert (middle) | His Call Key & Exchange Key | Send His call followed by the Exchange.
; (same as Insert key) | His Call Key & Exchange Key | Send His call followed by the Exchange.
Alt+Enter |  | Log the contact.
' | End of QSO Key & Log contact | Will send the End of QSO message and logs the contact.

Callsign/Exchange Editing Features

  • Space Bar - moves cursor to the position the last position the cursor was in prior to leaving the Callsign or Exchange fields.
  • Tab - Move to the next field.
  • Shift-Tab - move to the previous field.
  • Home - moves cursor to beginning of the field it's in.
  • End - moves cursor to end of the field it's in.
  • Question mark (?) - Sends a ?, and will cause the ? to be highlighted when you reenter the field . E.g. N?MM will send what is typed, but automatically highlight the ? so you can replace it. A double ?, as in DL?K?A will highlight all text in between and including the ? marks. The first keystroke entered will replace all three characters.
  • Left/Right Arrow - moves cursor to left or right one position within the field it's in.
  • Backspace - delete character to the left.
  • Delete - delete character to the right.
  • Shift-Home - will highlight from the cursor insertion point to the home (beginning) of the textbox.
  • Shift-End - will highlight from the cursor insertion point to the end of the textbox.
  • Shift-arrow - will highlight as you press the keys. When you type the first character, it will delete the highlighted character.

Message Key Assignments

The message send by the function keys F1 through F12 depends if you are in Running mode or in Search and Pounce mode.
It all depends if the Running indicator in the Entry window is marked or not.

Below the function keys with their associated default messages, the function keys can be remapped to others on the Function Keys tab in the configurer..

Default Function keys
F1 | CQ key | F2 | Exchange key | F3 | End of QSO Key | F4 | My Call Key
F5 | His Call Key | F6 | QSO B4 Key | F7 |  | F8 | Again Key
F9 |  | F10 |  | F11 |  | F12 |

  • Esc - Stop sending CW or wav. file.
  • Ctrl+R - Set CQ repeat time in seconds or milliseconds (Example: 1.8 or 1800)
  • Alt+R - Turn on repeat mode. Escape turns it off.
  • Ctrl+Shift+Fx - Record SSB message for the assigned function key. Pressing Ctrl+Shift+Fx again stops the recording. Fx can be F1 to F12.
  • Ctrl+Alt+Fx - Record external DVK memory 1 to 4. Fx can be F1 to F4.

CW Key Assignments

  • Page Up - Adjust CW speed down 2 wpm.
  • Page Down - Adjust CW speed up 2 wpm.
  • Ctrl+K - This will open the CW window to send CW. Pressing Ctrl-K again will close the window.
    • CW will continue to be send when closing the window and the CW message was not finished sending.
  • Ctrl+Shift+R - Toggle CW Reverse/No Reverse.

Multipliers by Band window Key Assignments

  • Ctrl+J - Toggle through the Countries, Zones, Sections & Other windows (if the window is not open, it will be opened)
  • Ctrl+Shift+J - Opens or closes the Multiplier-by-band window

Multi-user Key Assignments

  • Ctrl+E - Talk, send a message to another station in the network.
  • Ctrl+O - Change operator callsign (Multi-user).
  • Alt+Z - Set pass frequency which is broadcasted to all connected computers.
  • Ctrl+Alt+M - Change the run station number

'Enter Sends Message' mode (ESM)

  • Ctrl+M - Toggle 'Enter Sends Message' mode
  • Alt+Enter - Log without sending anything
Callsign field | Exchange field | Running mode | Search and Pounce mode
 |  | Enter sends: | Enter sends:
Empty | Empty | CQ (F1) | My Call (F4)
New Call (1st time) | Empty or invalid | His Call + Exch (F5 + F2) | My Call (F4)
New Call (repeat) | Empty or invalid | Again? (F8) | My Call (F4)
New Call | Valid (before sending exchange) | His Call + Exch (F5 + F2) | Exchange (F2)
New Call | Valid (after sending exchange) | End QSO + Log (F3 + Log It) | End QSO + Log (F3 + Log It)
Duplicate Call | Empty or invalid | QSO B4 (F6) | QSO B4 (F6)
Duplicate Call | Valid (before sending exchange) | QSO B4 (F6) | Exchange (F2)
Duplicate Call | Valid (after sending exchange) | End QSO + Log (F3 + Log It) | End QSO + Log (F3 + Log It)
Dupe (1st time), Work Dupes checked | Empty or invalid | His Call + Exch (F5 + F2) | QSO B4 (F6)
Dupe (repeat), Work Dupes checked | Empty or invalid | Again? (F8) | QSO B4 (F6)
Dupe, Work Dupes checked | Valid (before sending exchange) | His Call + Exch (F5 + F2) | Exchange (F2)
Dupe, Work Dupes checked | Valid (after sending exchange) | End QSO + Log (F3 + Log It) | End QSO + Log (F3 + Log It)

Packet/Telnet Key Assignments

  • Ctrl+P - Spot the station entered in the callsign field as a spot to the active cluster connection, either packet or telnet. You will be prompted for a comment. If no station is entered in the callsign field, the last station worked this session will be spotted.
  • Left-click - Tune the active radio to the frequency of the spot.
  • Shift+Left-click - Tune the inactive radio to the frequency of the spot.
  • SH/DX - Entered in Entry window Callsign field will be passed through to active Packet window for processing.

SO2R Key Assignments

  • Backslash ( \ ) - Launches a second Entry Window if only one Entry window is open.
    • One radio - Moves RX focus between the 2 VFOs on the radio.
    • Two radios - Moves RX focus between the 2 radios.
  • Ctrl+Enter - Send next ESM state on alternate radio (assuming ESM turned on).
  • Ctrl+F1 to F12 - Send Fn message on alternate radio.
  • Ctrl+Left Arrow - In SO2R move both Transmit and Receive/Keyboard focus to left radio, or in SO2V move both TX and RX/Keyboard focus to VFO A.
  • Ctrl+Right Arrow - In SO2R move both Transmit and Receive/Keyboard focus to right radio, or in SO2V move both TX and RX/Keyboard focus to VFO B.
  • Pause - Move both TX and RX Keyboard focus to other radio (or other VFO in SO2V). If TX and RX focus are split when you hit pause, TX focus will move to where the RX focus is.
  • Ctrl+B - Dueling CQ's will send CQ (without delay) alternately on each radio. If Dueling CQ's is turned on, both radios become run radios. Dueling SSB and CW CQ's are supported too.
  • Single quote key a.k.a. unshifted tilde key (~) – Toggle STEREO mode on/off, or toggle Auto/PTT modes with modified DXD . Notes: On US keyboards, they key we are talking about is the key just to the left of the number 1 key. We are calling this key the Tilde key, which is technically not correct – it's the ‘ key, or single quote key.
  • Ctrl+I - Toggle through the SO2R modes supported by the program. Only operative in '$5SO2R' when N1MM logger controls the audio, not when using an external SO2R controller.
  • Ctrl+PgUp/Down - When changing band using Ctrl+PgUp/Down will skip the other radio's band.
    • THIS IS NOT A SUBSTITUTE FOR HARDWARE LOCKOUT!!
  • Ctrl+Shift+I - toggle 'Automated RX Focus Feature' mode (ARFF mode)

RTTY Key Assignments

    Key | Button Caption | Action (in text)
F1 | &CQ | CQ TEST DE *
F2 | &Exchange | 5NN #
F3 | &His Call | !
F4 | &My Call | *
F5 | &TU | TU DE *
F6 | Call/Exch | ! 5NN #
F7 |  |
  • Alt+T - Toggle TX - RX.
  • Alt+G - Grab callsign.
  • Ctrl+Arrows - Swaps from one active DI to the other DI. DI1 will follow radio1(bandmap A) DI2 will follow radio2 (bandmap B).

Gridsquare Key Assignments (VHF and up)

  • Alt+equal (=) - Search entered info from both the Callsign field and the Gridsquare field in the call history table.
    • The results will be shown in the Check window.
  • Alt+minus (-) - Toggle through call history and entered grid squares (max 3) in the grid square entry field.
    • When no grids are found in the call history there is nothing to toggle..

Rotator Key Assignments

  • Alt+J - Turn rotator to bearing for callsign in Entry window.
  • Ctrl+Alt-J - Turn rotator to long path bearing for the callsign in the Entry window.
  • Ctrl+Alt-J - Stop turning the rotator when turning and no bearing in callsign field in Entry window.

Window Key Assignments

  • Ctrl+Tab - Toggles between the Entry window and Packet window.
  • Ctrl+K - Display the CW Keyboard window.
  • Ctrl+L - Display the Log window (toggles between open and minimized).
  • Ctrl+J - Display the Multiplier window, Toggle through the Countries, Zones, Sections & Other windows when open.

Lookup Table Edit

  • Ctrl-D - to delete a row in the table or use the right click menu.


Interfacing

General

The program can interface with your radio using several ports from the computer. These ports are:

  • Serial port - With a serial port it is possible to send CW, key PTT or communicate with your radio. Most computers nowadays have one Serial communication port with 9. Laptops mostly have one serial port but sometimes no serial port at all. When there is no serial port (available) a USB to serial converter can be used.
  • Parallel port - With the parallel port it is possible to send CW and key PTT at the same time. There is additional info available on the parallel port. With this additional info you can switch antennas with the right interface connected. Also there is a pin that indicates which radio is currently active.
  • USB port - The USB port can be used with a USB-to-serial converter. Not every USB-to-serial converter can send CW. Also devices like the microHAM - microKEYER or the Ham Radio Solutions - EZmaster can be used but have far more capabilities than just being a serial port converter. See the chapter Supported Hardware for more information.
  • Sound card - The sound card is used to send sound (Wav) files to your radio for instance for giving CQ and for sending and receiving when using RTTY with MMTTY. The sound card can also be used to record all the QSO's you are making.

For CW the parallel and serial ports are assumed to have the default addresses shown in the list below. These addresses can be changed in the configurer to match your Windows setup.

Port | Address
LPT1 | &H378
LPT2 | &H278
LPT3 | &H3BC

Port | Address
COM1 | &H3F8
COM2 | &H2F8
COM3 | &H3E8
COM4 | &H2E8
COM5 | &H2F0
COM6 | &H3E0
COM7 | &H2E0
COM8 | &H260

These addresses used in Windows can be checked in (Win98) 'Control Panel | System | Device Manager | Ports (COM & LPT) | (Choose a port) | Resources | Input Output Range'.

Nonstandard port addresses will not work for CW.

Tip. If you have one standard and one non-standard COM port, assign the non-standard to the radio, and the standard port to CW.

Radio interfacing

Interfacing to a radio is done directly with a serial cable (straight or crossed) or when using an older radio an additional interface is needed. Every brand has it's own solution for it, also they have there own commands when changing frequency, changing band etc. So always look in the manual what to use with your radio to get it connected. When a direct serial cable is needed be sure it has all the necessary pins wired. A cable with full wiring is mostly ok but sometimes a cable with only 3 wires could be the way to go.. When using an additional interface there are two choices again. You buy the original for your radio or you build one yourself. When you buy an original interface the manual will say what kind of cable you need for it. When you make an interface yourself or buy a not original interface it can be that you are in trouble. The program determines if you have to use a cable with only three wires (software handshaking) or five wires (hardware handshaking).

    Pin DB9 | Pin DB25 | Name | Description
1 | 1 | CD | Carrier Detect
2 | 2 | RXD | Receive Data
3 | 3 | TXD | Transmit Data
4 | 4 | DTR | Data Terminal Ready
5 | 5 | GND | System Ground
6 | 6 | DSR | Data Set Ready
7 | 7 | RTS | Request to Send
8 | 8 | CTS | Clear to Send
9 | 9 | RI | Ring Indicator

    Software handshaking | DB9 | DB25 | Hardware handshaking
Ground | pin 5 | pin 7 | Ground
RXD | pin 2 | pin 3 | RXD
TXD | pin 3 | pin 2 | TXD
Not used | pin 7 | pin 4 | RTS
Not used | pin 8 | pin 5 | CTS

CW key and PTT interfacing

Via Parallel port

Below a picture of a possible interface.

Scheme parallel interface

Parallel (LPT) port

  • Pin 1 - Strobe
  • Pin 16 - PTT output
  • Pin 17 - CW output
  • Pin 18 - Ground

Via Serial Port

Serial port (9 pin) | Serial port (25 pin)
Pin 7 - PTT output (RTS) Pin 4 - CW output (DTR) Pin 5 - Ground | Pin 4 - PTT output (RTS) Pin 20 - CW output (DTR) Pin 7 - Ground

Note. The CW- and(!) the PTT-line have to come from the same serial/parallel port.
Example: When COM4 e.g. is the CW-Port the PTT-line has to be connected at the same jack

Using a transistor

Scheme serial interface

  • Equivalents for the 2N2222 are 2N3904, BC547 or BC548.
  • NB. It isn't a bad idea to add a 1 kOhm resistor from base to ground, also adding a shunt capacitor of 10 nF is highly recommended at the collector output to ground in order to prevent RF feedback to base and subsequent blocking.

Using an optocoupler

By Brian Kassel, K7RE

As the serial port spec is to have -12 and + 12 on the DTR pin, a diode needs to be put in series with the 470 ohm resistor that drives the LED on the input to the OPTO-Isolator. The cathode (banded) end goes toward the OPTO-Isolator. A transistor could be used here, but I like the OPTO-Isolator route, as it affords more protection to the serial port in case something down stream from the port goes awry. You still need to protect the active device in your interface from the negative voltage though. Some notebook serial ports don't have a negative voltage, so you may be all right there, BUT if you switch out the interface to a PC that does, you are in for trouble.
BTW, no negative voltage appears at parallel (LPT / printer) ports, so no negative voltage protection or isolation is needed there.

Via USB port

Not all computers have serial ports anymore or not enough to control transceivers, packet, serial CW keying etc. In this case consider a USB to serial port adapter. Most of them do nicely control the radio. The problem with these interfaces is doing CW and/or PTT (and 5 bit codes). Test before or ask around if they work for radio control, CW or PTT control with your computer and radio! Also look first if drivers for your operating system are available.

With N1MM CW will work with native serial ports and with USB-to-serial adapters. For perfect CW not dependent on Windows processes the answer is Winkey by K1EL. CW transmitted as normal ASCII characters via the serial port. A USB/serial adapter will work fine with K1EL, because it is standard serial communications. Check the Winkey manual for more information.

In some cases PTT does not work well when using USB to serial. Check this Windows setting:

  • Control Panel; System Icon,
  • Hardware Device Manager Tab or button.
  • Expand USB Serial Bus Controllers
  • Highlight each USB Root Hub
  • Double click for Properties settings, Power Management tab,
  • Remove the check mark from 'Allow the computer to turn off this device to save power'.
    • The box is checked by default in most cases.
  • Reboot the computer

A very nice overview of serial- USB converters can be found at the RTTY contesting page by AA5AU at: http://www.rttycontesting.com/us

Additional Parallel Port Interfacing

If the type of CW port chosen is LPT1, LPT2 or LPT3, additional information will be present on the chosen parallel port. In configurer select for which Radio the output has to be given on the selected port (Radio 1 or Radio 2). The BCD data on the LPT is that of the current active radio/VFO. The band data is available on multiple LPT ports -- Radio 1 on LPT1, Radio 2 on LPT2 and so on.

NB. When DVK is selected, the Antenna selection via the LPT port is disabled.
The DVK pins and the antenna pins on the LPT port overlap.

Parallel port pin layout

LPT pin | Description
1 | Return for PTT and CW output. This pin has limited sink capability, so you may need to buffer it
2 | Band output (Least Significant Bit) set by Antenna tab in Configurer This pin is also used to stop the message sent on the hardware DVK.
3 | RX1/RX2 (showing entry window focus) for DX Doubler compatibility. Set ONLY if no hardware DVK output is selected (msg# 1).
4 | Set ONLY if no hardware DVK output is selected (msg# 2).
5 | (Shift+singlequote) to toggle for Stereo mono. Set ONLY if no hardware DVK output is selected (msg# 3).
6 | Set ONLY if no hardware DVK output is selected (msg# 4).
7 | Band output set by Antenna tab in Configurer
8 | Band output set by Antenna tab in Configurer
9 | Band output (Most Significant Bit) set by Antenna tab in Configurer
14 | Radio 1/2. High = Radio 1/VFO 1, Low = Radio 2/VFO 2
16 | PTT output, high = transmit mode
17 | CW output
18-25 | Return for Band output

Band decoder output

The pins 9, 8, 7 and 2 can be set using the Antenna tab in Configurer. The output on the pins will follow the selected code which is being set up by the selected antenna.

Code | Result on LPT port |  |  |  | Code | Result on LPT port
 | pin 9 D | pin 8 C | pin 7 B | pin 2 A |  | pin 9 D | pin 8 C | pin 7 B | pin 2 A
0 | 0 | 0 | 0 | 0 | 8 | 1 | 0 | 0 | 0
1 | 0 | 0 | 0 | 1 | 9 | 1 | 0 | 0 | 1
2 | 0 | 0 | 1 | 0 | 10 | 1 | 0 | 1 | 0
3 | 0 | 0 | 1 | 1 | 11 | 1 | 0 | 1 | 1
4 | 0 | 1 | 0 | 0 | 12 | 1 | 1 | 0 | 0
5 | 0 | 1 | 0 | 1 | 13 | 1 | 1 | 0 | 1
6 | 0 | 1 | 1 | 0 | 14 | 1 | 1 | 1 | 0
7 | 0 | 1 | 1 | 1 | 15 | 1 | 1 | 1 | 1

Sample configs

Top Ten Devices automatic band decoder Multi band antennas
Code | Antenna | Bands
0 |  |
1 | 160 mtr | 1.8
2 | 80 mtr | 3.5
3 | 40 mtr | 7
4 | 30 mtr | 10
5 | 20 mtr | 14
6 | 17 mtr | 18
7 | 15 mtr | 21
8 | 12 mtr | 24
9 | 10 mtr | 28

Code | Antenna | Bands
0 |  |
1 | 3 el yagi 10-15-20 | 10, 21, 14
2 | 3 band vertical | 7, 3.8, 1.8
3 | 40 mtr dipole | 7
4 | 80 mtr dipole | 3.8
5 |  |
6 |  |
7 |  |
8 |  |
9 |  |
To replicate the default Top-Ten Devices behavior, you would need to set up the Antenna tab in Configurer as shown below:

It is possible to use more than one antenna per band with N1MM logger. With Alt-F9 it is possible to toggle between these antennas.

NB. Don't forget to add a space after the comma when more bands are used per code.

Sample config two stacked antennas

Sample config for switching between two stacked antennas with an automatic antenna switch. This diagram assumes that the decoder emits positive DC voltages from each terminal.

Attach the upper antenna to terminal one, and the lower antenna to terminal two. When the program outputs code 1, the upper antenna will be selected. When the program the program outputs code 2, the lower antenna will be selected. When the program outputs code 0, both antennas will be selected. Note that 0 is the lowest code, so both antennas will be the default.

The picture below shows the configuration in the Configurer.

Bearing data

Bearing data for rotator control is currently not available on the LPT port.

Sound card interfacing

Sound card DVK

  • A 8:1000 ohms transformer should be used when the sound card speaker output is used to the radio microphone input.
  • A 600:600 ohms (1:1) transformer should be used when the line output from the sound card is used to the radio microphone input.

Serial and Parallel port interfacing under Windows NT/2000/XP

Windows NT, Windows 2000, XP and their descendants require a special dll which will be installed by running: PORT95NT.EXE to use the parallel, serial and USB ports.
Windows 95, 98 (SE), ME don't need this special dll. In these operating systems N1MM logger can access the parallel port direct without the need for an extra driver.

To install the NT/2000/XP capable dll, do the following:

  • Download PORT95NT.EXE. A link to this file can be found in the installation section.
  • The size is about 1,6 Mb.
  • To install, just run port95nt.exe
    • Select Next, Yes and typical where appropriate.
    • Yes to boot your PC
    • You are done.
  • You have to be the administrator of your machine when running port95nt.exe

Everything on one COM port

By Uffe PA5DD.

Shared ports allow for example Radio control/PTT/PTT-interrupt/CW on just one COM port, which might be all you have on your laptop. It requires that you make a serial splitter or a common interface. There are some pitfalls though:

  • Radio control communication is without hardware handshake (as you are using the hardware control pins for other purposes). This is not a problem as such, since hardware handshake is not used by your radio. True at least for ICOM & YAESU.
  • Some interfaces wire RTS/CTS together to allow a PC set for hardware handshake to work properly. This link must be removed for port sharing, as it will generate a permanent PTT interrupt on the CTS pin. This will abort your messages as soon as you start them. Also DSR should not be connected to anything.
  • In some radio control serial level converters the handshake signals are used as power supply. This is not possible if both RTS & DTR are used for CW/PTT. You will have to provide power supply from somewhere else (I use the PS/2 mouse port). Note that in this case you only have to split out GND TXD RXD for the radio control.

I need more serial ports

By Didier KO4BB

Interrupts are the limiting factor to more than a handful of serial (com) ports. There are 2 ways to address that:

1) You want to use "standard" hardware using Windows "standard" com port model, and as long as the software will let you select IO port and IRQ, and as long as you don't need parallel printer or floppy (and as long as your video card does not use IRQs also), and if the program lets you share IRQs (for instance, you don't need an IRQ for a serial port used to drive the PTT line), (that's a lot of if's!!!) you can probably cram 4 to 6 com ports into a single PC. Note that you may still have problems if you try to run high bit rate on all the ports at once (that should not be a problem with radio control though). Please note that the "standard" PC setup (and Windows) supports 4 com ports with only 2 IRQs. Those who have tried know that you don't want to run high bit rate on COM 1 and COM 3 at the same time because they share the same IRQ.

2a) You do away with standard hardware, and then you can use specialty boards that have 4, 8 or even 16 ports. However, these boards use communication processors so they only need one IRQ from the PC but your software needs to be aware of and be able to communicate with that processor, either through custom software, or through a driver for your OS (Operating System i.e. Windows), or both. That's what ISPs use to gang a bunch of modems to support more than a couple phone lines/modems with each PC. While these may have high communication rate capabilities (because the communications processor uses FIFOs, small memory buffers that store incoming data until the PC is ready to take it), they also offer higher latency (response time) than a native port, not ideal for CW, although with a fast PC, most users have been satisfied with this setup.

2b) USB adapters fall in the category of non-standard hardware, but because USB is now built into the motherboard, the communication processor hardware is directly supported by the BIOS, and the OS has the proper drivers, so that has quickly become a standard. However, the USB standard was not designed to minimize latency, so a USB-serial adapter, while OK to talk to a radio via it's serial port, is not ideal to do things such as CW using bit twiddling. That should be reserved to native serial or parallel ports (motherboard or add-on card). USB adapters are probably a little worse (with regard to latency and CW capability) than custom communication processors described at 2a) because the USB adapters communicate with the PC through a serial link instead of being directly connected to the processor bus, so the bit twiddling has to be done though a serial link, which adds latency. In addition, since the USB port may be shared with other devices, accessing these other devices while sending CW would be a bad thing.

Bottom line: pretty soon, we will want our WinKeys to come with a USB port :-)


Macros

General

Macros are key words in a text to send which are being replaced when send. An example is the ! which will be replaced by the station entered in the callsign field. The macros can be used on several places in the program.

  • Function key buttons (Entry window)
  • Packet buttons (Packet window)
  • RTTY programmable buttons (RTTY window)
  • PSK programmable buttons (PSK window)
Note: Not every macro can be used on all the places mentioned above.

When placing several macros under a function-key during the sending of it they will be substituted with the contents of the macros.
Example: * will be replaced with your call, so when your call is PA1M a * will be substituted with 4 characters.
Calling a few times another function key with several substitutions in it could bring this up to several 100 characters per function key. To prevent infinite loops the length of the string after substitutions may not exceed 1024 characters. After this length the program will stop substituting. 1024 characters is over 12 lines of text (from 80 characters).

Note: Macros have to be in UPPERCASE

When exporting or importing a macro it can not be longer than 70 characters long and the caption can not be longer than 9 characters wide.

General macros

General macros can be used on all the places mentioned above.

    Macro keyword | Substituted by
    * Call from the Station info dialog, same as {MYCALL}.
    ! Sends the callsign entered in the callsign field.
    {BEEP} | Make a clicking sound from the PC speaker.
    {CALL}

    Call in callsign textbox or, if none, the last call logged.

    Note: This will send the call as it was when the message STARTED.
    If you want to be able to type the call and send the changes use ! (exclamation point).
    It does not ever send the previous call, however.

    {CLUSTER} Cluster callsign from Station info dialog.
    See examples.
    {END} | The {END} macro signals to the program that the remaining {} commands are to be executed when the program returns from sending the CW, SSB or DIGI messages. Any text to send after the {END} macro is discarded.
    # Send next (or last) serial number.
    {EXCH} | Sent Exchange, either for the last QSO or for the current one, depending on whether there's a callsign in the entry window or call-frame.
    {FREQ} | Frequency from the contact in the Entry window
    {GRID} | Gridsquare from Station info dialog.
    {GRIDSQUARE} | Gridsquare from grid textbox (contact in Entry window).
    {GRIDBEARING} | Bearing between own gridsquare and grid textbox (contact in Entry window).
    {REVGRIDBEARING} | Reverse bearing between own gridsquare and grid textbox (contact in Entry window).
    {KMGRIDDISTANCE} | Distance in kilometer between own gridsquare and grid textbox (contact in Entry window).
    {LOG} Logs the current contact. Same as ENTER in the Entry Window .
    Digital: Put the {LOG} macro after the {RX} macro...
    {LASTCALL}

    Call of last station logged.
    {MYCALL} | My Call from Station info dialog, same as *
    {NAME}

    Sends the name as entered in the Entry window name field (Example: TARA) or when no Entry window name field, searches the name in the call history table.

    {OTHERFREQ} | Is replaced by the frequency of the non-active radio. Used for passing stations to other bands. Substitutes "R" for decimal on CW.
    {PGDN} | Change frequency up equal to amount set under 'PgUp/PgDn Incr (kHz)' 'in the Configurer under the 'Other tab'. For use after {END} macro like NA Sprint.
    {PGUP} | Change frequency down equal to amount set under 'PgUp/PgDn Incr (kHz)' 'in the Configurer under the 'Other tab'. For use after {END} macro like NA Sprint.
    {PREVNR} | Sends the QSO # of the last logged QSO.
    {LRMHZ} | Frequency Left Radio/VFO-A in MHz. Example: 28 when on 28.1234 MHz.
    {RRMHZ} | Frequency Right Radio/VFO-B in MHz. Example: 14 when on 14.1235 MHz.
    {RUN} | Sends the last logged callsign and then goes into Running mode.
    {S&P} | Sends the last logged callsign and then goes into S&P mode.
    {STEREOOFF} | The stereo bit on the LPT port will be set to OFF.
    {STEREOON} | The stereo bit on the LPT port will be set to ON.
    {TIMESTAMP} | Date and Time from the contact in the Entry window.
    {TX} CW/SSB: when sent in a function key will key ptt. Use Esc to turn off. This is a manual PTT from the keyboard.
    RTTY: Check out the Digital macros below.
    {CLEARRIT} | Reset the RIT to zero. Note: Will only work for radios that support that function.
    {CTRL-A}
    ...
    {CTRL-Z}         		Sends Ctrl+A character to TNC.
    All characters from the alphabet can be used (A to Z) ++
    See examples.
    {ENTER} | Sends ENTER to TNC.
    {ENTERLF} Sends Return/Line Feed to the TNC.
    Try this if ENTER doesn't seem to work.
    {ESC} Sends Escape character to TNC. ++
    See examples.
    {DATE} | Short date in Windows format as set in Regional settings.
    {DATE1} | Date in Nordlink-TF/WA8DED format (dd.mm.yy)- format: 26.02.99
    {SENTRST} | Sends the RST sent as entered in Entry window Snt field.
    {SENTRSTCUT} Sends the RST sent with the number 9 sent as the character N.
    Will send 57N or 5NN etc.
    {TIME} | Time in Windows format as set in Regional settings.
    {TIME1} | Time in Nordlink-TF/WA8DED format (hh:mm:ss)- format: 20:36:55
    {TIME2} | Short GMT time (hhmm)- format: 2036
    {DAYTIME} | Date in TAPR DayTime format - format: 0107162036
    {DATEGMT} | Date and GMT time - format: 16-jul-01 18:36:55
    {TIMEGMT} | GMT time - format: 18:36:55
    {F1} | Sends text assigned to function key F1
    {F2} | Sends text assigned to function key F2
    {F3} | Sends text assigned to function key F3
    {F4} | Sends text assigned to function key F4
    {F5} | Sends text assigned to function key F5
    {F6} | Sends text assigned to function key F6
    {F7} | Sends text assigned to function key F7
    {F8} | Sends text assigned to function key F8
    {F9} | Sends text assigned to function key F9
    {F10} | Sends text assigned to function key F10
    {F11} | Sends text assigned to function key F11
    {F12} | Sends text assigned to function key F12

++ = These macros can not be used in MMTTY and PSK.
The TNC Interface does accept all of the macros above.

CW macros

CW macros are only substituted when used in substitutions for CW buttons.
    Macro keyword | Substituted by
< | Increment CW speed with 2 wpm. See examples.
> | Decrement CW speed with 2 wpm. See examples.
~ | Send half space character. See examples.
[ | SK ...-.-
] | AS .-...
+ | AR .-.-.
- | BT -....-

    Character | Substituted by
! | ..--.
" | .-..-.
' | .----.
? | ..--..
/ | -..-.
: | ---...
; | "-.-.-."
( | "-.--."
) | "-.--.-"
, | "--..--"
= | -...-

    Character | Substituted by
É | ..-..
Ü | ..--
Ä | .-.-
Á | .--.-
Ñ | --.--
Ö | ---.
_ | .--.-
$ | ...-..-
@ | .--.-.

Tip: Some calls have letter combinations where it's hard for to copy correctly. E.g. 6Y2A is often copied as BY2A. To help make your call easier to copy, Go to Config > Change Packet/CW/SSB/Digital Message Buttons> Change CW Buttons, and try changing the default F1 and/or F4 message where * is used for your call. In this example, 6Y2A changes F4 from * to>6<~Y2A.
Result: the 6 is sent 2 WPM slower compared to the rest of the call, and an additional half space is added between the 6 and Y. Try other combinations of <, >, or ~ to make your call easier to copy.

SSB macros

SSB macros are only substituted when used in substitutions for SSB buttons.
SSB macros can not be concatenated if the result will be two wav files. A combination with the # macro at the first place will work.

    Macro keyword | Substituted by
{OPERATOR} | Specify wav files like: wav\{OPERATOR}\cq.wav Default to station callsign if not specified. See examples.

SO2R macros

SO2R macros are only substituted when SO2R is selected.

    Macro keyword | Substituted by
{JUMPRX} | Change the RX focus to the other input window. If only one input window is shown the second window will be opened.
{WIPE} | Wipe the focus window.
{ARFFON} | Turn 'Automated RX Focus Feature' on. See chapter 'SO2R'
{ARFFOFF} | Turn 'Automated RX Focus Feature' off. See chapter 'SO2R'

Multi User macros

Multi User macros are only substituted when in Multi User mode.

    Macro keyword Substituted by
    {MESSAGE}

    Send a message (via function key) to other connected stations over the network. Please check the examples below.
    {PASS 0}
    ...
    {PASS 15}     		Pass frequency from station 0 (Master station) through station 15.
    {PASS 1800}
    ...
    {PASS 28000}     		Insert pass frequency for first connected station found on that band.
    (Valid are PASS 1800; 3500; 7000; 14000;21000 and 28000)

Digital (RTTY and PSK) macros

The following substitutions will be made when sending function key.
In the Digital interface the macros below can be used but also all other macros shown under general macros.

    Macros | Substituted by
    {TX} | Starts transmission in the digital interfaces (needed to transmit!)
    {RX} | Switches to receive in the digital interfaces (needed to get back to receive)
    {GRAB} | Grab first callsign from grab callsign window
    {DELALL} | Delete all entries from grab callsign window
    {DELTOP} | Delete Top Entry from grab callsign window
    {DELSEL} | Delete highlighted entry from grab callsign window
    _ (Underscore) Sends an idle tone. (Only when using MMTTY)
    {LDIGFQ} | Left Digital Interface Frequency
    {RDIGFQ} | Right Digital Interface Frequency
    {PREVTIME} | Will send previously sent time (for ANARTS and BARTG alike contests)
    {ALIGN} | Move signal into bandpass range. Does the same as Align Buttons on Digital Interfaces and the PSK Engine.
    {PROFILE0} | Resets to HAM Default

    {PROFILE1}
    ...
    {PROFILE8}

             By inserting {PROFILE1} through {PROFILE8} in the function keys
    at the start of the CQ or S&P macro's will change MMTTY's profile.
    This way it is possible to have one profile for CQing and another one
    for S&P or however you want to set them up. (Only when using MMTTY)
    {HXXXX} | For use with the HAL DXP38. The DXP-38 commands are in the form of Hex that look like $80 $EA. This macro substitution takes the text string in the form of {HXXXX} or {H80EA} and converts this to the appropriate command that should be sent to the TU. See the RTTY chapter for more HAL DXP38 info.
    {DI1}
    ...
    {DI24}         		Sends texts assigned to the digital macro keys DI-1 to DI-24 on the Digital Interface.

Some Remarks:

  • Using the {TX} and {RX} macros will allow macros to be strung together as the radio will not unkey until it sees the {RX} or the RX button is pushed.
  • Also ESC will switch the rig to RX.
It is best to add the command that your TNC uses to clear the transmit buffer to the end of your Abort Macro. If not, the transmit buffer still holds the remaining characters that were left in the sent string and will get sent the next time the TNC sends.

Packet/Telnet macros

Packet/Telnet macros are only substituted when used in the packet/telnet buttons.

    Macro keyword | Substituted by
{WAIT} | Wait 5 seconds (fixed value)

Macro examples

CW macro examples

  • Sent the call entered in the callsign field
    • Macro: !
      • Sent his call. The callsign entered in the callsign entry field will be send by the program via the serial of parallel port.
  • Sent CQ with your call sent as a macro substitution
    • Macro: cq~test~de~*
      • The time between the words is a half space.
      • * will be replaced with the callsign from the Station dialog.
  • Sent part of exchange faster (report sent 6 wpm faster)
    • Macro: <<<5nn>>>{EXCH}
      • The report 5nn is send 6 wpm faster than the exchange.

SSB macro examples

  • Sent the call entered in the callsign field
    • Macro: !
      • Sent his call. The callsign entered in the callsign entry field will be send by the soundcard. In the 'Letters' directory all the wav files for the letters/numbers etc. must be present. Examples can be found on the N1MM website, select 'Other Files' under 'Downloads'.
  • Let each operator have his own wav files
    • Macro: wav\{OPERATOR}\cq.wav
      • You can specify wav files like: wav\{OPERATOR}\cq.wav As you change operators in a multi user contest, the wav files will change as well. You will have to name them consistently. Note that the wav directory syntax indicates a subdirectory under install directory. You can also fully qualify, like: "C:\wavfiles\cq.wav".
      • If you **really** wanted to, you could have: \wav\{OPERATOR}CQ.wav and name them:
        N1MMCQ.wav
        PA1MCQ.wav
      • Play call with operators voice: {OPERATOR}\letters\!
      • Play exchange with operators voice: wav\{OPERATOR}\5905.wav
      • {OPERATOR} is a string substitution only implemented for SSB buttons.
  • Hear a 'click' and not call the dupe (in S&P)
    • If you set up S&P F6 to issue the command {BEEP}, you will hear a "click" when you try to work a dupe.

RTTY and PSK macro examples

  • Example macros for the PK-232 (Digital interface window)

      Button text | Macro
      Abort | {CTRL-C}R{ENTER}TC{ENTER}
      TX | X{ENTER}
      RX | {CTRL-D}
      Band Up | RB U{ENTER}
      RxReverse | RXREV T{ENTER}
  • Example function key macros for the PK-232 (Entry window function keys)

      Mode | Button text | Macro
      Running | F1 CQ | X{ENTER}CQ CQ CQ TEST DE {MYCALL} {MYCALL} K CQ{CTRL-D}
      Running | F2 Exch. | X{ENTER} ! UR 599 {EXCH} 599 {EXCH} BK{CTRL-D}
      Running | F3 Tnx/Qrz | X{ENTER} ! TU GL DE {MYCALL} QRZ{CTRL-D}
      S&P | F1 {MYCALL} | X{ENTER}! DE {MYCALL} {MYCALL}{CTRL-D}
      S&P | F2 Exch. | X{ENTER}! UR 599 {EXCH} 599 {EXCH} GL DE {MYCALL}{CTRL-D}
  • Example macros for the KAM

      Button text | Macro
      Abort | {CTRL-C}R RTTY {ENTER}
      TX | {CTRL-C}T
      RX | {CTRL-C}E
  • Example macros for the SCS PTC (Digital interface window)

      Button text | Macro
      Abort | {ESC}CLR{ENTER}{CTRL-D}{ENTER}
      TX/RX | {CTRL-Y}
      RX-Reverse | {ESC}TR 1{ENTER}
      RX-Norm | {ESC}TR 0{ENTER}
      45 Baud | {ESC}BAU 45{ENTER}
      75 Baud | {ESC}BAU 75{ENTER}
      Command mode | {ESC}Q{ENTER}

      Button text | Macro
      RTTY | {ESC}Q{ENTER}BAU{ENTER}
      PSK31 | {ESC}Q{ENTER}PSKT{ENTER}
      CW | {ESC}Q{ENTER}CWT{ENTER}
      AMTOR | {ESC}Q{ENTER}AMTOR{ENTER}
      PACTOR | {ESC}Q{ENTER}PT{ENTER}
      PACKET | {ESC}Q{ENTER}PACKET{ENTER}
  • Example function key macros for the SCS PTC (Entry window function keys)

      Mode | Button text | Macro
      Running | F1 CQ | {CTRL-Y}CQ TEST DE * * * k{ENTER}{CTRL-Y}
      Running | F2 EXCH | {CTRL-Y}! HI 599 {EXCH} {EXCH} K{CTRL-Y}
      Running | F3 CFM | {CTRL-Y}! QSL TU DE * QRZ? K{CTRL-Y}
      S&P | F1 CALL | {CTRL-Y}! DE * * K{CTRL-Y}
      S&P | F2 EXCH | {CTRL-Y}DE * TU 599 {EXCH} {EXCH} GL DE *{CTRL-Y}

  • Example macros for MMTTY (Entry window function keys)

      Mode | Button text | Macro
      Running | F1 CQ | {TX} CQ CQ CQ TEST DE {MYCALL} {MYCALL} K CQ {RX}
      Running | F2 Exch. | {TX} ! UR 599 {EXCH} 599 {EXCH} BK {RX}
      Running | F3 Tnx/Qrz | {TX} ! TU GL DE {MYCALL} QRZ {RX}
      S&P | F1 {MYCALL} | {TX} ! DE {MYCALL} {MYCALL} {RX}
      S&P | F2 Exch. | {TX} ! UR 599 {EXCH} 599 {EXCH} GL DE {MYCALL} {RX}
      Send CQ which starts on a new line | {TX}{ENTERLF} CQ DE {MYCALL} {RX}

Packet macro examples

  • Connect the local DXcluster using TAPR firmware:
    • {CTRL-C}C {CLUSTER}{ENTER}
      the above sentence is specified for a function key in the Packet Window.
      • {CTRL-C} sends a Control-C character to the TNC which is placed in command mode.
      • {CLUSTER} will be substituted with the Packet Node Call from the Station Information dialog. As example: PI8XXX.
      • {ENTER} will be substituted with the Enter key.
    • The result is that the TNC is placed in Command mode (with Ctrl+C) and C PI8XXX is sent to the TNC because an Enter is sent after the command.
  • Connect the Local DXcluster using TF/Nordlink firmware:
    • {ESC}C {CLUSTER}{ENTER}
      the above sentence is specified for a function key in the Packet Window.
      • {ESC} places an Escape character in the command line buffer. This is the same as Shift+Escape when the cursor is on the command line from the Packet Window.
      • {CLUSTER} will be substituted with the Packet Node Call from the Station Information dialog. As example: PI8XXX.
      • {ENTER} will be substituted with the Enter key.
    • The result is that the TNC is placed in Command mode (with ESC) and C PI8XXX is sent to the TNC because an Enter is sent after the command.
  • This is an example where more commands are placed under one function key:
    • {ESC}I {MYCALL}{ENTER}{ESC}P 100{ENTER}{ESC}S1{ENTER}{ESC}C {CLUSTER}{ENTER}
      the above sentence is specified for a function key in the Packet Window.
      • {ESC}I {MYCALL}{ENTER}
        Sends my call to the TNC.
      • {ESC}P 100{ENTER}
        Change the Persistence to 100
      • {ESC}S1{ENTER}
        Change to channel 1
      • {ESC}C {CLUSTER}{ENTER}
        Connects my local DXcluster
      So one function keys does it all!!
  • This is an example using the {WAIT} macro:
    • In the substitutions you can include things like {CTRL-M}. There is also a {WAIT} macro that waits 5 seconds.
    • So if you needed to press CTRL-M, then wait for a prompt, then C PE1M-7 then enter your callsign, you could change the button to send
    • {CTRL-M}{WAIT}C PE1M-7{WAIT}PA1M
    • Enter is sent automatically after each command. This may cause a problem with some systems.

  • Example to send Ctrl-Z to the DX-cluster to send packet mail (end message)
    • When you have no way to send CTRL-Z to the packet TNC. Then set one of the packet macros to {CTRL-Z} and that works just fine.
    • Example F12: {CTRL-Z}

{MESSAGE} macro example

The {MESSAGE} macro sends a message (via a functionkey) to other connected stations over the network. The info will be shown in big red letters in the Info window from the receiving station(s). Place a number directly after the {MESSAGE} macro if you want to send the message to one specific station. If you don't want to send to a specific station, but want to start your message with a number put "- " in front of the message. Because "*" is used by macro substitution to indicate a callsign, you cannot put a * a the beginning of a message to indicate that the message should be sent to all stations. Since sending to all stations is the default behavior, this is not a problem. Just don't start the message with a number if you want to send the message to all stations.

    Button text | Macro
F8 Pass station | {MESSAGE}2 {TIMEGMT} {PASS 1} {CALL} {GRIDSQUARE} {GRIDBEARING}deg. {KMGRIDDISTANCE} km. Message sent to station 2 with info about the station in the callsign field. This is a macro which could be used in VHFREG1 where a station is send from one band to another.
F8 Pass station | {MESSAGE} {TIMEGMT} {PASS 1} {CALL} {GRIDSQUARE} {GRIDBEARING}deg. {KMGRIDDISTANCE} km. Message sent to all connected stations with info about the station in the callsign field.
F8 OK | {MESSAGE}2 OK Sent OK to station 2

{END} macro examples

The {END} macro signals to the program that the remaining {} commands are to be executed when the program returns from sending the CW, SSB or DIGI messages (this may not yet work for digi). Here is an example:

F1: {STEREOOFF}CQ TEST *{END}{STEREOON}

Whenever the F1 key is pressed, the stereo bit on the LPT port will be set to OFF. CQ will be sent via the current mode, and after the message is complete, the stereo bit on the LPT port will be turned back on. Thus, one can listen to just the second radio while the CQ is being sent, then listen to both radios after it is finished.
Note: Only {} macros with side effects are used when they are placed after the {END} macro. I.e. if you put {MYCALL} or "5NN" after the {END} macro, they will be ignored. Why? well the message is over, there is nothing more to send.

So the rule is: All macros with side effects are executed before the message is sent, except for those that appear after the {END} macro.

So where could this lead? Well, what if I created a radio control macro? That is, a macro where you could define commands for your particular radio. The syntax would be something like {R1 cmd}. "cmd" would be replaced with user settable, radio specific commands, like are used with the bandwidth functions accessible from the bandmap. Using the Orion as an example, a macro could be set up like this:

F1: {R1 *UM0}CQ TEST *{END}{R1 *UM85}

This would set radio 1's (an Orion) volume to zero at the beginning of a cq, then back to 85 at the end of the cq. This is equivalent to turning off monitor just for CQ's. The possibilities are pretty interesting. (There would also be an {R2} macro for SO2R.)

This could lead to controlling RX mute/unmute, monitor on/off, frequency QSY ala NA Sprint rule, possibly letting keyboard entry and or transmit focus follow the moving VFO etc.


Multi User Support

It is possible to use N1MM logger in Multi-User Multi-Transmitter operation. For this to work you need at least two networked computers with a maximum of 15. These computers need to have network interface cards. The networking protocol used is TCP/IP. The network needs a so called "Master" station. The "Master" station is the one that sets the time, connects to packet/telnet, etc. The Master station has number 0.

Features

  • Maximum of 16 networked computers with one 'master' station (0-15).
  • Use of standard network interface cards (NIC's).
  • IP-addresses are used during configuring.
  • Talk capability between networked stations.
  • Automatic time synchronization.
  • Pass frequency information between stations.
  • Packet
    • Distributed to all connected computers.
    • The ability to send packet commands to the master station, from there it will be send out to the cluster.
  • Error messages when a station can't be questioned/updated.
  • The Info window gives status information and extra options.
  • The Config menu has a special Multi-User Tools menu.
  • Auto resync when a station comes on-line.

Configuration

Assumed is that the network is setup and working correctly so every computer can ping each other. There is no need to 'see' all the other computers in the 'Networking environment' (My Network Places etc.) but it's easy when sharing/copying/updating files. You must be able to ping every computer from every other computer before proceeding with these instructions. It is not important if the network uses twisted-pair or coax cable etc.
A network connected using the computers serial ports as being used in older DOS programs is not supported.

When using the 10.x.x.x range and using Windows XP/SP2 the subnet mask 255.255.255.0, as can be used with other Windows versions, could give a problem. Windows XP/SP2 doesn't like this subnet mask, if that is the case use as subnet mask: 255.0.0.0
  • Setup all the computers
    • Setup all the computers with their radio's as if they were being used stand-alone.
      So the radio can be controlled, PTT/CW/.Wav files are working etc. Just as you like it.
    • All computers have to use the same version of the program N1MM logger.
  • Only for the "Master" station
    • Packet/Telnet has to be working only on this computer.
    • Set the computer clock to the right time. Every computer will use this time!
    • This has to be station 0 !!!
  • Setup the Computer numbers with their associated names on all computers
    Your window will be similar to this one. This is an example of a five computer network.

    • Go to 'Config | Edit Station Computer Names'
      • Stn # (0-15_:Stn Name - Enter the station number starting with 0 for the master station. The computer name may be entered after a :
        The computer name can be chosen independently from the Windows computer (NetBIOS) name.
        The "Master" station MUST BE number 0 and the others must be numbered 1,2,3 in order.
      • Computer IP Address - Enter the computer IP-address or the computer name.
      • If you do not use a local IP for your address, put an asterisk in the description for the node, so that the program will know not to connect to that port.
    • All the computers should have the same settings in the same order. Don't swap any entries!
  • All 'other' networked stations (not the "Master" station)
    • Select the Telnet window to have all packet cluster info shown.
      • The Packet window won't give any info on a slave computer.
      • So always the Telnet window on the slaves, no matter if you use Packet or Telnet on the master computer.
    • Set up all the stations identically before starting Multi-User mode.
    Tip: The setup information is kept in the database. Set up the contest & the Multi-User configuration info on one computer including messages etc. Copy the database to the other computers and have it all set up.
  • Start Multi-User mode
    • Go to 'Config | Multi-User Mode'.
      Clicking on this selection will enable this option.

Multi-User Tools menu

Adding and deleting QSO's all works automatically. Also that the bandmaps are filled with spots from the packet/telnet connection from the "Master" station. Below are some tools which you may use.

Go to 'Config | Multi-User Tools'

  • Talk to another station Ctrl+E - Send a message to one or all stations. The text sent will appear in big red letters in the messages part of the Info window from the receiving station. Enter station number (0-15 or *) followed by a space followed by the text of the message.
    Default the program places a * and behind that the band of the station who sends the message.
      Possible station numbers
    • * - will send the message to all stations
    • 0 - send a message to station 0 (Master station)
    • 1 - send a message to station 1
    • Etc.

    Omitting the number or '*' will send the message to all connected stations.

  • Force Time Sync Now - Force date and time synchronization with the "Master" computer. This happens automatically at start up and every 5 minutes thereafter.
    • There are tools for resyncing your time with Internet time standards. A nice one used by N1MM logger users is Dimension 4
  • Set your pass frequency Alt+Z - Send the frequency that you would like other stations to send contacts to. The pass frequency will be sent to all your Multi-User computers currently connected. If you just want stations sent to your CQ frequency, you do not need to set the pass frequency. At the present time, the pass frequency is reset only after restarting the program. If you put {PASS 3} in one of your CW or RTTY messages, the current pass (or CQ) frequency for station #3 will be sent in the message. When sent in CW, the program will automatically substitute 'R' for the decimal point. DO NOT enter 'R' in the pass frequency.
    • Enter 0 to reset your frequency.
    • The pass frequency is shown in the first bottom pane of the Entry window when entered and in the info window .

  • Log QSO's at all stations - Check this option to log all QSO's on all stations. Selected by default. All other information (packet spots, pass frequencies) are still distributed to all networked stations.
  • Show Connections - Show connection info from all the networked stations.

    Status messages:

    • Connected - a connection has been made with that station
    • Listening - listening for the master station, no connection made (yet)
    • Error - the Master station is not there (or not in Multi-User mode)
  • Reset Serial Numbers on all Stations - All qso numbers on all attached stations will be set to 0. This is an option when the contest starts to have all attached computers start with 0 even when there are 'practice' QSO's in the log.
  • Resync Logs by Date - Allows a computer to gather all differing QSO's from other computers in the network for a 48 hour period.
    • Enter the start date for the resync (48 hour contests). The date and time shown defaults to the time of the first contact in this computers log. If there is no log, then it defaults to the date of the contest from the log selection dialog.
    • The contests to resync have to be the same (all computers should have selected the same contest. Example: CQWWSSB).
    • Resync only pulls QSO's from other computers to the computer where the resync is requested. The resync is not bi-directional. It does not push QSO's to other stations. This way it does not load down the other computers as much.
    • When resyncing old logs you should just have to put in the correct starting point. The contacts must be logged with the correct station number (which is in the database). I.e. Station 0 will only send QSO's that are recorded for station 0. Station 1 will only send QSO's that are recorded for station 1.

    • Resync window, enter start date

  • Resync Last n Hours - Allows a computer to gather all differing QSO's from other computers for a period. The period is set in hours. For more info about resync see 'Resync Logs by Date'.
  • Rescore last N Hours - Rescore the last N hours for the current contest. It may be run at any time but is rather slow.
  • Trace Multi-User Messages - Check this option to trace the Multi-User messages send and received by the station to a trace file (*.TRC). A file name can be entered. This option is normally only used for error/bug tracking.
  • Force Other Station to Stop Transmitting When I Transmit - Option to force other station to stop sending.
  • Set station as Run 2 - Set this station as the Run 2 station.
  • Don't work non-mults - Do not this allow computer to log non-multipliers. Also giving CQ on this computer/radio is not allowed when selected.
  • Show Computer Name _ IP Address Info - Shows computer name and IP address info by running the program 'IPCONFIG /ALL'

Information

The picture below shows the bottom part of the Info window where multi user information is displayed. Right clicking on the green/red icons will show a menu. See the Info window for more information.

  • Connection status:
    • Green - Connected
    • Red - Not connected
    • Light red - Connection in progress or connection lost, the program will try to solve this situation..
  • Station name
  • Pass frequency - clicking the pass frequency will send a message to the selected station. If the selected station is your own computer then the left VFO frequency will be changed to the current pass frequency.
  • Is he running or S&P
  • Who is the operator
  • Rate information

Run/pass frequency

Rules

The following 'smart' rules for run/pass frequency are implemented.

  • Running
    • I'm on & running
      • If the running check box is checked, always send to run frequency.
  • Not running
    • I have a run frequency, but I'm chasing a multiplier.
      • The run frequency holds for 1 min, then gets zeroed.
    • I'm not running, and I have a pass frequency way up the band.
      • The user will have to specify the pass frequency.
    • Don't pass, my pass frequency is no good.
      • I guess it is the operators responsibility to zero the pass frequency.
        Maybe a timer to remind if no QSO's on pass frequency for n minutes?
      • This is not yet implemented
    • Don't pass, my CQ frequency is no good.
      • Timer with no CQ's or QSO's on run frequency for 1 min?
      • This is not yet implemented

Displaying rules

Running - Show the run frequency

Not running - Show the pass frequency if non-zero, if no pass frequency then show last CQ frequency if non-zero.

Macro keys

Macro key substitution is supported by most programmable buttons in the program. For Multi-User mode there are a few specific macros which can be found on the macros chapter .

Features

  • Remote stack call stacking: Call stacking between computers, enter a callsign on a remote computers 'stack'.
    • Use Shift+Enter after specifying which station(s) you are stacking for.
    • To indicate which station you want to stack for, right click on it's "cue-ball" in the info window, and select the option "Target for call stacking".
  • Prohibit transmitting
    • If another station is sending single operator or multi-one don't allow sending if another station is sending
    • If another station is sending multi-two or multi-multi don't allow sending on same band.
    • See also the option in the Multi-User tools under Config: Force Other Station to Stop Transmitting When I Transmit

Where to place the database files

Do NOT share the log on a server, place it locally on your hard disk.

  • Sharing logs on a server will MOSTLY not work. Mostly is not good enough. You will think you are ok, but are not. I do not check for Multi-User temporary errors. The program was NOT designed nor tested for this.
  • Having the log on every PC provides redundancy, which is important in an RF-filled environment.
  • It will not perform as well. Local access is almost always faster.

There is no harm in using a server to aid in copying files. The mdb files are simply files. They may be moved around. It is best to close the program before moving them, as with any program writing to an open file.

Other info

  • Deleting QSO's made by another station in a Multi-User situation is not allowed, a warning message is shown.
  • Station 0 sends all incoming spots to every station so the bandmaps are being filled. Use the Telnet window (not the Packet window) on the other computers in the network. If you send a message to the packet cluster from any station in the network it will be sent out to packet/telnet via computer 0. The received answer from the packet cluster will be send out on the network to all stations.
  • The program can't be shutdown while initializing Multi-User otherwise unpredictable situations could occur.
  • You will be prompted for the operator call if it has not been entered (with Ctrl+O).
    Periodic warning message will be shown if no operator has been specified
  • The CQ/pass frequencies will be requested at startup.
  • When going through the possible contests you will see a "contest" DELETEDQS.
    This is not a contest but deleted QSO's will be moved here by the program, this is especially for Multi-User support.
  • Connection status is shown at the bottom of the info window.
  • A connection is checked every 10 seconds.
  • All connections are stopped/started when the database, the contest or the connection list is changed.
  • Also Non-master stations are allowed to close telnet/packet ports.
  • Time synchronization is only shown on the master station.
  • If you Mark or Store spots on a local machine, they will be Marked or Stored on all other machines.
  • The station name prefixes telnet/packet commands that are displayed. The prefix is not sent to the cluster. Example: [20M] sh/dx.
  • When a connection drops out it will try to reconnect every 30 seconds.
  • Note that Multi-Two MUST use Multi-User mode and keep run & mult station numbers the same throughout the contest. This is to keep the radio number in the Cabrillo output consequent. Cabrillo only outputs a radio number when using multi-two or multi-multi.
  • Any station that is harmonically related with the frequency will be colored red in the Info window.
  • For single operator and multi-one, the operator callsign will be colored red when transmitting.
  • Group edits are not allowed in the Log window while in Multi-User mode.
  • If on a station is selected 'Config | Multi-User tools | Don't use non-mults' giving CQ is not allowed.
  • Only the master station will auto-reconnect to packet/telnet when enabled.
  • Ctrl+Alt+M changes the run station number

Example Multi User setup

The example below uses file sharing and Netbios lookup for computer (you can see them in the Networking environment). This is not necessary for N1MM logger to work in Multi-User. When the computers can be 'pinged' from both sides this is enough to work. All lines with a * are not necessary to work but are nice to have for other purposes like updating of files etc. This does not mean that the action mentioned should not be done. It can also be done via other media (CD / diskettes). In that case the Windows network is not used, as the N1MM network is using the TCP/IP stack only.

Before the contest

Master computer:

  • Enable File sharing for Windows networks (*)
  • Enable "sharing" on master hard disk (*)
  • Have all installation files ready on master (*)
  • Set Master IP address according to Station Computer Names list (see below).
    • This could include a restart and a request for the Windows CD.
    • Note previous IP setting for restoration after contest.
  • Note master Windows computer (NetBIOS) name & workgroup (*)
  • Start N1MM Logger.
  • Select a new empty database (e.g. PACC2003.MDB) on master.
  • Start a new log for the contest (e.g. PACC) (check manual).
  • Configure Function keys (SSB/CW/Packet).
  • Edit Station Computer Names according to plan, e.g.:
    • Stn#:Stn Name Computer IP Address
    • 0:master 192.168.10.10
    • 1:160M 192.168.10.1
    • 2:80M 192.168.10.2
  • Load the relevant country file (e.g. CTY-PACC.DAT) (Tools menu).
  • Select the Master.dta file to use ('File | Choose Which Contest to Log').
  • Establish DX cluster communications on the master computer (Packet or Telnet).
  • Setup windows as template for all computers.
    • Export windows settings.
  • Setup or disable internal firewall.

Non-master computers:

  • Install Network card& TCP/IP when not already done.
  • Setup or disable internal firewall.
  • Enable File sharing for Windows networks (*)
  • Set IP address according to Station Computer Names list.
    • Windows 95/98/ME: might include a restart& Windows CD.
    • Note previous IP setting for restoration after contest.
  • Find master on the Windows network (*)
    • Use Search Computers in Network Neighborhood/Places using the masters Windows computer (NetBIOS) name).
  • Install/Update N1MM Logger.
    • Copy from master via network (*)
  • Copy database (eg.PACC2003.MDB) from master on this computer.
    • Copy from master via network (*)
  • Copy WAV directory from master on this computer.
    • Copy from master via network (*)

All computers:

  • Start N1MM Logger.
  • Import windows settings.
  • Open database (e.g. PACC2003.MDB) ('File menu) | Select: PACC log')
  • Set Multi-User on.
  • Setup configuration (Rig control, PTT, CW) & Export Program settings.
  • Turn off Windows sounds if using WAV files.
    • Control Panel - Sounds - Scheme: No Sounds

Always:

  • Make sure you are running the same version of the program on all computers.
  • Make sure you are using the same contest on all computers.
  • Make sure that all computers have the same time zone and daylight savings offset.
  • Preferable, see if all computers have the same regional settings for numbers, dates, currency, etc.
  • Preferable, see if all computers have the same short and long date and time formats.

During the contest

  • Check master time setting regularly
    • Use Internet time server if possible so it is done automatically.
  • Observe network status, and reconnect/resync if necessary on all computers.
    • Note that a resync only imports QSO's to the computer you import from! The computer where the import comes from is not being updated with the log from computer where you import to.

After the contest

  • Make sure all used computers are connected.
  • Do a resync on all computers.
  • Check QSO's/multiplier status on all computers & compare.
  • Copy & compact database (e.g. PACC2003.MDB) to backup directory.
  • Restore IP settings & Windows sounds scheme on borrowed PCs.

Multi-user log synchronization

Log synchronization is something you should run very infrequently. Each station has its own copy of the log, so syncing them is only necessary to keep track of mults. They will get out of sync when one of the stations goes off line. Generally, you should only need to resync the last hour, if you were disconnected for less time than that. If a new station comes on line, then one of the stations should email him their database, and he can resync the log when he gets it, for the few minutes he missed. Where it would take a long time is when a station was off for many hours, and you want to preserve any contacts that may be in his log, but not in the others.

Multi-Multi Distributed - Multi User via the Internet

It is possible to setup some or all of the other stations outside your LAN on the internet. A use for that might be for one station away from the contest station to connect the contest station, and spot stations on a band privately so that only his operators could see them. This was done in years past with spotting nets, and then packet nets. It is not done so much today. Much more than this would violate the spirit, if not the letter of the rules.

There are some caveats when trying this. You need more than basic computer knowledge for this. You need to know about IP-addresses, firewall's, routers, port settings, NAT etc.

You need to know your computer (external) IP-address. When directly connected to the web this can be obtained using the program ipconfig.exe (NT, 2000, XP) or winipcfg.exe (98, ME). This command 'Ipconfig' should be entered in a DOS window to see the output. When your computer is in a LAN your connection to the internet will probably be made via a router. All computers will use internal IP-addresses, the router uses the external IP-address. This link will give your (external) ip-address in both cases: http://megawx.aws.com/support/faq/software/ip.asp

When a Multi-User connection connection is not working anymore check the IP-addresses. This address changes from time-to time (when dynamic). Mostly after a reboot from the PC when directly connected or a reboot from your router when in a lan.

The router should be setup to route incoming traffic to your PC IP-address. No port transformation should be done. Instructions for this will not be given in detail. With the many different kind of routers this can not be done. Remember, this is a specialist job!

The used incoming port is equal to 12070 + Station Nr (0-15) to allow port forwarding in routers. 12070 is used for the first PC in the list, 12071 for the second etc.

Firewall - Open port 12070 + Station Nr (0-15) for incoming traffic.

Router - You probably should use NAT to route incoming traffic on port 12070 + Station Nr (0-15) to your PC IP-address.

'Config | Edit Station Computer Names'

  • Computers using N1MM logger in the local network need to use the local IP address, computers outside the local network need to use the external ip-address from the external network. The router on the external network should use port forwarding to the correct computer using N1MM logger.
  • Example setup:
    • The address 192.168.1.11 is the local IP-address at my end (PA1M).
    • The first two entries are two instances of N1MM logger on two different PC's from Tom (N1MM).
    • Example 'Port redirection table' in the router used at PA1M, the given names differ per router brand:
      • Service name : N1MM (does not matter)
      • Protocol: TCP
      • Public Port: 12072
        • 12072 = 12070 + 2, my local pc which needs to be connected from the 'outside'
      • Private IP: 192.168.1.11
      • Private Port: 12072
      • Active: Yes
    • NB the IP-address given in this example is not the IP-address used by Tom, N1MM anymore :-)

The latencies when we tested were in the 100 mSec range.

The list of IP addresses needs to be different on each machine.
Make sure the remote machine has its external IP address, and
the local machine(s) has its internal address. 		Example at PA1M:

0:N1MM 64.252.138.65
1:PA1M 192.168.0.1 		Example at N1MM:

0:N1MM 192.168.0.1
1:PA1M 63.133.11.55

Is this ethical?

A good legal use for this within todays rules would be for remote spotting stations that could check for your station needs before stacking a spot for you. This could give guys stuck at home without much of a station some way to contribute to a multi-op.

The purpose of this is to support IARU HQ stations, and to perhaps inspire a new entry class like "multi-multi distributed". I think it would add a lot to the experience of smaller stations to be able to participate in a Multi-Multi-Distributed effort and get some of the comraderie that comes with Multi-Multi operation. Maybe not, but without trying, how will we ever know? And anyway it interests me, and I do this for fun...

It is a neat idea to have the 10m station in OA, 15m in 6W, 160m in TF etc.

Do we need a new category like Multi-Multi Distributed?

Most rules have provisions that the stations need to be on the same property, and be connected by wires, or be separated by no more the 500m? I think the IARU HQ is the only contest where they look the other way in that regards. In most other contests this will probably be illegal unless of course you create your own contest category (MMD). Maybe only as a demonstration one year (and send in as check log) just to test the technology.


SO2R

The Basics

Single Operator 2 Radio (aka SO2R) is an operating technique that when done properly, can add many extra QSO's and multipliers to your log. This is accomplished by increasing your efficiency during "dead" time, specifically when you are sending on one radio. Efficiency is increased by listening on a 2nd receiver while you are transmitting on the 1st radio. On the 2nd radio you are scanning the bands for needed QSO's and multipliers. If you find a new station to work on the 2nd radio, you leave it staged on the 2nd Entry Window until you get a free moment to work this station. Even adding a few QSO's an hour will greatly boost your score.

The philosophy for SO2R development is to allow any two radios to be used, they do not have to be identical. In it's most simple form, two transceivers feed two separate antennas on two different bands; with sufficient attention to antenna separation and filtering, it is possible to do this without interference from a transmitting rig to a receiving rig. A large % of the very serious SO2R operators use identical radios just to keep reduce the confusion factor, but having identical radios isn't necessary software wise.

Then, the receiver on one band is used to locate new contacts during the time that the transmitter on the other band is active. This can mean that you tune while your computer sends CQ. In some contests, particularly the North American Sprint CW contest, unusual contest formats can make SO2R even more useful. But, for the most part, SO2R is most useful during the CQWW and ARRL DX CW contests. The most critical requirement for SO2R is automated transmission -- if you have to speak into a microphone or squeeze a paddle while you tune the receiver you will not make the most of the second receiver. This means that a DVK is needed for phone SO2R.

Especially phone SO2R is an extremely tiring activity. It's easy to reach a level of mental fatigue while operating SO2R that results in an overall score reduction rather than helping your score. This is another reason that the Sprint CW contest is particularly adapted to SO2R -- it's only 4 hours long.

If your radio is not supported by N1MM (e.g. the JRC radios), or it's an old radio with no computer interface, the radio can still be used, but you just don't get automated rig control on that radio.

In SO2V, which is "Single Operator 2 VFOs", you hook up one radio. If your rig simply has 2 VFOs, VFO A/B will be assigned to each of the Entry Windows. If you have a rig with a sub-RX, each of the receivers gets assigned to each of the Entry Windows. When developing the specs, we actually felt SO2V would be more widely used than SO2R.When operating SO2V (and SO2R), you also need to change your LPT keying from Radio 1 (default) to BOTH. Otherwise you will not get any keying on radio 2.

Only two radios will be supported (or 2 receivers depending on how you look at it).

This means one radio with two VFOs (A/B) is being used rather than two separate radios. SO2V is more 'normal' for most people, as most are not set up for SO2R. N1MM Logger's SO2V interface is essentially identical to the SO2R interface, but with SO2V you are using a single radio, presumably with a 2nd receiver. Two windows can be displayed in SO2V, one for VFO A & B. SO2V makes better use of the 2nd receiver now present in most high-end radios. With the 2nd receiver, you can be tuning the band while you are listening for a response to your CQ. Since you cannot listen on the sub-receiver while transmitting, SO2V is not as efficient as SO2R. While SO2V can also increase your score, the big increases come with SO2R (if done correctly).

For the new SO2R operator, we have 3 words for you: practice, practice, practice! SO2R is definitely a learned skill that takes time to learn, and even longer to master.

Intuitive User Interface

As you will quickly see, N1MM Logger's SO2R implementation is more intuitive than most other SO2R implementations:

  • Entry Windows can be arranged to reflect equipment layout
  • Entry Windows can be used for any function (not dedicated functions like others)
  • You always know what each VFO is going to send next (when in ESM mode)
  • Visual cues identifying transmit focus, Run vs. S&P, and more!

Supported features

N1MM Logger supports all of the features you would expect from any world-class SO2R software. In addition, there are a lot of unique features:

  • Two Entry windows are displayed that are fully interchangeable in functionality (windows are not dedicated to a specific task).
  • Traditional Running and S&P mode is maintained for each SO2R Entry window, such that the 2 windows can be used for:
    • Running / S&P
    • S&P / Running
    • S&P / S&P
    • Running / Running (not implemented yet)
  • Entry windows can be arranged on screen as desired: typically left/right, or top/bottom, to represent physical station layout
  • Each Entry Window has a frequency readout in the top pane
  • 'LEDs' identify which radio has focus. The sending radio has a red LED indicating TX Focus, a green LED identifies the radio that has RX and Keyboard focus (combined)
  • Background colors of the entry field change color depending on whether that radio is running or S&P: white = run; canary = S&P
  • Ability to change frequency of alternate radio from existing radio. Use the / before entering the frequency in the callsign field to enter frequency for other radio/VFO
  • Supports Enter Sends Messages Mode (ESM) on both windows
  • Typing a call in 2nd S&P Entry window does not abort sending on RUN radio
  • Hitting Escape stops sending on either VFO, but does not change focus
  • Changing transmit focus (for any function) stops sending before switching and sending on alternate radio
  • Ctrl+function keys and Ctrl+Enter sends messages on alternate radio (Concept is Ctrl = Alternate radio control)
  • "Hotkey's" for specific tasks and sending on alternate radio (not implemented yet)
  • All Key Assignments work on both radios (unless otherwise specified)
  • Supports Top Ten DX Doubler and WX0B Station Master
  • Support SO2R if neither radios are interfaced.
  • Dueling CQ's will send CQ (without delay) alternately on each radio (Ctrl+B). Dueling SSB and CW CQ's are supported too.
    • If dueling CQ's and CQ sent then both radios become Run radios.
    • Ctrl-F1 or Ctrl-Enter will not start Dueling CQ
  • Resume CQ on Run Radio will start CQ again on the run radio whenever you are not sending on the S&P radio (Ctrl+X).
  • A SO2R software radio lockout for digital is implemented.
  • CQ-repeat is terminated when a message is sent on the other radio.
  • The macro {JUMPRX} changes the receive focus to the other input window.
  • Supports 2 radios - No support for 3 or more radios
  • Support SO2R with one or two sound cards (5$ SO2R)
  • When changing band using Ctrl+PgUp/Down will skip the other radio's band.
    • THIS IS NOT A SUBSTITUTE FOR HARDWARE LOCKOUT!!!
  • The send CW will echo in the status bar (only when in SO2R)
  • During VOX operation, in $5 SO2R the TX audio should will track the TX focus all the time.

Entry Windows

Entry windows can be placed anywhere on the screen. Typically people will position them similar to their equipment layout i.e. if the radios are positioned left/right, the windows are arranged reflect that. For those who stack their equipment top/bottom, you can position the screens so they logically mirror that radio setup too.

Screen real estate is in short supply. To minimize screen real estate, you can shrink the Entry Windows compared to the default layout. Below is an example of the default Entry Window and a minimized version. Also the use of two monitors more screen real estate.

Available Mults and Q's window

To launch the 2nd Entry Window, hit the \ button.

Typical SO2R Entry Windows

Most people who are comfortable with N1MM Logger tend to use the reduced size Entry Windows in the below examples. All of the vital information an operator needs is displayed in the smaller window. Most SO2R operators get the most efficiency while CQing on 1 radio, and S&Ping on the other. The below Entry Window examples reflect a typical setup: The left VFO (A) is now assigned to running, and the right VFO (B) is assigned to S&P.

All of the features that are available to the single radio operator also work in SO2R/SO2V. For example, when tuning the band with the S&P VFO, spots that are in the bandmap are automatically inserted into each call frame (above callsign entry window) when you tune across the frequency of the spot. Hitting the space bar will pull the callsign from the call frame into the QSO field. Then if a station calls you on the run radio, toggling back and forth between Entry Windows with the \ key or Ctrl Left/Right arrows will keep the all the information each Entry Window until the respective stations are logged, wiped clean via Alt+W or Ctrl+W, or you QSY and the callsign is entered into the bandmap (if "QSYing wipes the call && spots QSO in bandmap" is implemented).

The SO2R dots (LEDs)

On the Entry Window a green and/or a red dot (LED) might be shown. The LEDs are visual aids that help you easily identify what is happening on each radio. This is part of N1MM's continuing philosophy of letting the operator easily know what's happening at any give time.

The green LED indicates that VFO has receive+keyboard focus and the red LED indicates that VFO has transmit (TX) focus. In addition, the red TX LED changes between dark red (TX focus) and bright red (VFO/radio is transmitting). Inside the LED are letters which identify different states (see below).

Dot/LED colors used:

Green dot/LED - This VFO/Radio has receive (RX) and keyboard focus. RX and keyboard focus are always together.

  • Inside the green dot the Ru/SP (Run/S&P) designators are shown. Ru means the station is in running mode, and SP means the station is in S&P mode
    • when clicking on the green dot it toggles between running mode (Ru) and Search & Pounce mode (SP)
  • RX/keyboard focus can be toggled between the VFOs/radios by
    • using a mouse to click on a free space in one of the two Entry windows
    • pressing the \ key (backslash)
  • To move both Transmit and Receive focus
    • pressing Ctrl+Left-Arrow / Ctrl+Right-Arrow will move both foci to the left and right radios

Red dot/LED - This VFO/Radio has transmit (TX) focus

  • Transmit (TX) focus can be changed between the VFOs/radios by pressing the Alt-F10 key
  • To move both Transmit and Receive focus pressing Ctrl+Left-Arrow / Ctrl+Right-Arrow will move both foci to the left and right radios
  • When transmitting the TX focus can not be changed
  • When the VFO had TX focus, the LED is dark red. When that VFO is transmitting, the LED changes to bright red
  • Inside the red dot the R (Repeat) designator is shown when Repeat mode (for CQing) is active
  • Inside the red dot the D (Dueling CQ) designator is shown when Dueling CQ is active

Key Assignments (unique to SO2R)

  • Backslash ( \ ) - Launches a second Entry Window if only one Entry window is open.
    • One radio - Moves RX focus between the 2 VFOs on the radio.
    • Two radios - Moves RX focus between the 2 radios.
  • Ctrl+Enter - Send next ESM state on alternate radio (assuming ESM turned on).
  • Ctrl+F1 to F8 - Send Fn message on alternate radio.
  • Ctrl+Left Arrow - In SO2R move both Transmit and Receive/Keyboard focus to left radio, or in SO2V move both TX and RX/Keyboard focus to VFO A.
  • Ctrl+Right Arrow - In SO2R move both Transmit and Receive/Keyboard focus to right radio, or in SO2V move both TX and RX/Keyboard focus to VFO B.
  • Pause – Move both TX and RX Keyboard focus to other radio (or other VFO in SO2V). If TX and RX focus are split when you hit pause, TX focus will move to where the RX focus is.
  • Alt+F5 and Alt+F6 - Swap radio frequency and mode between VFOs (one radio)/radios (two radios).
  • Ctrl+B - Dueling CQ's will send CQ (without delay) alternately on each radio. If Dueling CQ's is turned on, both radios become run radios. Dueling SSB and CW CQ's are supported too.
  • Single quote key a.k.a. unshifted tilde key (~) – Toggle STEREO mode on/off, or toggle Auto/PTT modes with modified DXD . Notes: On US keyboards, they key we are talking about is the key just to the left of the number 1 key. We are calling this key the Tilde key, which is technically not correct – it's the ‘ key, or single quote key.
  • Ctrl+I - Toggle through the SO2R modes supported by the program (see below). Only operative in '$5SO2R' when N1MM logger controls the audio, not when using an external SO2R controller.
  • Ctrl+PgUp/Down - When changing band using Ctrl+PgUp/Down will skip the other radio's band.
    • THIS IS NOT A SUBSTITUTE FOR HARDWARE LOCKOUT!!!
  • Ctrl+Shift+I - toggle 'Automated RX Focus Feature' mode (ARFF mode)
    • With ARFF on, focus will be set to sending radio's entry window when a message completes. The exception is if there is a call or partial call entered in the non-sending radio's entry window.
    • Or simply put, if you tune your S&P radio, and you aren't working someone on either radio (like calling CQ), the entry focus will go automatically to the S&P radio so you can tune aggressively without having to worry about getting the entry focus in the right place before you enter a callsign to work.

Using SO2R Key Assignments

Backslash ( \ ) - Once you have launched your second Entry Window, the \ key will likely be your most widely used key in SO2R. The \ key will move RX focus between Entry Window A & B (often referred to as Radio 1 & Radio 2 respectively). When using the \ key to control RX focus, you really don't have to worry where TX focus is. By using the \ key to control only RX focus, when you hit a Fn key or Enter (using ESM), the TX focus will move to where the RX focus is, and send the corresponding message.

Example: You are CQing on Radio 1, and S&Ping on Radio 2. Both RX and TX focus start off in your Run Entry Window (Radio 1 in this example). You are S&Ping on Radio 2, and you hear someone on the S&P radio you want to look up in your Check Window. Hit the \ key to move RX focus to the S&P Entry Window. You type in the call, and you need it, and are just waiting for a good time to send your call. If no one is answering your CQ on the Run Radio, just hit the Enter Key (assuming you are using ESM), and the TX focus will move from the Run Radio to the S&P radio (Radio 2), and send your callsign (actually the first ESM message in the S&P sequence). Assume that station comes back to you, and you copy his exchange. Hit Enter again to send your exchange, and you just made a S&P QSO. Now move the RX focus with the \ key to the Run radio, or just leave it in the S&P Entry Window if S&P is proving more fruitful at the moment.

Now let's assume in the middle of the S&P QSO, someone answers your CQ on Radio 1. Your exchange just happens to be sending on the S&P radio. To copy the call on the Run Radio (while your exchange is being sent on the S&P radio), hit the \ key to move RX focus to the Run Radio, and type his call in the Run Entry Window. Assuming your exchange is finished sending on Radio 2, just hit Enter again, and the TX focus will move back to the Run Radio, and the program will send his call and your exchange on the Run Radio. You now have QSOs going on both radios! Just move RX focus as needed to send/copy on what ever radio you need.

Note: In the above examples, you never have to control where TX focus is, since TX focus always moves automatically to where the RX focus is when Fn or Enter (ESM) is used. This should be your standard operating mode, as you only need to worry about using a single key to do most of your navigation between the two Entry Windows.

Ctrl+Enter, or Ctrl+Fn - Using these commands will send the corresponding message on the alternate radio; with the alternate radio defined as the radio that does not have RX focus. Using Ctrl+Fn (or Ctrl+Enter) will only move the TX focus to send the message – RX focus will stay in it's current location. Once the message is sent, TX focus will remain on the alternate radio. This is done by design.

The most common scenario would be if you are CQing on Radio 1, but you are not getting callers. You hit the \ key to copy a callsign on the S&P radio. Without moving the RX focus from the S&P radio, at some point you will probably want to send another CQ on the Run Radio. You do this by hitting Ctrl-F1 or Ctrl-Enter. You will also likely use these commands if you have a QSO in progress at the same time on both the Run and S&P radio. The easiest way to send a message at the right time on the other radio is to use these commands, and leave RX focus where it is.

Pause Key - If both TX and RX focus are in the same Entry Window, hitting Pause will move both TX and RX focus to the other radio. If TX and RX focus are split between the Entry Windows, the pause key will move TX focus to where RX focus is. Mostly you will use this key in order to get your foci back in sync.

Ctrl+Right Arrow and Ctrl+Left Arrow - These commands will force both TX and RX focus to the right or left radio.

Ctrl+B: Dueling CQ's. This feature was initially coded, but is not working correctly at this time. You may be able to send alternate CQs on each radio, but there are many aspects of this feature which are not finished yet.

Requested Dueling CQ Features (not implemented yet):

  • When dueling CQ's are activated, RX focus automatically moves to inactive (not transmitting) radio. When someone answers your CQ, your RX focus will be on the radio it should be, ready to copy the call.
  • Hitting Escape or typing a call turns off the CQ's of the radio that has RX focus. Thus RX focus stays where it is. CQ will continue on radio that does not have RX focus (RX focus will not move). By hitting Escape, typing a call, or beginning to transmit on the other radio, you will drop out of Dueling CQ, and go into the “Resume CQ on Run Radio” state.
  • Hitting F1 on radio that was not calling CQ will restart dueling CQ's with that radio. The new CQ will start when the alternate radio CQ stops. [I don't really understand this last sentence]
Resume CQ on Run Radio - Feature is not implemented yet. Theory: You are CQing on Radio 1, and S&Ping on radio 2. You just moved RX focus to the S&P radio to type a call. You need that call, so you hit Enter (using ESM) to send your callsign. With the “Resume CQ on Run Radio” feature turned on, as soon as you send your callsign on the S&P radio, a CQ is automatically started on the Run Radio. This only happens if the Radio 1 (in this example) is actually in the Run Mode. If you need to send something on the S&P radio while the Run radio is transmitting your CQ, then the CQ is automatically interrupted, and restarted once your S&P radio transmission is complete.

Mouse Assignments

  • Left mouse key and right mouse key
    • on a free space in one of the two Entry windows changes the Receive focus to that radio/VFO

SO2R menu (under Tools)

  • SO2R
    • Dueling CQ's Ctrl+B - will send CQ (without delay) alternately on each radio.
    • Resume CQ on Run Radio - will start CQ again on the run radio whenever you are not sending on the S&P radio.
    • TX Lockout - Select a lockout item.
      • Multi-TX - This is the default setting. Start CQ on radio A, Start CQ on radio B, both are active. (no lockout)
      • First one wins - Start CQ on radio A, pause, Start CQ on radio B. The radio B CQ is ignored since radio A is already active, so if you press a F-key for the second radio while radio1 is transmitting, the radio B F-key is ignored.
      • Last one wins - Start CQ on radio A (CQ starts), pause, Start CQ on radio B. The CQ on radio A will aborted and the CQ on radio B will start so if you press a F-key for the second radio while radio A is transmitting, the radio A transmission is interrupted and radio B transmits.
      • Toggle SO2R mode Ctrl+I - Toggle between the possible SO2R modes supported by the program. The SO2R mode is shown in the Entry window statusbar.
        • NB Ctrl+I is only operative in '$5SO2R' when N1MM logger controls the audio, not when using an external SO2R controller.
          • SO2R mode: Manual - Audio is switched when moving focus between windows.
          • SO2R mode: Auto -
            • Run radio = TX: you hear S&P audio in both ears.
              Run radio = RX: left ear = left audio, right ear = right audio
          • SO2R mode: One-Rig Auto - Always listen to the audio of the non-TX-ing rig. This means that as soon as the running rig goes into TX, you hear the S&P audio, which goes back to the run radio's audio in both ears as soon as the CQ message is played.

Software Setup

Setting up SO2R and SO2V starts in the Config menu:

  • Config > "Configure Ports, Telnet Address, Other" > Hardware Tab
Then if SO2V:

Then if SO2R:
  • Set up radio
  • Set up keying if necessary (LPT or Winkey)
  • Click SO2V button
  • Click OK to close Config window
  • Launch N1MM Logger, set up contest etc.
  • If 2nd Entry Window is not shown, hit the \ key (backlash key)
  • Set up radios
  • Set up keying if necessary (LPT or Winkey)
  • Click SO2R button
  • Configure left/right radio in pop up box (when you click on SO2R button)
  • Click OK
  • Launch N1MM Logger, set up contest etc.
  • If 2nd Entry Window is not shown, hit the \ key (backslash key)
  • SO2R - 1 computer radio + 1 manual radio (so two radios)
  • SO2V - 1 computer radio with 2 VFOs and no manual radio (so one radio)

Selected Mode | Radios attached | Choices | Selection
SO2R | None | SO2R - Left Manual, Right Manual | Automatically selected
SO2R | 1 (Kenwood) | SO2R - Left Manual, Right Kenwood Com1 SO2R - Left Kenwood Com1, Right Manual | Select one
SO2R | 2 (Kenwood & FT847) | SO2R - Left Kenwood Com 1, Right FT847 Com 2 SO2R - Left FT847 Com1, Right Kenwood Com 2 | Select one
SO2V | 1 (Kenwood) | SO2V - Kenwood | Automatically selected

LPT keying

When operating SO2V (and SO2R), you also need to change your LPT keying from Radio 1 (default) to BOTH. Otherwise you will not get any keying on radio 2.

SO2R Radio Support

All radios supported before will work with SO2R. Since many operators will use an older radio (no computer interface) to get active in SO2R, N1MM Logger will allow you to use any combination of computer controlled and non-computer controlled radios. If you use a radio that is not supported or has no radio control, do not set up a radio for it's COM port. You only set up that information when you have a computer controlled radio.

If you are using a radio with no computer control, when you select the SO2R Button on the 'Config | Config Ports | Hardware tab'. Select whether VFO A or VFO B will be computer controlled or manual.

Using external SO2R controllers

N1MM Logger is compatible with most hardware SO2R controllers like the Top Ten Devices "DX Doubler", the Array Solutions (aka WX0B) "SO2R Master" but also the EZmaster. These products will automatically control keying, PTT and audio lines to each radio (via LPT or USB port).

Hooking up these controllers will require a straight-through DB-25 cable from your LPT port of your computer to the input DB-25 connector on these products. For hooking up the rest of the keying and audio lines for these products, consult their respective manuals. Both products use the same pin-outs on the LPT port.

So far, neither of the manuals for these products mention setting up for SO2R with N1MM Logger. Each external device has two basic settings for software: "CT/TR/Writelog" and "NA". NA uses slightly different controls. To use N1MM Logger with these external devices, just configure the external controller for "CT/TR/Writelog".

To get N1MM Logger to correctly key and control these devices, you need to set up your keying as follows:

LPT Keying with external SO2R controllers:

  • Config > "Configure Ports, Telnet Address, Other" > Hardware Tab
  • Check LPT keying box - check only one LPT box
  • Click on the corresponding "Set" button for the LPT port
  • Click on "Radio Nr" drop down box and select "Both"
  • Click on OK to set configuration

Note: There were a couple of errors on the DX-doubler PC board.
Go to: http://www.qth.com/topten/appnotes.htm to see the DX Doubler modifications.

Using Winkey with external SO2R controllers

The WinKey device will work with two radios. WinKey has PIC pin 3 output, which is normal CW and PIC pin 5 which is PTT. Under software control Pin 3 can be Radio 1 CW and Pin 5 can be Radio 2 CW outputs. The serial port assigned to the WinKey device should have the "Hardware" tab "Set" and WinKey checked and Radio Nr set to 'Both'. Plus the SO2R activated on the "Hardware" tab. Then go to the "WinKey" tab and set Pin 5 function to "2nd CW"

The "K" output on the WinKey board goes to Radio 1 CW and the "P" output goes to Radio 2 CW. N1MM Logger takes care of all the switching provided you activate the proper radio.

SO2R using the DX doubler

Internal DXD Jumpers

Operation Mode | Jumper 1 | Jumper 2 | Jumper 3
Normal | 1-2 | 4-5 | 8-9
Stereo | 1-2 | 5-6 | 8-9

The Normal Mode are the CT/TR/WriteLog settings in the manual. N1MM uses the same convention as CT/TR/WriteLog, but the DXD manual does not reflect this.

DXD & STEREO Feature

The STEREO mode is for use with the Top Ten Devices DX Doubler. It will probably work with other SO2R controllers which use pin 5 on the LPT port to switch audio between radios.

The Stereo Mode was fashioned after the NA Stereo feature, i.e. use a keyboard command to toggle from the run station's audio in both ears, to one radio in the left ear and other radio in the right ear. The Stereo feature toggles pin 5 alternately high and low on the LPT port.

To use the STEREO feature with the DX Doubler, the DXD should be configured for CT/TR/Writelog with the exception of JUMPER 2. Move JUMPER 2 from PINS 4-5 to PINS 5-6. This puts the control signal from LPT-pin 5 into the logic in the DXD. Now, with the DXD AUDIO control switch set to "Auto", the tilde key (actually it's an unshifted tilde, or simply the ` key) will toggle the STEREO mode on and off.

Note: With the DXD Audio switch in PTT mode, the stereo capability is disabled and the DXD operates normally in the PTT mode.

Stereo "ON" will split the audio: Radio-A/left ear, Radio-B/right ear. Stereo “OFF” means full audio from the RUN radio in both ears.

TILDE Toggle | DXD Audio Mode | Run Radio | S&P Radio
“NA” mode OFF | AUTO | Both Ears (TX focus on RUN radio) | Both Ears (TX focus on S&P radio)
“NA” mode ON | AUTO | Left Ear | Right Ear
Auto/PTT OFF | PTT | Left Ear | Right Ear (Both Ears when RUN radio TX)
Auto/PTT ON | PTT | Both Ears (TX focus on RUN radio) | Both Ears (TX focus on S&P radio)

N1MM further refined the STEREO feature by building the following macros so you can automate the process: {STEREOON} {END} {STEREOOFF}
These macros are included in the function keys (Message Buttons) to switch the audio automatically according to the operator's preference. (refer to Macros Definitions, section 36.1.1) If Stereo Macros are used, you can momentarily toggle the Stereo state using the tilde key if needed. Once a Fn message is sent that includes a macro, the Stereo feature will go back to it's programmed state.

Example for F1 – CQ Message Button : {STEREOON} CQ TEST * * TEST {END} {STEREOOFF}

Modifying the DXD to Switch between Auto and PTT Modes from the Keyboard

In addition to enabling NA-style stereo operation, DXD users have another option, that of using the tilde key or the {STEREOON/OFF} macros to switch between the DXD's Auto and PTT modes. This requires a simple hardware modification, described below.

Normally, the only way to put both ears on the non-transmitting radio (for aggressive S&P) is to manually switch the DXD from Auto to PTT position. But this means you must take your hand off the keyboard. The DXD can be modified so Auto/PTT operation is switched from the keyboard, with a small mod inside the DXD:

  • Install DXD jumpers in their CT/Writelog/TR/MM position. This has the effect of isolating pin 5 of the LPT port.
  • Put a 2N2222 open collector transistor switch between pin 5 and the “Auto” terminal of S3 on the DXD (that's the audio mode switch). Pin 5 drives the base of the transistor through a 1K resistor, just like the basic CW keying interface. The resistor is connected to the high side of R22, the emitter is grounded to the ground side of R22, and the collector is wired to the switch side of R29.
  • You can mount the transistor next to R22 with double-sided tape. Ugly but effective. That's all there is to it.

With this modification, the {STEREOON} macro really functions as {AUTOON}, while the {STEREOOFF} macro will switch the DXD to PTT mode.

Sound Card options

Option # | Radios | Play Wav Files? | Record new SSB messages | Mute mic? | What is Recorded? | Switch Headphones | Special CD/Aux Cable Required | Comments
1 | 1 | Yes | Yes | Yes | Two channels heard | No | No | Normal one-radio setup
2 | 2 | Yes | Yes | Yes | One channel for each radio | No | No | External switching required for SO2R
3 | 2 | Yes | Yes | Yes | One channel for each radio | CW/Digi Only | Yes | External switching required for SSB SO2R
4 | 2 | Yes | Yes | Yes | Two channels heard | All modes | Yes | $5 SO2R

Two sound card SO2R or $5 SO2R is a cheap way to get into SO2R. The only extra device needed to your computer is an extra $5 soundcard and some cables to the radios. Serious competitors should probably use a hardware device that can insure lockout.

#1 - Zero or Single Card, One radio, No Sound Card SO2R

One radio and one sound card to play wav files and record new messages and mute the microphone when playing wav files.
Select '1 - Single Card - One radio, No Sound Card SO2R' on the 'Audio' tab and setup the top part of this dialog.
The sound is centered rather than set to a radio channel.

#2 - Single Card - Two radio, No Sound Card SO2R

Not SO2R but two radios and one sound card to play wav files and record both radios.
Select '2 - Single Card - Two radio, No Sound Card SO2R' on the 'Audio' tab and setup the top part of this dialog.

#3 - Single Card - Two radio, Sound Card SO2R, CW Only

In order to use SO2R with one sound card, CW only, you'll need to define your radios as SO2R in the Hardware tab and select '3 - Single Card - Two radio, Sound Card SO2R, CW Only' on the 'Audio' tab. Setup the top and bottom parts of this dialog.

SO2R Nr3 Setup

SO2R with one sound card. The drawback here is that no switching of the phones is done.
Note that you will have to wire a cable to the cd or aux input of a sound card in order to make use of this feature.

SO2R Nr3 Configurer

This is an example how to set up the configurer. Note that the top part should not matter. For #3, we are interested in the bottom frame.

This picture shows the mixer for my sound card (windows default mixer). The mute buttons and the balance sliders will change while CQing, then back after the message is over.

#4 - Dual Cards - Two radio, Sound Card SO2R

Kudos to David, K1TTT for coding all the interfaces necessary to allow SO2R with two cheap sound cards. Check the pictures below and see how easy it all is. K1TTT also designed the switching rules and wiring.
Note that you will have to wire a cable to the cd or aux input of a sound card in order to make use of this feature.
In order to use SO2R with two sound cards, you'll need to define your radios as SO2R in the Hardware tab and select '4 - Dual Cards - Two radio, Sound Card SO2R' on the 'Audio' tab. Setup the top and bottom parts of this dialog.

CW - Yes, it will work for CW as well. The CW is not shown since you already have solutions for that. You can use separate serial, parallel or USB ports to separate the CW. You can use radio or Serial/Parallel/USB port PTT to two rigs. If you want to, you can use pin 14 and a relay to switch, but that is not necessary. The headphones work the same for either mode.

RTTY - We have not discussed the implications for RTTY yet.

Two Sound Card SO2R - SO2R State Table

Decision Inputs
Program Set Outputs
What you hear
Sound Card
Radio
Mode

Keyboard Focus

Cq Playing

Dual
Left Input
Right Input
Left Dual
Right Dual
Left Ear
Right Ear
Auto
Left
None
Off
Left
Right
Off
Off
L-main
R-main
Left
Left
Off/R-on?
Mute
Center
Off
Off/Note 1
R-main
R-main/sub?
Left
Right
Off/L-on?
Center
Mute
Off/Note 1
Off
L-main
L-main/sub?
Right
None
Off
Left
Right
Off
Off
L-main
R-main
Right
Left
Off/R-on?
Mute
Center
Off
Off/Note 1
R-main
R-main/sub?
Right
Right
Off/L-on?
Center
Mute
Off/Note 1
Off
L-main
L-main/sub?
One rig auto
Left
None
Don't care
Center
Mute
NC
NC
L-main
L-main/sub?
Left
Left
Don't care
Mute
Center
NC
NC
R-main
R-main/sub?
Left
Right
Don't care
Center
Mute
NC
NC
L-main
L-main/sub?
Right
None
Don't care
Mute
Center
NC
NC
R-main
R-main/sub?
Right
Left
Don't care
Mute
Center
NC
NC
R-main
R-main/sub?
Right
Right
Don't care
Center
Mute
NC
NC
L-main
L-main/sub?
Manual
Left
Don't care
Don't care
Center
Mute
NC
NC
L-main
L-main/sub?
Left
Don't care
Don't care
Center
Mute
NC
NC
L-main
L-main/sub?
Left
Don't care
Don't care
Center
Mute
NC
NC
L-main
L-main/sub?
Right
Don't care
Don't care
Mute
Center
NC
NC
R-main
R-main/sub?
Right
Don't care
Don't care
Mute
Center
NC
NC
R-main
R-main/sub?
Right
Don't care
Don't care
Mute
Center
NC
NC
R-main
R-main/sub?

NC – no change, whatever user has set

Note 1 – could use dual on non-CQ-ing radio while cq is playing on the other one, but would have to switch off when cq stops to get back to just main for full stereo. This would mean having some way to save the dual setting for the non-cq radio and switching it on/off for each cq. Maybe useful for times when doing dueling cq on combinations like 20 and 40m where you wanted to listen on both vfo's on 40m. This is the case I would probably prohibit and always force dual off on both radios for full auto. Or if dual was on prohibit full auto and force one rig auto instead.

Automated RX Focus Feature (ARFF)

Automated RX Focus Feature (ARFF) is a powerful feature intended for SO2R ops and is totally unique to N1MM. The feature automatically moves RX focus to where it logically should be for the SO2R op. The two main scenarios ARFF addresses for SO2R are:

Tuning the S&P radio will grab RX focus (i.e. when you are looking for mults) When the Run Radio finishes sending a CQ, RX focus moves back to the Run Radio

ARFF RULES FOR MOVING RX FOCUS

ARFF RULE 1 | Tuning either VFO/Radio will result in the RX focus moving to that VFO/Radio if, and only if, both entry windows have empty call fields.
ARFF RULE 2 | RX focus is moved to the Run/TX radio when it finishes sending CQ (or Fn) message, UNLESS there is text entered in the S&P Entry Window.
FOCUS ANTI-BOUNCE (FaB) | After CQ (or Fn) has been sent on the Run Radio and RX focus has moved to that radio, don’t let tuning of S&P radio grab RX focus until 1000 ms has passed.

ARFF THEORY OF OPERATION:

ARFF will only move RX focus if there's no callsign (or partial callsigns) in either Entry Window. If there's a callsign (or partial callsign) in either Entry Window, it's assumed that the SO2R operator will want to control where RX focus should be.

Basic Scenario: If you are CQing on VFO/Radio A, and S&Ping on VFO/Radio B, as you tune the S&P radio, ARFF assumes the SO2R op will want RX focus on the S&P radio so he can type in a callsign to see if it's needed. At the end of a CQ on the Run radio, if there’s no callsign in the S&P window, RX focus is moved back to the Run Radio in anticipation of someone answering your CQ. If no one calls on the Run Radio, and you continue to QSY on the S&P Radio, the RX focus will automatically move back to the S&P radio again after a 1000 ms delay (learn more about the 1000 ms delay in the Focus anti-Bounce paragraph below).

As you S&P during a CQ (or any sent Fn message) on the Run Radio, and you type a callsign into the S&P Entry window, at the end of a Run CQ (or Fn), RX focus will stay on the S&P radio. It's assumed if you have a callsign in (any) Entry window, that you will want RX focus to stay where it is to finish that QSO.

If someone answers your CQ on the Run radio, and there's a callsign in the S&P window, it's up to you to decide who you will work, and where RX focus should be: do you finish working the S&P QSO, or move RX focus to the Run Radio to work the new caller? If you want to answer the response to your CQ, use the \ to move RX focus from the S&P Radio to the Run Radio. Otherwise leave RX focus on the S&P radio so you can finish working the S&P QSO and then hit \ to get back to the Run radio (this can be automated by inserting the {JUMPRX} macro if desired).

Let's say that someone just answered your CQ on the Run radio (of course ARFF has already moved RX focus there from the S&P radio) and you have entered a callsign in the Run Entry Window. As you tune the S&P radio while you are working the guy on the Run Radio, RX focus will stay on the Run Entry Window. It's assumed that you will not want RX focus moved to the S&P radio during the middle of a Run QSO. After you log the Run QSO, and you continue to tune the S&P radio, RX focus will again move to the S&P radio if there's nothing in the Run Entry Window.

Focus anti-Bounce (FaB): was created for the serious SO2R op who's got both right and left audio listening to the S&P radio while transmitting on the Run Radio. Let's say you are CQing on the Run Radio, and tuning on the S&P radio. Many SO2R ops will not be listening to the Run radio CQ sidetone, and will only be listening to the S&P radio. If you are still tuning the S&P radio when the CQ just finished, FaB will keep RX focus on the Run radio for 1000 ms. This brief delay will let you stop tuning the S&P radio, so RX focus stays on the Run Radio. If FaB wasn't there, and you didn't realize that the CQ was over, RX focus would bounce to the Run Radio at the end of a CQ, and then bounce back to the S&P radio since you are still QSYing. Thus if someone answered your CQ, you would often type that callsign in the S&P radio/entry window!

ARFF CONTROLS & MACROS

ON/OFF Macro | You can turn on/off ARFF by using macros in CW/SSB key buttons: {ARFFON} {ARFFOFF}
ON/OFF Shortcut | Turn on/off ARFF with Ctrl+Shift+I
RX FOCUS CONTROL (Override): | The backslash key (\) will always move RX focus to the "opposite" vfo/radio and stays there until another action/state takes RX focus control (in case RX focus ends up where you don’t want it)

RULE: Tuning either VFO/Radio will result in the RX focus moving to that VFO/Radio if, and only if, both entry windows' call fields are blank.

Radio A |  |  | Radio B |  |  | Focus Does:
Callsign Field | Exchange Field | Is: | Callsign Field | Exchange Field | Is:
 |  |  |  |  | Tuning VFO | Focus moves to VFOx
 |  | Tuning VFO |  |  |  | Focus moves to VFOx
Filled |  |  |  |  | Tune VFO B | Focus stays where it was (VFO A)
 | Filled |  |  |  | Tune VFO A | Focus stays where it was (VFO A)
 |  | Tune VFO A | Filled |  |  | Focus stays where it was (VFO B)
 |  | Tune VFO A |  | Filled |  | Focus stays where it was (VFO B)

SO2R and MMTTY

Instructions for setting up 2 copies of MMTTY for use in SO2R.

  • Install MMTTY into 2 separate directories.
    • Create 2 separate directories that MMTTY will reside in. This allows you to save 2 different profiles
  • Change into each of the directories and load MMTTY.
  • Click Options/Setup MMTTY Once loaded select the Misc Tab .
  • Change the device ID to one of the soundcard numbers (not -1)
    • Select the sound card you are using 0,1,2,3 don't select -1
  • In the second copy of MMTTY you will do the above and choose your second soundcard #
    • Select the sound card you are using 0,1,2,3 don't select -1.
  • Close MMTTY - This will save your info in the MMTTY profiles.
  • Load N1MM and select Configure.
  • In the Hardware Tab Set your ports that you will use to Digital.
  • In the Digital Tab Select both Interfaces to Show MMTTY as the interface.
  • In the Digital Tab set the path to each copy of MMTTY.
  • Close and save the config window.
  • Now when you load the Digital Interface you will see a menu selection to load the second Interface.
    • One thing to keep in mind.. The 2nd port you have marked for digital will be the PTT port for the second digital window.

SO2R RTTY with 1 sound card

One sound card can do 2 channels of RTTY decode. Just set MMTTY instances to the same card but one to left the other to right channel. MMTTY seems to transmit the same AFSK audio to both channels but that's ok cause the SO2R box only routes PTT to one of the radios at a time. A special stereo Y cable has to be made so one radio goes to the left channel and the other to the right channel.

If the above works depends a lot on the used soundcard/chip. In other instances MMTTY does not seem to like addressing Left/Right separately. In that case only one (the first) digital interface will receive anything and you are out of luck....

Example screen layout

The following screen shot was taken by K2KW from a 17" screen. Notice the window symmetry for left and right VFO, as well as left and right band map. Essential information that is used by both radios was placed in the center: Check Window and Log Window. Of course other operators may have different preferences regarding window layout - but the most intuitive is to have the window layout reflect the equipment configuration.


Frequently Asked Questions

Program errors and requests

Q. Where can I download the program?

A. All information for a first or a subsequent install can be found at the installation page

Q. What to do to get familiar with the program?

  • Read the manual!
  • At least read the Quick Tour, Using the program, the Entry Window and the Key Assignments chapters.
  • You MUST print out and read the 'Key Assignments' and/or the 'Key Assignments Short List'.
    It is the quickest way to get a good idea of what the program can do. There are things that are not covered in key assignments, but if it is important for heads-down contesting, then there is a keystroke for it.
  • Use the program as logging program in DX mode before entering a contest.
  • Use the program with the contest set up and make 'dummy' QSO's before entering a contest.
  • Use it and look in the manual if things are not clear.
  • Still not clear? Get on the reflector and ask. There are many people there who can help.

Q. The program displays an error. What should I do?

A. When the program displays an error or suddenly ends this may be a bug in the program or a problem on your computer. Here are some hints on how to determine if it is a bug and how to report it.

  • Try to record what you did when it happened.
  • If you do the same thing again does it happen again?
  • If so, use a clean N1MM Logger.ini file (copy N1MM logger.ini.init to N1MM Logger.ini). You will reset many of your configuration settings, but this often fixes the problem. It's unlikely that a run-time type of error can be fixed by reinstalling the software.
  • If the problem still exists, submit a bug report and give as much information as possible.
    • What operating system are you running?
    • How fast is your computer (processor speed, type of CPU)?
    • How much memory does the computer have?
    • What log are you using (DX, CQWW CW etc.)?
    • What radio are you using?
    • What are the steps to reproduce the problem?
    • Has it worked before (earlier version)?
    • Any information you think is necessary to help resolve the problem. What things are working, what is not.
    • Enter this information to the bug form on the N1MM logger website

Q. The program displays an error. Would removing and installing the program again Help?

A. Copying N1MM Logger.ini.init to N1MM Logger.ini is your best bet. Reinstalling the original software would only help if you installed some other software that overlayed a dll with a dll that caused a problem. Reinstalling might or might not fix the problem in that case. Copying the default N1MM Logger.ini file will remove all your settings. Make a backup copy of N1MM Logger.ini when the program is working fine.

Q. The program gives an error opening the database..

A. Microsoft has a utility to deal with corrupt databases. Before using any utility like this, MAKE A BACKUP COPY OF THE DATABASE. The database name is ham.mdb if you have not created a new one. Here is the link for the utility.

http://support.microsoft.com/default.aspx?scid=kb;EN-US;q273956

Use version type 4 when fixing.

Q. Why isn't there an xyz feature?

A. If you haven't at least looked at the key assignments in the help, please don't ask.
A. This is not a general logging program, and requests for features that don't fit with contesting, or add unnecessary bulk, won't be addressed.

Q. Why isn't there a field to enter the QSL manager.

A. This won't be added. You can add it to the comment field in DX mode or add it to the comment field during a contest by using Alt+N (note).
Why? If I tried to add every general logging feature people want, the program would be neither a good contest program, nor a good general logging program. I decided early on that this was to be a contest program with a few general logging features.

Q. It seems like N1MM has favorites. Why do some users get almost all their requests implemented, and others don't?

A. You are right, he does have favorites. Want to be a favorite? Follow these rules:

  • Read the help before reporting a bug. I.e. understand what the program is supposed to do.
  • Do some work to determine the circumstances that cause the bug. Don't report, "I start the program and it crashes, what's up?" Instead report, "I am running version 4.0.190. My radio is an FT-1000D, and I'm using the DX log. If I try to start with ESM mode, the program gets a runtime error xxx. If I start again everything is fine, but every time I set ESM mode, the runtime error returns." That is a problem that can be fixed. The first description can't.
  • Don't ask for general logging features. This is a contest program.
  • Don't install the program during CQWW, and then complain about it. This actually happened!
  • Reports from the heat of a contest get the most attention. If they are serious bugs during the contest, they'll get fixed if possible. Feature requests that are a result of making a lot of QSO's in a contest get more weight than "wouldn't this be nice".
  • Remember that this is a freeware project, and you are encouraged to help.

Q. The contest I want to participate in is not listed, what to do?

A. The N1MM logger does not have a contest setup program for new contests. So you can't create your own contests. Make a request you want this contest added. There are some possibilities to use a supported contest or general logging (DX) for the contest you want to participate in. Most of the times the multipliers are not correct but the dupes are checked. In some contests you could use an adapted CTY.DAT file (like the PACC contest). If the contest committee wants to have Cabrillo logs the multiplier and score will be calculated by them.

Q. 'Out of memory' message under Win98SE with large RAM

A. Some research on the illustrious 'Out of memory' message under Win98SE with large RAM (512MB) brings you to the Microsoft support site. Have a look at Q253912. This tells you to edit the System.ini and insert the variable MaxFileCache= <size in kB> at the [vcache] section. For 512 MB of RAM a shareware program advised a MaxFileCache from 98304 kB. This solved the problem.

Q. The program closes and a window pops-up asking if I want to report the error to Microsoft. No other error codes come up.

A. First make sure you have the latest updated drivers for your sound card. If its not coming out with a logger message box I am betting it is a driver or ms problem. If it does it again drill down in the little info links from that error box and find the location of the data file it wants to send to Microsoft and send it directly to me. Also, it is always a good idea to send those reports to Microsoft when it asks, often they will come back with a message that there is already a fix for the problem and give you the info of where to download it. If not then Microsoft accumulates them until they can determine if it is an Operating System problem or they can point a finger at the 3rd party software.

Q. Errors and possible solutions.
Error
Possible solution
EntryWindow (Program_Initialize) - 3265 | The database is corrupt. Select a new one or repair.
Run time error ´32555´Radio number error" | Corrupt / bad entries in N1MM logger.ini, select a 'clean' version.
Run-time error - Automation error

Windows 95 - This is mostly a problem with OLEAUT32.DLL. The version on the computer is to old for N1MM logger, replace it with a newer version. Use a version from Windows 98 or download VBRUN60SP6.EXE from the N1MM website ('Download | Other Files) or download it from the Microsoft Download center.

Windows 98 - This is mostly a problem with OLEAUT32.DLL. The version on the computer is to new for N1MM logger (probably a XP version).
1. Select Start -> Programs -> Accessories -> System Tools -> System Information
2. Select Tools / System File Checker from the System Information menu bar,
3. A dialog box appears, select "Extract one file from installation disk" and type OLEAUT32.DLL and click OK.
4. Insert your Microsoft Windows 98 installation disk, verify the default locations of Windows directory and CD drive are correct, and click OK.
5. The file will be replaced, and you will be prompted to restart the PC.
NB The same procedure works for Windows 95.

- Try using using a clean N1MM Logger.ini file. You will reset many of your configuration settings, but this often fixes the problem. Sometimes this has something to do with wrong configuration of ports.

When upgrading I get 'Error 429' | The 429 error is usually caused by having the wrong version of CW IF.exe in the directory where the logging program is installed. All the files in the NewexeV.x.xx.exe have to be installed in the program directory.
Run Time error 339 - Component RICHTX32.OCX...... | Install Richtx32.zip from the N1MM website ('Download | Other Files). Please read the instructions in the zip file.
Error message" DLPORTIO.DLL missing

Download Port95nt.exe, this is a port driver. A link to this file can be found in the installation section. To install just run the exe as the administrator of your computer.

A Telnet Communications Error Occurred. Error: 10061 Connection is forcefully rejected

The selected Telnet cluster declines your request to log in for some reason. Reasons could be:
- The maximum number of users are already connected.

- You are trying to telnet to the wrong port.
- The firewall on your pc (like ZoneAlarm) or in your router is blocking the program
- The DX cluster's software isn't working properly.
- The DX cluster has just rebooted and it not yet ready for users.
Runtime error 339 - Component N1MMWave.ocx or one of its dependencies not correctly registered: a file is missing or invalid

Win98 (as opposed to win98se) doesn't have the proper version of a couple dll's like mfc42.dl/msvcrt.dll etc.

A work around could be to install Internet Explorer 5, then upgrade to version 6, and maybe next to install Office 97 and if that doesn't fix it upgrade to Office 2000. One or the other of those would add those dll's as they are common ones used by most Microsoft products.

Runtime error 4 - Opening recording device - flagging Record QSOs | Configurer - Audio Tab: Select a lower bitrate for your soundcard. 8 or 16 bits will probably always work, 24 is probably to high for the selected soundcard.
Err 3 - Format not supported. Use PCM. | This error message occurs when trying to play a Wav recording that was made with some other sound recorder that saves the file in a non supported Wav recordingformat. Try to record with: Ctrl+Shift+Fx (Fx is a functionkey like F1)

Q. CW stutters (using lpt or serial port keying)

A. Mostly this means your pc is to busy handling other stuff during transmit. This could be outside N1MM logger (so try not to run other programns not needed for contesting). Also try filtering spots at your packet cluster node so as to reduce the traffic that must be handled by N1MM logger. This is an excellent idea if there are residual problems, as does setting the Available Mults and Qs window only to display calls for the band that the particular PC is on.

Installation / Upgrading

Q. How to update?

A. There is no need to load each version from the beginning. Updates are progressive which means that the current one incorporate all the fixes from day one. You can easily skip a bunch of versions if desired.

Q. Why doesn't the help work? Why is it out of date?

A. The help changes on a schedule different from the program. You need to download it separately. Like all the other parts of the program, it can be downloaded from the N1MM homepage. The Help is also available in PDF format so it can be printed.

Q. Where to get the latest country file for the program.

A. The country file used by the program is CTY.DAT in the program directory. Information about this file and how to update this file can be found on the Download page.

Q. I installed PORT95NT.EXE/DLPORTIO but still no CW from the parallel/serial ports (NT, Windows 2000 & XP)

A. Is the 'Other' box selected next to the 'Set' button.

Q. I keep getting a "red" error message that says "Error sending CW. Check port selection in the Configuration dialog".

A. Select a CW port in the Configurer. This could be a (virtual) serial port or a parallel port.

Q. When ever I set the information for the rig in N1MM, the program slows to a crawl. I have other programs that use rig interface that work great with out any latency.

A. What settings are you using for the serial connection? Is your serial adapter powered off the computer? If so, you need to specify "always on", "always on" for DTR and RTS. Also the radio should be turned on...

Q. Each time I start Logger I get the error message below, any way to get this to stop appearing?

Setup Error
Wave is being muted.
It is being changed to Mic.

A. Under Config|Ports etc.|SO2V/R, you'll see an option for muting an output. For some reason, this defaults at first startup to muting the wav output when it really should mute the microphone. Change it to mute the microphone and the warning will not reappear.

Trouble-Shooting Sound Card Issues

by Dave, K1TTT

1. Close Audacity, Winamp, and any other sound recording or playback programs you may have open.
DO NOT OPEN THEM AGAIN DURING THIS PROCESS.

2. Start N1MM logger and go into the 'configure / Audio' tab. Select '1 zero or single card' in the top list, then 'default' in the first 'select device' list. Save that settings. Close N1MM logger.

3. Plug your microphone directly into the mic input on the sound card, plug your headset directly into the speaker output.

4. Open the windows volume control, on the playback controls that come up first set all the sliders to mid range, and un-mute everything. You may have to go into options/properties to check the box to let you see the microphone and other sound sources.

5. In the volume control select options/properties, check the 'recording' box then make sure 'microphone' is checked in the list of controls. Do ok.
Check the box to 'select' the microphone and set it's slider mid range. On the advanced microphone settings check the 'mic boost' box if you have one.

6. Now, when you talk in your mic you should be able to hear yourself in the headset. If you can't then something is wrong with your hardware or drivers. Recheck volume and mute settings, check that the mic is plugged into the right spot, try a different mic, try different speakers, try playing other wave files using the sounds control panel app to make sure your headphones are working, get your 8 year old kid to help.
DO NOT PASS THIS POINT UNTIL YOU CAN HEAR YOURSELF!

7. Open the windows sound recorder, it is usually found in the accessories/entertainment, DO NOT open audacity, the tools that came with your sound card, or your other favorite tool... some of them play with the mixer settings and we don't want that now that they are set.

8. Press the record button, say a couple words, then press the stop button. Press the play button and you should hear what you just said. If you didn't there is something wrong with your hardware or drivers. Check recording control settings, adjust volume, make sure the mic is selected as the recording source, get that 8 year old back to help again!
DO NOT PASS THIS POINT UNTIL YOU CAN RECORD AND PLAY.

9. Close the windows sound recorder.
DO NOT PASS THIS POINT UNLESS YOU CAN HEAR YOURSELF IN 6 AND 8 ABOVE.
If those don't work then N1MM likely won't work and since n1mm is much more complicated it is harder to troubleshoot.

10. Start n1mm. Put the radio on ssb, make sure the entry window title bar says either usb or lsb. If you don't have a radio connected type in 14000 and then USB.

11. Right click on the f1 button. In the wav file column make sure it says "wav\cq-1.wav"... if not, type that in (without the quotes of course). Press ok to save it.

12. Watch the bottom of the entry window status bar. Press ctrl-shift-f1, status line should say 'recording started in wav\cq-1.wav', if it doesn't then check the error message and see if that helps and NOW you can ask for more help on the reflector or direct to me, but don't change any settings or open another sound program or be prepared to go back through this again to make sure everything is set properly for the defaults.

13. If you got the 'recording started' message say a few words and press ctrl-shift-f1 again. Bottom of status bar should say 'recording saved in wav\cq-1.wav'. If it gives an error message check out that or contact the reflector or me.

14. Press f1. you should hear what you just recorded. If not, check the status bar for an error message and check that one or contact the reflector or me. Now, if all that worked it is up to you to figure out how to get the audio to/from your sound card through whatever adapters, sound blasters, cabling, to the radio... I can't help with that except in very specific cases. But at this point if 11,12,13 worked then you have a working n1mm logger recording and playback system. Find the wav\cq-1.wav file which should be under the n1mm logger installation folder and that is where to put other recordings, and the f1 line in the setup is how the other paths should look to the files. If you are going to do multi-op look up in the manual how to set up the macros to let each operator record their own voices separately.

Strange radio/program behavior (a radio connection problem)

When experiencing strange behavior and you think is happening with an N1MM interaction. I recommend the following:

1) Check your serial cable for pin to pin continuity of not only the data and common lines, but also the DTR and CTS connections.
2) Connect a bonding wire from the chassis of each piece of hamshack equipment (including your computer) to a common bus on the back of your operating desk.
3) Install ferrite beads on the serial cable.This puts an extra impedance in the shield or wire and reduces the noise current flowing on this path, which then lowers the noise voltage induced into inner connections. (You do have lots of beads don't you, for yourself and your neighbors audio systems?)
4) Especially with older computer hardware like mine, avoid using COM pairs 1 and 3, or 2 and 4.
5) Be very suspicious of using an old ISA comm expander card- find a different port

73, Chet N8RA

Program features

Q. How can I see if I'm in Running or S&P mode?

A. Look at the background color of the fields in the Entry window. A white background means Running, a light yellow background means S&P. Also the running indicator tells in what mode you are.

Q. When I tune close to a station in the bandmap, the call appears in the frame around the callsign field. Do I have to retype the call to enter it?

A. No. Press the space bar, and if the callsign field is empty, the call from the frame will be placed in the callsign field. You can use the space bar as your normal Tab key.

Q. Is there any way I can avoid having the tab key jump to fields (like RST) that don't normally need to be changed?

A. Yes. Use the space bar. The spacebar will jump from field to field filling in defaults like the callsign from the frame, 59/599, and information from previous contacts with this station. SPACE IS THE PREFERRED TAB CHARACTER.

Q. Why don't the calls of the stations that I have already worked show up in the Check window?

A. They appear in the bottom portion of the Log window (the one with your contacts). Also, once you press the space bar, dupe will appear if the station is a duplicate.

Q. CQ repeat not working on VFO B

A. Make sure repeat (Alt+R) is on for both VFOs Make sure the SO2R CQ options are OFF.

Q: In ESM mode, the cursor jumps to the report field after you press enter, but the station doesn't come back to you...

A. If you don't usually get a station on the first call, go to Config/Function Keys and deselect 'Fill in his exchange'.

Q: To get any frequency into the log, is no problem. But how can I customize the 'Available Multi's and Q's'' window getting new frequencies in, others out?

A. The program automatically shows HF and WARC bands for general logging. VHF bands if you are on VHF and HF band when on HF. No way to choose.

Q: How can I customize general logging, that a WWL is (optional) included in the input window? How can the Log-Window be modified?

A. It's not possible to change the entry or log fields. The fields are fixed in a contest.

Q: How can I modify, what for bands during general logging will be used? Normally I am QRV from 160m up to 3 cm (10 GHz), all or most bands!?

A. Connect to a radio that has computer control for those bands or type the frequency in the callsign filed and press Enter.

Q: Serial no. exchange starts at IARU VHF Reg.1 with 001, that means two or one leading zero(s) before the No. to exchange. This is up to 099. No. above 999 are simply 1000, 1223 etc. How can I modify N1MM logger, that leading No. were sent (CW-keyer, voice....)? This is usually here in EU with the leading zeros.

A. In the configurer Function Keys tab. No leading 0's just T's.

Q. The serial number given is not as expected.

A. There are several possibilties that the serial number given is not what is expected after opening a log file again and yiu have changed something in the settings.
Like opening the first time Multi-user on and the second time Multi-user off. Use "Reset Serial Numbers on all Stations" in the multi-user menu to straighten it out.

Q: How can I modify the telnet time out? I want to set it higher/lower...

A. Not currently settable.

Q. I am trying to get the LPT1 port to send CW it works just fine in other Windows and DOS contesting programs.

A. Make sure the LPT1 port address in the configuration menu matches the address listed under "Printer Port" properties in Device Manager.
Go to Control Panel > System > Device Manager > Ports > Printer Port > Properties > Resources.
The first number under Input/Output Range (minus the leading zero) is your port address, i.e. 3BC. Whatever that value is copy it to the LPT1 address box in configuration (the program uses 378 as a default). Also 03BC is a much used address.

Q: Serial/PTT/CW: You can set COMx's pin 4 DTR for PTT or CW, but pin 7 RTS only for PTT. Is there a special reason for that RTS can not be set to CW?

A. Not currently settable. No particular reason. No contest programs have that as a standard.

Q. If a wrong Callsign is entered and later corrected the Exchange stays the same!
Example CQWW: I enter HA1M and press the spacebar, the exchange is automatically filled with (zone) 15. I made a mistake in the call so I correct it in PA1M and press the spacebar again. The cursor jumps to the Exchange field but this does not change to zone 14. The exchange is wrong now. Is this a bug?

A. That's not a bug, that's the way it works. Once an exchange is filled in, the program won't change it. Delete it, and press space. The correct value will be inserted.

Q. What will the program send when the exchange is a number?

A. There are two possibilities. Let's assume the last qso had qso number 133
If the callsign field is filled with a call the next number will be sent. Example: 599 134
If the callsign field is empty the last number will be sent. When there is no callsign why give a new number, most probably the last worked stations asks his received number again. This number will be sent. Example 599 133

Q. While sending CW my keying speed slowed but the display did not change. What is happening?

A. It is possible in CW to send parts of a message faster (mostly in the exchange)than the normal text. This can be done with the characters < (increment CW speed by 2 wpm) and > (decrement CW speed by 2 wpm). When the speed slows down or increases without the display changing than there are probably unmatched < < < > > > characters in your exchange.

Q. I connect to packet, do a SH/DX/30, but no spots show up in the bandmaps. What's up?

A. A few things can be wrong. First, check to make sure that the spots are not older than the Packet Spot Timeout value in the right click menu. If this is not the cause of the problem, make sure that your system is set to the proper time zone (not GMT!), with the proper daylight savings time option in Windows (not in N1MM logger). Next, make sure the time on the PacketCluster is close to the time on your system. Make sure the dates of your system and the PacketCluster system are the same. Check the time on the title bar of the log window. Note, if you connect to a local, non-Internet connected PacketCluster early in the morning, often there are few, if any, current spots available. This is normal. Finally, right click on the packet window, check the filters.

Q. How do I spot stations?

A. Spotting stations may be done from the Entry window.
The station entered in the callsign field will be spotted. If the callsign field is empty the last qso with its correct frequency will be spotted.

  • Alt+P spots stations
  • Ctrl+P spots them with a comment.

It is also possible to spot every logged qso automatically. Only stations not already in the bandmap and stations that are worked while in S&P will be spotted. No spotting is done while Running.

Q. Only ON stations show up after a SHow/DX

A. The problem here is that the cluster you are using is not a DX-spider cluster but you told the program it is. Uncheck the "Format for DX Spider Cluster" box in Configurer (Other tab). DX-spider uses SH/DX on 20 to show spots on 20 meters. Non DX-spider clusters will think you send the command SH/DX on which means Show DX from ON (Belgium).

Q. My friend wishes to use the same digital/SSB/cw button legends and contents as me. Is there a quick way of copying my buttons into his profile or do I need to re-type them in?

A. First export you function keys. Select: File, Export, Export Function keys to file, Select: SSB/CW/Digital function keys. Import the exported file into the program on the other computer by doing: File, Import, Import Function keys to file, Select: SSB/CW/Digital function keys.

Q. How to start a repeated CQ?

A. Ctrl+R sets the repeat time (start with 2 or 3 seconds) . Alt+R toggles repeat mode on or off. The status bar from the Entry window should say: CQ Repeat is on (of off). Check the Running indicator (repeated CQ only when running). Press the CQ key (mostly F1).

Q. There is a missing section or abbreviation for a section. Can I add it?

A. Yes but only for a few contests. Check 'Config | Change Exchange Abbreviations'. ARRL sections, VE and PA provinces, USA states and CQWW RTTY abbreviations can be updated here. Most others use section (.sec) files which are only imported once.

Q. When in S&P mode hitting F1 should send CQ and automatically put me in Running mode. But not anymore...

A. CQ has to be in the button caption or the text to send for this to happen. So change your S&P F1 band caption from "F1 {my call}" to "F1 CQ", and change your CW message to your callsign.

Q. Is the score displayed anywhere?

A. Yes, the last pane in the status bar at the bottom of the Entry Window is the score. The middle pane shows QSO's and multipliers.

Q. Is my Sunrise and Sunset shown anywhere?

A. Yes, it is shown in the About window (View, About). The times are shown in GMT. Also local standard time is shown.

Q. I'm sure the shown score is not correct, what to do?

A. Do a rescore (Select 'Rescore current contest' in 'Tools' menu), this is a slow process so do it after the contest or only when you have not to much QSO's. If the score is still off and the log to send is Cabrillo then there is no problem because the score will be calculated by the ARRL, CQ etc. If the log to send is not Cabrillo you have to edit the log file made by the program (you won't like that...)

Q. How do I change (CW/SSB/RTTY etc.) messages without retyping them?

A. Click on the message you want to change. The entire message will be highlighted. If you type now, the message will be deleted, and your typing will take it's place. To insert characters or delete characters from the message, click once again at the position you want to edit. Alternatively, press F2 and the cursor will be placed at the end of the text, at which point you may edit the message. This technique can be used anywhere you are able to edit a grid in the program.

Q. The program says: Can't find Master.dta etc.

A. Are you starting the program in its own directory?
I.e. if you have an icon for it, are you setting the Start in parameter to the directory in which the program is loaded? Master.dta must be in Program start-up directory (usually C:\Program Files\N1MM Logger).

Q. When I start N1MM logger it changes the mode (LSB/USB/CW) on the transceiver.

A. This is contest dependent. When a CW contest is selected (example: CQWW CW) the radio will automatically be placed in CW, the same for Phone contests but then it will be placed in SSB. When a contest is chosen which accepts both SSB and CW (Example: ARRL 10 Meter) the program changes nothing.

Q. How do you delete contest databases you don't want anymore ... i.e. those used for testing purposes.

A. A database is a .mdb file and contains multiple contests.

  • Delete that file if you want all your contests to go away (I doubt it). You'll need to leave an empty ham.mdb around somewhere to replace it. Deleting a database can **usually** be undone by retrieving it from the recycle bin.
  • A contest can be deleted by picking it in the contest selection dialog and pressing delete. Read the confirmation message and look at the number of rows carefully before deleting. Once a contest is deleted, it cannot be retrieved.

Q. How to print a Summary Sheet?

A. Go to 'View', 'Score Summary' and select 'Print Summary Sheet to File'. A file [callsign].sum will be made. Example: N1MM.sum
This is a normal ASCII text file which can be edited with any text editor before being send to the contest manager.

Q. Why does Ctrl+Page-Up move the frequency UP, while Up-Arrow moves the frequency DOWN? (And vice versa).

A. Because lower frequencies are at the top of the bandmap and higher ones at the bottom.
Ctrl+Up jumps to a spot lower in frequency, but UP the bandmap. Ctrl+Down does the opposite, etc.

Q. I added notes to some QSO's but how to find them again?

A. Go to 'View | Notes' and all QSO's with a note are shown. The notes can be updated by updating the comment field when editing a contact. Finding a callsign in the log can be done using Ctrl+F and Ctrl+G. Right clicking on the QSO in the top part of the log window will give a menu, select 'Edit Contact' (or Ctrl+T).

Q. How can I change the default mode to CW, on band maps, etc. I only use CW and would like to have that mode as default instead of having to go to the band maps to change from USB or LSB.

A. If you are in a CW contest, you don't need to do anything. If you are using the DX "contest", set the mode in the contest selection dialog to CW.

Q. I am going to run mobile (rover) in a qso party, how do I configure the program?

A. Changing counties is not supported. Sorry.

Digital Modes

Q. The callsign to grab already scrolled of the screen (RX window), how to grab it now?

A. You can pause the RX screen by clicking on the green strip on the side which will pause the input and scroll back to where you need to and click on the callsign. To turn input to the window back on click in the pane again and everything that was to be printed to the window will now enter the window.

Q. In Digital contests the window "Available multipliers and QSO's' does not show any multipliers or QSO's
Q. In Digital contests below the "Multiplier List box" no callsigns are shown.

A. The Digital sub bands are not defined ('Config | Change Sub bands | Digital Sub Bands'). If they are not defined then nothing will show-up..

Q. A message "lost sound" briefly appears in the MMTTY waterfall.

A. Try to bring up the sound card buffers under Misc settings in the MMTTY setup or the combination of MMTTY and N1MM Logger may be too much for your processor.

Q. The MMTTY RTTY Engine panel is always on top of the other windows.

A. This can be changed in the configuration dialog (Config | Configure Ports, Telnet Address, Other | Digital Modes). There is also the ability to choose between Full-size (Normal) window and Small window (without control panel).

Q. Strange things are happening on my 'slow' computer.

A. Example: Occasionally, the RTTY receiver screen would flicker during reception. Reason: MMTTY requires a minimum of a 133 MHz processor that combined with the main logger which Tom sets as a minimum needed as a 500-800 MHz Pentium II/III computer with 128 MB memory and you could get strange things happening.

Q. When opening the Digital Interface Window I get a Run Time error 7 - Out of memory

A. For MMTTY to work you need the file XMMT.ocx in the program directory, if not it will show this error.... The NewExe contains the file XMMT.ocx needed for MMTTY version 1.64 or higher and should be in the N1MM Logger directory after an update.

Q. Digital Interface file not found error

A. If you are experiencing a file not found error when trying to load the digital interface please look and see that you have the following files in these locations

  • Regsvr32.exe - This should be in the directory where your system files are kept. Mostly 'Windows/System' or 'Windows/'System32'.
  • PSKCore.dll - This needs to be in the N1MM logger program directory.
  • XMMT.ocx - This needs to be in the N1MM logger program directory.
  • MMTTY.exe - This file needs to be in the directory where MMTTY has been installed.
  • MMTTY.ini - This file needs to be in the directory where MMTTY has been installed. If not found, MMTTY will create it.
  • Userpara.ini - This file needs to be in the directory where MMTTY has been installed. If not found, MMTTY will create it.

Q. I am able to transmit PSK or RTTY with MMTTY but I do not see any received signals displayed on the waterfall or any other screen.

Review your hookup. For starters, plug a jumper from your transceiver's "line out" to your soundcard microphone input...no interface required. If that works, then you have a problem interfacing. If it doesn't work it looks like a more fundamental problem, like the microphone input on the soundcard is not working. As a last resort, make sure you can receive PSK with another program.

Maybe just the microphone input is deselected. Check the following in Windows:
Open Control Panel, Open Multimedia, Click on Recording and make sure the microphone is selected and the slider not at the bottom..

Q. The frequency readout does not match the incoming spots in the bandmap on my transceiver

When using a transceiver with no dedicated digital mode for RTTY and the likes, you have to use the transceiver in LSB mode and soundcard RTTY. The problem is that the frequency readout does not match the incoming spots in the bandmap, and nor will the frequency be correct when spotting stations to the DX-cluster. The solution is to use a fixed mark frequency (ie. no or very limited AFC), and then subtract that frequency from the frequency readout by using the transceiver offset setting in the bandmap.

  1. Set up for RTTY using LSB mode
  2. Set mark frequency to 2000Hz (or the frequency of your choice)
  3. Right-click in the bandmap
    • Set Transceiver offset to -2
  4. Now the spot frequencies will match.

Q. It appears that CRLF's are displayed as a block character rather than going to the next line.

A. There is a replacement richtext file on the website ('Download | Other files') that might correct seeing the block characters that represent a linefeed. This is why there are 2 macros: {ENTER} and {ENTERLF}. Some Windows versions would not properly show a linefeed. If something scrolls off the screen because of the use of many linefeeds it is easy to click on the Pause strip and scroll back to see what was missed. One more click brings you back to where you were..

Yahoo Discussion Group

Q. If you think you get to much e-mail.

A. Do you want to reduce or eliminate the number of e-mail's you are receiving about this program? Do the following: Go to: http://groups.yahoo.com/group/N1MMLogger then select "Edit my membership". It is on the right, near the top. Then choose from the four choices:

  • Individual e-mail's - Send individual e-mail messages.
  • Daily digest - Send many e-mail's in one message.
  • Only special announcements - Only send me important update e-mail's from the group moderator.
  • No e-mail - Don't send me e-mail. The messages can still be read on the Yahoo groups website. If this option is chosen e-mail can still be send when a really serious bug develops (like one that loses your log data). So far, I have never had to, but I think it is important to have that capability.

Make sure to save changes.
DO NOT SUSPEND YOUR YAHOO ID. I will get bounce messages about your id, and remove it.
Another way of handling many e-mail's is to use a filter to organize e-mail's into folders in your mail reader. Different readers will support this in different ways.

Q. Are you no longer receiving e-mail's from this group?

A. The reason may be that you e-mail has been "bouncing".
Yahoo keeps track of how many e-mail's are returned/rejected from the e-mail address used. Yahoo is very strict in this, if too many are returned, you show up on a bounce list and no longer e-mail's will be send. Yahoo will try a few times to send an e-mail to inform that you have 'bounced'. Once you have corrected the problem with your e-mail address, you can reset your options to individual e-mail's or daily digest as you prefer (see "Edit My Membership", "Message Delivery"). Note that if you are bouncing from other groups within Yahoo, those bounces count towards putting you on the N1MMLogger "bounce" list. This can not be changed. Now that membership is no longer required to download, we delete all the bouncing id's from membership. You may rejoin at any time, but you'll need to correct the problem that caused you to bounce, or it will happen again.

Q. I have problems downloading files (from Yahoo).

A. There are many possibilities, below some frequent problems

  • Do you have enough room on your hard disk? Having more than 10 MB free would be nice
  • Already tried to download with the 'Save as' function. Right click on the file to download and select 'Save as' or equivalent.
  • When using Netscape disable/remove Netscape Smart Download
  • If this not works but you are using a 'download manager', disable it and try again.
  • ...

Other

Q. The program always transmits on VFO-A, how to transmit on VFO-B?

A. The program has two Entry windows, one for VFO-A (always open) and another for VFO-B. Making a qso on VFO-B, so transmitting on that VFO, you have to enter the info in the second Entry window. This window can be opened by entering a backslash \ in the callsign field of the standard Entry window.

Q. I have lost radio communications, how to start it again.

A. You can restart the communication, by right-clicking in a bandmap, and choose "Reset Radios".

Q. Importing an ADIF file (not generated by N1MM logger) does not import the serial numbers

  • Does the ADIF file you used have the correct serial numbers in the file?
  • Does it use STX and SRX?
    • N1MM logger uses:
      • <SRX:1>3 for the received serial number (example nr = 3)
      • <STX:1>8 for the sent serial number (example nr = 8)
    • Maybe the file to import has to be edited.. when other than SRX and STX are used or when they are missing in the ADIF file to import. A search and replace could solve this problem.

Q. Delays with CW messages, would Winkey help?

A. The Winkey keyer will reduce your processor usage while sending CW to the same that it is while not sending CW. I.e. Winkey requires 0 CPU resource. (Not really zero, but so little you won't be able to see it.) If your system works adequately on SSB, then Winkey will solve your problems during CW. If it does not perform adequately during SSB operation, then Winkey will bring it to that SSB performance.

Q. The program gives "Radio not working"

A. This means that the program has received a frequency of zero or an invalid mode from the radio. This could be caused by RFI interrupting the serial port or potentially by bad config options. If you do not have a power supply for your radio interface, you should usually specify "always on" "always on" for DTR and RTS. If you have specified "handshake" in this case, you can get erratic results.

Q. The program won't accept the exchange send by the station.

A. This could be a bug or an operator error. The workaround is that you log the contact with whatever the program wants, then go edit it (Ctrl+Y) to make it what it should be. A faster way is it to log the QSO using Alt+Ctrl+Enter. A note has to be made and the qso with any exchange being logged. Fix the exchange after the contest.

Q. The rig keys correctly with a direct paddle or keyer but not using the parallel circuit

A. Of course the circuit should be working (does it work with other programs?).
Assuming the radio is attached to LPT1. Go to 'Control Panel | System | Device Manager | Ports | LPT1 | Resources and check the input/output range'.

Normally LPT1 is 378, LPT2 is 278 and LPT3 is 3BC. Note the address and update the address in N1MM logger the configurer 'Configurer | Hardware tab | Other' from LPT1,2,3)

Q. How do I know if the port driver DLPORTIO (installed by PORT95NT.EXE) is properly loaded?

A. Check 'Control Panel | System | Hardware | Device Manager | View | Show hidden devices | non-Plug&Play drivers'.

Q. How to test BCD on the LPT port?

A. Take a Digital Volt Meter and measure the voltage on the BCD info pins with respect to ground. Look at what band you're on, measure voltages (0V for logic 0 and 5V for logic 1), compare with the table in the interfacing section of the N1MM website.

Q. How does N1MM logger know the time difference between PC and UTC?

A. The program uses the Windows time settings. Basically you tell Windows the current time, and your time zone (including summer time / daylight saving), and from these two Windows can always calculate the UTC time.

Q. How to setup the time on the computer.

A. There are two options

  • Run your computer in local time with the correct daylight time choice selected (recommended). The GMT Time will change correctly in the middle of the contest.
  • Run your computer with the time zone set to Monrovia (GMT time). There is a bug in some versions of Windows that makes the London time work incorrectly

Q. I have used the wrong type of contest, what to do?

A. Is there a quick way of converting the log or do I have to copy all the contacts by hand.

    No not really but it can be done. This example is for converting from DX to CQWW SSB.
  1. Back up your database. Omit this step at your peril.
  2. Export the log using ADIF.
  3. Edit the ADIF log until it has all of the columns you want. Use your editor and global change and replace to fix the types.
  4. I'm sure your zones are probably in the wrong column, you'll need to change the type. To find the type, create a sample log for CQWW and export that (ADIF format). Make the CQWW SSB exported ADIF log look like the DX exported ADIF log.
  5. Change all contest IDs in the entire ADIF file. For example, change from <CONTEST_ID:2>DX into <CONTEST_ID:7>CQWWSSB.
    Note: for the CQWW contests, Logger is looking for the ID CQWWSSB or CQWWCW, not CQWW as produced by some ADIF conversion programs. (See the sample log you made in the step above).
  6. Start a new CQWW SSB contest in ANOTHER database (mdb file).
    • The date doesn't matter in the choose contest dialog.
  7. Import the modified ADIF file into the new contest.
  8. If the score is wrong, rescore.

Q. How to import my contest log into my general logging program

A. My general logging program is interacting nicely with N1MMLogger by means of the ADIF output/input! That's what ADIF was designed for, in the first place (amateur data INTERCHANGE format). You can edit the ADIF in a simple ASCII-editor to change field names and do an auto-search-and-replace if needed. Works great to import a few hundred QSO's after a contest and still keep track of DXCC, WAS, WAZ etc... as well as print QSL cards.
Use in N1MM logger in the file menu Export / Export ADIF to file... Use the ADIF import function in the general logging program.

Q. How to import a single contest out of the database to another database (could be on another computer)

A. A database is an .mdb file. A database can hold any number of contests (including DX logs). If you want to copy a contest from one database to another, you must first recreate the contest in the new database.

  1. Export the log (Export ADIF to file...).
  2. Copy the ADIF file to a disk
  3. Recreate an empty contest from the same type (example: CQWWSSB) on the new computer.
  4. Import the ADIF file (Import ADIF from file...)

Q. I use ADIF but is does not import in my logbook program

When transferring data from N1MM logger to a logbook program the best choice would be the ADIF. Export from N1MM logger which will create a file with an extension of adi. Example: on5zo.adi. use the import function from your logbook program to import the records. A ADIF file is just a big text file which can be opened with a text editor like Notepad. Many series of lines will be shown with one qso (record) per line. Each field like call, name, band. etc is transferred with a descriptor, a length, and a data value. Example, if you work Frank, ON5ZO on 160 meters, the line corresponding record with the qso will show the following <call:5>ON5ZO <band:4>160M and more. The <call: means the data name is the callsign, the 5> means the value is 5 characters long and ON5ZO is the data. There is a standard for each field and if they don't match between the exporting and importing program, that data will not be transferred. Example: when the exporting program uses "grid" but the importing logbook program wants "gridsquare" this field won't be imported. Sometimes the exporting program uses ARRL_sect when it should be state for the importing program. A possibility to import these information is changing all ARRL_sect fields with state. This is called a global replace. Look for these differences when importing.

Q. My computer lost a lot of time during the contest.

During a 48 hours contest we lost about 10 minutes. Windows is known to do this during heavy usage of the computer. This is both a question and a warning. Check your time. I don't think 10 minutes will concern the log checkers, but it's just smart to watch it.

There are tools for resyncing your time with Internet time standards. Nice ones used by N1MM logger users are Dimension 4 and About Time. Check the Links chapter.

Q. Dimension 4 and AboutTime give an error under Windows XP ('error binding socket address')

A. Under Windows XP Dimension 4 and About Time have a conflict with the internal timesync program which is included in Windows XP. Dimension 4 and About Time can be set up to update much ofter than the internal timesync from Windows XP.

Below how to get Dimension 4 and About Time working under Windows XP. Disable the internal Windows timesync, this action can be reversed..

  • In Control Panel go to: Date and Time/Internet Time.
    • Check that "Automatically synchronize with an Internet time server" is not checked
  • In Control Panel go to: Admin Tools and select Services
    • Select in Services: Windows Time
    • Right click for properties.
      • Disable the Set Startup Type
      • Stop the Service Status

Q. The internal Windows XP timesync function only updates once every day. How to let it update more often?

A. To change the interval, a change has to be made in the registry. If you are not comfortable with that use Dimension 4 or any other program.

  • Start Regedit
  • go to: HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Services \W32Time\TimeProviders\NtpClient
  • Select "SpecialPollInterval"
  • The value shown is the value in seconds
    • Default value: 604800 (one week)
    • Update every day = 86400 (seconds)
    • Update every hour = 3600 (seconds)


Supported Hardware

Windows and external USB peripherals

One word of caution about external (USB) sound cards ... and other USB peripherals.

Windows can only address the "USB root hub" ... they are directly connected to the internal PCI bus. Windows will process data from all "Root Hubs" in a machine in parallel. However, all of the "child" devices are like leaves on a tree, each leaf which "grows" from the same "root" receives a time slot (generally 16 msec) in turn. If you have too many "leaves" on one root, the delay can become excessive and result in communications failures (time outs)
with the controlling software (logger).

This can be particularly problematical with some software that polls every 50 to 100 msec and will timeout if a response has not been received before the next poll interval. USB can easily handle the aggregate throughput (it will do something like 240 mb/sec) but the delays can be a problem if the software writer does not account for them.

Be particularly aware of this issue if you use external hubs and add many devices - particularly devices like memory sticks and "thumb drives."

73' Joe Subich, W4TV

Ham Radio Solutions - EZmaster

EZ Master is an USB Device that interfaces your PC with several devices in your shack like radios, antennas, filters switching, microphone, headphones etc. Including PHONE, CW, RTTY, DIGITAL Mode interface and internal DVK, CW Keyer and SO2R switch all controlled with USB / COM / Parallel Ports.

More info can be found on the Ham Radio Solutions website which can be found in the links section.

microHAM - microKEYER

I thought it might be useful to share my settings for running N1MM with microKEYER and in my case a FT-1000MP.

CW keying

  • microKEYER router software.
    • First check you have a green check for microKEYER in the router software
    • Click on PTT/FSK tab and check for WinKey PTT = PTT1
    • Assign in Router COM6 to Radio control and COM8 to WinKey.
      • If these ports are not available than create them by Virtual Port/Create.
  • Open N1MM/Config/Configure Ports ...
    • For COM7 select FT-1000MP than click Set and enter 4800/N/8/2, DTR=Always On/RTS=Always On. OK.
    • For COM8 check "Other" and than Set. Check WinKey. OK.
    • Now tick on "WinKey tab" and Pin5 function = PTT. OK

This got me up and running for rig control with the FT-1000MP and CW keying.

RTTY

N1MM logger - configurer | MK Router | MMTTY - set-up menu
Com6 FT1000MP rig control DTR + CTS always on PTT via rig control Com7 digital DTR + CTS always on Com8 WinKey | Radio Com6 FSK Com7 WinKey Com8 | Misc tab - TX port COM-TxD(FSK) TX tab - PTT port 7 ****This is the setting that caught me out!!!

The actual Com port numbers are not important as long as you use the same number for all the different parts of the set-up. The above works perfectly for me. Please feel free to correct any errors or omissions.

73 Jim MM0BQI

ICOM CI-V-interfaces + Transceive on/off features

How to connect microHAM devices to N1MM logger and for example a SteppIR antenna which needs Transceive ON to know the radio frequency while N1MM logger likes to see Transceive OFF.
  • connect all of the CI-V devices in parallel (tip to tip, ground to ground).
  • turn off Transceive in the Icom rig
  • turn ON "polling" in microHAM Router.
  • turn OFF "polling" in microHAM Band Decoder.
The microKEYER (Router) will poll only when the logging software is not (for example, Router will poll even though N1MM logger does not). The Router polls will keep data flowing on the CI-V bus to allow the SteppIR and other similar hardware to stay "in sync."

The microHAM Band Decoder will provide antenna switching (including support for multiple antennas per band with the appropriate external switch) according to your normal programming , provide drive for bandpass filters (several brands) and can do "format conversion" which will allow a Yaesu (Quadra, FL-7000) or Icom (IC-2KL, IC-4KL, IC-PW1) solid state amplifier to work with any other (supported Yaesu, Kenwood, Icom, or TenTec) radio.

The same capability exists with non-Icom radios.

Tentec Orion users

N1MM logger MUTES the ORION microphone audio input when a Wave file is being played. The front microphone gain will normally set to 0.
  • By default the microKEYER routes the wave audio to the radio MIC input in SSB.
  • N1MM logger will using a Orion CAT command turn off the input and NO audio will be transmitted!
  • Use the AUX connector to feed the audio to the radio!
Workaround: this will switch the Wave file to the Orion rear AUX port when N1MM Logger asserts a PTT command.
This will be accomplished by assigning a custom audio code within MicroKeyer router (audio code CBA).
  • If there is no PTT from program (i.e. VOX or CAT command), sound card output is ported to the Orion front panel microphone input.
  • If program asserts a PTT (serial port RTS) it is assumed to be sending a Wave file and sound card output is ported to Orion rear panel AUX port.
  • If footswitch is pressed, microphone is directly connected to front panel microphone input.
There is a small price to be paid for this workaround. You have to assign the footswitch to a serial port CTS and enable external interrupt within N1MM Logger in order to enable the footswitch to interrupt the voice keyer.

K1EL - Winkey

Winkey is an external keyer designed by K1EL and G3WGV. The goal for the keyer is to interface with various Windows programs and to avoid CW timing problems caused by multitasking. Winkey is fed ASCII characters from N1MM Logger (via COM port only), and converts the ASCII to timed CW. More info can be found on the website which can be found in the links section.

This keyer eliminates any hesitation that occurs from scheduling multiple tasks under Windows. It is also a really sweet standalone keyer. To enable the key, choose a com port for it from the Hardware tab. Check the Winkey option after pressing Set for that com port. Winkey options can be set on the Winkey tab of the Configurer.

  • Selectable sidetone frequency.
  • CT spacing is supported.
  • Paddle speed changes are shown on the status bar.
  • Four keying modes supported. They are: Iambic A, Iambic B, Ultimatic and Semi-Automatic (Bug). The default is Iambic B mode.
  • Computer sending (and repeat) stops when paddles are touched.
  • Supports call correction.
  • The potentiometer is to control the paddle speed (only). Logger CW speed setting is to only control CW generated by Logger. The goal is to simulate an independent keyer for quick QRS/QRQ or emergency keying.
  • One CW output plus choice of:
    • 2nd CW output
    • Sidetone
    • PTT
  • Two radio support, Winkey will switch between pin 5 (CW output) and pin 3 (2nd CW output when selected) for two radios.
  • Only Winkey v4 and later are supported. A warning will be shown if a non supported (older) version is being used.
  • The PTT leadtime can be set using the PTT delay in configurer.
  • The computer speed will only change using the Winkey potmeter unless the manual speed changes by more than 1 wpm.

The left pane of the Entry window gives information about the Winkey keyer, some examples:

  • Winkey paddle speed = 32
  • Winkey Version = 4
When you are serious about contesting always run the K1EL keyer from a battery and not (only from) the serial port. When you have to reboot your PC for any reason the keyer will still function with an external battery, it won't if powered from the serial port. This will be a frustrating reboot...
Winkey needs a dedicated COM port.
The pre-version 9 Winkeys had a bug that when you were sending paddle CW the Winkey's PTT would drop occasionally for a millisecond. If you were using vox on your transceiver, or a modern transceiver, no issue, but it could be hard on the T/R relays in your amp if you were relying just on PTT.

From version 10 Winkey has non volatile settings, so that you can use it without the computer being on - if you power it separately.

N1MM does not support more than one instance of WinKey. There are two ways to handle two radios with WinKey:

1) Use Pin 14 on a parallel port as the A/B toggle to drive a relay which switches the CW output (and PTT) between radios
2) Use N1MM's support for Pin 3 / Pin 5 output and use Pin 3 for Radio #1 and Pin 5 for Radio #2.

The downside of option #2 is that there is no WinKey generated PTT (and with microKEYER "advanced" PTT for an amplifier) for hand sent CW.

Why Winkey?

WinKey works totally different from conventional keyers, but on a user level, you don't notice that: it just keys your rig like other interfaces. The benefit is on slower PC's, where LPT or com port keying might be 'stuttering' because the PC has other tasks to do while processing the CW. Or on newer PC's or laptops, that might not have LPT's or (too few) com ports but plenty of USB. Doing CW with an ordinary COM-CW interface does not always work on a USB-to-serial converter, WinKey should work just fine through such a device, because rather than being triggered by voltage levels, it exchanges text strings.

Other than that, K1EL has made WinKey also a good stand-alone keyer for the price I've seen commercial 'dumb' LPT interfaces being sold. And it can be used to write your own software (should you want to) without going through the hassle of solving timing problems that come with sending CW with a PC. Ask Tom what a pain that is! That's because WinKey is intelligent and 'talks' with the PC by exchanging ASCII text strings, and then processes these strings with its own built in logic to CW, rather than CW being generated on the PC itself.

N1MM logger needs at least version 9 or higher of Winkey. It is a very inexpensive upgrade from K1EL.

N1MM does support no more than one instance of WinKey....

Top Ten Devices - Automatic band decoder & DX Doubler

To replicate the default Top Ten Devices behavior, you would need to set up the Antenna tab in Configurer as shown in the Interfacing section.

Hardware update: 'Both ears on the INactive radio' versus 'Both ears on the Active (or Run) radio' from the keyboard

I wanted to go one better and mimic the "PTT" operation of the DXD, which puts both ears on the INactive radio for aggressive S&P, but still be able to put both ears on the Active (or Run) radio from the keyboard, to help pick up weak answers to my CQs while HC8N is blasting on the S&P radio at S9 +40. You can do this manually by switching the DXD audio mode switch from PTT to Auto, but I'd rather keep my hands on the keyboard.

After corresponding with George, W2VJN and Dave, N3RD, of Top Ten, and entirely thanks to them, I have it working. I also owe a vote of thanks to Terry, N4TZ/9, whose article in September/October NCJ describes modifying the DXD to do the same trick, but with a footswitch, and got us all thinking.

First, put the DXD jumpers (2) in their CT/Writelog/TR/MM position. This has the effect of isolating pin 5 of the LPT port. Then put a 2N2222 open collector switch between pin 5 and the Auto terminal of S3 on the DXD (that's the audio mode switch). Specifically, pin 5 drives the base of the transistor through a 1K resistor connected to the high side of R22, just like the basic CW keying interface. The emitter is grounded to the ground side of R22, and the collector is wired to the switch side of R29. I mounted the transistor next to R22 with double-sided tape. Ugly but effective. That's all there is to it.

73, Pete N4ZR

West Mountain Radio - RigBlaster

CW and Digital setup

Inside the RigBlaster Plus set the following jumpers on the P5 jumper block: D9 and D12, corresponding to RTS on PTT and DTR on KEY. Switch the port on which the RigBlaster is set from DIGITAL to OTHER. In N1MM's configuration use DTR (pin 4) set to CW and RTS (Pin 7) set to PTT. Using this configuration, everything works properly generating CW from N1MM and furthermore, this combination will allow the other soundcard related things to work (MMTTY, SSTV, PSK, Voice Key Express, etc). (by David, K1TTT)

SSB setup

  • Serial port setup (configurer)
    • Com2 (any com port will do)
    • DTR: Always OFF
    • RTS: PTT
  • On the RigBlaster itself
    • Set the Tx/Auto switch to Auto.
  • Sound Volume Level
    • Use your soundcards volume control

With it set up this way, it correctly mutes the microphone while transmitting a wav file and the VOX works when not transmitting a wav file.

Transverters

N1MM logger has transverter support in the form that per bandmap an offset frequency can be set. Right click menu bandmap and select Set transceiver offset frequency. Enter the transceiver offset frequency in kHz (minus is allowed). Example: 116000 when using a transverter from 28 MHz to 144 MHz (144000 - 28000 = 116000). The same for other bands (up or down). This can be set per bandmap so when using two transceivers with transverters they can each be on a different band. The offset is saved by the program so after a restart the offset is still there.

Rotator Control

Rotator control mostly is rather worthless in contests, the contacts are so short that by the time the rotor would get around it would be all over and the rotor would be fighting to get to the next heading. During very slow rates or during dx-ing rotor control could be a handy feature.

  • Rotator control is supported by the program for:
    • ARSWIN
    • LP-rotor
    • See the links section for urls.
  • Start your ARSWIN or LP-Rotor software before pressing Alt+J.
  • If there is a call of less than three characters in the callsign field in the Entry window nothing will happen.
  • The statusbar will show the bearing it will turn to. Example: Turning Rotor to 123°
  • Normally the rotator will turn to the country bearing after a callsign is entered. This info comes from the country file and mostly is the center of the country. In grid square contests however that is mostly not practical so when a grid is entered the rotator will turn to the calculated bearing between the own grid and entered grid square.

The rotator can be controlled in several different ways:

  • Entry window using:
    • enter a beam heading in the callsign field and press Alt+J. The rotator will turn to the entered beam heading.
      • Example: 234 Alt+J will turn the rotor to 234 degrees.
      • The number must be numeric, >= 0 and <= 360.
    • the menu items in the Tools menu
      • Turn Rotor Alt+J - Turn rotator to bearing for the callsign in the Entry window.
      • Stop Rotor Ctrl+Alt-J - Stop turning the rotator when turning and no bearing in callsign field in Entry window.
    • the short cut keys below:
      • Alt+J - Turn rotator to bearing for the callsign in the Entry window.
      • Ctrl+Alt-J - Turn rotator to long path bearing for the callsign in the Entry window.
      • Ctrl+Alt-J - Stop turning the rotator when turning and no bearing in callsign field in Entry window.
  • Bandmap window: by right clicking on a spot and select: 'Turn Rotor'

Not Support Hardware

CW decoders

No CW decoder is built in nor any external CW decoder is supported.

W5XD MultiKeyer

The W5XD MultiKeyer is not supported and there are no plans to do so. SO2R support is provided by sound cards and Winkey.
Winkey kits can be purchased very cheap and Version 5 of the logging program can do much SO2R switching for CW with a single sound card. See the SO2R chapter. Scroll way down, and look for the picture of the #3 SO2R configuration. Two sound cards are needed for full SSB SO2R.


Supported Contests

General contest logging (all modes)

Contest | Log Type | Jump to | Remarks
DX (General log) | DX | Setup | Sent RST, Received RST fields, Name and Comment field
DXPEDITION | DXPEDITION | Setup | Only has Sent and Received RST fields
DXSERIAL | DXSERIAL | Setup | Sent and received RST and Nr fields and a Comment field for Generic Serial number contests. Default multipliers and points.
DXSATELLIT | DXSATELLIT | Setup | Only three fields: Call, Grid and Satellite
VHFDX | VHFDX | Setup | Sent RST, Received RST fields, Grid and Comment field

Supported HF CW/SSB contests

All contests are supported 'both' sides unless specifically mentioned.

Contest | Log Type | Jump to | Website | Remarks
9A CW contest (Croatian CW contest) | 9ACW | Setup | Website | CW only; 3rd full weekend in December
All Asian DX contest CW / SSB | ALLASIACW ALLASIASSB | Setup | Website | CW - Third Saturday of June (48 hours) SSB - First Saturday of September (48 hours)
Asian Pacific Sprint | APSCW APSSSB | Setup | Website | In Spring, Summer, Fall (2 hours)
ARCI QRP Contests | ARCI | Setup | Website | This contest supports 7 ARCI QRP contests
ARI International DX Contest | ARIDX | Setup | Website | Per version 4.0.63
ARRL 10 Meter contest | ARRL10M | Setup | Website |
ARRL 160 Meter contest | ARRL160 | Setup | Website |
ARRL Field Day contest | FD | Setup | Website | Dupe Sheets not always required for this contest, see ARRL Field Day Setup instructions. Info by Dan Henderson, N1ND from the ARRL contest branch.
ARRL International DX contest CW /Phone | ARRLDXCW ARRLDXSSB | Setup | Website |
ARRL November Sweep Stakes CW / SSB | SSCW SSSSB | Setup | Website |
Baltic contest | BALTIC | Setup | Website | Every year the last but one weekend in May - one week before WPX CW Contest
CIS DX contest | CISDXCW CISDXSSB | Setup | Website | Commonwealth of Independent States
CNCW Spanish contest | CNCW | Setup | Website | Local Spanish CW contest
CQ-M International DX contest | CQM | Setup | Website | Second weekend of May.
CQ World-Wide 160 Meter DX Contest - CW / Phone | CQ160CW CQ160SSB | Setup | Website |
CQ World Wide DX contest - CW / SSB | CQWWCW CQWWSSB | Setup | Website1 Website2 | CW - Last full weekend of November (48 hours) SSB - Last full weekend of October (48 hours)
CQ World Wide WPX contest - CW / Phone | CQWPXCW CQWPXSSB | Setup | Website |
Cup of the Russian Federation (RFC) contest | RFCCW RFCSSB | Setup |  | Internal Russian contest in January.
DARC 10 meter contest | DARC10M | Setup | Website | 2nd full weekend in January.
DARC Weihnachtswettbewerb (XMAS contest) | XMAS | Setup | Website | December 26
European Sprint - CW / Phone | EUSCW EUSSSB | Setup | Website | In April and October (both modes) (4 hours)
EU HF Championship | EUHFC | Setup | Website | First Saturday in August (12:00 - 23:59 UTC).
FOC Marathon | FOCCW | Setup | Website | First full weekend in February
GACW WWSA CW DX contest | GACW | Setup | Website | Second weekend in June. CW only.
HA DX contest | HADX | Setup | Website | 3rd full weekend in January
Helvetia Contest | HELVETIA | Setup | Website |
High Speed CW Contest (HSC CW) | HSCCW | Setup | Website |
Holyland contest | HOLYLAND | Setup | Website |
IARU Radiosporting contest HF | IARU | Setup | Website |
IARU Region 1 Fieldday contest | FDREG1 | Setup |  | According rules for Belgium, Germany, Great Britain, Netherlands, Switzerland, Ireland (only CW), Slovenia (S5) and Russia (UA, UA2, UA9).
IOTA | IOTA | Setup | Website |
JA-domestic | JADOMESTIC | Setup |  | Generic support for Japanese domestic contests.
JIDX Contest | JIDXCW JIDXSSB | Setup | Website | CW: 2nd full weekend of April PH: 2nd full weekend of November Sat. 0700 UTC - Sun. 1300 UTC
King of Spain contest | KINGEACW KINGEASSB | Setup | Website |
LZ DX contest | LZDX | Setup | Website | The weekend before the last full weekend of November (weekend before CQWW CW)
Manchester Mineira contest | CWJFMM | Setup | Website | South American CW only contest by CWJF
Michigan QRP Contest | ARCI | Setup | Website | This contest supports 4 Michigan QRP contests Select ARCI contest (same rules)
NA Sprint - CW / SSB | SPRINTCW SPRINTSSB | Setup | Website | CW: First Sunday in February SSB: Sunday of first full weekend in February CW: Sunday following first Monday in September SSB: Second Sunday following first Monday in September
North American QSO Parties (NAQP) - CW / SSB | NAQPCW NAQPSSB | Setup | Website | CW: Second full weekend in January SSB: Third full weekend in January
NRAU-Baltic contest | NRAUCW NRAUSSB | Setup | Website | 2nd full weekend in January
Oceania contest CW / SSB | OCEANIACW OCEANIASSB | Setup | Website | SSB: First weekend in October CW: Second weekend in October
OK-OM DX contest | OKOMDX | Setup | Website | Second full weekend in November
PA-beker CW / SSB contest | PABEKERCW PABEKERSSB | Setup | Website | Second full weekend in November Local Dutch CW and SSB contest
PACC contest | PACC | Setup | Website | First full weekend of February
Portugal Day Contest | PORTUGAL | Setup | Website | Second Saturday of June
QSO parties (US and Canada) | QSOPARTY |  |  | See next chapter/section.
RAC Canada Day Contest RAC Canada Winter Contest | RAC | Setup | Website | Both contests have the same rules
RAEM contest (E.T.Krenkel contest) | RAEM | Setup | Website | Fourth full weekend of December
REF DX contest | REFCW REFSSB | Setup | Website | CW: last weekend of January SSB: last weekend of February
RSGB 1.8MHz CW contests | RSGB160CW | Setup | Website | CW only. In February and November
RSGB Jubilee | RSGBJUBILE | Setup |  |
Russian District Award Contest (RDAC) | RDAC | Setup | Website |
Russian DX | RUSSIANDX | Setup | Website |
Russian YL/OM contest | RUSYLOM | Setup | Website | Website in Russian
SAC | SACCW SACSSB | Setup | Website |
SP DX contest | SPDX | Setup | Website | First full weekend of April (15:00-15:00 GMT)
Stew Perry Topband Distance Challenge | STEWPERRY | Setup | Website | Last full weekend of December
UBA DX Contest CW/SSB | UBACW UBASSB | Setup | Website | SSB: last weekend of January CW: last weekend of February
UBA ON contest | UBAON | Setup | Website | Last Sunday September: 6 m Phone/CW First Sunday October: HF - 80 m SSB Second Sunday October: HF - 80 m CW Third Sunday October: 2 m Phone/CW
UBA Spring | UBASPRING | Setup | Website | Second Sunday March: HF - 80m CW Third Sunday March: VHF-6m Phone/CW Fourth Sunday March: VHF-2m Phone/CW First Sunday April: HF - 80m SSB
Ukrainian DX contest | UKRAINDX | Setup | Website | First full weekend of November
UK DX Contest - CW/SSB | UKDXCW UKDXSSB | Setup | Website |
WAEDC-Contest | WAECW WAESSB | Setup | Website | The starter for the new Contest season.
Worked All Germany (WAG) contest | WAG | Setup | Website | October, third full weekend
YO DX HF contest | YOHFDX | Setup | Website | Last weekend in August

QSO Parties (CW/SSB)

The QSO parties below are supported.
Select: QSOPARTY and select the correct state in the dropdown box which will appear.
The QSO parties use a configuration file named 'County.sec' with the used sections per qso party.
See the Setup for more information. There are some scoring anomalies with the qsoparties.

United States

QSO party |  | QSO party |  | QSO party |  | QSO party
Alabama (AL) | Website | Alaska (AK) |  | Arkansas (AR) | Website | California (CA) | Website
Delaware (DE) | Website | Florida (FL) | Website Setup | Georgia (GA) | Website | Hawaii (HI) | Website
Indiana (IN) | Website | Illinois (IL) | Website | Kansas (KS) |  | Kentucky (KY) | Website
Louisiana (LA) | Website | Maryland DC (MD) | Website | Michigan (MI) | Website | Minnesota (MN) | Website
Missouri (MO) | Website | Montana (MT) |  | Nebraska (NE) | Website | New England (NEWE) | Website
North Carolina (NC) | Website | New Jersey (NJ) | Website | Nevada (NV) | Website | Ohio (OH) | Website
Oklahoma (OK) | Website | Oregon (OR) | Website | Pennsylvania (PA) | Website Setup | South Carolina (SC) | Website
South Dakota (SD) |  | Tennessee (TN) | Website | Texas (TX) | Website | Vermont (VT) | Website
Virginia (VA) | Website | Wisconsin (WI) | Website | Washington State Salmon Run Contest (WA) | Website | West Virginia (WV) | Website

Canada

QSO party
Ontario (ON) Website

Supported VHF CW/SSB contests

Contest | Log Type | Jump to | Website | Remarks
ARRL January VHF Sweepstakes | ARRLVHFJAN | Setup | Website | January
ARRL June VHF QSO Party | ARRLVHFJUN | Setup | Website | June
ARRL September VHF QSO Party | ARRLVHFSEP | Setup | Website | September
IARU Region 1 50 MHz contest | VHFREG1 | Setup | Website | Only 50 MHz - June
IARU Region 1 144 MHz September contest |  |  | Website | Only 144 MHz - September
IARU Region 1 UHF/Microwaves October contest |  |  | Website | UHF and Microwaves - October
Other Region 1 VHF and up contests |  |  | Website | VHF and up - March, May, July
Marconi CW contest 144 MHz / 50 MHz | VHFREG1 | Setup | Website |
NRAU Activity Contest | VHFNAC | Setup | Website |
REF Departments contest 50 MHz | DDFM50 | Setup | Website | Only 50 MHz
VHF HG OB contest | VHFHGOB | Setup |  | Local Hungarian VHF contest.
VRZA regio contest | REGIOVHF | Setup | Website | Dutch contest, every month
UKSMG sporadic-E competition | UKSMG | Setup | Website |

Supported RTTY/PSK contests

All contests are supported 'both' sides unless specifically mentioned.

Contest | Log Type | Jump to | Website | Remarks
ANARTS WW RTTY contest | ANARTSRTTY | Setup | Website | Second full weekend of June
Anatolian RTTY contest | ANATOLRTTY | Setup | Website | Third full weekend in May
ARRL RTTY Roundup | ARRLRTTY | Setup | Website | First full weekend of January (not on January 1)
BARTG RTTY Spring contest | BARTGSRTTY | Setup | Website | Third full weekend in March
BARTG RTTY Sprint contest | BARTGRTTYS | Setup | Website | End of January
CQ World Wide DX contest - RTTY | CQWWRTTY | Setup | Website | Last full weekend of September (48 hours)
CQ World Wide WPX contest - RTTY | CQWPXRTTY | Setup | Website | Second full weekend of February
CIS DX RTTY contest | CISDXRTTY | Setup | Website | Commonwealth of Independent States
DL-DX RTTY contest | DLDXRTTY | Setup | Website | First full weekend of July
EA PSK31 contest | EARTTY | Setup | Website | Select EARTTY as contest . Set Mode Control as "Always PSK31"
EA RTTY contest | EARTTY | Setup | Website | First full weekend of April
JARTS WW RTTY contest | JARTSWWRTY | Setup | Website | Third full weekend in October
Makrothen RTTY contest | MAKRORTTY | Setup | Website | Second full weekend in October
NA Sprint - RTTY | SPRINTRTTY | Setup | Website | Sunday of second full weekend in March Sunday of second full weekend in October
North American QSO Parties (NAQP) - RTTY | NAQPRTTY | Setup | Website | Last full weekend in February
OK DX RTTY Contest | OKDXRTTY | Setup | Website | Third full weekend in December
Quick PSK63 Contest | SARTGRTTY | Setup | Website | PSK63. Uses SARTG rules. First Saturday of September
Russian DX RTTY contest | RUSDXRTTY | Setup | Website | RTTY. First Saturday of September
SARTG New Year RTTY Contest | SARTGNYRTY | Setup | Website | January 1st
SARTG WW RTTY Contest | SARTGRTTY | Setup | Website | Third weekend in August
SCC RTTY Championship | SCCRTTY | Setup | Website | Last full weekend in August
SP DX RTTY contest | SPDXRTTY | Setup | Website | 4th full weekend of April
TARA Grid Dip contest | TARAGRID | Setup | Website | RTTY and PSK. First Saturday of August
TARA PSK Rumble | TARAPSK | Setup | Website | PSK31. First Saturday of October
TARA RTTY Melee | TARARTTY | Setup | Website | RTTY. First Saturday of December
Ukrainian DX RTTY contest | UKRAINRTTY | Setup | Website | First full weekend of November
UK DX Contest - RTTY | UKDXRTTY | Setup | Website | Second full weekend of July
Volta RTTY Contest | VOLTARTTY | Setup | Website | Second full weekend in May
WAEDC RTTY Contest | WAERTTY | Setup | Website | Second full weekend in September
XE RTTY contest | XERTTY | Setup | Website | First full weekend of February

I'm missing my contest, what to do?

If the contest is not direct supported by the program there are two options

1. Use a 'general' contest like DXSERIAL, DX etc.

To run the contest and do the log creation after the contest using notepad or so. When Cabrillo is the log requested, create the Cabrillo log and update the header. The contest sponsor will calculate the multipliers and points.This is the way to go for the many small, mostly local, contests around.

2. Request that the contest becomes one of the supported contests by the program.

First, it would be good, whenever someone requests support for a particular contest, to have an indication of the number of entries the contest received during the previous year's running. I'm not suggesting a threshold below which contests will not be supported, but that knowing this is helpful in prioritizing for the people who do the work. In the past we have had requests to support contests that had fewer than 10 entries the previous year.

Second, it is part of the nature of the N1MM Logger project that users, and particularly those users requesting support for a particular contest, are the people who are relied upon to test and be sure the contest module does what it is supposed to do. It is particularly important in this context to test far enough in advance of the running of a contest so that any problems can be identified and fixed. So users will do well to check each contest as it is coming up.

And of course only when the programmer has time to create it! So do not ask days but better many weeks or months before the contest runs to have it implemented so there is time to create it and test it thoroughly.

If you identify bugs or propose contest-specific features during the running of a contest, don't expect them to be fixed immediately. Contest-specific things are on a calendar to be addressed before the next running. Of course, defects in Cabrillo output are an exception, since they need to be fixed for score submission and are can be done in the weeks after the contest.


Contest Setup Instructions

General

When a contest has a specific mode (SSB, CW or RTTY) then the Sent Exchange is automatically changed to that mode. So when you select CQWWSSB for the CQ World Wide SSB contest the Sent Exchange will be set by the program to SSB. You can change this but that will give wrong Cabrillo output and maybe even erroneous behavior of the program, so don't!!
If the selected contest doesn't have a specific mode the program will set the Sent Exchange to MIXED.
Also the radio will be set on all bands to the mode set. The frequency though is not being changed to the CW/SSB/RTTY section of the band.

This is a contest program but for general logging you can use DX as the selected contest if you want. Dupes are allowed and an exchange is not necessary.
To import a contest in your regular logging program use ADIF export (and ADIF import in your general logging program).

When going through the possible contests you will see a "contest" DELETEDQS.
This is not a contest but deleted QSO's will be put in here by the program, this is especially for multi-user support. Deleted QSO's in this contest can be exported.

The maximum receive number is 99999 (for serial number contests). Check out info about the used serial number server in the chapter Advanced Functions .
Note icon Note: Always read the contest instruction from the contest committee prior to the contest. Then you know how to set up the program, what exchange to give and what to expect in return, which hours to operate etc.

General contest logging

DX log

    Window: Select Log type

    • Log Type: DX
    • Mode Category: MIXED If you want to have the possibility of making SSB and CW contacts.

    For general or DX logging.

    • Entered QSO's in General log (or DX log) don't need to have an exchange.
    • Dupes are shown by the word Dupe! but the qso can be logged.

DXpedition

    Window: Select Log type

    • Log Type: DXPEDITION
    • Mode Category: MIXED If you want to have the possibility making SSB and CW contacts.

    For DXpedition logging.

    • Entered QSO's in the DXPEDITION log don't need to have an exchange.
    • Dupes are shown by the word Dupe! but the qso can be logged

DXSERIAL

    Window: Select Log type

    • Log Type: DX SERIAL
    • Mode Category: MIXED If you want to have the possibility of making SSB and CW contacts.

    For general Serial number contest logging.

    • Entered QSO's in DXSERIAL don't need to have an comment.
    • Dupes are shown by the word Dupe! but the qso can be logged.
    • 'Standard' points calculation; 1 point per qso, DXCC countries are counted.
      • All other kind of multiplier and point calculations have to be done by hand
      • This for all not supported serial number contests

DX satellite

    Window: Select Log type

    • Log Type: DXSATELLIT
    • Mode Category: MIXED If you want to have the possibility making SSB and CW contacts.

    For Satellite logging.

    • Entered QSO's in the DXSATELLIT log don't have an exchange and don't need to have a grid.
    • When a grid is entered it needs to be 4 or 6 characters long.
    • Dupes are shown by the word Dupe! but the qso can be logged.

VHFDX

    Window: Select Log type

    • Log Type: VHFDX
    • Mode Category: MIXED If you want to have the possibility making SSB and CW contacts.

    For VHF and up logging.

    • Entered QSO's in the VHFDX don't need to have a grid.
    • When a grid is entered it needs to be 4 or 6 characters long.
    • Dupes are shown by the word Dupe! but the qso can be logged.
    • Bearing info is shown in the log window and saved in the Misc field.
    • Distance info is shown in km in the log window and saved in the Points field.

HF CW/SSB contests

9A CW contest

The 9A (Croatian) CW contest is a CW only contest.
  • Window: Select Log type
    • Log Type: 9ACW
    • Mode Category: CW
    • Sent Exchange: 001

All Asian CW / SSB

The All Asian contest can be used by Asian stations and DX stations.
  • Window: Select Log type
    • CW
      • Log Type: ALLASIACW
      • Sent Exchange: Your age Example: 34
        • XYL and YL stations may give 00
    • SSB
      • Log Type: ALLASIASSB
      • Sent Exchange: Your age Example: 34
        • XYL and YL stations may give 00

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call' ) determines if you are an Asian station or a non-Asian station.

Asia-Pacific Sprint CW / SSB

The Asia-Pacific Sprint contest can be used by Asia-Pacific stations and DX stations.
  • Window: Select Log type
    • CW:
      • Log Type: APSCW
      • Sent Exchange: 001
    • SSB:
      • Log Type: APSSSB
      • Sent Exchange: 001

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call' ) determines if you are an Asia-Pacific station or a DX station.

ARCI QRP Contests & Michigan QRP Contest

The ARCI contest supports 7 ARCI QRP Contests. The Michigan QRP Contest almost has the same rules.
  • Window: Select Log type
    • Log Type: ARCI
    • Mode Category:
      • CW
        • for Spring QSO party ; HootOwl Sprint ; Summer Homebrew Sprint ; Fall Qso Party ; Holiday Spirits ; Michigan QRP Contest
      • SSB
        • for Winter Fireside
      • MIXED
        • for Topband Sprint
    • Sent Exchange:
      • First Part
        • State abbreviation for USA stations. Example: CT
        • Province abbreviation for VE stations. Example: ONT
        • Country abbreviation for non US or VE stations. Example: DL
      • Second Part
        • ARCI number for ARCI members
        • Send power for non-ARCI members
  • Log Window: Mult = DXCC Mult2 = Section (State or Province) Example: CT
  • Power is recognized being a non numeric number. Example: 100W is power, 100 is a member number.
  • There is a check on provinces and states, no check on countries. The program will give a proposal for the country prefix if non VE or K.
  • No calculations made for power multi or Bonus Points, this has to be done by the operator after the contest on the summary sheets.
  • Select CW, SSB or MIXED as 'mode Category 'to have the multiplier window work correct.
  • It is allowed by the program that stations work each other in the contests in both modes even when only CW or SSB is allowed according the rules. I assume the operator knows the rules...

ARI International DX Contest

The ARI International DX contest can be configured for Italian stations and DX stations.
  • Window: Select Log type
    • Log Type: ARIDX
    • Sent Exchange:
      • 001 for non-Italian stations
      • Your Province for Italian stations

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Italian station or a DX station.

ARRL 10 Meter contest

The ARRL 10M contest can be used by K/VE stations and DX stations.
  • Window: Select Log type
    • Log Type: ARRL10M
    • Sent Exchange:
      • Your state/province - for K/VE stations Example: NY
      • 001 - for DX stations (non K/VE)

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a W, KH6, KL7, VE station.

All non-28 MHz spots are marked as unworkable.

ARRL 160 Meter contest

The ARRL 160M contest can be used by K/VE stations and DX stations.
  • Window: Select Log type
    • Log Type: ARRL160 (not ARRL160M if shown)
    • Mode Category: CW
    • Sent Exchange:
      • ARRL/RAC section - for ARRL/RAC stations Example: VI
      • <nothing> - DX stations don't need to enter anything here (non K/VE), DX stations only send a report, no further exchange.

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or an ARRL/RAC station.

The ARRL/RAC stations can be found at http://www.arrl.org/contests/sections.abv.html "
The contest module accepts for /MM and /AM stations as ITU zones: R1, R2 or R3.
All non-160 meter spots are marked as unworkable.

ARRL Field Day contest

The ARRL Field Day contest can only be used by US (K, KL and KH) & Canada stations (i.e. there are more FD contests outside the US & Canada which are not supported).
  • Window: Select Log type
    • Log Type: FD
    • Sent Exchange:
      • Your Class Your section

Here is word from Dan Henderson from the ARRL contest branch on using Cabrillo for your log submission.

Field Day is not included in the Cabrillo format. It has no way to mark/indicate power sources, GOTA station callsigns, bonus points, NTS traffic messages, etc. Also, Field Day only requires Dupe Sheets, not full logs. It is perfectly acceptable to include the Cabrillo log in lieu of the Dupe Sheets, but Field Day must have a completely filled out Summary sheet that includes all necessary information. This can be done with a "reasonable facsimile" electronically. However, since "proofs of bonus" (i.e. copies of letters to newspapers, visitor logs, photos, etc) are abundantly provided, most people find it easier to do Field Day via the regular mail - and use a combined system of part-electronic added to the paper summaries. Anything received electronically for Field Day will be receipted but we may have to manually follow up if we can't get the basic required information from the email.

73' Dan Henderson, N1ND

ARRL International DX contest - CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: ARRLDXCW
      • Mode Category: CW
      • Sent Exchange: Your state/province - for K/VE stations Example: NY
      • Sent Exchange: Power - for DX stations (non K/VE) Example: 200
    • SSB
      • Log Type: ARRLDXSSB
      • Mode Category: SSB
      • Sent Exchange: Your state/province - for K/VE stations Example: NY
      • Sent Exchange: Power - for DX stations (non K/VE) Example: 200

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX stations or a W/VE station.

    The default power for DX stations is:
    • 100 Watts - Default
    • 200 Watts - For the following countries: UA, UA2, UA9, UK, UN, UR, R1FJ, R1MV
    • 400 Watts - For the following countries: G, GM, GI, GD, GM, GM/s, GW
    • 500 Watts - For the following countries: I, IS, IT9

Give 'Space' when the cursor is in the callsign field to have the 'Power' field filled with the default power. The default power will only be entered when the Power filed is empty. If you type another power level, it will replace the default power that the program put in there.

Some stations give K or KW for 1000 watts. You don't have to enter 1000, just type K. The log checking software from the contest committee will understand.

Call History for DX stations: When Call History is selected and a file is imported with US callsigns and States, the bandmap will be checked against the log and the callhistory and colored for mults when needed. So incoming spots will be colored when they are a qso, dupe or mult and found in the log or callhistory.

ARRL November Sweep Stakes - CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: SSCW
      • Mode Category: CW
      • Sent Exchange: Precedence Year first licensed ARRL/RAC section Example: B 70 EMA (and in this order!)
    • SSB
      • Log Type: SSSSB
      • Mode Category: SSB
      • Sent Exchange: Precedence Year first licensed ARRL/RAC section Example: B 70 EMA (and in this order!)
  • Spaces are required in the exchange except between the Nr & Prec. You may put the exchange elements in out of order and repeat them. The last one will be used.
  • The cursor is positioned at the end of the exchange when swapping radios.
  • Ambiguous exchanges are shown in blue (Nr > 9 & Nr < 100)

1. Select log type and mode
2. In the contest selection dialog, enter B 55 CT or whatever you Prec, Ck & Section are.
3. Right click on the CW message buttons and change F2 to: # {EXCH}. If you have separate run & S&P buttons, you may have to do it twice.
4. If you want or don't want leading T's for the numbers, check the appropriate box in the configurer.

Sweepstakes has different support in the logging program from any other contest because it is a five part exchange (call, nr, prec, ck, section). There are two text boxes for this and not six. The first is for the call. The second is for ALL five. The larger (second) textbox will allow you to enter any of the exchange elements in any order. There are some rules that are used to interpret ambiguous information, but you can always look at the frame above the textbox to tell what the program thinks you are trying to log.

Here are some examples of exchanges and what they mean:

261 A 55 CT | 261A 55 CT |
12B Q CT 61 | 12B 61 CT |
12B Q CT 61 EMA 44 | 61Q 44 EMA |
CO CT 12 13 B | 12B 13 CT |
12A W1XX CT 66 | 12A W1XX 66 CT | W1XX overrides call in call textbox

The rules are:
(You must enter a space between parts, except between Nr & Prec.)
Rule 1, parse from RIGHT to LEFT
Rule 2, when you find a token of a certain type, stop looking for that type
Rule 3, Nr = 1 or 3+ digit number
Rule 4, CK = 2 digit number
Rule 5, Section = 2 character or more alpha token
Rule 6, Prec = 1 digit alpha token
Rule 7, If there is one two digit and one three digit number, than the two digit is the ck & the three digit is the nr.
Rule 8, If there are just two numbers and they are both 2 digits, the first is the nr, the second the ck.

Try it. It's easier to use than it is to describe.

Examples playing WAV files using ESM.

Example 1 - You speak the callsign from the station

  • Put a 'single space' in the callsign button (mostly F5).
  • Now what you do is speak the call, Nr 123, then press enter. Your exchange wav file should be something like "Bravo, N1MM, Check 61 Connecticut"

Example 2- The program speaks the callsign from the station

  • Put ! in for the callsign wav file. That will speak the call.
  • Put #wav\ssexch.wav in for the exchange wav file.
    • Don't forget the #, this will send the nr
    • wav\ssexch.wav will send your exchange file (obviously, substitute the name of your exchange wav file)
    • Now ESM will say when responding to W1AB this when pressing enter: Whiskey One Alpha Bravo One Two Three Bravo, N1MM, Check 61 Connecticut

Asia-Pacific Sprint Contest CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: APSCW
      • Mode Category: CW (spring and fall)
      • Sent Exchange: 001
    • SSB
      • Log Type: APSSSB
      • Mode Category: SSB (summer)
      • Sent Exchange: 001

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX stations or an Asia-Pacific station.

Baltic contest

The Baltic contest can be configured for stations from the Baltic countries (ES, YL, LY) and DX stations.
  • Window: Select Log type
    • Log Type: BALTIC
    • Sent Exchange: 001

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a Baltic station.

CNCW Spanish contest

The CNCW contest (EA CW NATIONAL CONTEST) is only for Spanish stations operating inside the national territory.
  • Window: Select Log type
    • Log Type: CNCW
    • Mode Category: CW
    • Sent Exchange: Spanish Province letters Example: SG

CQ-M International DX contest

  • Window: Select Log type
    • Log Type: CQM
    • Mode Category: Select what category you enter (SSB, CW or Mixed)
    • Sent Exchange: 001

CQ 160 Meter DX contest - CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: CQ160CW
      • Mode Category: CW
    • SSB
      • Log Type: CQ160SSB
      • Mode Category: SSB
      • Sent Exchange:
        • Your state/province - for K/VE stations Example: NY
        • Your country abbreviation - for DX stations (non K/VE)

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX stations or a W/VE station.

All non-160 meter spots are marked as unworkable.

CQ World Wide DX contest CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: CQWWCW
      • Mode Category: CW
      • Sent Exchange: Your zone Example: 14
    • SSB
      • Log Type: CQWWSSB
      • Mode Category: SSB
      • Sent Exchange: Your zone Example: 14
  • The default zone values for US (K,N,W,A) stations are
    • Zone 3 - If number in callsign is 6 or 7
    • Zone 4 - If number in callsign is 5 or 8 or 9 or 0
    • Zone 5 - If number in callsign is 1 or 2 or 3 or 4
  • The default zone values for Canadian (VE) stations are
    • Zone 1 - If callsign starts with: VY1
    • Zone 2 - If callsign starts with: VE2, VO2
    • Zone 3 - If callsign starts with: VE7, VC7
    • Zone 4 - If callsign starts with: VE3, VE4, VE5, VE6, VA3
    • Zone 5 - If callsign starts with: VO1, VE1, XJ1, VY2
  • Give 'Space' when the cursor is in the 'Callsign' field to have the 'Zone' field filled with the default value.
  • The default zone will be selected, so that if you type another zone, it will replace the numbers that the program put in there.
  • For US users, Ctrl+Up/Ctrl+Dn doesn't stop at US stations.
  • US spots are not grayed out for Canadian users
  • Don't show and count own countries as workable in the Bandmaps and the Available window
  • A new zone will be shown in red in the Entry window
  • Band changes
    • The allowed band changes are 8 for all CQ Contests
    • The band change counter is reset to 0 on first contact after the top of the hour
  • The program will look up the zone if the call has been changed, provided no zone was typed by the user.

CQ World Wide WPX contest - CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: CQWPXCW
      • Mode Category: CW
      • Sent Exchange: 001 i.e Serialnumber Example: 001
    • SSB
      • Log Type: CQWPXSSB
      • Mode Category: SSB
      • Sent Exchange: 001 i.e Serialnumber Example: 001
  • Leading zeros are being forced on sent & received serial numbers.
  • Band changes
    • The allowed band changes are 8 for all CQ Contests
    • The band change counter is reset to 0 on first contact after the top of the hour

CIS contest - CW / SSB

The Commonwealth of Independent States Contest where everybody can work everybody for QSO and multiplier credit.
  • Window: Select Log type
    • Log Type:
      • CW: CISCW
      • SSB: CISSSB
    • Sent Exchange:
      • CIS stations: CIS area code Example for Moscow City: RU11
      • Non-CIS stations: 001

Cup of the Russian federation (RFC) contest - CW / SSB

The RFC Contest is an internal Russian contest only between Russian stations.
  • Window: Select Log type
    • Log Type:
      • CW: RFCCW
      • SSB: RFCSSB
    • Sent Exchange: Grid Example: 115

DARC 10 meter contest

  • Window: Select Log type
    • Log Type: DARC10M
    • Mode Category: MIXED or CW (depends on the entry class)
    • Sent Exchange:
      • DL stations: DOK Example: A12
      • non DL stations: empty

Call history lookup for DOK's is supported. Make a text file with Call and DOK and import this in the program. See the chapter Before the Contest for information how to use Call History and how to create the text file. During the contest "Call History Lookup" has to be enabled under the Config menu. When a station (which is in the Callhistory lookup table) is entered, pressing SPACE when the cursor is in the callsign field will enter the DOK in the section field.

The contest manager from the DARC 10 meter contest approved and will accept the files made by N1MM logger and likes to receive:

File | How to make... | Exported
Log file | File, Export, Export to File (Generic), Generic File Output sorted by time | [callsign].txt
Summary sheet | File, Export, Print Score Summary to File | [callsign].sum
  • Send the "Generic File Output sorted by time" as a txt-File named with your call like DL8WAA.TXT
  • Don't forget your used own call, category and if you are a DL station: own sent DOK. This can be put in the Email or sent in the Cabrillo file.

DARC Weihnachtswettbewerb (XMAS contest)

The DARC Weihnachtswettbewerb is a contest on December 26 from 08.30-10.59 UTC between any station on 40 and 80 meters.
The DARC contest manager for the Xmas contest accepts the standard generic file as log together with the summary sheet..
  • Window: Select Log type
    • Log Type: XMAS
    • Mode Category: MIXED
    • Sent Exchange:
      • DL stations: Serialnumber + DOK Example: 001 A12
      • Non-DL stations: Serialnumber Example: 001

During the contest info about suspicious DOK's are shown in the info bar and written to the Notes filed.
After the contest check 'View | Notes' for the following situations:

  • "DL station non DARC member" - no DOK is given (DL station who is not a DARC member).
  • "DL station with DOK length 1" - DOK length is only one.
  • "DOK with only numbers" - no letters in DOK.

European Sprint - CW/ SSB (EU sprint)

  • Window: Select Log type
    • CW
      • Log Type: EUSCW
      • Mode Category: CW
      • Sent Exchange: Serialnumber & Operator name Example: 001 Tom
    • SSB
      • Log Type: EUSSSB
      • Mode Category: SSB
      • Sent Exchange: Serialnumber & Operator name Example: 001 Tom

Example: The Exchange key (F2) can look like this: de * # {Exch} where "#" is current QSO Number and "{Exch}" is the Operator name.

EU HF Championship

  • Window: Select Log type
    • Log Type: EUHFC
    • Sent Exchange: Last two digits of the year of operator's first official amateur radio license Example: 82 (for 1982)

Field Day Region I

The Region I field day contest can be configured for Region 1 stations and DX stations. Supported are the rules for stations in Belgium, Germany, Great Britain, Netherlands, Switzerland, Ireland (only CW) Slovenia (S5) and Russia (UA, UA2, UA9).
  • Window: Select Log type
    • Log Type: FDREG1
    • Sent Exchange: 001

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a Region 1 supported station or not and if you are /P etc. or not..

N1MM Logger checks whether the callsign used is a portable or a fixed station by checking the callsign in the Station dialog under config ! So using a /P, /M etc there could make a difference in scoring!

FOC marathon

  • Window: Select Log type
    • Log Type: FOCCW
    • Sent Exchange: membership number
NB. The calculation of bonus points for working the same station on 5 (10 additional points) or on 6 bands (an extra 5 points) is not supported by the program.
Martin/OK1RR and John/G3WGV have post contest routines to rescore the contest from a Cabrillo file to a fully correct (including the 5/6 band bonuses).

GACW WWSA CW DX contest

The GACW WWSA CW DX contest can used by South American stations and DX stations.

  • Window: Select Log type
    • Log Type: GACW
    • Mode Category: CW
    • Sent Exchange: Your zone Example: 14
  • The rules are almost equal to the CQWW contests.
  • Default zones for US (K,N,W,A) and Canadian (VE) stations apply

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a SA station or a DX station.

HA DX Contest

The Hungarian DX Contest can be configured for HA stations and DX stations.
  • Window: Select Log type
    • Log Type: HADX
    • Sent Exchange:
      • non-HA stations: 001
      • HA stations
        • HADXC members: HADXC membership number Example: 101
        • Other HA stations: two letters county code. Example: GY

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a HA station or a DX station.

Helvetia Contest

The Helvetia Contest can be configured for HB stations and DX stations.
  • Window: Select Log type
    • Log Type: HELVETIA
    • Sent Exchange:
      • 001 for non-HB stations
      • 001 Your Canton Example: ZH for HB-station

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a HB station.

High Speed CW Contest

The HSC CW contest can be configured for members and non-members.
  • Window: Select Log type
    • Log Type: HSCCW
    • Mode Category: CW
    • Sent Exchange:
      • Non-members: NM
      • Members: HSC-Membershipnumber

Holyland Contest

The Holyland Contest can be configured for 4X stations and DX stations.
  • Window: Select Log type
    • Log Type: HOLYLAND
    • Sent Exchange:
      • 001 for non-4X stations
      • Your Area Example: E15RH

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a 4X station.

IARU Radiosporting contest HF

  • Window: Select Log type
    • Log Type: IARU
    • Mode Category: CW or SSB or MIXED
    • Sent Exchange:
      IARU member society abbreviation for IARU member society HQ stations and IARU International Secretariat club station
      • AC for IARU Administrative Council
      • "R1," "R2," and "R3" for the three IARU regional Executive committees
      • ITU zone for all other stations Example: 27

IOTA - Islands On The Air contest

  • Window: Select Log type
    • Log Type: IOTA
    • Sent Exchange: 001 NA123 (default exchange)

The received IOTA reference does not need the dash (-) when logged. Example: Enter EU123 in the IOTA field not EU-123. The Cabrillo output will automatically have the - added.

N1MM logger uses separate numbering for CW and SSB
The rules from the IOTA say: Send RS(T) and serial number starting from 001, bonus IOTA reference number if applicable. Do not use separate numbering systems for CW and SSB.
A reply from Don Field, the IOTA contest Manager on this subject: " The key thing is to record what was sent - if different serial number sequences were sent on each band, then record that. Then the checking software won't bring them up as busted QSO's."

JA domestic contests

This is a general contest class for Japanese domestic contests and only for use by JA stations.
  • Window: Select Log type
    • Log Type: JAdomestic
    • Sent Exchange: Section + class Example: 25M or 10L

General rules:

  • Japanese stations may only work Japanese stations
  • Example exchange numbers in ALL JA contest with assuming as follows.
    • I am in Osaka with 100W output and another party is in Tokyo with 10W.' send:59925M receive:59910L
    • I am in Okinawa with 1KW output and another party is in Sapporo in JA8 with 50W. send:59947H receive:599106M
  • Dupe and multiplier examples
    • 20 mtr JE1CKA 10H SSB 1 point + multiplier
    • 20 mtr JE1CKA 10H CW 0 points dupe, no multiplier
    • 20 mtr JE1CKA 10H SSB 0 points dupe, no multiplier
  • Same station should counts for 1 point only once on each band regardless of mode.
  • The multiplier counts once on each band regardless of mode.

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a JA station.

JIDX contest

This JIDX contest contest can be configured for Japanese stations and DX stations.
  • Window: Select Log type
  • CW
    • Log Type: JIDXCW
    • Mode Category: CW
    • Sent Exchange:
      • non-JA stations: CQ Zone number Example: 14 (01 to 40)
      • JA stations: Your Prefecture Example: 34 (01 to 50)
  • SSB
    • Log Type: JIDXSSB
    • Mode Category: SSB
    • Sent Exchange:
      • non-JA stations: CQ Zone number Example: 14 (01 to 40)
      • JA stations: Your Prefecture Example: 34 (01 to 50)

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a JA or a DX station.

King of Spain Contest

The King of Spain contest can be configured for EA stations and DX stations.
  • Window: Select Log type
    • CW
      • Log Type: KINGEACW
      • Mode Category: CW
      • Sent Exchange:
        • non-EA stations: 001
        • EA stations: Your Province Example: AV
    • SSB
      • Log Type: KINGEASSB
      • Mode Category: SSB
      • Sent Exchange:
        • non-EA stations: 001
        • EA stations: Your Province Example: AV

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a EA station.

LZ DX Contest

The LZDX contest can be configured for LZ stations and DX stations.
  • Window: Select Log type
    • Log Type: LZDX
    • Sent Exchange:
      • non-LZ stations: ITU zone
      • LZ stations: Your District abbreviation Example: BU

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a LZ station.

Manchester Mineira Contest

The 'Manchester Mineira Contest by CWJF is the major CW contest in South America. Only South American stations are allowed to work each other.

  • Window: Select Log type
    • Log Type: CWJFMM
    • Mode Category: CW
    • Sent Exchange: M, YL, QRP or Space (not empty)

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a South American station.

Michigan QRP Contest

See the ARCI contest which uses the almost the same rules.
Supported are: January CW Contest ; Memorial Day CW Sprint ; July 4th CW Sprint ; Labor Day CW Sprint

NA Sprint CW / SSB

  • Window: Select Log type
    • Log Type:
      • CW: SPRINTCW
      • SSB: SPRINTSSB
    • Sent Exchange: 001 Tom CT
      • Serial number, your name and your location (state, province or country) Example: PA1M DE N1MM 123 TOM CT K

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a North American station or a non-North American station.

  • Example functionkeys can be found in the chapter 'Example Function keys'.
  • Check out the 'Macros' chapter. Great for Sprint are the macros {PGUP} and {PGDN}.
  • How to prevent callsigns in the frame of the callsign field
    • During the sprint you can turn off the bandmaps, they are not very useful in this contest
    • If that is not sufficient, you can turn off "Show non-workable spots". Be sure to turn it back on for other contests. Showing dupes and non-workable stations is one of the best features of the program (but, unfortunately, not for Sprint).
    • Use Alt+D to remove the spot from the bandmap & call frame.
    • Do NOT turn on "QSYing wipes the call& spots QSO in bandmap (S&P)" for the Sprint. That is exactly what you don't want. It is a great feature, but only for contests where stations are allowed to run. It makes it easy to come back to a station that was taking too long to make a qso when you first found them.

NA Sprint CW by Kenny, K2KW

North American Sprint CW is just a few hours away, and thought I would take a moment to help others get their CW messages ready. Your messages may differ slightly from mine, but I just wanted to highlight what's happening on the F2 and F3 messages which are the key setup items for Sprint. The F2 exchange is set up to give you the correct sequence for this contest using ESM, and the exchange sequence varies based on if you are Calling CQ, or you answered someone while S&P. F3 is used to confirm the message, and change your state from S&P to Running, or Running to S&P. The {RUN} and S&P} macros are inserted at the end of the F3 message, and will automatically change your state, and thus exchange sequence.

I have also changed the Up/Down Arrow to move 1.5 kHz, giving you an "instant QSY" per the rules. You may choose to use a wider QSY increment, but the goal was to offer you an idea for QSYing so you can abide by the rules.

If you are not aware of the uniqueness of the Sprint exchange and QSY rule, check out: http://n6tr.jzap.com/sprint.html and http://www.ncjweb.com/sprintrules.php

73 and CU in the contest,

Setting the Exchange: File> Choose Which Contest to Log > Sent Exchange | "# yourname yourstate" (eg: # KEN CA)
In the Config > Configurer > Other window | I have changed the CW Up/Down Arrow Incr = 1.5 That gives me an instant QSY somewhat greater than the minimum QSY required after you leave a frequency. Any value over 1 kHz is recommended.

North American QSO Parties (NAQP) - CW / SSB

  • Window: Select Log type
    • CW
      • Log Type: NAQPCW
      • Operator Category: SINGLE-OP or MULTI-TWO
        • For Multi-Two see the extra info below!
      • Mode Category: CW
      • Sent Exchange:
        • For North American stations - Operator name and station location (state, province, or country) Example: Tom CT
        • For non-North American stations - Operator name only Example: Thomas
    • SSB
      • Log Type: NAQPSSB
      • Operator Category: SINGLE-OP or MULTI-TWO
        • For Multi-Two see the extra info below!
      • Mode Category: SSB
      • Sent Exchange:
        • For North American stations - Operator name and station location (state, province, or country) Example: Tom CT
        • For non-North American stations - Operator name only Example: Thomas

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a North American station or a non-North American station.

MULTI-TWO operating: When changing operator you have to use Ctrl+O to set the NAME (not Call) of the operator. This name set with Ctrl+O will be used in the Cabrillo file. So from the Sent Exchange only the state is being used but the name is needed. (Example: Tom CT). The macro {OPERATOR} can be used to automatically switch WAV files (in SSB), for more info see the Macro section.

NRAU - Baltic Contest

This contest is only for stations from the following countries: ES, JW, JX, LA, LY, OH, OHØ, OX, OY, OZ, SM, TF, and YL
  • Window: Select Log type
    • Log Type:
      • CW: NRAUCW
      • SSB: NRAUSSB
    • Sent Exchange: Section Example: AA

When a station is logged the following checks are made:

  • Is the logged station from a valid country ( ES, JW, JX, LA, LY, OH, OHØ, OX, OY, OZ, SM, TF, and YL)
  • Is the entered section a valid section (from NRAU.sec)
  • A warning is given when a qso is made an another band than 7 or 3,5 MHz. A note is made with the logged qso.

Oceania Contest

Supported are the CW and SSB version of the contest
  • Window: Select Log type
    • Log Type:
      • CW: OCEANIACW
      • SSB: OCEANIASSB
    • Sent Exchange: 001

Note: The rules have special instructions for not complete portable callsigns so a prefix can not be deduced normally. Adding numbers like the rules state is not supported and should be done by editing the log file (afterwards). Example: N8BJQ/PA would be PA but is not a valid prefix and should become PA0 (add the zero).

OK-OM DX contest

The OK-OM DX contest can be configured for OK/OM stations and DX stations.
  • Window: Select Log type
    • Log Type: OKOMDX
    • Mode Category: CW (it is a CW only contest)
    • Sent Exchange:
      • Non-OK/OM stations: 001
      • OK/OM stations: district abbreviation Example: BPZ

The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an OK/OM station or a DX station.

PA-beker contest

The PA-beker contest is a local Dutch contest on 40 and 80 meters. The text below is in Dutch.
  • Window: Select Log type
    • Log Type:
      • CW: PABEKERCW
      • SSB: PABEKERSSB
      Sent Exchange:
      • QSL regio Voorbeeld: 27 (en niet R27)
  • QSL regio ingeven en invoeren zonder R dus 27 en geen R27
  • Log, Entry en Score summary geven de juiste scores.
  • De multiplier window (Ctrl+J) geeft onder 'Sect' de gewerkte QSL regios alleen daar wordt de eigen regio wel getoond indien gewerkt.
  • Er zit geen beperking op banden (dus let op dat je op 40 en 80 meter logt).
  • In te zenden log bestanden:
    • File | How to make... | Exported
Log file | File, Export, Export to File (Generic) | [callsign].txt
Summarysheet | File, Export, Print Score Summary to File | [callsign].sum

    PACC contest

    The PACC contest can be configured for PA stations and DX stations.
    • Window: Select Log type
      • Log Type: PACC
      • Sent Exchange:
        • 001 for non-PA stations
        • Your province Example for PA-stations: DR

    PA stations have to import an adapted CTY.DAT file for the PACC contest so the right multipliers will be used. In the 'Entry window' go to 'Tools', and select 'Import country list from downloaded file'. This adapted country file can be downloaded from the N1MM website, under 'Downloads', select in the menu: 'Other Files'. Don't forget importing the original CTY.DAT file again when entering other contests.

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a PA station.

    The PACC contest committee approved and will accept the files made by N1MM logger and likes to receive:
    File | How to make... | Exported
Log file | File, Export, Export to File (Generic) | [callsign].txt
Summarysheet | File, Export, Print Score Summary to File | [callsign].sum

    Note icon PA stations: Vergeet niet op het summarysheet te vermelden de klasse waarin je mee doet en de afdeling voor het afdelingsklassement!

    Portugal Day Contest

    The Portugal Day contest can be used for Portuguese stations (CT, CT3 or CU) and DX stations.
    • Window: Select Log type
      • Log Type: PORTUGAL
      • Exchange:
        • District or Autonome Region for Portuguese stations
        • 001 for DX stations (serialnumber)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a Portuguese station or DX.

    RAC Canada Day Contest / RAC Canada Winter Contest

    With the same set of rules both contests are supported. These RAC contests can be used for VE stations and DX stations.
    • Window: Select Log type
      • Log Type: RAC
      • Exchange:
        • Province or territory for stations in Canada
        • 001 for VEØs and stations outside Canada (serialnumber)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are from Canada, VE0 or outside Canada.

    RAEM CW contest

    The RAEM Contest is CW only and has no multipliers, only points. These points are calculated based on qso points and distance between the stations (based on exchanged coordinates). Extra points are added for polar stations. Extra bonus points for RAEM memorial stations are not added because the call RAEM has no number is will not be accepted by the program. Use RAEM99 or so and update the log and score (300 additional points) after the contest.
    • Window: Select Log type
      • Log Type: RAEM
      • Mode Category: CW (it is a CW only contest)
      • Sent Exchange: 001 & Coordinates Example: 001 53N6O
        • The own coordinates is the second token in Sent Exchange without spaces (one 'word')

    Coordinate rules: These rules apply for the 'Sent Exchange' and also when entering a coordinate in the Entry Window.

    • Own coordinates: Second token in Sent Exchange without spaces (one 'word')
    • First part is the Longitude with at the end N or S Example: 53N
    • Second part is the Latitude with at the end W or O (not E) Example: 6O
    • As a total this makes: 53N6O

    Log and rescore: To generate the log use the Generic log file and the Score summary. Always rescore and check the log. If a qso has 1 point then the Received exchange is not correct. If there are qso's who have gotten 2 points then your Sent Exchange is not correct. Update your Sent Exchange in the contest setup and rescore. Check again.

    Call History: The call history can be used but... the coordinates have to be entered in the Name field of the Call History table. This is the only field which is capable of handling all different coordinates 1N2W but also 67N169O

    REF contest - CW / SSB

    The REFContest can be configured for stations in REF countries and DX stations.
    • Window: Select Log type
      • Log Type:
        • CW: REFCW
        • SSB: REFSSB
      • Sent Exchange:
        • For DX stations: 001
        • For stations in REF countries - Department (F and TK) or Prefix (all other REF countries)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX station or a station in a REF country.

    RSGB 1.8MHz CW Contests

    The RSGB 1.8MHz CW Contests can be configured for UK stations and DX stations.
    • Window: Select Log type
      • Log Type: RSGB160CW
      • Mode Category: CW (it is a CW only contest)
      • Sent Exchange:
        • For DX stations: 001
        • For stations in the UK - 001 & District Example: 001 ZE

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are in the UK or not.

    Serial numbers must be logged from UK stations.
    There is not check by the program if a serial number is entered for non-UK stations. This because their are often several other EU contests going on at the same time and an entrant in those may not send a serial number just an area code like DR (PACC) or a French department like 78. If a non UK station sends a serial number it must be logged in the received serial nr field, if it sends a code like DR is must be logged in the districts field.

    RSGB jubilee contest

    The RSGB jubilee contest can be configured for G stations and DX stations.
    • Window: Select Log type
      • Log Type: RSGBJUBILE
      • Exchange: 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are in the Commonwealth or not.

    Russian District Award contest

    The Russian District Award contest can be configured for Russian stations and DX stations.
    • Window: Select Log type
      • Log Type: RDAC
      • Sent Exchange:
        • Non-Russian stations: 001
        • Russian stations: District code by RDA list (for example TB02)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Russian station or a DX station.

    Russian DX contest

    The Russian DX contest can be configured for Russian stations and DX stations.
    • Window: Select Log type
      • Log Type: RUSSIANDX
      • Sent Exchange:
        • Non-Russian stations: 001
        • Russian stations: Your oblast code (two letters)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Russian station or a DX station.

    Log submission notes:

    'CATEGORY-OVERLAY'. In the RDXC you can submit one log and have it scored as two single band entries. Like operating 10m during day time and 160m at night. Now, this is particular to this contest and you need to submit your log like this:

    CATEGORY-OVERLAY: [operator-cat] [band-cat] [power-cat] [mode-cat] The category overlay of the log submission when appropriate. In RDXC, two single band entries are allowed from one participant. In this case, one entry must be listed under CATEGORY tag, the other one under CATEGORY-OVERLAY, such as:

    • CATEGORY: SINGLE-OP 80M HIGH MIXED
    • CATEGORY-OVERLAY: SINGLE-OP 15M HIGH MIXED

    Russian YL/OM contest

    • Window: Select Log type
      • Log Type: RUSYLOM
      • Sent Exchange:
        • 73 for male stations (OM)
        • 88 for female stations (YL)

    YL stations (female) may only work OM stations (male) and vice versa.

    SAC contest - CW / SSB

    The Scandinavian Activity Contest can be configured for Scandinavian stations and DX stations.
    • Window: Select Log type
      • CW
        • Log Type: SACCW
        • Sent Exchange: 001
      • SSB
        • Log Type: SACSSB
        • Sent Exchange: 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Scandinavian station or a DX station.

    SPDX contest

    The SPDX contest can be configured for Polish stations and DX stations.
    • Window: Select Log type
      • Log Type: SPDX
      • Sent Exchange:
        • 001 for non-SP stations
        • Your province Example: B for Lubuskie

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Polish station or a DX station.

    Stew Perry Topband Distance Challenge

    The Stew Perry contest is CW only.
    • Window: Select Log type
      • Log Type: STEWPERRY
      • Power category:
        • HIGH when > 100 Watt
        • LOW when 10 - 100 Watt
        • QRP when less than 10 Watt
      • Sent Exchange:
        • Your four character grid Example: JO33

    The point calculation in the log is multiplied by a power multiplier for each qso point value. This factor depends on the selected Power category chosen. HIGH is multiplied by a factor 1, LOW by a factor 2 and QRP by a factor 4.

    UBA contest - CW / SSB

    The UBA DX Contest can be configured for ON stations and DX stations.
    • Window: Select Log type
      • Log Type:
        • CW: UBACW
        • SSB: UBASSB
      • Mode Category: CW
      • Sent Exchange:
        • For non-ON stations: 001
        • For ON stations - Serial + Your province Example: 001/OV

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an ON station or a DX station.

    Log submitting for non Belgian stations:

    Before submitting your log look at the page from Franki, ON5ZO at http://users.pandora.be/on5zo/n1mmlogger.htm
    The information tells in English, Dutch and French how to update the category in the Cabrillo file so you are placed in the right category.
    The UBA contest manager approved and will accept the Cabrillo output made by N1MMLogger.

    IMPORTANT NOTE quoted from the rules as found on the UBA website, regarding log submission:

    Log submission info from UBA: <<We need the ADIF (ADI) file which can be generated by each of those programs. Rename the files to MYCALL.ADI and MYCALL.SUM where « MYCALL » is your call sign. Each log submission will include a summary sheet. ...
    The logs sent by E-mail must meet the specifications as outlined above for computer logs. We will confirm reception of your log by E-mail. >>

    Special Setup for Belgian participants:

    How to include your province abbreviation in the Cabrillo output?
    This MUST be done for both SSB and CW contests! Go to Config > Change your Station Data > State field: fill in the abbreviation for your province (OV, VB etc). It is VERY IMPORTANT to do this, as it will determine what you have sent in the log (Cabrillo output), and it is needed by the UBA Contest Team. The official abbreviation (2 letters) for the Belgian Provinces is to be found on the UBA site, under the rules for HF contests.
    Non-Belgian participants can leave this field 'as is', it is only used for Belgian contesters.

    How to send your province abbreviation after the serial number in CW?
     When you have selected to begin a new log for the UBA DX CW contest, you must change the F2 button message to send your province.
    This is done like this; go to: Config > Change Packet /CW/SSB/Digital Message buttons > Change CW buttons In the right column, second row, there is:<<<5nn>>>{EXCH} This means the incrementing serial number. Now you have to add your province abbreviation, preceded by a slash (/). It should look like this: <<<5nn >>>{EXCH}/OV or <<<5nn >>>{EXCH}/AN

    WARNING: Never change the '001' as the Sent Exchange value in the Select Log Type window, as the software will no longer send serial numbers!!!

    UBA ON contest

    The UBA ON Contests (4 in total) can be configured for ON stations and DX stations.
    • Window: Select Log type
      • Log Type: UBAON
      • Mode Category: Select mode used (CW, Mixed, SSB)
      • Sent Exchange:
        • For non-ON stations: 001
        • For ON stations - Serial + Your UBA gewest Example: 001 AAA

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an ON station or a DX station.

    UBA spring

    The UBA Spring contest (4 in total) can be configured for ON stations and DX stations.
    • Window: Select Log type
      • Log Type: UBASPRING
      • Mode Category: Select mode used (CW, Mixed, SSB)
      • Sent Exchange:
        • For non-ON stations: 001
        • For ON stations - Serial + Your UBA gewest Example: 001 AAA

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an ON station or a DX station.

    Ukrainian DX contest

    The Ukrainian DX contest can be configured for Ukrainian stations and non-Ukrainian stations.
    • Window: Select Log type
      • Log Type: UKRAINDX
      • Mode Category: MIXED
      • Sent Exchange:
        • Oblast for Ukrainian stations Example: CH
        • 001 for non-Ukrainian stations

    Note: Countries are counted per band for SSB, CW and RTTY, because RTTY is in a separate contest module they won't be counted correct when a station makes next to SSB and CW also RTTY q's or the other way around...

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Ukrainian station or a non-Ukrainian station.

    UK DX contest CW / SSB

    The UK DX contest can be configured for UK stations and non-UK stations.
    • Window: Select Log type
      • Log Type:
        • CW: UKDXCW
        • SSB: UKDXSSB
      • Sent Exchange:
        • Area code for UK stations Example: BS
        • 001 for non-UK stations

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an UK station or a non-UK station.

    WAEDC contest - CW / SSB

    The WAEDC Contest can be configured for European stations and non-European stations.

    • Window: Select Log type
      • Log Type:
        • CW: WAECW
        • SSB: WAESSB
      • Sent Exchange: 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a European station or a non-European station.

    This contest has QTC Traffic: A QTC contains time, call sign and serial number of the reported QSO. Example: "1307/DA1AA/431" means that DA1AA was worked at 1307 UTC and sent serial number 431

    WAE DX CW / SSB by Franki, ON5ZO

    1. Introduction

    The main character of Worked All Europe (WAE), sponsored by the DARC is that Europe works non-Europe (‘DX’), and stations outside of Europe work all countries on the WAE-list. So far, this is not an unusual contest. However, WAE has something no other contest has, that you’ll either love or hate, being ‘QTC’. What is a QTC? Well, the WAE rules give the following definition:
    A QTC is the report of a contest QSO back to a European station.
    Let’s clear this up a bit. A QTC is a piece of traffic that can only be sent from outside EU (‘DX’) to EU (‘WAE’). DX stations can offer to send them, EU stations will beg to get them. Why? Simply because for both sides each QTC is added to the QSO total. If N1MM makes a QSO with ON5ZO, then they both get 1 point for the QSO. If they decide to exchange 10 QTCs during this QSO, they both have 11 points, being 1 QSO + 10 QTCs. If after the contest, ON5ZO made 300 QSO's, during which he got 500 QTCs, the total score will be 800, to be multiplied with the amount of multipliers. Hence the popularity of the QTCs…

    Now, what does a QTC look like? It has three main parts, being time, call and serial. When exchanging QSO's, the DX station will send the QSO's that are already in his log. He will transmit the three parts of the QSO that make up the QTC. Suppose that N1MM logged ON5ZO at 0123UTC, and ON5ZO gave ‘012’ as his serial to N1MM. Later on in the contest, N1MM runs into 9A7P, who asks for a QTC. N1MM kindly willing to transmit a QTC, sends the following to 9A7P: 0123 ON5ZO 012 So, in other words, N1MM says to 9A7P that at 0123UTC, he logged ON5ZO who gave him 012. So the serial in the QTC is the number given by the EU station to the DX station in their earlier QSO!

    The rules say that a DX station can only send 10 QTCs to a EU station, and it is forbidden for the DX to send a QTC featuring a previous QSO with the same EU station he is currently giving QTCs to. No worries, the software takes care of that. Furthermore, each QSO can only be sent once as a QTC, so a DX station can never have more QTCs sent than QSO's logged. A EU station however, can have much more QTCs than QSO's, as each QSO can raise up to 10 QTCs. A DX station can choose to send 10 QTCs at once during a QSO, or if he has, let’s say 100 QSO's in the log, of which 95 have already been sent once as a QTC, he can send 5 QTCs. The EU station can ask for another 5 QTCs later on in the contest, after another QSO on another band - or on the same band! More on this later.
    The maximum of 10 QTCs can be reached with only 1 QSO, or with 5 QSO's on (5 bands), with each time 2 QTCs. You see, everything is possible. You don’t even need to make a QSO to get QTCs. Suppose that early in the contest, ON5ZO is running, and N1MM calls on 20m. They have a regular QSO and exchange serial numbers. ON5ZO asks ‘QTC?’ but N1MM does want to make some QSO's first and wait to send QTCs towards the end of the contest. 40 hours later, N1MM is running on 20m and ON5ZO comes across, ON5ZO sees that N1MM is a dupe because they QSO’d in the beginning of the contests. However, they did’t exchange QTCs, so ON5ZO asks ‘QTC? de ON5ZO’. N1MM sees that they have worked but indeed: there were no QTCs exchanged in the first hours of the contests, and N1MM is now eager to send all his QSO's as QTCs. N1MM says ‘QTC OK’ and they exchange QTCs, but no serial number for the QSO - because there is no QSO anymore, only the exchange of QTCs.

    But there is more. A series of QTC is to be numbered. The sending station (DX) will initiate the series of QTCs with a number like ‘QTC xx/yy’. This means that the DX stations is sending QTCs for the xx’th time, and this will be a series containing yy QTCs. Suppose N1MM sends ‘QTC 45/8’, this means that it’s the 45th time he’s sending a series of QTCs, and this particular series will contain 8 QTCs.

    Now that we know what a QTC is, what it looks like and why it is sent, let’s look at a real situation using the software. If you start a new contest using the WAE-module, it looks like a normal contest. You set it up with the usual parameters, like Power, Category etc. Don't forget to fill in '001' for the exchange!
    When this is done, you'll see that you have both entry windows. You can use these like you normally would, both in run mode and in S&P.

    2. WAE from EU-side

    This is what a WAE-QSO could look like including some QTCs, with ON5ZO running:

    CQ TEST ON5ZO
    N1MM
    N1MM 5NN 012
    R 5NN 48
    QTC?
    R QTC 12/5 QRV?
    QRV
    0123 PA1M 12
    R
    0124 G4BUO 03
    R
    0124 F6BEE 56
    R
    0125 DL6RAI 89
    R
    0126 9A7P 102
    R TU

    How does it work? After entering the normal QSO, where both stations exchange serial numbers, ON5ZO goes into QTC mode by pressing Ctrl+Z. This triggers the program to send the ‘QTC?’ message to ask N1MM if he wants to give QTCs. At the same time, you’ll notice that the entry window changes a bit, and the cursor will be blinking the ‘N/N’ window. N1MM answers and gives the ‘N/N’ part, so ON5ZO logs ‘12/5’. Hitting spacebar moves to the next window, and you’ll send ‘QRV’ (with your paddle, for the time being), so the DX knows you’re ready to copy the QTCs. Each time you copy a part of the QTC and want to move to the next field, you press the spacebar. When you have a complete QTC, i.e. time/call/serial, you hit Enter and the program sends a confirming ‘R’, so the DX knows you got it OK and he can start transmitting the next QTC. If the series of QTCs is copied and you’re done with this calling station, you press F3, which is the Thank You message, the program will send this TU message and close the QTC-mode, returning to normal QSO mode.
    Remark: Sometimes DX stations don’t repeat the two digits representing the hour in the time part of the QTC. They just type the minutes, because the hour is the same for a bunch of QSO's that were logged in a short time span. When copying QTCs at 36WPM or faster, you don’t have the time to think things over so you just type what you copy. If you hear that after two numbers, the next character is a letter, you press space and begin typing the callsign. The software will automatically add the two digits of the hour.

    In S&P mode, the same keystroke, Ctrl+Z, activates QTC-mode here. There is little or no difference in the procedure. Only advice is to try everything well BEFORE the contest and report bugs ASAP…

    3. WAE from DX-side

    From the other side of the contest, the ‘DX’ side, the main keystroke to activate QTC-mode is also Ctrl+Z. You will then have a pop-up window, asking you how many QTCs you want to send to the EU-station. Hitting enter will send the ‘QTC xx/yy’ message, the ‘yy’ part being the number of QTCs you agreed to send in the pop-up message.
    The second most important keystroke is Alt+Enter. This will repeat the last QTC sent, or if you’re still in the ‘N/N’ stage, it’ll resend this information. It will occur more than once that a EU station does not copy the first time you transmit, due to QRM, ‘cockpit errors’ or simply because you send too fast! So Alt+Enter will repeat the last part sent, should the EU station ask ‘AGN’ or something similar.
    On the bottom of the Entry window, you will see a message, indicating how many QTCs have already been sent to a given station.

    WAEDC Keyboard Assignments

    Ctrl+Z - activate QTC-mode and sends: QTC? and log QSO's if nr is greater than 0. Ctrl+Z cycles through QSO, receive QTC and send QTC modes.
    Alt+Enter - resend last QTC or it will resend QTC n/n if that was the last message sent.
    Alt+W - when used in a QTC leaves the sender's call and N/N so only wipes the 3 parts of the QTC
    = (equal sign) - resend sent QTC info

    Step-by-Step instructions

    • After you make a contact, first log the contact
    • If you want to send QTCs use Ctrl+Z, the log window will change to QTC mode
    • You get a screen asking how many QTCs you want to send. Enter a number of just hit Enter and the QTC count will go away.
      • At the bottom of the logging area the QTC number will be indicated, i.e. 12/10, meaning the 12 QTC series and 10 QTCs
    • The first QTC will show up with the time call and number.
    • After the station acknowledges the QTC hit enter and the next QTC will show up.
      • Continue this until all QTCs have been sent.
    • Then do Ctrl+Z to return to normal logging.

    Other info

    • If only two digits of time are entered the program adds the first two hour digits from prior QTC.
    • The status line in the Entry window shows the total QTC Sent and Received from the station being worked.
    • The number of the QTC in the series sent is shown. Example: 5 from 10
    • When reediting a QTC the program will go back to QSO mode after editing.
    • When in QTC mode the letters "QTC" will be shown in big red letters where normally the dupe label goes.
    • Want to know how many QSOs and QTCs you have by band.
      • Try View/Statistics. Then use either Band by Exchange1 or Exchange1 by Band.

    WAG contest

    The WAG contest can be used by German stations and non German stations.
    • Window: Select Log type
      • Log Type: WAG
      • Sent Exchange:
        • non-DL stations: 001
        • DL stations:
          • DARC member: DOK (example: V11)
          • non-DARC member: 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an German station or a non-German station.

    Non DL stations may only give a number.
    DL stations give a DOK (DARC members) or a number (non DARC members)
    For stations not giving an exchange put “000” in the exchange field

    - minimal DOK length is 2
    - 0 is allowed to be entered

    Note: When updating a DOK in the log window you have to update not only the Exchange but also the Section by hand....only when the qso is in the Entry window the program strips the Section (V) from the Exchange (V11) automatically.

    YO HF DX contest

    The YO HF DX contest can be used by Romanian stations and non Romanian stations.
    • Window: Select Log type
      • Log Type: YOHFDX
      • Sent Exchange:
        • non-YO stations: 001
        • YO stations: Romanian county abbreviation (two letters) Example: AR

    T he callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Romanian station or a non-Romanian station.

    QSO parties

    The program supports many US and Canadian QSO parties.
    There are some scoring anomalies though (there is a score disclaimer).
    The QSO parties use a configuration file named 'County.sec' with the names of the counties for each qso party. The program recognizes whether you are operating from the selected contest state using the ARRL section in the station dialog, so make sure your ARRL section is entered in the station dialog.

    The list of county abbreviations has been taken from the official site for your contest, if available. This list of counties can be found in 'Config | Change Exchange Abbreviations | Change QSO Party Abbreviations'. Note that you may add abbreviations for counties. For example, say there is a county TOL. If you wanted to enter TOL for the county, you are all set. If you want to enter TOLLAND for TOL, then you should ADD a line TOLLAND TOL. Whether you enter TOL or TOLLAND, the qso will be logged with TOL.

    • Window: Select Log type
      • Log Type: QSOPARTY
        • After selecting QSO Party, a list box shows up in the right-hand part of the contest selection dialog box, with buttons below it for importing and editing the section list. Click on the down arrow to choose the QSO Party you want (example image shows Hawaii HI) .
          • Example: The entry in the list of QSO Parties for the New England QSO Party is "NEWE" ("NE" is for the Nebraska QSO Party). Most of the entries in this list are states or provinces, except for the NEWE (New England) and MAQP (Mid-Atlantic) entries.
      • Mode Category: MIXED
      • Sent Exchange:
        • The exchange depends on the QSO party. Mostly serial number and location
        • Inside the selected State/Province - See contest instructions
        • Outside the selected State/Province - See contest instructions
        • If sent exchange is specified as "001" then a serial number will be sent
    • The ARRL SECTION entered in the State field in the Station Dialog will be used to determine if you are in or outside a state or province.

    Edit & import section list

    Florida QSO party

    Florida multiplier work around.
    Florida stations get a FL state multiplier for their first Florida QSO. Florida stations get no multipliers for Florida counties but get QSO point for Florida QSO's. To get the right multiplier change the exchange of the first Florida QSO to FLA, it forces the FL multiplier credit.

    PA QSO party

    Pennsylvania points work around.
    The logging program does not handle fractional points for QSO's like this contest uses. The points are doubled to make it easy to divide final score by two. Also, the rule to assign multiple counties to a single serial number is not supported.

    Updating and importing the QSO party sections

    • Always try first on a test database.
    • The 'County.sec' file located in the program directory has listed all the sections per QSO party.
    • Importing is done automatically at the start of the program when the database has no QSO party section information (checked at startup).
    • If the 'County.sec' file has been changed (updated) after automatically been imported by the program it has to be imported into the database manually so the made changes are imported.
    • The load process deletes all the counties for a state before loading them.
    • The maximum length for a section is 5 characters.

    How it works

    If you want abbreviations for counties e.g. Tolland = TOLL then, Edit the Sections list, and TOLLAND in the abbreviation, and TOLL in the key. When you log Tolland, the program will substitute TOLL.

    Test the change

    • Open a TEST database
    • Create a new QSOPARTY contest
    • Choose Import (See image above)
    • Specify the location where you saved the attached file and "county.sec"
    • Import need only be done once (after an update/change).
    • You should now see 20+ states/provinces in the combo box.
    • Choose one and test....

    VHF and up contests

    In VHF and up contest it is the norm to give accurate signal reports. Use the Tab to go from the callsign filed to the signal report fields. You will note that it highlights the strength to allow quick modification of that.

    ARRL January VHF Sweepstakes

    • Window: Select Log type
      • Log Type: ARRLVHFJAN
      • Sent Exchange: Your four character grid Example: JO33

    Exchange of signal report is optional. Foreign stations work W/VE amateurs only.
    Stations can be logged more than once from a different grid without being a dupe (for Rover stations).
    The score for Rover stations is not being calculated by the program!

    ARRL June VHF QSO Party

    • Window: Select Log type
      • Log Type: ARRLVHFJUN
      • Sent Exchange: Your four character grid Example: JO33
    Exchange of signal report is optional. Foreign stations work W/VE amateurs only.
    Stations can be logged more than once from a different grid without being a dupe (for Rover stations).
    The score for Rover stations is not being calculated by the program!

    ARRL September VHF QSO Party

    • Window: Select Log type
      • Log Type: ARRLVHFSEP
      • Sent Exchange: Your four character grid Example: JO33
    Exchange of signal report is optional. Foreign stations work W/VE amateurs only.
    Stations can be logged more than once from a different grid without being a dupe (for Rover stations).
    The score for Rover stations is not being calculated by the program!

    IARU Region 1 contesting (50 MHz, VHF, UHF/Microwaves)

    Region 1 contesting uses a serial number and gridsquare as exchange. The points per qso is the calculated distance between your sent gridsquare and the received gridsquare.
    • Station Information ('Config | Change Your Station data')
      • Grid Square: <gridsquare> Example: JO33fd
        • This grid square is used in calculating the distance between the stations (and is part of the exchange)
    • Window: Select Log type ('File | Choose Which Contest to Log')
      • Log Type: VHFREG1
      • Sent Exchange: 001 <gridsquare>
        • Example: 001 JO33fd
        • The sent exchange is not used by this specific contest otherwise the use in the macros for the function keys.

    This contest type has the possibility to use the CallHist table in which information can be stored which can be easy to have during a qso like name and gridsquares used in previous contests. This specific contest type uses the Name, Locator1 and Locator2 fields from the CallHist table. Entering any information in this table is not necessary for the contest module to work but can be very handy. For this to work information has to be imported in the Call History table ('File | Import | Import Call History'), also this feature has to be enabled to work ('Config | Call History Lookup').

    • When a callsign is entered and the SPACE or TAB key is pressed the program will check next to the normal things like dupe check the following:
      • Check the log if the callsign is known and if already worked the gridsquare is entered from the log in the Entry Window grid square exchange field.
      • If not found in the log file it will check the CallHist table. If the callsign is found it will place the content from Locator1 in the Entry Window grid square exchange field. The callsign is 'normalized' before searching in the CallHist table which means that /P, /A, /2 etc. will be removed before searching. Information in the CallHist table should be in its normalized form.
    • Information from the CallHist table i.e. Locator1, Locator2 and the name field will be shown below the function keys.
    • Normally this feature is not turned on (it gives a very short delay while searching the table), to turn it on select: 'Config | Call History Lookup'
    • Note: Any information already typed in the grid square exchange will not be overwritten by the log file or CallHist table search. So first entering a grid square and afterwards a callsign is possible without overwriting the already entered grid square information. A callsign already worked will be shown in the bottom pane of the log window and marked with the dupe message. If the station is not worked before and is present in the CallHist table, this information will always be shown below the function keys.
    • More information about importing information in the CallHist table can be found in chapter VHF and Up contesting. A zip file with an import file for the 'Call history' lookup function and a ready master file with known calls can be downloaded from the N1MM website, select 'Other Files' under 'Downloads'. Don't forget to turn on the lookup function under 'Config | Call History Lookup'
    • More information about VHF related contesting and features can be found in chapter VHF and Up contesting

    A QSO can not be entered when

    • The serial number is missing
      • Warning: "Missing Serial Number!"
    • The grid length is not 6
      • Warning: - "6 character grid required!"
    • The grid format is not correct.
      • Warning: - "Wrong format grid. Format = AA##AA"

    These checks will (only) be done: when trying to log the qso (mostly by pressing Enter)

    How VHFREG1 looks for a known grid square
    • Look in the log if the station has been worked before (on any band)
      • If found show the grid and calculate distance and bearing
    • If not found look for the call sign in the 'call history' table including any /P /3 etc when applicable.
      • If found show the grid and calculate distance and bearing
    • If not found look for the call sign in the 'call history' table with the /P /3 etc removed (normalized callsign)
      • If found show the grid and calculate distance and bearing
    • If not found add the 'big grid' from the country when known by VHFREG1
      • If found show 'big grid' (no calculations done)
      • If not show nothing in grid square field
    • The check will (only) be done: When space is pressed and the cursor is in Callsign field

    Bearing and distance calculations

    • When space is pressed and the cursor is in Callsign field
    • When trying to log the qso (mostly by pressing Enter)
    • The grid square length has to be 4 or 6 digits.
    • Bearing info is shown in the log window and saved in the Misc field.
    • Distance info is shown in km in the log window and saved in the Points field.
    • Use Rescore to have the bearing and distance (re)calculated.

    Check Grid with country

    • When a grid is entered the program will check if the 'big grid' is a possible grid for the entered callsign.
      • Example: A Dutch station is always in JO.
    • When the callsign is entered with /MM the check will not be done. Also when you want to enter a qso which will be refused, the check can be ignored by entering /GO behind the callsign (example: PA1M/GO ). The /GO will be removed when entered in the log. The qso will get entered in the Comment field that the entered prefix does not match with the locator. Example: "JO not possible for this Country."
    • The check will (only) be done:
      • When space is pressed and the cursor is in Callsign field
      • When trying to log the qso (mostly by pressing Enter)

    Add 'big grid' to 4 digit grid (if last 4 digits entered)

    • When a 4 digit grid is entered the program checks if these are the last four characters from a 6 digit grid. If so it will add the 'big grid' from the country (for a Dutch station it will add JO).
    • The check will (only) be done:
      • When space is pressed and the cursor is in Callsign field
      • When trying to log the qso (mostly by pressing Enter)

    Add 'big grid' when no grid is found (from log or 'call history' table)

    When a station is entered in the callsign pressing SPACE will search the 'call history' table. When the entered callsign is not found the program will try to add the 'big grid' who belongs to that country. If more grids are possible it uses the grid which occupies the most space in the country (IO in England) or is the easiest workable grid from Western Europe (JP for Norway, most south grid. The Netherlands will always give JO because this is the only grid possible for PA.

    • The check will (only) be done:
      • When space is pressed and the cursor is in Callsign field

    For DL stations: The German contest manager hat informiert dass er die Logeinsendungen von N1MM gerne akzeptiert. Wie immer akzeptiert er den postalischen Versand des Logs, jedoch auch Email ist möglich, lediglich müssen die Daten druckfähig sein.
    Vorab also einige Hinweis:
    1. Jedes Log muß mit dem Generic-File-Output als TXT-Format sortiert nach Zeit abgespeichert werden und als Bezeichnung "CALLBAND.TXT" lauten. Also DH5HV2m.txt zum Beispiel für einen Contest unter DH5HV auf 2m.
    2. Bei der Einsendung mehrerer Bänder sollte man diesbezüglich den Generic-File erstellen mit "sorted by Band" und dann mit einem Editor kurz bearbeiten, sodass man als Beispiel eine 2m-Datei, eine 70cm-Datei, eine 23cm-Datei, etc. hat.
    Auch hier natürlich dann DH5HV2m.txt und DH5HV70cm.txt und DH5HV23cm.txt erstellen bzw. benennen.
    3. Und wie bisher auch üblich wird für jedes Band ein seperates Deckblatt benötigt, was nur komplett ausgefüllt gewertet werden kann.
    Man findet dies unter http://www.darc.de/referate/ukw-funksport/index.html ganz unten als PDF- oder DOC-File.

    Marconi CW contest

    The Marconi CW contest is CW only. For settings see the VHF Region 1 contest.

    • Window: Select Log type
      • Select: Log Type: VHFREG1

    NRAU Activity Contest

    For settings see the VHF Region 1 contest.

    • Window: Select Log type
      • Select: Log Type: VHFNAC

    REF Departments contest 50 Mhz

    • Window: Select Log type
      • Log Type: DDFM50
      • Sent Exchange: Serial Number + Your four character grid Example: 001 JO33

    VHF HG OB contest

    Local Hungarian VHF contest. which uses almost the same rules as VHFREG1 but dupes per mode CW or FM/SSB (station may be worked twice per band). All features mentioned above can be used in this contest also.

    VRZA regio contest

    • Window: Select Log type
      • Log Type: REGIOVHF
      • Sent Exchange: QSL regio nummer zonder R Example: 19 (dus niet R19)

    Only for Dutch stations.

    UKSMG sporadic-E competition

    • Window: Select Log type
      • Log Type: UKSMG
      • Sent Exchange: Your four character grid Example: JO33

    Only the 6 meter band is shown in the Multiplier window.
    A 4 digit grid is required and 6 digit grid is allowed to enter.

    RTTY/PSK31 contests

    When doing RTTY and PSK contests always check the Mode tab in Configurer for correct settings!

    ANARTS WW RTTY contest

    • Window: Select Log Type
      • Log Type: ANARTSRTTY
      • Sent Exchange: Zone Example: 14

    ANATOLIAN RTTY contest

    • Window: Select Log Type
      • Log Type: ANATOLRTTY
      • Sent Exchange: 001

    ARRL RTTY Roundup

    The ARRL RTTY Roundup can be used by K/VE stations and DX stations.
    • Window: Select Log Type
      • Log Type: ARRLRTTY
      • Sent Exchange:
        • Your state/province - for K/VE stations Example: NY
        • 001 - for DX stations (non K/VE)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a DX stations or a W/VE station.

    NB. US stations who work US "/MM" stations are also allowed to log serial numbers.

    BARTG RTTY Spring contest

    • Window: Select Log type
      • Log Type: BARTGSRTTY
      • Sent Exchange:001

    BARTG RTTY Sprint contest

    • Window: Select Log type
      • Log Type: BARTGRTTYS
      • Sent Exchange:001

    CQ World Wide DX contest - RTTY

    • Window: Select Log type
      • Log Type: CQWWRTTY
      • Mode Category: RTTY
      • Sent Exchange:
        • North American/Canadian stations - Your zone plus the STATE or AREA Example: 05 NY
        • Other stations - Your zone Example: 14

      The default zone values for US (A,K,N,W) stations are

      • Zone 3 - If number in callsign is 6 or 7
      • Zone 4 - If number in callsign is 5 or 8 or 9 or 0
      • Zone 5 - If number in callsign is 1 or 2 or 3 or 4

      The default zone values for Canadian (VE) stations are

      • Zone 1 - If callsign starts with: VY1
      • Zone 2 - If callsign starts with: VE2, VO2
      • Zone 3 - If callsign starts with: VE7, VC7
      • Zone 4 - If callsign starts with: VE3, VE4, VE5, VE6, VA3
      • Zone 5 - If callsign starts with: VO1, VE1, XJ1, VY2

      The default section values for Canadian (VE) stations are

      • VE - If callsign starts with: VE1, VE2, VE3, VE4, VE5, VE6, VE7, VE8, VO1, VO2,VY

    • Give 'Space' when the cursor is in the 'Callsign' field to have the 'Zone' field filled with the default value.
    • The default zone will be selected, so that if you type another zone, it will replace the numbers that the program put in there.
    • Abbreviations for Canadian regions are allowed
    • When typing the section and the entered section is new it will be shown in RED. The Available window will also show if a section multiplier is needed on other bands
    • When pressing Space and the entered callsign is not US or VE, the cursor will skip the state/section field.

    CQ World Wide WPX contest - RTTY

    • Window: Select Log type
      • Log Type: CQWPXRTTY
      • Mode Category: RTTY
      • Sent Exchange: Serialnumber Example: 001

      Leading zeros are being forced on sent & received serial numbers.

    CIS contest - RTTY

    The Commonwealth of Independent States Contest where everybody can work everybody for QSO and multiplier credit.
    • Window: Select Log type
      • Log Type: CISDXRTTY
      • Sent Exchange:
        • CIS stations: CIS area code Example for Moscow City: RU11
        • Non-CIS stations: 001

    DL DX RTTY contest

    • Window: Select Log type
      • Log Type: DLDXRTTY
      • Mode Category: RTTY
      • Sent Exchange: 001 .

    EA RTTY contest / EA PSK31 contest

    • Window: Select Log type
      • Log Type: EARTTY
      • Mode Category: RTTY
      • Sent Exchange:
        • For Spanish stations - Province Example: AL
        • For non-Spanish stations - 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a Spanish station or a non-Spanish station.

    For the EA PSK31 contest select EARTTY as contest and Set Mode Control as "Always PSK31".

    JARTS WW RTTY contest

    • Window: Select Log type
      • Log Type: JARTSWWRTY
      • Sent Exchange: Your age Example: 34
        • XYL and YL stations may give 00
        • Multi-operator stations must send 99 as a operator age.

    Makrothen RTTY Contest

    • Window: Select Log type
      • Log Type: MAKRORTTY
      • Mode Category: RTTY
      • Sent Exchange: 4 digit grid Example: JO33

    NA Sprint RTTY

    • Window: Select Log type
      • Log Type: SPRINTRTTY
      • Mode Category: RTTY
      • Sent Exchange: 001 Tom CT
        • Serial number, your name and your location (state, province or country) Example: PA1M DE N1MM 123 TOM CT K

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a North American station or a non-North American station.
    Note: For RTTY only, the same station can be worked multiple times provided 3 contacts separate the contact in both logs, regardless of band.

    North American QSO Parties (NAQP) - RTTY

    • Window: Select Log type
      • Log Type: NAQPRTTY
      • Operator Category: SINGLE-OP or MULTI-TWO
        • For Multi-Two see the extra info below!
      • Mode Category: RTTY
      • Sent Exchange:
        • For North American stations - Operator name and station location (state, province, or country) Example: Tom CT
        • For non-North American stations - Operator name only Example: Thomas

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a North American station or a non-North American station.

    MULTI-TWO operating: When changing operator you have to use Ctrl+O to set the NAME (not Call) of the operator. This name set with Ctrl+O will be used in the Cabrillo file. So from the Sent Exchange only the state is being used but the name is needed. (Example: Tom CT). The macro {OPERATOR} can be used to automatically switch WAV files (in SSB), for more info see the Macro section.

    OK DX RTTY Contest

    • Window: Select Log type
      • Log Type: OKDXRTTY
      • Mode Category: RTTY
      • Sent Exchange: CQ zone

    Quick PSK63 Contest

    The contest uses the same rules as the SARTG WW RTTY contest so select that contest (SARTGRTTY).
    After the contest the Cabrillo output has to be updated (take SARTG WW out and replace with Quick PSK63)

    Russian DX RTTY contest

    • Window: Select Log type
      • Log Type: RUSDXRTTY
      • Mode Category: RTTY
      • Sent Exchange:
        • Non-Russian stations: WAZ zone Example: 14 for Western Europe
        • Russian stations: Your oblast code (two letters)

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a Russian station or a DX station.

    SARTG New Year RTTY Contest

    • Window: Select Log type
      • Log Type: SARTGNYRTY
      • Mode Category: RTTY
      • Sent Exchange: 001 + name + "Happy New Year" in your native language

    SARTG WW RTTY Contest

    • Window: Select Log type
      • Log Type: SARTGRTTY
      • Mode Category: RTTY
      • Sent Exchange: 001

    SCC RTTY Championship

    • Window: Select Log type
      • Log Type: SCCRTTY
      • Mode Category: RTTY
      • Sent Exchange: four-digit number of the year the amateur radio license was FIRST officially issued (e.g. 1983) to the operator.

    The score Summary window only shows your total score and the number of mults you have worked per band. There is no breakdown by points. In SCC there is one extra column of mults but that had to be there as the way things are setup to calculate the first multiplier (different years). Thus the name of the second mult is "N/A" . The only way to do a breakdown on points is to go thru your log and manually do it.

    SP DX RTTY contest

    • Window: Select Log type
      • Log Type: SPDXRTTY
      • Mode Category: RTTY
      • Sent Exchange:
        • 001 for non-SP stations
        • Your province Example: B for Lubuskie

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are a Polish station or a DX station.

    TARA Grid Dip contest

    • Window: Select Log type
      • Log Type: TARAGRID
      • Mode Category: RTTY or PSK
      • Sent Exchange: name + 4 digit grid locator Example: Tom FN12

    TARA PSK Rumble

    • Window: Select Log type
      • Log Type: TARAPSK
      • Mode Category: MIXED
      • Sent Exchange: Name and Location Example: Tom CT

    TARA RTTY Melee

    • Window: Select Log type
      • Log Type: TARARTTY
      • Mode Category: RTTY
      • Sent Exchange:
        • State for USA stations Example: CT
        • Province for Canadian stations Example: NB
        • 001 for all other stations (serial number)

    Ukrainian RTTY contest

    • The Ukrainian DX contest can be configured for Ukrainian stations and non-Ukrainian stations.
      • Window: Select Log type
        • Log Type: UKRAINRTTY
        • Mode Category: RTTY
        • Sent Exchange:
          • Oblast for Ukrainian stations Example: CH
          • 001 for non-Ukrainian stations

    Note: Countries are counted per band for SSB, CW and RTTY, because RTTY is in a separate contest module they won't be counted correct when a station makes next to SSB and CW also RTTY q's or the other way around...

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Ukrainian station or a non-Ukrainian station.

    UK DX contest RTTY

    The UK DX contest can be configured for UK stations and non-UK stations.
    • Window: Select Log type
      • Log Type: UKDXRTTY
      • Sent Exchange:
        • Area code for UK stations Example: BS
        • 001 for non-UK stations

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an UK station or a non-UK station.

    VOLTA RTTY Contest

    • Window: Select Log type
      • Log Type: VOLTARTTY
      • Mode Category: RTTY
      • Sent Exchange: QSO number + Your CQ Zone. Example: 001 15

    The four Band Multiplier count for this contest is displayed on info window.

    WAEDC contest

    The WAEDC Contest can be configured for European stations and non-European stations.

    • Window: Select Log type
      • Log Type: WAERTTY
      • Sent Exchange: 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an European station or a non-European station.

    Making Qso's in WAE RTTY by Rich, VE3IAY.

    To start with, a QSO in WAE is just like a QSO in CQ WPX or SARTG, and I would suggest using the same function-key set.

    In CW and SSB WAE, QTCs can only be sent from non-EU to EU, but in RTTY there are many more possibilities. QTCs can be sent in either direction between any two continents (not with a station in the same continent). This makes WAE RTTY quite a bit more complex that WAE CW.

    First, let's suppose you are CQing. If you have a good run going you probably will not want to break your rhythm for QTCs. As long as there are people waiting to work you when you CQ, you are probably best off just adding to your QSO count.

    However, if your rate drops off, you might want to pick up your score with some QTCs. First, let's look at the case where you do not have many unsent QTCs to send (that's previous QSOs that you have not already sent as QTCs). In this case, if you work someone who has a good clear signal and you have not yet exchanged QTCs with him, you may want to receive some. You can see how many QTCs you have exchanged with him and how many unsent QTCs are remaining in your log near the bottom of the entry window while the cursor is in the exchange (Nr) field.

    Start by asking him if he has any QTCs for you ("QSL TNX. ANY QTCS FOR ME?"). If he says yes, press Ctrl+Z once. That gets you to the RQTC window for receiving QTCs (it's in the right half of the digital interface window). After you tell him you are ready with RX Ready, he will send you a message whose first line is something like "QTC: 22/10 QTC: 22/10". The first number is the group number (the 22nd group he has sent), the second is the number of QTCs in the group (maximum 10, and especially in RTTY it is most efficient to sent only large groups). If you click on this in the RX window, it should transfer to the RQTC window.

    The heart of his message will be a set of 10 QTCs. Each QTC contains three elements: the time, the call sign, and the serial number. Each time you receive a QTC, left-click on it and the entire QTC should transfer into the corresponding panes in the RQTC window. You can also enter or edit elements by hand, or you can right-click on a single element and then left-click in the box where you want it to go. After you have received all 10 QTCs, it may help to click on the green bar at the left of the RX window so you can freeze the RX window, scroll back and complete or fix any missing or garbled elements. Remember to click on the yellow bar when you are done so you can receive again.

    There are buttons in the RQTC window for asking for repeats for individual QTCs or for the whole series. Once you have them all, press Save QTC which will send an acknowledgement message to him and log the QTCs, and then you can start CQing again.

    Suppose instead that you do have a bunch of unsent QTCs ready to go. Then what you may want to do at the end of a QSO with a station with a good clear signal (if you have trouble copying someone's signal, you will not want to try QTCs with him) is to ask if he wants to receive QTCs ("QSL TNX. DO YOU WANT QTCS?"). If he says yes, press Ctrl+Z twice to get to the SQTC window. The buttons in this window should be self-explanatory; the main one is Send All, but if he asks for a repeat of #3, 7 and 9 you can resend them by pressing Snd #3, Snd #7 and Snd #9. Once he acknowledges them all, press Save QTC and go back to CQing.

    If you get into the wrong QTC window by mistake, you can either press Cancel or just keep pressing Ctrl+Z until you get back to the normal digital interface receive window.

    S&Ping works the same, except usually it is better to let the running station decide if he wants to do QTCs or not, depending on how well his run is going. If he wants to send QTCs to you, you can either reply "SRI QRU" (not quite right, but he will get the message) or you can press Ctrl+Z once to get the RQTC window and press the RX Ready button to tell him you are ready, then receive QTCs the same as described above.

    If he asks you whether you have QTCs for him, you have three options: press Ctrl+Z twice and press the R U QRV button to give him the cue to get ready; send "SRI QRU"; or send a message telling him you don't have any but are willing to receive some ("SRI QRU. ANY QTCS FOR ME?").

    Most of the QTC messages are sent by buttons in the SQTC and RQTC windows. You can program the messages in these buttons from the Setup -> Settings menu in the digital interface window, under the third tab ("WAE RTTY Configuration").

    There are a few additional messages you will want to program into the buttons at the bottom of the digital interface window, such as:
    {TX} QSL TNX. GOT ANY QTCS FOR ME? {RX}
    {TX} QSL TNX. DO YOU WANT QTCS? {RX}
    {TX} SRI QRU {RX}
    {TX} SRI QRU. ANY QTCS FOR ME? {RX}

    You may think of more - that's OK, there are up to 24 message buttons in the digital interface window. I often find myself changing them on the fly during a contest. You can get to the programming window by right-clicking on the button you want to change. Hope that helps.

    73, Rich VE3IAY

    NB. The QTC window for the RTTY contest is in the Digital Interface window. During the QTC send/receive process for WAE RTTY you should not be looking at the Entry window.

    The first time you press Ctrl+Z the Receive QTC window opens up in the right side of the Digital Interface. Down the right side you will see buttons labeled RX Ready, All AGN, AGN #1, AGN #2, ..., AGN #10, and across the bottom are Cancel, Save QTC and Clear buttons.

    If you want to send QTCs instead of receiving them, just press Ctrl+Z again and the Send QTC window takes the place of the Receive QTC window. The top two buttons change to R U QRV and Send All, and the rest stay the same. The data windows are automatically filled from your log.

    If you have used up your QTC quota with the station whose call sign is in the entry window, pressing Ctrl+Z the first time leaves you in QSO mode and does not open the QTC window. If you have not used up your quota with him but you do not have any QTCs ready to be sent, then pressing Ctrl+Z the first time displays the Receive QTCs window, and pressing it the second time returns you directly to QSO mode.

    • WAEDC RTTY is limited to the first Digital Window. There is just to much code and overhead to add to the project. This means it is limited to SO1R but you can still use the 2nd window. You just can't send and receive QTCs with it. When saving received QTCs the routine I'm using will pick the ##/## out of anything that you throw at it.
    • QTC Lines on the frame are broken up into separate boxes. This was done to allow error checking of any data that is input by hand and clicking on data in RX window.
    • If you click on data or enter data in the QTC windows if the routines detect bad data it will flag that data in red.
    • When saving QTC if any of the data still hasn't been corrected it will send the received ok message but if there is an error in the Time or the Callsign the program will let you save the QTC and not care about it. But if there is an error in the serial number (If it contains anything besides a number) it will not let you save it. The reason for this is in the program the serial number needs to be a certain type of variable(numeric) and if it is not a numeric variable it will not save it. So the flow of it if there is an error in the serial section and you press save is:
      A. Sends the confirm string you have setup
      B. Tells you on the entry window there is a Format error
      C. Waits for you to fix it.
      D. So now you would have to scroll back to see what was sent of take out the extra letter your finger hit then hit save.
      By doing it this way you are not slowing down the other station.....
    • The program will not save info into the log until the bad data is fixed. Once fixed just click save again and it will save the data without sending the received message. A warning message is given in the Entry window status bar.
    • To select whole lines of received QTC just place the cursor over the line and left click.
    • To select individual QTC sections place the cursor over the item you want to select and right click on it. After the data is selected place the cursor over the text box you want the data to go into and left click it will be placed into it.
    • When pressing Ctrl+Z to switch modes the program will display the total QTC sent and received from the station being worked. When the QTC frame opens on the DI only the Needed amount of QTC boxes will be enabled. Example(if I have worked UT5XXX and received 5 QTCs from him, the next time I work him and I open up the Receive QTC frame only 5 QTC lines will be enabled to reach maximum QTC amount .
    • When pressing Ctrl+Z to switch modes if you have reached the MAX amount of QTC the QTC frame will close and give a warning message in Entry windows status bar.
    • When left clicking on a Received QTC line will split data on " ","/","-" separators if the routines can't split the data it will not copy the data over. You will have to click each item separate or hand type it in.
    • Selecting of individual QTC items can be done by right clicking on item. Left clicking on the box where the data to be placed places text.
    • Ctrl+Z cycles through QSO, receive QTC and send QTC modes. After you enter a callsign in the entry window pressing Ctrl+Z will cycle through the RQCT and SQTC modes. If you are receiving QTC press Ctrl+Z once and as the QTC appears in the digital window just click on it one time and it will transfer over to the QTC entry window. To send a QTC press Ctrl+Z one more time and it will show you all the QTCs you have available to send.
    • The status line in the Info window shows the total QTC Sent and Received from the station being worked.
    • Upon entering a callsign in the entry window and pressing the spacebar. The number of total QTC's exchanged with that callsign and the Total of all unsent QTC is displayed on the entry window so you should be able to keep track easier of what your QTC numbers are.
    • If you work a station that is on your same continent and try to send them QTC or try to receive QTC from them the program will tell you you can not do that. Press enter and move on......
    • On the WAE Tab located in the settings area will allow you to set the maximum number of QTC you want to send. Whatever this setting is set to is the number that will send unless you do not have that many QTC to send. This defaults to 10.
    • An error message is displayed when the serial number is blank when logging a contact
    • The total unsent QTC's is displayed along with # of QTC's exchanged with current callsign on the Entry window
    • Continent is checked when sending and receiving QTC's
    • Default number of QTC to send can be entered on the Tab WAE RTTY configuration under Settings in the menu from the DI interface.

    For more information look at WAEDC for SSB/CW. However, there are 2 fundamental differences between the RTTY and the SSB/CW version of the contest:

    1. Everyone can work everyone, so DX can work DX and EU can work EU
    2. Everyone can both send and receive QTCs, however they can only be exchanged between stations in a different continent

    How do I know how much QTC I can receive from a station or how do I know the number to send to them...?

    The program will do all this for you in a number of ways...

    • The first number that is displayed on the entry window by the QTCs title is the total number of QTC's you have exchanged with that station. If it says 8 then you can either receive or send 2 more...
    • When you press Ctrl+Z to switch to RQTC mode the program already knows how many QTC you can receive and will only enable that many entry points on the QTC frame.
    • When you press Ctrl+Z to switch to SQTC mode the program will either set the maximum number you want to send or however many QTC's you are still allowed to send to that station. (Which ever is smaller)

    XE RTTY Contest

    • Window: Select Log type
      • Log Type: XERTTY
      • Mode Category: RTTY
      • Sent Exchange:
        • Mexico: State. Example: AGS
        • Non-Mexico: 001

    The callsign in the Station Information dialog ('Config | Change Your Station Data | Call') determines if you are an Mexican station or a non-Mexican station.

    Deleted QSO's

    DELETEDQS "contest"

    QSO's which you have deleted using 'Edit Contact' are moved to this 'contest'.
    This is in especially for multi-user support. The moved QSO's can be exported.


Supported Radios

Go look here for Radio Computer interfacing

Note. Not all the features listed in this Help/manual might be applicable to all the transceivers and brands mentioned below. Known settings for transceivers or features not applicable are mentioned below as far as we know them. Please inform us if you have information which should/could be mentioned here.

General information

  • When using a home-brew self-powered interface set the handshaking to:
    • DTR - Always On
    • RTS - Always On
    • Like when using ICOM clone cables
  • All radios: Band change is not allowed while transmitting
  • All radios: Timeout for all radios is default set to 10 seconds (user settable).
    • A warning message will be displayed when no response received from the radio and the radio will be changed to a manual radio by the program.
    • To get the radio working again select in the right-click menu from the bandmap "Reset radios"
    • The 10 second wait time is restarted after transmitting.
    • When the radio control gives a warning 10 seconds after you start the logger, then you never had radio control at all, and you should check your hardware, and serial port settings. Consult the manual from your radio and also read below.
  • Polling of radios while sending CW is supported for all radio except for FT-1000.
  • It may appear that the Up Arrow, Down Arrow, Page Up or Page Down are not working when incrementing or decrementing the current frequency with these keys.
    • The VFO frequency will not change if the incremented/decremented amount is smaller than the frequency deltas supported by your rig. This is not always well documented by the manufacturer. Icom 751 rigs for example do support 10 Hz steps but only show 100 Hz steps on the display.
    • The keys mentioned above have to be set higher than the minimum step size supported by the radio.
    • It's easy to test if it is the keys are working. Check the frequency while pressing the keys mentioned above. If the frequency moves nothing has to be changed.
    • The default increment/decrement for CW is 10 Hz. If this doesn't work, try changing it to 100 Hz, under the Configurer, Other tab.
    • This only applies to the keys that increment/decrement the current frequency.
  • Kenwood, Orion, Icom, FT-1000MP - Code has been added that requires new band changes to be received twice from the radio before changing band. This change is to improve the reliability of frequencies displayed/used.
    • NB: This will make band changes made from the radio twice as slow to appear as band changes made from the program.

Elecraft

  • K2
    • Uses Kenwood alike commands but has it's own radio selection. Only the KY command which is Elecraft specific is not supported.
    • Use default Kenwood parameters but sometimes one (1) stopbit only works (contrary to the K2 KPA100 manual saying that 2 stop bits should also work).
    • Setting the "Wide" and "Narrow" filter codes.
      • Remember to set the filter codes for both VFOs. Get the appropriate N1MM Logger screen menu prompt by left clicking when your cursor is over the active VFO window.
      • Substitute this code for the complete Kenwood "FL" code that comes up by default: K22;FW99991;K0; (no spaces, all caps, include the ";"'s) This will set the filter to "FL1" on the K2. If you put this code in the SSB "Wide" section for the filter code, it will give you FL1 for SSB - if you put this in the CW "Wide" section, it will give you FL1 for CW. Remember that the actual bandwidth of the filter will depend on how you have set FL1 on your K2. The same is true when you substitute this string for the "Narrow" settings. If you want a filter other than FL1 in either mode, just change the "1" after the 9999 to the number of the filter you want to invoke ie: 1,2,3 or 4. As an example, K22;FW99993;K0; placed in the code section for CW "Narrow" would invoke FL3 when the switch is set to "Narrow" and you are on CW.
      • Briefly, "K22" tells the K2 that this is an "extended command mode" - the ";" tells the K2 that this command is finished - the "FW" tells the K2 that this is a command to set the filter width - the 9999 number is ignored in the string but is necessary to include (it can be any set of four numbers between 0 and 9999 - I just picked 9999) - the "1" is the number of the filter to invoke (1 - 4) - the "K0" (that is "K" zero) tells the K2 to go back to the "normal command mode."
      • Use the same technique to set the RTTY filters as well. Have fun es 73, Don N4HH
    • Please check out the feature which works great with the K2 and TS850 etc that don't have RIT clear IF you are Running (doesn't work for S&P). Put the rig into split, and use VFO B as your "RIT". Then go into Config, and turn on "Reset RX Freq when Running Split". Using VFO B for RIT, tune in a caller off freq, work him, and at the end of the QSO VFO B will be set to VFO A freq. Neat feature, and specifically designed for this situation.

Icom

  • General Icom information
    • Almost every rig requires an ICOM CT-17 CI-V interface or compatible. A great list of CI-V interfaces can be found at the website from Ekki Plicht, DF4OR.
    • Icom rigs use software handshaking. That means they do not use DTR and RTS. However, interfaces that get their power from the RS232 port require you to set DTR and/or RTS to "Always On" to supply power to the interface. Check your interface manual to see how DTR and RTS must be set.
    • Set N1MM Logger and the rig to:
      • Address - see specific rig information below
      • Baud Rate - 9600 or 19200 (see specific rig maximum rates below)
      • Data Bits - 8 bits
      • Parity - None
      • Stop Bits - 1 bit
    • On your rig, set:
      • "CI-V Transceive" to OFF - this is very important. You will see frequency errors and have sluggish performance unless this is set to OFF (mostly on slower computers). On faster computers you could try to set it to ON when you need it.
      • "CI-V with 731/735" to OFF. On some rigs this is referred to "4 or 5 Byte Data" or "Frequency Data Length". You want your rig to use 5 data bytes for the frequency. A few rigs noted below do not have this option.
    • VFO A=B is send to ICOM radios before setting split frequency.
    • Icom's don't report their VFO to the computer because of this clicking on the radio A/B VFO button reflects the frequency and mode on both bandmaps. Ctrl+Left arrow selects VFO-A and Ctrl+Right arrow selects VFO-B correct on bandmap.
    • Frequencies > 2 GHz are ignored and not sent to the radio.
    • To do CW with an ICOM radio a cable is needed between the radio and the serial or parallel port with an appropriate interface.
      • The CI-V cable or serial cable to the radio alone is not enough to do CW but needed to have radio support (frequency, mode readout/settings etc.).
  • The models below are supported:
    • IC-1275A/E using address 18 hex and 9600 bps.
    • IC-275A/E/H using address 10 hex and 9600 bps.
    • IC-475A/E/H using address 14 hex and 9600 bps.
    • IC-703 using address 68 hex and 19200 bps.
    • IC-706 using address 48 hex and 19200 bps.
    • IC-706MKII using address 4E hex and 19200 bps.
    • IC-706MKIIG using address 58 hex and 19200 bps.
    • IC-718 using address 5E hex and 19200 bps.
      • Set N1MM Logger to 19200 bps and the radio to "AT" (AuTo).
    • IC-725 using address 28 hex and 9600 bps.
    • IC-728 using address 38 hex and 9600 bps.
    • IC-729 using address 3A hex and 9600 bps.
    • IC-735 using address 04 hex and 9600 bps.
      • When the IC-735 is used with factory settings (1200 baud, transceive ON), the bandmap response of N1MM is extremely
        slow. Jumpers J22 located on the PL-unit board (upper side under PA unit) allow baud-rate, address and CI-V transceive to be changed. But.. the jumpers are not labeled and not in the order as stated in the Service manual. In fact transceive ON/OFF is the last one (front panel toward you, tarting from left) this one should be removed to turn transceive OFF. The 2 first ones set the baud-rate (move the second one to the first position to switch from 1200 to 9600 baud) the 3 remaining ones are the CI-V address - default 04; is with last the last one of this group of 3 - ON.

        Jumper J22 settings for 9600 baud, transceive OFF and default address 04 - from left to right with front panel toward you...
        1 | 2 | 3 | 4 | 5 | 6
        ON | OFF | OFF | OFF | ON | OFF
        Baud rate | Baud Rate | Address | Address | Address | CI-V transceive
        Those settings make the 735 operable with N1MM (trx IC735 / baud rate 9600 / 8 data bits / no parity / 1 stop bit)
        DTR and/or RTS are not used by the Icom CI-V (no handshake) so does not matter. However, they should be turned to "always ON" if using an interface powered though those pins. Alternatively, they can be used for CW and PTT, for example if you are limited by the number of COM-ports on your machine. 73' Patrick F6IRF
    • IC-736 using address 40 hex and 9600 bps.
    • IC-737/737A using address 3C hex and 9600 bps.
    • IC-738 using address 44 hex and 9600 bps.
    • IC-746 using address 56 hex and 19200 bps.
      • VFO-B is a virtual VFO as long it isn't activated. The scale is not controlled by the VFO-B of the transceiver. It becomes an active VFO when it is activated. The IC-746 is switched to VFO-B and set to the frequency shown in the VFO-B bandmap.
    • IC-746 PRO using address 66 hex and 19200 bps.
    • IC-751/751A using address 1C hex and 9600 bps.
      • CI-V transceive ON / OFF can be toggled via a hardware switch inside the radio. This must be set to *OFF*.
        • The processor in this old trx is just to slow, if you switch it on tuning is no longer smooth.
      • Rig can not handle split frequency or duplex operation commands.
      • This rig actually uses the old CI-IV system and uses the UX-14 to convert to CI-V.
    • IC-756 using address 50 hex and 19200 bps.
    • IC-756 PRO using address 5C hex and 19200 bps.
    • IC-756 PRO II using address 64 hex and 19200 bps.
    • IC-756 PRO III using address 6E hex and 19200 bps.
    • IC-761 using address 1E hex and 9600 bps.
      • Rig can not handle split frequency or duplex operation commands.
    • IC-765 using address 2C hex and 9600 bps.
    • IC-775/775DSP using address 46 hex and 19200 bps.
    • IC-781 using address 26 hex and 9600 bps.
    • IC-7800 using address 6A hex and 19200 bps.

Kenwood

  • General Kenwood information
    • All models are supported
      • Newer models connect directly via a serial port cable.
      • Older models need the Kenwood IF-10 and/or the IF-232C interface (or compatible). Please check the radio's manual.
        • Almost any of the earlier generation Kenwood radios need some sort of level conversion, and at least some also come without the necessary chip set. Radios like the TS-940S, TS-440S, TS-811, TS-711 need both a chip and a level converter.
        • PIEXX (www.piexx.com) makes a combined level converter and chip set replacement for the TS-940, as well as a complete replacement microprocessor for the TS-930 to provide communications.
    • Software handshaking is mostly being used.
    • RX/TX information from the radio is ignored while sending is in progress to avoid glitches in sending.
    • Kenwood uses by default:
      • Speed: 4800 Baud
      • Parity: N
      • Databits: 8
      • Stopbits: 2 (!)
      • When setting split both VFOs are forced in the same mode.
  • TS-570
    • When using the ACC2 port on the back, you must send both the audio signal and the PTT signal to the ACC jack.
    • You can't use the normal PTT connection from the MIC jack if you are inputting audio into the ACC jack.
    • SO2V: 9600,N,8,1,handshake,handshake,radio/VFO=1
  • TS-850
    • Turn off AI on init
  • TS-950sdx
    • Some (older) TS-950sdx radios drops power when it's polled by a logging program. It's pretty obvious on either CW or SSB.
      • the problem is not the program but the ROM firmware chip. The big one one the digital board of the 950sdx.
      • Just replace the chip, the problem should go away. Costs about $27.00 - and very easy to install (about 10 minutes)
      • Order a battery if you haven't replaced it already - it's right next to the chip on the same board....
  • TS-2000
    • Uses default 9600 Baud and 1 stopbit.
    • When using 4800 baud, 2 stopbits must be used!
    • With menu item 56 the speed can be changed.
    • Also works for frequencies above 100 MHz
    • Do not use the radio function called "auto-mode". This function automatically changes the radio mode.
      • This overrules the (fixed) radio mode set by N1MM logger under the mode tab in Configurer.
      • NB this could give AFSK RTTY (LSB) problems when changing between the higher (USB) and lower (LSB) bands.

TenTec

  • General TenTec information
    • The models below are supported, other models are not supported.
  • ARGONAUT V
  • JUPITER
  • OMNI-VI
    • Equal to Icom 735 code with added ability to set PTT.
  • ORION
    • Firmware version 1.363 or greater needed.
    • Note that the Orion does not support PTT on CW via computer command. This does work on SSB, but on CW, you need to set a parallel or serial port to assert PTT for that radio. Then use a cable from that adapter to pin three (PTT) of the aux port on the Orion. This is the black RCA Phono connector on the aux cable. By use of a Y connector, you can parallel your footswitch and this CW PTT cable.
    • When using PTT and CW lines off a serial or parallel port. Be sure to go into the Orion CW menu and set "PTT in CW as" to the value "Mox".
    • Defaults bandwidths: CW: 300/800; SSB: 2000/2800; RTTY 250/400
    • CW on main receiver is LCW.
    • Supports Digital Voice Keying (DVK) via the AUX port. Audio should be fed to the AUX port and NOT the microphone.
      • When no DVK is specified the front microphone gain will normally set to 0
        • Microkeyer users: check out the Supported Hardware chapter regarding muting of the ORION microphone audio input.
      • When a DVK is specified for that radio the microphone gain will not change (mostly fed to the front microphone).
    • When up/down pressed, turn on RIT if in S&P, turn off RIT if in running mode.
    • Clear RIT by setting to 1 Hz not 0. Avoids turning off RIT.
    • Narrow SSB bandwidth set to 1990 Hz to force the use of 2.4 kHz filter in auto mode.
    • RIT can be changed using the up/down keys if RIT on. Note that you must turn on RIT from within the program!
    • Swap VFOs using Alt-F10. This will replace the contents of memories 199 and 200
    • Example Setup FSK/CW/SSB
      • In FSK or SSB mode the program uses the PTT input to key the rig.
      • In CW mode the program uses the PTT as the CW key.
        • Digital setup and MMTTY.
          • N1MM Config / Config Ports / Hardware Tab.
            • Set the CW menu choice for the interface com port to DTR (Pin 4).
          • MMTTY Setup / Setup MMTTY / TX Tab / Radio command button.
            • Checked the PTT button under DTR/RTS.
    • Interface information
      • LINE OUT (74) is fixed level output (RCA connector)
        • Should be fed to LINE IN on the soundcard.
        • Yellow phono plug on Pin 4 of the AUX I/O cable assembly
        • NB this is a combined output for both receivers, use the AUX I/O port for separated outputs (pin 4 and 6)
      • AUX I/O port (80): AUX IN (pin 1) for transmit audio from the soundcard
        • Should be fed to LINE OUT on the Soundcard.
        • The AUX gain can be set under the SSB menu
        • Set the AUX gain to 65 and use the computer audio setting to drive the rig to 100 watts for RTTY.
      • AUX port: PTT (pin 3)
        • A transistor switch is needed from a serial or parallel port.
      • Works fine for digital modes but also for recording and the voice keyer.
      • Switch between MIKE and AUX via the menu.

Yaesu

  • General Yaesu information
    • The models below are supported, other models are not supported.
    • Required interfaces
      • Newer models connect directly via a serial port cable.
      • Older models need the Yaesu FIF-232C CAT interface (or compatible).
    • Software handshaking is being used for all models.
    • Yaesu uses by default:
      • Speed: 4800 Baud
      • Parity: N
      • Databits: 8
      • Stopbits: 2 (!) Newer models seem to have changed to 1 stopbit.
  • FT-100(D)
    • The FT-100D has an internal jumper for either CAT/TUNER or LINEAR. This should be set for CAT/TUNER.
    • Configure the radio as FT-100, 4800, N, 8, 2, Handshake, Tx=1, DTR=CW, RTS=PTT.
    • Needs a standard FT-100 CAT cable (CT-62).
  • FT-817
    • 19200, N, 8, 1, Handshake, Handshake. FT-718 CI-V Baud "Hi". When using a USB/Serial adapter set DTR to 'Always on' and RTS 'Always off'.
    • There are some limitations in the available CAT Codes provided by Yaesu with the FT-817, FT-857 and FT-897.
      • The best way to understand what is possible is to take few minutes and review the available CAT Commands on page 72 (FT-817) 62 (FT-897) 115 (FT-857) of your operating manual.
      • VFO A/B : It is only possible to switch from one VFO to the other but there is no way to know by the program if the radio is on VFO A or VFO B.
      • Narrow CW Filter : There is no CAT Command to set Filters on the radios.
  • FT-840
  • FT-847
    • Split Operation does not work, because it is not supported via the CAT-connection. So it has to be done manually by the operator.
    • RIT and XIT in the bandmaps are not working, because this is not supported by the FT-847.
    • Also working for frequencies above 100 MHz.
  • FT-857
    • Select FT-817 as radio.
    • Check out the limitations these radios have under FT-817.
  • FT-890
  • FT-897
    • Select FT-817 as radio.
    • Check out the limitations these radios have under FT-817.
  • FT-900
  • FT-920
    • PTT via CAT supported.
    • For filter settings see below.
  • FT-990
    • For filter settings see below.
  • FT-1000(D)
    • If the bandmap/frequency is not updating, the radio probably is in Mem/Tune mode. Deselect using the VFO/MEM switch.
      • The program forces the radio at startup from Mem/Tune mode in VFO mode to avoid this problem.
      • For filter settings see below
    • Please see also Key Assignments (Alt+F12)
  • FT-1000MP (Mark-V)(Field)
    • Please see also Key Assignments (Alt+F12)
    • The program can't send CW via the MP's serial cable. See the help for how to build a CW interface
    • If the bandmap/frequency is not updating, the radio probably is in Mem/Tune mode. Deselect using the VFO/MEM switch.
      • The program forces the radio at startup from Mem/Tune mode in VFO mode to avoid this problem.
      • The indicator should show VFO.
    • Use a straight serial cable
    • 4800,N,8,2 and DTR and RTS set to "Always Off"
    • A big issue with the FT-1000MP is that you cannot set the radio to split with VFO-B as the RX. Well, you can, but you cannot control whether you are listening dual, or just VFO-B from the computer. You can detect it, but not set it. The user will have to press the main RX button to turn off the main receiver when split from VFO-B. Note that Alt-F10 will swap VFO A & B frequencies. That is very useful in this case.
    • Using QMB memories
      • When doing a QMB RCLl press M>A until it transfers the QMB frequency to the VFO. After this it should work as normal, but you lose the original frequency that was in VFO-A.
    • For filter settings see below
  • FT-1000 series, FT-990 and FT-920 Setting filters . Simply right-click on the bandmap and you will get a menu which includes "Set transceiver filter codes" ... there are six submenus: CW Wide, CW Narrow, SSB Wide, SSB Narrow, Digi Wide and Digi Narrow. In my case the commands for SO2V are:
    • The settings below will work for the FT-1000, FT-1000D, the FT-1000MP, the FT-1000MP/MKV and the FT-1000MP/MKV Field (or any combination of two FT-1000 "family" of rigs in SO2R).
    • BandWidth | VFO-A (main) | VFO-B (sub) | Filter | Remarks
      2.4 kHz | 0 0 0 0 140 | 0 0 0 128 140 | SSB Wide or Digi Wide
      2.0 KHz | 0 0 0 1 140 | 0 0 0 129 140 | SSB Narrow or Digi Narrow | will use 2.4 kHz on VFO-B
      500 Hz | 0 0 0 2 140 | 0 0 0 130 140 | CW Wide or Digi Wide
      250 Hz | 0 0 0 3 140 | 0 0 0 131 140 | CW Narrow or Digi Narrow | will use 500 Hz on VFO-B
      6.0 KHz (thru) | 0 0 0 4 140 | 0 0 0 132 140
    • The VFO-B (sub) only supports bandwidths of 6.0 KHz, 2.4 KHz and 500 Hz.
    • For SO2R (two rigs) configure the two bandmaps the same.
    • Some notes:
      • "Duplicates default filter settings" is appropriate to the FT-1000 MK/V and Field only. The FT-1000/D/MP permit more flexible filter selection.
      • The FT-920 does not support 2.0 KHz and 250 Hz filters ... it might make more sense to revise CW and Digi settings for 2.4/500 Hz (0 0 0 0 140 and 0 0 0 2 140) filters.
      • Even though the FT-920 lacks the second receiver, the FT-920 permits selecting different bandwidths for each VFO. The CAT commands are the same as those for the second receiver in the "1000" series: 0 0 0 130 140 selects 500 Hz and 0 0 0 128 140 selects 2.4 KHz.
      • The FT-990 commands are the same as those for VFO A in the "1000" series of radios.
  • FTDX-9000
    • Supported.

Other brands

  • No other brands are supported yet.


Third Party Software

All programs described below are freeware programs !

AR Cluster User

AR Cluster User by Lee, VE7CC is a full featured Telnet and TNC program for use with AR Cluster or DX Spider Nodes.
It has telnet and RS-232 outputs for logging and contest programs like N1MM logger. Runs under Windows 95 to Windows XP and can auto reconnect and automatically gets missed spots. It can be used with telnet and TNC's.
The program can receive spots both in connected and unconnected modes, this means it also recognizes spots when NOT connected to any packet node, just monitoring the RF channel where other users are receiving spots is good enough.

Setting up AR User with N1MM logger

  • Settings AR cluster
    • Connect to your packet node with AR User
    • Go to Configuration/Ports
    • Check "Telnet" Logging Program Connection, Apply
  • Open N1MM Logger
    • Go to Config - Change Telnet Cluster List
      • If there isn't already an entry, add AR User
      • Use 127.0.0.1:7300 if AR User and N1MM are on the same computer.
      • Check the website how to achieve this when using more computers
    • Open the Telnet Window and connect to AR User
  • You should see spots flow into N1MM Logger from AR User

Check out the the AR Cluster User website using the url in the links chapter.

I8NHJ web interface

I8NHJ has created a very nice web Interface to the N1MM Logger Database. This interface gives statistics about the contest, worked stations and much all in real time when needed. See the file WebInterface_Howto.txt in the zip file for installation instructions. Tested on Windows NT/W2K/XP. You'll need MS Office and MS Access 2000. MS Office is not needed to run N1MM logger only needed for the web interface!

From the HowTo.txt file and additional info from Max, I8NHJ

This program was designed to allow an easy, powerful and versatile interface to the log generated by the N1MM Logger during a contest or DXpedition. It is distributed AS IS, under the GNU license terms. It can be freely used and distributed but please leave in place the references to me (I8NHJ) and to the programmer (AGO) who helped in developing the code. Version 1.0, November 2002

The Web Interface is written using in-deep ASP techniques and it needs a full-asp support. This means that some investigation should be made to find a good ASP support for other platforms than Microsoft. Here we strongly use Linux but so far we still haven't found any working support for ASP and, moreover, this kind of solution could become too complex for the average user.

To get the full functionality from the tool, the Microsoft Office package must be installed on the Server side. Ms Access is not really needed but some graphical features are performed by components from Excel and Word.

To generate the graphics you need MS Office on the server side. If you haven't it, the Web Interface runs anyway but you will not get charts. NB.

Below an explanation from Franki, ON5ZO

Max I8NHJ has made an interface to go with the N1MMLogger software and it's database (*.mdb files). You can see it in full action when clicking on this link: http://193.207.106.231/s05x/log/default.asp. This is a real time example with the recent expedition log from SO5X. Take a look and see what it does. If you want this at home for your own log just read on..

Max kindly offered this tool to us, the N1MM Logger users. You can download the program from the N1MM logger web site under 'Downloads', select in the menu: 'Other Files'. The file name is 'webinterface1-x.zip'. This is not a program that can run on its own. In fact, it is some kind of web site/web page (without getting into details). This requires that you run a web server on your own Windows PC at home. There are several possibilities:

a) you know all about servers and ASP, and have an ASP capable server running. You're on your own, you're smarter than I am...

b) you are running Windows 2000 / NT / XP Pro > there's this thing called IIS that you need to install by inserting the CD, and run Windows Setup > Add components (The names may vary according to what Windows version you are using).

c) Win XP Home: too bad, IIS does not come with the 'light' version, so either you * mess with XP Home, some did with success, others like me without any luck go to: http://www.15seconds.com/issue/020118.htm * install a FREE non-Microsoft server and add ASP support. (See information below from Dave, G3VGR)

d) You run Windows 98 (and maybe this is good for Windows 95 too, did not test this): go to: http://coveryourasp.com/PWS.asp. Follow steps 1 to 7 (included)

When you finished option A or B or C or D successfully, and the server (IIS or PWS) is up and running, follow Max his guidelines in the ZIP-file.

73' Franki

Below some additional information from Dave, G3VGR

I've just successfully implemented the I8NHJ interface, using the freeware Abyss Web Server from http://www.aprelium.com/.
ASP support needs to be added using the freeware ActiveHTML software from seliSoft. http://www.selisoft.com/en/ahtml/index.html.
The Aprelium web site gives a blow-by-blow account on how to add this support http://www.aprelium.com/abyssws/asp.html.

I only started using Logger today, so have only used a very small test log to verify all this.

73, Dave

Below some additional information from Uffe, PA5DD

I recently re-installed my whole system to Windows 2000 (same goes for XP etc.). It all works fine until I want to use the I8NHJ Web interface when the Logger has the same .mdb database file open. Then access is refused. Reason is that the Logger opens the database file "exclusively". This is a question of access rights. After installation of the Web interface, Internet user access rights has to be awarded to the directory where the Web interface is, as well as the Logger directory. To see how, use the link: http://www.aspemporium.com/aspemporium/tutorials/permdenied.asp

The Web server should have default.asp in its Default Document list. Alternatively you could address the page directly: http://localhost/logger/default.asp

73 Uffe PA5DD

Personal Web server

"If you have Windows 95 installed on your computer, you can install the Microsoft Personal Web Server from the Windows NT 4.0 Option Pack. You can download the Option Pack from the Microsoft Web site."

Microsoft Personal Web Server can also be found in the "Add-on\pws" directory on the Win98SE install CD (at least on this Win98SE upgrade CD, US version).

Below some additional PWS information from Frans, PA5CA

I installed the PWS software for win98se, please note to install (over write) one of the dll files before executing the install.

It took me some time before I got the ASP statistics to work, now I'm quit happy. I used the following links....

http://support.microsoft.com:80/support/kb/articles/Q246/0/81.ASP

http://support.microsoft.com/default.aspx?scid=fh;NL;w98

73' Frans PA5CA

Thucydides

Always would like to update the history file with real contest qso's ? Have an optimized history file for every contest ?
That is possible with Thucydides by Carel, PC5M.

Thucydides is a separate program developed to connect to N1MM Logger and history files. With this manager it is possible to update a current history file with the information gathered during logging contest qso’s. History file can be used to verify and fill in automatically specific information when logging new contacts (gridsquare, state, CK, etc).

The user can build up a separate (ms-access) database with imported history information from actual logged QSO's (with n1mm logger) and/or other history text files. Exporting the information to a dedicated history.txt file for a specific contest. Users can manipulate in great extend the behavior of the program (which fields to import or which fields to export) by updating a normal Excel configuration file.

Features

Thucydides provides the following features

  • Creation of contest specific and optimized history files
  • Updating history files with logging information
  • Database views of selected contest and history file
  • Supported contests are all contests supported by N1MM Logger

Please check the manual how to use the program. Check out the the N1MM website using the url in the links chapter.

AutoHotkey

AutoHotkey can create hotkeys for keyboard, joystick, and mouse. Remap keys and buttons on your keyboard,joystick, and mouse and has many more features. Virtually any key, button, or combination can become a hotkey.

Once you have AutoHotkey installed, you create a script file in notepad, name it with an .ahk extension, and double-click it. Windows knows that you want to run AHK, so an AHK logo for the script appears in the system tray, and stays there until you actually exit from it. You can edit the script, read the help file, and reload the script from right-clicks on that logo. One thing it took me a while to figure out is that each time you edit the script you need to reload it - also through the right-click on the logo.

Model for N1MM logger for any use of one key to send a multi-key combination:
'Script' Description
#UseHook
SetNumlockState, AlwaysOn
Numpad7::Send !{F9}
Numpad8::Send ^+i
Numpad4::Send ^b
Numpad9::Send !r
Numpad5::Send ^{Enter}
Return
 Num Lock always on
Numeric key 7 - toggle antennas,
Numeric key 8 - toggle ARFF,
Numeric key 4 - toggle dueling CQs,
Numeric key 9 - toggle repeat CQs,
Numeric key 5 - and send the next ESM state on the opposite radio.

Example AutoHotkey implementation for grabbing multipliers to VFO A and B:
'Script' | Description
#UseHook SetNumlockState, AlwaysOn Numpad7::Send ^!{Up} Numpad1::Send ^!{Down} Numpad9::Send ^+!{Up} Numpad3::Send ^+!{Down} Return | Num Lock always on Numeric key 7 - VFO A Go to next multiplier up the bandmap, Numeric key 1 - VFO A Go to next multiplier down the bandmap, Numeric key 9 - VFO B Go to next multiplier up the bandmap, Numeric key 3 - VFO B Go to next multiplier down the bandmap.

Example AutoHotkey implementation to send CW using a hotkey:
'Script' | Description
Numpad1::Send ^k testing?^k | Send a CW message from a designated hotkey (Numeric key 1 in the exmaple). You'll see the Ctrl+K keyboard window appear and quickly disappear, but now the CW continues to be sent until it is done (unless you hit ESC to interrupt it)

A program which can do the same or maybe even more is 'AutoIt' version 3. Check out the links chapter for both urls.


Example Function Keys

Below some example function keys for some CW and RTTY contests.

Note 1: There may not be any 'holes' in the function keys lines with skipped function keys. ALL preceding Function keys must at least have a line in the table.
Example: You'd like to have a different S&P F3 key than the Run F3 key. First you have to add the 12 Run lines in the table, after that the S&P lines for F1 + F2 +F3 which you liked to change for S&P. So at least 15 lines in total have to be in the function key table (12 run + 3 S&P).

Note 2: The text F1 (etc.) in the left column is only text and has no intelligence/meaning for the program. You could remove it and change it to any text you like, which will show on the Function key in the Entry window. The order of lines determines what the key will do. Examples: line 5 is Run F5 , line 11 is Run F11, line 17 is S&P F5 (17-12=5) etc.

CW | RTTY
Default | RTTY General
SPRINT CW | WPX RTTY
 | SPRINT RTTY

SSB

The .wav files can be anywhere on your computer as long as the filename in the FKey setup includes the path. If in the wav folder, than it should read wav\[filename]. If in another, for example ARRL DX, it would read arrldx\[filename].

CW

CW program default

Below the default function keys as setup in the program. The F3 up to F12 keys under S&P are not filled which means the F3 up to F12 from Run will be used.

Run |  | S&P
F1 CQ | cq~test~de~* | F1 {MYCALL} | *
F2 {Exch} | <<<5nn >>>{EXCH} | F2 5NN {EXCH} | <<<< 5nn >>>> {EXCH}
F3 TU | TU de * |  |
F4 {MYCALL} | * |  |
F5 His Call | ! |  |
F6 QSO B4 | QSO B4 de * |  |
F7 ? | ? |  |
F8 Agn | Agn |  |
F9 |  |  |
F10 |  |  |
F11 |  |  |
F12 |  |  |

Sprint CW examples

Example 1

This Functionkey set is based on a set posted by Kenny, K2KW.

Run |  | S&P
F1 CQ | * * <<<NA>>> | F1 CQ | * * <<<NA>>>
F2 Exch | * {EXCH} | F2 Exch | ! {EXCH} *
F3 TU | EE{S&P} | F3 TU | EE{RUN}
F4 {MYCALL} | * | F4 {MYCALL} | *
F5 His Call | ! | F5 His Call | !
F6 QSO B4 | B4 E E | F6 QSO B4 | B4 E E
F7 ? | ? | F7 ? | ?
F8 Agn | AGN | F8 Agn | AGN
F9 |  | F9 |
F10 |  | F10 |
F11 |  | F11 |
F12 |  | F12 |

Running Message Notes

  • For F2, there is a space before the *; E.G. "<space> * {EXCH}"
  • For F3, "EE" is there to confirm the QSO. You could easily use "TU".
  • After the "EE" is sent on the F3 message, the {S&P} macro puts you into the S&P mode. Then just hit your UP/DOWN arrow to QSY.
  • Personally I have F6 programmed as {EXCH} to send a repeat on the exchange

S&P Message Notes

  • Note the difference in the sequence for the F2 message compared to the Running F2 message
  • For the F3 message, the {RUN} macro puts you in the running mode, ready to work a tail ender and send him the correct QSO sequence
  • Personally I have F6 programmed as {EXCH} to send a repeat on the exchange

Example 2

This Functionkey set is based on a set posted by Pete, N4ZR.

Run |  | S&P
F1 CQ | * * NA{CLEARRIT} | F1 CQ | * * NA{CLEARRIT}
F2 Exch | * {EXCH} | F2 Exch | ! {EXCH} * {RUN}
F3 TU | E~E {CLEARRIT} | F3 NR | #
F4 {MYCALL} | * | F4 {MYCALL} | *
F5 His Call | ! | F5 His Call | !
F6 QSO B4 | B4 * | F6 Name | PETE
F7 Rpt Exch | {EXCH} | F7 State | WV
F8 ? | ? | F8 ? | ?
F9 |  | F9 |
F10 |  | F10 |
F11 |  | F11 |
F12 |  | F12 |

Note two things about this set:

1. The {RUN} macro is in S&P F2, not F3. This worked great for me - when I pressed Enter to send the S&P exchange, the exchange was sent, the QSO was logged, and the mode changed to {RUN} with the cursor in the call sign box. Therefore I did not have to press F3 to get from S&P to Run. The main problem with this is that if anyone asks for a repeat of the serial number, the Run keys are already active, so you have to either remember how to get the serial number from the S&P set (Shift+F3), or else just use the paddle, which is what I did.

2. There is no {S&P} macro in this set. At the end of a Run QSO, you switch to S&P mode by just QSYing. This also worked OK for me; since you are going to have to QSY anyway, there seems to be no real need to force a change to S&P mode. I also had the "QSYing wipes the call & spots QSO in bandmap" option selected, which may have helped ensure that the cursor was in the right place after QSYing by wiping the entry window. Of course I did not actually have the band map open, and I just ignored any call signs that showed up in the frame in the entry window.

It would be a nice touch if the final Enter in Run mode would not only log the QSO, send the acknowledgment (E E or R) and switch to S&P, but also QSY the radio by 1.5 kHz; but as far as I am aware there is no {QSY:+1.5} macro to do this. I think you have to either turn the radio dial or press the up/down arrow or PgUp/PgDn key (depending on what increments you have these keys set for). I just turned the dial. Next time, if I remember, I will set PgUp and PgDn to 1.5 kHz and try to use them more.

73, Rich VE3IAY

RTTY

General RTTY contests

The way the keys below are designed, they will work in many RTTY contests without any changes. Whether these particular ones suit your situation will depend on your antennas, your power, QTH, etc.; but maybe these will give you some ideas to work with.

Run |  | S&P
F1 CQ | {TX} CQ TEST DE * * CQ {RX} | F1 CQ | {TX} CQ TEST DE * * CQ {RX}
F2 Exch | 599 {EXCH} ! BK {RX} | F2 Exch | {TX}{ENTERLF} DE * TU 599 {EXCH} {EXCH} BK {RX}
F3 TU | {TX}{ENTERLF} ! TU DE * QRZ? {RX} | F3 TU | {TX} ! TU {RX}
F4 {MYCALL} | {TX} DE * K {RX} | F4 Call Him | {TX} DE * * * K {RX}
F5 His Call | {TX}{ENTERLF} ! | F5 1x1 | {TX} ! DE * K {RX}
F6 QSO B4 | {TX} B4 DE * CQ {RX} | F6 0x1 | {TX} DE * K {RX}
F7 Rpt Exch | {TX} {EXCH} {EXCH} {EXCH} {EXCH} K {RX} | F7 Rpt Exch | {TX} {EXCH} {EXCH} {EXCH} {EXCH} {EXCH} BK {RX}
F8 Agn | {TX} AGN AGN DE * K {RX} | F8 Agn | {TX} AGN AGN de * K {RX}
F9 |  | F9 |
F10 |  | F10 |
F11 |  | F11 |
F12 |  | F12 |

When using the above keys it is assumed that ESM is on. The Run mode keys F5, F6 and F7 are not very useful when you are S&Ping, this is why I put those keys to better use by programming them different from the Run mode keys.
Note also that you can use up to 24 additional buttons (mouse only, no keyboard access) on the digital interface window. For example, you can set up 0x1, 0x2, 0x3 and 0x4 calls, single, double and triple exchanges, separate requests for his zone and state and repeats for your zone only and for your state only, and so on.

Another RTTY example for a contest where the time is part of the exchange (like ANARTS).

Run |  | S&P
F1 CQ | {TX} CQ ANARTS DE * * CQ {RX} | CQ | {TX} CQ TEST DE * * CQ {RX}
F2 Exch | 599 {TIME2} {TIME2} {EXCH} ! KN {RX} | F2 Exch | {TX}{ENTERLF} DE * TU 599 {TIME2} {TIME2} {EXCH} {EXCH} {RX}
F3 TU | {TX}{ENTERLF} QSL ! TU DE * QRZ? {RX} | F3 TU | {TX} ! TU {RX}
F4 {MYCALL} | {TX} DE * {RX} | F4 Call Him | {TX} DE * * K {RX}
F5 His Call | {TX}{ENTERLF} ! | F5 1x1 | {TX} ! DE * K {RX}
F6 QSO B4 | {TX} B4 DE * CQ {RX} | F6 0x1 | {TX} DE * K {RX}
F7 Rpt Exch | {TX} 599 {TIME2} {TIME2} {TIME2} {EXCH} {EXCH} K{RX} | F7 Rpt Exch | {TX} 599 {TIME2} {TIME2} {TIME2} {EXCH} {EXCH} K{RX}
F8 Agn | {TX} AGN AGN DE * K{RX} | F8 Agn | {TX} AGN AGN de * K {RX}
F9 TIME? | {TX} TIME AGN PSE?{RX} | F9 TIME? | {TX} TIME AGN PSE?{RX}
F10 TIME | {TX} TIME {TIME2} {TIME2} {TIME2} K{RX} | F10 TIME | {TX} TIME {TIME2} {TIME2} {TIME2} K{RX}
F11 QSY Up | {PGDN} | F11 QSY Up | {PGDN}
F12 QSY Dn | {PGUP} | F12 QSY Dn | {PGUP}

73, Rich VE3IAY

Example WPX RTTY

Here is a freely "translated" set from the AA5AU's messages at http://www.rttycontesting.com/rttymessages.html The examples mentioned are for a different contesting program. For those who are not familiar with the macro commands in that program, here is a freely "translated" set for N1MM's Entry window buttons using ESM, for contests with exchanges similar to WPX RTTY. These are based on AA5AU's suggestions but with a couple of twists of my own. Those of you who have been using N1MM in RTTY contests for a while will already have messages set up that suit you better, but for anyone starting out in RTTY maybe this will help get you going:

Run |  | S&P
F1 CQ | {TX} CQ TEST DE * * CQ {RX} | F1 CQ | {TX} CQ CQ DE * * CQ {RX}
F2 Exch | 599 {EXCH} {EXCH} ! BK {RX} | F2 Exch | {TX}{ENTERLF} DE * TU 599 {EXCH} {EXCH} {EXCH} BK {RX}
F3 TU | {TX}{ENTERLF} ! TU DE * QRZ? {RX} | F3 TU | {TX} ! TU {RX}
F4 {MYCALL} | {TX} DE * K {RX} | F4 Call Him | {TX} DE * * * K {RX}
F5 His Call | {TX}{ENTERLF} ! | F5 1x1 | {TX} ! DE * K {RX}
F6 QSO B4 | {TX} B4 DE * CQ {RX} | F6 0x1 | {TX} DE * K {RX}
F7 Rpt Exch | {TX} {EXCH} {EXCH} {EXCH} {EXCH} K {RX} | F7 Rpt Exch | {TX} {EXCH} {EXCH} {EXCH} {EXCH} {EXCH} BK {RX}
F8 Agn | {TX} AGN AGN DE * K {RX} | F8 Agn | {TX} AGN AGN de * K {RX}
F9 |  | F9 |
F10 |  | F10 |
F11 |  | F11 |
F12 |  | F12 |

For other contests and wherever they are different from WPX, making the corresponding changes. You can save each different set of messages in a separate file and load the desired set before the contest - the set above is my WPX_RTTY.mc file.

I made a distinction between the exchange you use while running and the one you use S&Ping. N1MM does, and I have taken advantage of this.

Running, AA5AU's (F3) exchange becomes my F5 + F2. If you are not using ESM, or even if you are but you want to program a similar exchange message in the Digital Interface window buttons, combine my F5 and F2 into a single message. I have taken the liberty of adding the ! at the end. AA5AU does this in his (F8) tail-ender exchange, but not in his dual-purpose (F3) exchange message.

S&Ping, you do not need the other guy's call sign in the exchange, so in the S&P F2 I have replaced it with a third copy of the serial number. AA5AU suggests adding DE * for the S&P exchange, and I have taken the additional liberty in my example of putting this at the beginning instead of the end - sometimes one is better, sometimes the other, so use what you are most comfortable with.

AA5AU has two different requests for repeats, one for the call sign (F6) and one for the exchange (F10). I have combined these into a single purpose "Agn" message in F8, mainly because in Run mode the number of free Entry window buttons is limited. If you have "Work dupes" selected, you don't need a B4 message and you could use F6 for this. In the Digital Interface window, you have lots of room and you can easily program separate buttons for all sorts of things.

AA5AU's set has a tail-end message, (F8). I would put this in a Digital Interface button, where it would look something like:
{TX}{ENTERLF} {LASTCALL} QSL TU NOW ! 599 {EXCH} {EXCH} ! BK{RX}
This assumes you have already logged the last QSO - if not, maybe the message should start out with {LOG}. You might also experiment with using {GRAB} in place of the first ! . Warning: I have not tried this out yet, and "correct" behavior is not guaranteed. This is an area where experimentation may pay off.

When S&Ping, I like to have lots of different choices for calling the CQer, so in addition to putting AA5AU's (F5) in F4 (S&P) and his (F7) in F4 (Run) and F6 (S&P), I have added a 1x1 call in F5 (S&P). You may have better uses for these keys; you should change them to suit your preferences.

73, Rich VE3IAY

Example RTTY Sprint

Run |  | S&P
F1 CQ | {TX} CQ NA DE * * NA {RX} | F1 CQ | {TX} CQ NA DE * * NA {RX}
F2 Exch | * {EXCH} BK {RX} | F2 Exch | {TX}{ENTERLF} ! {EXCH} * K {RX}
F3 TU | {TX} TU {ENTERLF}{RX} | F3 His Call | {TX} ! {RX}
F4 {MYCALL} | {TX} DE * K {RX} | F4 {MYCALL} | {TX} DE * * K {RX}
F5 His Call | {TX}{ENTERLF} ! | F5 NR | {TX} # # # K {RX}
F6 QSO B4 | {TX} B4 DE * CQ {RX} | F6 NAME | {TX} RICH RICH RICH BK {RX}
F7 Rpt Exch | {TX} ! DE * {EXCH} {EXCH} K {RX} | F7 QTH | {TX} ON ON ON BK {RX}
F8 Agn | {TX} AGN AGN DE * K {RX} | F8 Agn | {TX} AGN AGN DE * K {RX}
F9 |  | F9 |
F10 |  | F10 |
F11 |  | F11 |
F12 |  | F12 |

73, Rich VE3IAY


Call Checking

Dave Robbins, K1TTT's call checking code has been implemented in the program. When a callsign is entered it is checked against a pattern file to see if the callsign entered is a possible callsign. A warning will be given when this is not true. The messages appears in the check window.

This feature can really help our UBN rates if we get good rules!

Note that the call checking function only works for HF (no WARC) and CW/SSB and only when nothing is found in the CHECK window. So not for RTTY etc. and not on VHF and up!

****WARNING**** Do not assume that if the program gives a warning that the callsign is not possible and has to be removed from the log. Some of these rules could already be outdated due to countries changing callsign sequences or issuing special contest calls.

Updating the pattern file

Unfortunately many countries have changed their callsign assignment process over the last years and many will change the coming years. Because of this the rules may not be valid. The rules are in the callsign.pat file in the program directory. The rules need constant updating, so if you have any rules or find broken rules for your country, please post them.

Note the following:

  • Lines that start with ! are comments and are ignored by the program.
  • Lines alternate, first there is a text message that would be displayed for the user and should basically state what the problem is.
  • After the text message is a cryptic line that is the machine readable part of the rule.

When reviewing the rules please look mostly at the text messages, these should give you a basic explanation of what the rule is. When you send updates please give a short description of what the rule is, similar to the text messages already in. Write longer explanations if needed to explain all the nuances of a particular callsign rule. If you can't make up the code part for the particular callsign scheme just send it in and we will help. If a rule in the file now is no longer valid please include both lines from the file in your message and an explanation or example of why it is no longer a bad call pattern.

At present the rule file is limited to 200 rules, but can easily be expanded.

Please do not to make up rules just for oneself. This is a golden opportunity to give back to the group with your knowledge of your home country's call sign standards.

The pattern file

A rule 'pattern' describes a bad callsign character by character. As long as the call matches the pattern the procedure continues. If the pattern runs out before the end of the callsign then the rest is assumed to match. If the callsign runs out of characters first then it doesn't match and the call is passes as good.

Components

The components that make up a 'rule' are:

Single characters:
A | match the letter 'A'
1 | match the number '1'
 | Etc.
Repetition flags |  | These must be followed by a character type specifier: |  | To make up phrases like:
: | Match one | N | match any character (A-Z, 0-9) | :D | match one of any digit
+ | Match one or more | A | match any letter(A-Z) | +A | match one of any digit
* | match zero or more | D | match any digit (0-9) | *N | match zero or more letters or digits
- | optional match |  |  | -D | optionally match one digit
Groups of characters to match: |  | Which can make up phrases like
[] | match | [ABCFXZ] | match a,b,c,f,x, or z
! | match any characters not in list | [!ABC] | match anything other than a,b, or c
- | match a range of characters | [!A-R] | match anything other than letters a to r

More info is given below like checking bands and modes.

Examples

The following are some simple examples of patterns and what they match or don't match.

Pattern | Pattern matches |  |  |  |  | Pattern doesn't match
:A:D | A1 | Z0 | Q8 |  |  | AA | 19 | 1A |  |
+A:D | A1 | AA1 | ABC1 |  |  | AA | 19 | 1A |  |
*A:D | 1 | 19 | A1 | AA1 | ABC1 | AA | 1A |  |  |
F:D | F1 | F2 | F9 |  |  | A1 | Z0 | 1A |  |
[ABC]B:D | AB1 | CB1 | BB9 |  |  | AC1 | DB9 | CZ0 |  |
[!ABC]B:D | ZB1 | DB9 | QB0 |  |  | AC1 | AB1 | CB1 | BB9 | CZ0

What are we trying to match

First, what do we do with a match?? Well, if a callsign matches one of the patterns a message appears in the check window. Therefore we make up rules that specify what a 'bad' call is, like:

  1. Calls that start with 3 letters.
  2. Call with first letter B with prefix other than BT,BV,BY,BZ.
  3. French calls with a 1 or 6 that don't have 3 letter suffix.
  4. East German calls that don't end in A to O (East Germany does not exist anymore but is still in as a nice matching example).

Then we try to make a pattern that will match only calls fitting that rule.

Unfortunately some countries have made the job a bit harder by restricting certain types of calls to certain bands and modes. I.E. the HJ prefix is only used on CW or 40m and 80m SSB. So we need some way to specify rules for those calls. So what I do is append the band and mode information to the end of the callsign before it goes through the pattern matcher. What it looks like then is this: "BY1AA=4S" where the '=' is added at the end of the call, followed by the band number (1=160m, 2=80m, ... 6=10m) and the mode (S=SSB, C=CW, O=Other modes). Now we can make rules that apply to specific bands and not have another mechanism to remember. This also helps us by marking the end of the call with the '=' sign, so now we can sort out calls that have to have specific lengths.

This means the following combinations can be made to specify bands and modes:
=3C match a '3' (40meters) followed by "C" for CW, call would be bad on 40m CW.
=4 match just a '4' for 20m either mode, call would be bad on 20m any mode.
=:DS match any band, but only for SSB, call would be bad on SSB on any band.

Which for our rule that is valid only on CW or 40/80 SSB means that it is bad on any other band or on SSB so we could do: =[1456]S which means the call is bad on 160, 20, 15, or 10m SSB

Also, before a call is sent through the pattern matcher any portable part of the call is removed. This way a /QRP, /A, /MM, /CT3 etc. does not affect the checking of the basic callsign.

Now, back to some of the cases mentioned earlier and how to make up rules for them.

1. Calls that start with 3 letters
This is fairly easy, all we need is a rule that will 'match' if the first 3 characters are letters. Since the :A phrase says to match any one letter we can use that to get the rule: :A:A:A
Notice, that since we are only worried about the first 3 characters of the call we don't have to go past that in the rule. This makes use of the property that says if the rule runs out before the callsign does the rest is assumed to match.

2. Call with first letter B with prefix other than BT,BV,BY,BZ
This is a bit harder, but at least we only have to deal with the first 2 characters of the call. First, we only want this to apply to calls that start with a 'B'. Then if the second character is not one of the group 'TVYZ' we want it to 'match'. So we get the rule: B[!TVYZ]
This is the same as above, if we match the 'B', and then the next character is not one of the set "TVYZ" we don't care what the rest of the call might be.

3. French calls with a 1 or 6 that don't have 3 character suffix
Now this is a real test of the capability of the rules and how well you understand them. First we need calls that start with 'F', followed by a '1' or '6'. Then we need to match one or two character suffixes to reject suffixes that are too short. For this we will use one of the 'optional' matches for the second letter of the suffix to get: F[16]:A-A=
Note how we have the ":A-A" which will match one letter, then optionally another letter. We can not use "+A" in this case because that would also match 3 letters. Then the '=' will anchor the end of the rule so that if there was a third letter in suffix it would not match the '=' and the call would pass as good. Unfortunately the French also use other prefixes like FB, FD, FE, FF that follow the same rule. But this can not be combined be cause of other calls that also start with F and don't necessarily have 3 letter suffixes. Calls like FR, FS, FJ, FC, FT may not fit the 3 letter rule. This means we need a second rule to finish this problem to specify the other French prefixes we want to check for 3 letter suffixes. To cover this we get the rule: F[BDEF][16]:A-A=
Which will match French 2 letter prefixes followed by a '1' or '6' with only 1 or 2 letter suffixes.

4. East German calls that don't end in A to O
Now here is the killer. Fortunately all these calls have been replaced, but it is still a good example and will probably be very similar to some of the Russian rules for suffixes. First we want to match calls that start with 'Y', followed by a digit from 2 to 9, followed by another digit from 0 to 9, then there could be one, two, or in rare cases three letter suffix that must end with a letter in the range of 'A' to 'O'. With all this in mind we get the rules:
Y[2-9]:D[!A-O]= for single letter suffix.
Y[2-9]:D:A[!A-O]= for 2 letter suffix.
Y[2-9]:D:A:A[!A-O]= for rare 3 letter suffix.
Again we ended up with multiple rules, in this case because if we had used a '+A' or '*A' it would have also matched the last letter that we wanted to check specifically.

Now if you look in the file CALLSIGN.PAT you will see all the rules that I have come up with. Each rule also has a line giving the explanation for it. This explanation is shown as a messages in the check window. You will note that some of them are not hard rules, only that the call is rarely used.

Now you should all be experts at making rules for bad callsigns. When you come up with a new pattern you can test it by entering the callsign in the callsign field.

It is possible to come up with rules that you can't get to in the file. For instance a call like "HI500ABC" would always be rejected by the "CALL TOO LONG" rule near the top of the file, so if you tried to come up with a specific rule saying that HI500 calls only have 2 letter suffixes you would not get to it unless you put it before the rule for maximum callsign length.

Some of the 'Generic' rules will reject calls that may be good. The special calls using extra long numbers, like the "HI500ABC" above may very well be a legal call. But since these should be relatively few, especially during a contest, I feel it is better to have them shown in the check window and let the operator determine if they are correct than to try to come up with rules that may only be used once.


Links

N1MM links

N1MM Free Contest Logger Home Page.
  • An overview with all the latest information on the program
  • View and download Help files / Manuals (many languages)
  • Report bugs and request features
  • Testimonials
  • more
http://pages.cthome.net/n1mm
N1MM logger discussion group
  • This group discusses features, bugs, and ideas for the N1MM Free Contest Logger.
    • Do you have questions/remarks
    • Here you want to go.
  • To discuss the program you have to join first:
http://groups.yahoo.com/group/N1MMLogger

http://groups.yahoo.com/group/N1MMLogger/join

Download

  • Program (base install) - N1MM-FullInstaller.exe
    • Includes Serial, parallel and USB port support for 32 bit Operating Systems - PORT95NT.EXE
  • Program Updates - N1MM-NewexeVx.x.xxx.exe
  • Other files - Country files, Master Callsign database
  • Windows Help file - N1MMLoggerHelp.chm
  • Manual in PDF format - N1MMLogger.pdf
  • RTTY engine - MMTTY

Go to the Download page
N1MM video display by N6NC
  • Explanation of screens
    • Part 1 - Screen configuration, Using two monitors
    • Part 2 - Packet/telnet window, Available Mults and Q's window, Bandmaps
    • Part 3 - (first part) Multiplier window, Info window
  • Demonstration N1MM logger in contest operation
    • Part 3 - (second part) Action window (VFO A/B), Enter frequency, ESM mode, Mult hunting with Available Mults and Q's display
    • Part 4- Bandmaps and Mult hunting, VFO B action window, Packet/Telnet window and functions

N1MM Video Part 1.wmv (5 MB) or
N1MM Video Part 1.wmv (5 MB)

N1MM Video Part 2.wmv (5 MB) or
N1MM Video Part 2.wmv (5 MB)

N1MM Video Part 3.wmv (5 MB) or
N1MM Video Part 3.wmv (5 MB)

N1MM Video Part 4.wmv (5 MB) or
N1MM Video Part 4.wmv (5 MB)

Support file links

HF Country files

  • Country files which can be imported in the program (cty.dat or wl_cty.dat)
  • Don't forget to import the country file under Tools!
  • Look for install information on: Customizing the DXCC list
http://www.k1ea.com/cty/index.htm

Super Check Partial Database Files for HF contests

  • Randy, K5ZD, creates a few times a year several types of Check Partial Database files (also called Master files):
    • Master.dta - for international contests (all calls)
    • masterdx.dta - for DX contests (non US/VE calls)
    • masterusve.dta - For US/VE contests with W/VE calls
    • masterss.dta - for ARRL sweepstakes contests
  • Copy these files in the program directory and select the one to use at the bottom of the 'Choose which contest to log' dialog.
  • The calls in these database master files appear in the Check window after entering at least two letters of the callsign field.
http://www.k5zd.com/scp

Super Check Partial Database Files for VHF and up contests (North America only)

  • The calls in this database master.dta file appear in the Check window after entering at least two letters of the callsign field. Copy this file in the program directory and select it at the bottom of the 'Choose which contest to log' dialog.
http://www.qsl.net/k1tr/master.htm

Thucydides “A history manager for N1MM logger” by Carel, PC5M

  • A great tool to create import files from previous contest logs for the N1MM logger Call History function.
  • More info about this program in the chapter 'Third Party Software'

Program: Thucydides v1.0.zip (444 kB)

Manual: Thucydides_Manual_v1.0.pdf (310 kB)
(right click on link and choose: Save As)
Mapping file: Mapping_20051026.xls
(right click on link and choose: Save As)

MakeHistory by Howard, N4AF

Makehistory may be used to generate callhistory.txt files for import, this should only be necessary where the Cabrillo logs are from legacy logging programs and have not been imported into N1MM. The program handles not only Cabrillo logs but other ascii logs as well.
If the log has already been imported into N1MM use Thucydides.

 MakeHistory 1.0.9 (16 kB)

Rotator interfacing links

Rotator control supported by N1MM logger.

Antenna Rotator System ( ARS )
  • ARS universal antenna rotor interface by EA4TX
http://www.ea4tx.com/inde.htm

LP-Rotor

  • Standalone freeware rotator control program for use with Microsoft Windows.
  • Designed to be used with the Hy-Gain DCU-1 or RotorEZ interfaces for Hy-Gain rotators, or the RotorCard interface for Yaesu rotators.
http://www.telepostinc.com/LP-Rotor-Html/

Hardware links

Hardware supported by N1MM logger.

Ham Radio Solutions
  • EZmaster
    • WinKey serial keyer
    • Band decoder
    • SO1R & SO2R controller
 http://www.hamradiosolutions.com/

K1EL

  • WinKey serial keyer
http://www.k1el.com

microHAM

  • Band decoder (serial and parallel)
  • USB Micro keyer using the WinKey keyer from K1EL
 http://www.microham.com/

Top Ten Devices, Inc.

  • Band decoder
  • DX Doubler SO2R controller
 http://www.qth.com/topten/

Interfacing links

  • http://www.qsl.net/wm2u/interface.html - sound card interfacing
  • http://users.skynet.be/ON4AOI/keyer.shtml - simple CW, RTTY interfaces

Software links

MM Software Page (freeware)
  • MMTTY
    • The MMTTY software engine is used in N1MM logger.
  • MMVARI
    • The MMVARI software engine is used in N1MM logger.
 http://mmhamsoft.ham-radio.ch/
PSKCore.dll (freeware)
  • DLL by Moe Wheatley, AE4JY for developing PSK31 and PSK63 applications used by N1MM logger.
  • Not used by N1MM logger anymore but works very well.
 http://www.qsl.net/ae4jy/
winPSKX.dll (freeware)
  • PSK31 dll by Dave, WA0TTN.
  • Not used by N1MM logger anymore but works very well.
http://www.netdave.com/wa0ttn/PSK31.asp

Master.dta Editor (freeware)

  • View and edit the Master Callsign Database file used in many contesting programs, import and export callsigns, auto-download announced DX operations. Great program by Alex, VE3NEA.
http://www.netvampire.com/ham/

Dimension 4 (freeware)

  • Time synchronization tool for re synchronizing your computer time with Internet time standards. This program is successfully used by many N1MM logger users.
  • Doesn't work direct under Windows XP, a fix can be found in the FAQ.
http://www.thinkman.com/dimension4

AboutTime (freeware)

  • Time synchronization tool for re synchronizing your computer time with Internet time standards. This program is successfully used by many N1MM logger users.
  • Doesn't work direct under Windows XP, a fix can be found in the FAQ.
http://www.arachnoid.com/abouttime/

Cool Edit (shareware)

  • Record, clean up, mix, master, and export to MP3 and other formats with this audio editor. Many, many features.
 http://www.syntrillium.com/

Audacity (freeware)

  • Audacity is a free audio editor. You can record sounds, play sounds, import and export WAV, AIFF, and MP3 files, and more. Use it to edit your sounds using Cut, Copy and Paste (with unlimited Undo), mix tracks together, or apply effects to your recordings
 http://audacity.sourceforge.net/

QuickMix (freeware)

  • QuickMix is a simple applet that allows you to store all or part of the current state of your audio mixer in a settings file, and to restore the mixer to that state whenever you want.
  • Just set the different settings including mute etc. before saving the setting and give the setting a name *.qmx
 http://www.msaxon.com/quickmix/

Sound Mixer (freeware from PA1ARE)

  • Mixer is a program to set and restore the settings of the soundcard.
  • You can use it in two different ways... First you can use in the windows mode, where you have a visible mixer. You can store and retrieve the soundcard settings suitable for a certain application. If you use Mixer in a batch file just specify the label of the settings you want to restore.... Mixer will start (invisible) set the appropriate settings and then exits.
http://www.qsl.net/pa1are/software.html

Audiograbber (freeware)

  • Program which can record (among many other things) whatever the soundcard is playing in a variety of formats including MP3 at various bit rates.
Tips from Patrick, F6IRF
  • Schedule 1 hour files to start at 00:00 and end at 00:59:55
  • Files are named, according to day/time.
  • MP3 11 kbps quality is more than enough for SSB, CW and TTY
    • about 3MB/hour mono, or 6MB/hour stereo,for SO2R.
  • If you have "Fraunhofer" codec on you PC, just use this one, it's the best for non-musical applications.
 http://www.audiograbber.com-us.net/

AutoHotKey (freeware)

  • Autohotkey can create hotkeys for keyboard, joystick, and mouse. Remap keys and buttons on your keyboard,joystick, and mouse and has many more features. Virtually any key, button, or combination can become a hotkey.
  • Example script in the 'Third Party Software' chapter
  • Almost AutoIt version 2 compatible
 http://www.autohotkey.com/

AutoIt version 3 (freeware)

  • Autohotkey can create hotkeys for keyboard, joystick, and mouse. Remap keys and buttons on your keyboard,joystick, and mouse and has many more features. Virtually any key, button, or combination can become a hotkey.
 http://www.autoitscript.com/autoit3/

AR Cluster User (freeware from Lee, VE7CC)

  • This program looks useful to those who want more control over the spots appearing in the logging program. It can run on your local machine, or on another machine. You connect to it via port 7300 from a logging program.
  • It is specifically for AR-Cluster, but I would guess it works to a lesser degree with other cluster software.
 http://www.bcdxc.org/ve7cc/default.htm
TelMgr (freeware from LU7DID)
  • Interface between telnet client (N1MM logger) and AGWPE (packet via soundcard).
http://www.qsl.net/lu7did/

Telnet interface (freeware from IZ4AFW)

  • Interface between telnet client (N1MM logger) and AGWPE (packet via soundcard).
 http://www.qsl.net/iz4afw

CBS (freeware from K5KA)

  • Post-contest statistics program.
  • This program creates qso statistics from a Cabrillo input file.
  • It is really great for breaking out QSO's by hour.
 http://www.kkn.net/~k5tr/software/Cbs.exe

SH5 (freeware from UA4WLI)

  • Post-contest statistics program using Cabrillo input files.
  • Revealing of potential mistakes in reception of callsigns.
  • Search of partial calls.
  • Many, many more features
 http://rescab.nm.ru/

Contest links

ARRL Contest Calendar Page | http://www.arrl.org/contests/
SM3CER Contesting service | SM3CER Contest Service
VK4DX Contest Calendar | http://www.vk4dx.net/
WA7BNM Contest Calendar Main Page | http://www.hornucopia.com/contestcal/


DX Clusters

There are several types of DX clusters used during contests. Most of them have the same type of commands (SH/DX style by the original from AK1A).Below a summary of the most used DX cluster types with some sample commands how to use the DX cluster. For more information read the Help from the cluster you are using.

Overview

Cluster | AR-Cluster | CLX | DXnet | DXSpider | Wincluster | Clusse | PacketCluster(tm)
By | AB5K | DJ0ZY and DL6RAI | F5MZN | G1TLH | KH2D | OH7LZB | AK1A
Operating System | Windows 32 bits | Linux | Linux, Windows, Dos | Linux, Windows | Windows 32 bits | Dos | Dos
Command Set | SH/DX | SH/DX | SH/DX | SH/DX | SH/DX | Own | SH/DX
Version used for overview |  | 5.04 | 4.3b9 | 1.51 | 2.3.8 | 1.0 | Not found
Still supported | Yes | Yes | Yes | Yes | Yes | No | No
 | $$$ | Freeware | Freeware | Freeware | $$ | Freeware | $$
Multilingual | ? | ? | Yes | Yes | No | Yes | ?
Website | Website | Website | Website | Website | Website | Website | No
Help file | Web | Web | Not found | Web PDF file from FRC | Not found | Not found | Not found
Help on DX spots | Web | Web | Not found | Web | Not found | Not found | Not found
Help on Filters | Web | Web Web | Not found | Web PDF file By Jim - W3BG | Not found | Not found | Not found
Command Reference | Web | Web | Not found | Web | Not found | Not found | Not found

Commands

Action | AR-Cluster | CLX | DXnet | DXSpider | Wincluster | Clusse
General command set | SH/DX | SH/DX | SH/DX | SH/DX | SH/DX | List
Show users | SH/USERS | SH/USERS | SH/USERS | SH/USERS | SH/USERS |
Show WWV | SH/WWV | SH/WWV | SH/WWV | SH/WWV | SH/WWV |
Configuration network |  |  | SHow/Conf |  |  |
Show Filters | show/filters | show/filters | SHow/Filter | show/filter |  |
Set Filter | set/filter [..] | set/filter 5 |  |  |  |
Reset Specific Filter |  | set/nofilter 1 |  | clear/spots 1 |  |
Reset All Filters | set/nofilter | set/nofilter | SET/NOFilter | clear/spots all |  |
Set number of lines to 0 |  |  |  |  | SET/PAGE 0 |
Show DX Spot Origination Filters |  | SHOW/DXDEDX |  |  |  |
Enable DX Spot Origination Filter |  | SET/DXDEDX |  |  |  |
Disable DX Spot Origination Filter |  | SET/NODXDEDX |  |  |  |
Show other languages |  |  |  |  |  |
Set other language |  |  |  |  | - |
Search the help database |  |  |  | apropos <string> |  |

SH/DX command set

SET/FILTER
SHow/Filter
SET/NOFilter
SET/DX_announcements
SET/NODx_announcements
SET/Announcements
SET/NOAnnouncements
SET/nodx - You do not get spots from the cluster but you can send them out on the network (i.e for SO unassisted stations)

Filter and other examples/features

Setting band/mode type filters are not recommended as they will often block split frequency operations on the low bands.

Filter examples AR-Cluster and DX-spider by the Yankee Clipper Contest Club (YCCC).

AR-cluster

For full details see: http://www.ab5k.net/ArcDocs/UserManual/ArcFilters.htm

You only want stateside generated spots and announces?Use: set/filter k/pass

set/filter k,ve/pass - You will only see DX spots from spotters in the United States (K) and Canada (VE).
set/filter dxbm/reject vhf,uhf - VHF and UHF spots will be suppressed.

Remove all filters with: set/nofilter
Examine your settings with: show/filters

CLX

For full details see: http://clx.muc.de/user/english/html/userman.html

SET/FILTER <nr1,nr2,..,nrX>
This command lets you set reject filters as defined by your sysop. You first should look up which filters are defined at your CLX node. This is the default list:

Filter Meaning
-------------------------------------
1 VHF 144.000 MHz and up
2 HF 30.000 MHz and down
3 TOP 1.800-2.000 MHz
4 all the CW band segments
5 all the SSB band segments
6 all the RTTY band segments
7 all the WARC bands
-------------------------------------
Your sysop may or may not have defined further filters. You can find out by using the SHOW/FILTERS command. After you have decided which filters you would like to switch in, you use the command as follows: SET/FILTER 4,6
 This turns on the CW and RTTY filters, so will leave you only with SSB spots. To further narrow the filter settings, you can add more filters: SET/FILTER 1,3
 The setting is now 1,3,4 and 6 which eliminates all spots except SSB spots on the HF bands from 80 to 10 meters, including the WARC bands.

SET/DXDEDX and SET/NODXDEDX
This command is used to turn off so-called Internet spots. DX spots originating from specific WAZ zones are not forwarded to you when you have issued a SET/NODXDEDX command. This flag is saved in your user record so you will only have to specify it once to turn these (for you) annoying messages of. The default is to send all DX spots.For example, your sysop could have defined zones 03, 04, 05 and 25 as DX zones. If you then turn on the NO-DX-de-DX filter, you will never again receive any spots from these areas although other users probably will.
To look up, which zones were being defined as DX zones, use the command SHOW/DXDEDX.
When you have previously disabled DX spots from other continents with SET/NODXDEDX, you can re-enable them with SET/DXDEDX.

SET/DX_ANNOUNCE and SET/NODX_ANNOUNCE
This command turns the reception of DX spots on or off. This could, for example be used if you were reading a lengthy message and did not want DX spots in between the lines. This command is permanent, it will enable or disable the sending of DX spots. To enable the sending of DX-spots use SET/DX_ANNOUNCE

SET/LOGIN_ANNOUNCE
Set to see user logins and logouts locally. For each login or logout, a message is sent to you from the system. On a busy node this will generate a lot of traffic.
Login at 1929Z: DL6RAI
Logout at 1930Z: DK2OY.

DXSpider

For full details see: http://www.dxcluster.org/main/usermanual.html or download it as PDF file (from FRC) at: http://www.gofrc.org/pdf/dxspider.pdf

A great PDF file on User Configurable Spot Filters in DXSpider by Jim Samuels - W3BG can be found at : http://www.gofrc.org/pdf/Filter Primer.pdf

SET/USSTATE is a feature where the US STATE is automatically added before or behind the time field. The information is taken from the FCC database.

The basic format for a spot filter is:
accept/spots <pattern>
reject/spots <pattern>

As you can see, there are fundamentally two broad classes of filter... accept & reject. A different way of looking at them is:
accept = bandpass filter, as in, "Pass these spots to me."
reject = bandreject filters, as in, "I don't want to see spots like this."

The <pattern> has many, many different combinations. For now, I'm going to address just two classes... "by" and "call".
"By" means that the spot is "by someone" as in a spot "by k1xx" or "by a VE" or "by someone in Maine"

The exact syntax is:
by_zone - spotter in the CQ Zones, 1-40
by_dxcc - spotter is a W or VE or F or G
by_state - spotter is in ME, CT, RI, NH
Remember, spots "by" means callsign of the station doing the spotting, the spotter.

"Call" on the other hand refers to the call, zone, state of station being spotted, the spottee. The syntax here is:
call_zone - the spottee's zone
call_dxcc - the spottee's country
call_state - the spottee's state

Now, on to some simple examples.
accept/spots by_dxcc w,ve <--- spots only by W & VE stations
accept/spots by_zone 5 <--- spots only by stations in Zone 5
accept/spots by_state me <--- spots only by stations in Maine...slow weekend
reject/spots call_dxcc G <--- I don't want to see G stations spotted
reject/spots call_zone 14 <--- No spots of stations in Zone 14
reject/spots call_state md <--- Please, no more spots of Maryland stations

With the following command I only get spots with "RTTY" in the comment field. This is nice during RTTY contests.
accept/spot 0 info rtty <--- Only show spots with "RTTY" in the comment field.

If you want to get rid of a filter, use: clear/spots all
Spot filters remain on a DXSpider node until you clear them out. No need to re-enter the same filter each time you log in.

Just a couple words about frequency. You can combine frequency on the same line as an accept/reject filter. For example:
accept/spots by_dxcc w,ve and on 10m <--- only 10 meter spots by W & VEs
reject/spots call_zone 25 and on 160m <--- I don't want more spots of JAs on 160 meters.

Links

General cluster information from The UK DX Cluster | http://www.armscroft.demon.co.uk/UKDXC/home.html
DX PacketCluster WebNet | http://www.cestro.com/pcluster/
Webclusters and other useful information | http://hamgallery.com/clusters/
OH2AQ WebCluster (DX-Summit) | http://oh2aq.kolumbus.com/dxs/


Customizing the DXCC list

Updating the country file - CTY.DAT

The program uses a country file from which it takes all the information like the country name, CQ zone, ITU zone, continent, latitude and longitude etc. This file mostly called CTY.DAT is not directly used by the program but has to be read into the currently used database. The program will retrieve all information from the database (not from the cty.dat file). When importing the country file the program will ask for the file to import. this way several cty.dat files could be used for different contests.

When entering a callsign the left pane of the Entry Window will give Prefix, country name, CQ zone and continent. The Info Window will also give this information and additional calculated information like beam heading, distance, sunset and sunrise.

A number of high profile stations who are not in their own call area, have this built into the country file. The file will populate the correct zone, even though it looks out of place. An example is K2KW who we would expect in zone 5 but lives in California and is entered in the CTY.DAT file living in zone 3.

How to update the country file.

  • Download the update using the menu item 'Download latest country file (wl_cty.dat) (Internet)' from the Tools menu.
  • This item will open your web browser to the web page where to download the latest wl_cty.dat file (Select the correct one..).
  • After downloading the new country file it has to be imported in the program by selecting 'Tools | Import country list from downloaded file'.

CTY.DAT file format

The format from CTY.DAT is as follows:
    Column | Length | Description
1 | 26 | Country name terminated by a colon character.
27 | 5 | CQ zone terminated by a colon character.
32 | 5 | ITU zone terminated by a colon character.
37 | 5 | 2-letter continent abbreviation terminated by a colon character.
42 | 9 | Latitude in degrees, + for North terminated by a colon character.
51 | 9 | Longitude in degrees, + for West terminated by a colon character.
61 | 9 | Local time offset from GMT terminated by a colon character.
69 | 6 | Primary DXCC Prefix terminated by a colon character.
next line(s) |  | List of prefixes assigned to that country, each one separated by a comma and terminated by a semicolon.

Note: The fields are aligned in columns and spaced out for readability only. It is the ":" at the end of each field that acts as a delimiter for that field.

Alias DXCC prefixes (including the primary one) follow on consecutive lines, separated by ",". If there is more than one line, subsequent lines begin with the "&" continuation character. A ";" terminates the last prefix in the list.

If the country spans multiple zones, then the prefix may be followed by a CQWW zone number in parenthesis, and it may also be followed by an ITU zone number in square brackets, or both, but the CQ zone number in parenthesis must precede the ITU zone number in square brackets.

The following special characters can be applied to an alias prefix:
(#) | Override CQ zone where # is the zone number
[#] | Override ITU zone where # is the zone number

Writelog country file

N1MM logger can also use the country file WL_CTY.DAT from WriteLog which has extra CQWW zone information for several countries including: Canada, Australia, and China. Because each of these countries is allocated a multitude of prefixes, but the CQWW zone is determined by the call area regardless of prefix, a very large number of entries would be necessary to spell out all the combinations. Instead, WL_CTY.DAT contains special "macro" commands that indicate how the CQWW zones are determined for that country. See the example below. See the update instructions.

Importing the wl_cty.dat file as country file is preferred over the 'normal' cty.dat file because of the extra information it contains.

Other info

  • You can override the continent, zone etc. on a prefix-by-prefix basis.
  • Primary prefixes preceded by an * are only valid for the CQWW and WAE contests. The logging program will ignore these lines otherwise. When updating the country file please don't remove the *.
  • The logging program doesn't handle prefixes such as FR5ZQ/J correctly. Listing FR/J as a prefix for Juan de Nova in the country file doesn't work unless a station signs "FR/J" as his callsign. If you work one of these islands, you'll have to add the callsign of the worked station to the country file manually before it is counted as the right country.
  • When updating the CTY.DAT file use a text editor, not a word processor. Notepad is fine, watch out for WordPad etc., always save as a text file!
  • After updating the CTY.DAT file it has to be reloaded. Reload the file via Tools/Import country list from downloaded file.
  • After a Reload the prefixes are imported into the database which you are using. When changing to another database you have to do a reload again to be sure that you use the most recent country file for that database (or the one you want).
  • When a database is copied, also the country list in it will be copied. So if the country file was updated in the original file after a copy you don't have to import the country list again.
Note on KG4 stations: When a KG4 callsign is a 2x2 callsign it is assumed to be Guantanamo otherwise it is K (2x1 or 2x3). When the exact callsign appears in the loaded cty.dat the associated country will be used (K or KG4 are then not automatically assumed).

Examples

Netherlands: an easy example with nothing special. The program will assign all calls starting with PA, PB, PC, etc. to the country Netherlands in CQ zone 14, ITU zone 27 and EU as continent. PA will be the the prefix shown in the multiplier window.
Netherlands: 14: 27: EU: 52.40: -4.90: -1.0: PA:
PA,PB,PC,PD,PE,PF,PG,PH,PI;

Greenland: Normally only stations with OX are counted as Greenland. The callsign XP1AB has been added which normally belongs to Denmark (OZ). XP1AB will be valid as Greenland with standard Greenland parameters i.e. zones, continent etc.
Greenland: 40: 05: NA: 62.50: 45.00: 3.0: OX:
OX,XP1AB;

African Italy: This is an example where a * is added before the primary prefix which means that the country only counts in CQ-sponsored contests.
African Italy: 33: 37: AF: 35.40: -12.50: -1.0: *IG9:
IG9,IH9,IQ9L,IZ9;

Other nice examples with zone changes on calls are VE and UA9, see the CTY.DAT file in the program directory.

Writelog macro example.
The macro starts with # and ends with the next ; It means that for all the prefixes in China the zones are determined by the call area and first letter of the suffix.
China: 24: 44: AS: 40.00: -116.40: -8.0: BY:
# BY: BY3G(23),BY3H(23),BY3I(23),BY3J(23),BY3K(23),BY3L(23),
BY9A(23),BY9B(23),BY9C(23),BY9D(23),BY9E(23),BY9F(23),BY9G(23),
BY9H(23),BY9I(23),BY9J(23),BY9K(23),BY9L(23),BY9T(23),BY9U(23),
BY9V(23),BY9W(23),BY9X(23),BY9Y(23),BY9Z(23),BY0(23);
3H,3I,3J,3K,3L,3M,3N,3O,3P,3Q,3R,3S,3T,3U,BG,BT,BW,BY,BZ,XS;


Technical Information

General Information

N1MM logger is a contest program written in Microsoft Visual Basic which uses a Microsoft Access 2000 database for storing information. Writing and retrieving data to and from the database is done with SQL (Structured Query Language).
Running the program needs no more programs or files than supplied in the installation package and the program update (NewExeVx.x.x).

Do you need all the information given below to use the program? NO

We recommend not to change any data in the database or any other files unless you are very sure what you are doing. It is possible to change the behavior of the program and get erroneous results. If you have changed the contents of the database and the program behaves strange go back to the original (unaltered) version of the database.

No support will be given to users who change the database structure or contents. The same goes for changing other files used by the program.

You are on your own!
Note: Normally there is no need to access the database or ini files.
Don't make changes if you are not very sure what you are doing. Second and last warning!

When you are interested in the structure of the database you need to have installed Microsoft Access 2000 or the Access 2000 viewer or more recent versions.
Note: When changing data always make a backup from the database (and preferably the whole N1MM logger directory).

Why is this information given?

Accessing information direct in the database sometimes gives possibilities not directly supported by the program.

Examples:

  • You want to have reports which are not standard in the program. With some knowledge of SQL and Access it is possible to generate your own.
  • Changing information in the database can sometimes be done much easier this way than within the N1MM logger program.
Note: After changing qso information always do a rescore!
N.B. Multiplier information and qso points will be updated after a rescore so these changes made direct in the database will be lost. Change multiplier and qso points in the (Cabrillo) output files. The program updates the database and not the other way around.

N.B. It is not possible to add a contest to the program this way.
Contests and it's rules etc. are in the main program file (N1MM logger.exe) and are not stored in the database or any other files!

Directory structure

The default directory where the program is installed is in the 'Program Files' directory on the first hard disk (C:). Below this directory two directories are (or can be) made to support Digital Voice Keying (DVK).

    C:\Program Files\N1MM Logger | Program file directory
C:\Program Files\N1MM Logger\Letters | Directory to store all wav files to 'speak' numbers and letters. Example files can be downloaded from the N1MM website, under 'Downloads', select in the menu: 'Other Files'.
C:\Program Files\N1MM Logger\Wav | Directory to store all wav files used in the SSB function keys. You have to make these yourself.

Where is the program information stored?

There are several places where program information is stored.

  • The Access database file
    • After a first install called HAM.MDB
    • You can rename it or add your own databases from within the program.
    • General contest information
      • Contests information
      • Station information
      • QSO's made in the contests
      • Packet spots
      • (Function) key information
      • Country information
      • Etc.
  • N1MM logger.ini file
    • Program settings from the configuration screens , these settings overrule the settings in 'Default Settings.ini'
    • Window settings (screen setup)
  • Default Settings.txt
    • Default settings file used by the program
  • Configuration files
    • Setting up your external TNC
    • MMTTY specific files
  • Other files
    • Wav files for CQ etc.
    • Exported Cabrillo, ADIF, generic log and summary sheet files
    • Section files used for specific contests (*.sec)

The Access database

A database has tables with in it the data.

    Table | Contents
Antennas | Antenna information ('Config | Configure Ports, Telnet Address, Others | Tab: Antennas')
BandModeFrequency | Radio (vfo) number, frequency and mode information used when changing band.
CallHist | Table used for 'Call History Lookup' function.
Contest | All the available contests in the program
ContestInstance | The contests which are shown in the Previous contest dialog
CTYDAT | Country information like 'master' prefix, name, CQ and IARU zone, latitude, longitude etc.
DXLOG | QSO's from all the contests in the table ContestInstance
Lookup | (Function) keys, States, Provinces etc
PacketSpots | Packet spots for all the bands. Spots from this table are shown on the bandmaps
PacketSpotsTest | Test packet spots (for program development)
Prefixes | Prefixes recognized by the program with default country prefix
SectionsWorked | Information to show the section multipliers in the Multipliers window
Settings | Settings used by the program
Station | Station information i.e. call, name, address etc.
ValidCalls | Not used anymore (empty)

The "N1MM logger.ini" file

Everything in the "N1MM logger.ini" file should be settable through the program's User Interface. Defaults are in the file "Default Settings.txt" . An item will not appear in the "N1MM logger.ini" file if its value is the same as in the 'Default Settings.txt' file. Both files can be found in the program directory.

  • The "N1MM logger.ini" file is organized by function (top of file) and windows (bottom of file).
  • The function section's attributes can be deleted, and defaults will be used by the program.
  • The window section contains position and other window information. Generally these values should not be changed unless a window disappears.
  • Try to keep the file in this order, it will make things easier to find during discussions on the user group.
  • To comment out a value in the file precede it with a semicolon (;)
  • Removing the 'N1MM logger.ini' file will use the defaults in 'Default Settings.txt', the 'N1MM logger.ini' file will be recreated.

Functions section

Possible functions are:

[Com1] | [Com2] | [Com3] | [Com4] | [Com5] | [Com6] | [Com7]
[Com8] | [Lpt1] | [Lpt2] | [Lpt3] | [MutiplierWindow] | [SO2R/V] | [Files]
[Digital1] | [Digital2] | [MMTTY] | [Function Keys] | [Other] | [Winkey] | [Mode Control]
[Antennas] | [SO2R/V Setup] | [Available] | [Packet] | [Configurer] | [ConfigurerDialog] | [CW Window]
[Digital Interface] | [Digital Interface Setup] | [DigitalIO2] | [EditContact] | [EditLookupTable] |  |

Examples

[Packet]
Packet Tab=1 - Telnet window is selected, if removed the Packet tab is selected.

[Configurer]
Database Name=C:\Program Files\N1MM Logger\PI4GN-Maart-2004.mdb Selected database
Contest Type=VHFREG1 Selected contest in the selected database
Contest NR=1 Selected contest number in the selected database
Recent Contest 1=VHFREG1:6-3-2004:C:\Program Files\N1MM Logger\PI4GN-Maart-2004.mdb Most recent opened contest

Window Section

Possible windows are:

[EntryWindow] | [EntryWindow2] | [GraphicalBandMap 1] | [GraphicalBandMap 2]
[InfoWindow] | [Log] | [LogTypeSelectionDialog] | [MultsByBand]
[PacketWindow] | [PSKEngine] | [ScoreSummary] | [StationDialog]
[SuperCheckPartial] | [AvailableMultsAndQs] | [BandMap] |

Examples

[EntryWindow]
Top=3825
Left=2985
Height=3330
Width=5370

[PacketWindow]
WindowState=0 Window is open (default) or closed (0), the Entry window can not be closed
Top=9000
Left=3270
Height=2550
Width=12105
Telnet Port=K1TTT.NET The selected telnet cluster from the list. Specific for this section.

[BandMap]
CW Wide - 1=*RMF400CW Narrow - 1=*RMF250

[InfoWindow]
WWVMessagesVisible=False WWV messages are not shown in the Info window

Configuration files

After installation the files below are stored in the N1MM logger program directory.

Program files

Never delete these (program) files!

  • arrow.bmp - arrow icon used in the bandmaps (non active bandmap)
  • ClearRegistry.bat - used to clear the contents of the registry used by the program (obsolete per version 4, can be deleted from the directory).
  • cty.dat - the default country file name used when the menu item 'Tools /Import country list from downloaded file' is selected.
  • CW IF.exe - this is the Active X component which generates the CW.
  • cyanarrow.bmp - arrow icon used in the bandmaps (active bandmap).
  • Default Settings.txt - the default settings for the program, differences are in N1MM Logger.ini.
  • dirswap.BAT - rename wav file directory (example).
  • empty.wav - file used to stop sending a wav file.
  • led_Red.bmp - icon used when a message is shown which needs attention.
  • master.dta - file used by the Check window with calls from many contesters.
  • N1MMLoggerHelp.chm - windows help file (shown when pressing Alt+H).
  • N1MM Logger.exe - the N1MM logger contest program.
  • N1MM loger.ini - configuration file for functions and windows. Be careful when editing.
  • N1MM loger.ini.init - configuration file from the NewExe file. Will be renamed to N1MM Logger.ini if not found.
  • N1MMlogger.pdf - the manual which is shown when selecting 'Help / Manual'.
  • N1mmWave.ocx - ocx used for recording and playing wav files.
  • reddot.gif - icon used when a warning message is shown in the Entry window pane.
  • RevisionHistory.htm - N1MM Logger Revision History overview.
  • *.sec - text files used for different contest (example: SAC.sec, REF.sec etc).
  • style.css - style sheet ued in the file 'RevisionHistory.htm'.
  • ST6UNST.LOG - file used by Windows when removing this program from your hard disk.
  • Suncalcs.dll - dll used by the program.
  • Update Log.wri - overview from the last program changes and updates. (obsolete, can be deleted from the directory).
  • Upgrade.bat - file to register CW IF.exe to Windows (normally automatically done by the program).
  • *.init - files used during installing which can be deleted but we recommend to leave them in.
  • Nice to have a clean ham.mdb at your disposal (ham.mdb.init) or a clean 'N1MM loffer.ini' settings file.

Database files

  • ham.mdb - default database file (don't delete).
  • new.mdb - default database file used when a new database is created by the user (don't delete).
  • *. MDB - database files made when selecting 'File / New Database'.
    Deleting this file means loosing all the contest QSO's in it. It's good practice to make a new file every (major) contest and name it after the contest. Example: PACC2002.MDB

Files created on your command:

  • <YOURCALL>.ADI - ADIF file made by the program when selecting 'File / Export / Export ADIF to file...'
  • <YOURCALL>.LOG - Cabrillo file made by the program when selecting 'File / Export / Export Cabrillo to file...'
  • <YOURCALL>.SUM - Summary Sheet made by the program when selecting 'File / Export / Print Score Summary to File'
  • <YOURCALL>.TXT - Log file made by the program when selecting 'File / Export / Export to File (Generic)...'
  • *.MC - Exported Function key files.
  • *.TXT - Exported other files (example: Packet/Telnet buttons)

RTTY files

MMTTY files are not in the program installation package and should be downloaded separately when needed.

  • MMTTY.exe - the MMTTY program
  • MMTTY.ini - MMTTY configuration file
  • MMTTY.* - other files used by the MMTTY program
  • XMMT.ocx - needed file for MMTTY.exe
  • Settings.txt - example file for the AEA PK-232 external controller
  • UserPara.ini - MMTTY program settings

PSK and other modes

The MMVARI engine is used for most digital modes which is included in the N1MM installer. There is no need to download the MMVARI package for use with N1MM logger.

  • MMVARI.ocx - the MMVARI engine
  • Varicode.tbl - table used by the MMVARI engine

PSKCore files

All PSKCore files below are obsolete and not required for use with N1MM logger anymore.

  • PSKCore.dll (obsolete, can be deleted from the directory)
  • XMMT.ocx (obsolete, can be deleted from the directory)
  • PSK63.dll (obsolete, can be deleted from the directory)
  • WINPSKX.dll (obsolete, can be deleted from the directory)
  • PSK.pal - color setting file for the WINPSK dll (obsolete, can be deleted from the directory)
  • WINPSKX.oca - WINPSK support file (obsolete, can be deleted from the directory)

Callsign checking in the Digital Interface

Below how callsign checking is done in the Digital Interface windows.

It first checks to see if the callsign is of the right length (More than 2 less than 11). It then Checks to see if someplace in the first 6 characters there is a number. 3rd it check to see if there are no invalid characters in it. Then if it all that passes it goes thru the Busted Call Checker. If the Busted Call Checker returns an Error message then the call is invalid. Anything else from the Busted Call Checker makes it a valid call.

As text comes into the Receive screen of the Digital Interface it gets printed to the window and placed in a temp buffer. When a space or a CR or LF is encountered the program will send the text in the temp buffer to the check callsign routines, if it comes back as a valid callsign it is sent to another routine that looks back thru the last 25 characters of the Receive screen and colors them accordingly. At the time the space is encountered the temp holding buffer is cleared and things get sent there all over again. The whole process above takes just over a millisecond to complete.

Unlike other software DE before the call is not required,it looks for space mostly after callsign.

Take a look at this sequence it explains ho it picks up callsigns in the RX window:

A QWSCFGTWA5TTT WA5TTT UR 599 XXXXXXXXXX

The program sees the space between the TTT and the WA so it looks into its previous holding buffer which contains "QWSCFGTWA5TTT" that string does not equal a valid callsign even tho there is one in it. So because it encountered the space the buffer is cleared and the next string starts being placed into it. When it hits the third space it goes back and checks the buffer again this time it finds WA5TTT and it says it is a valid call. The program not looks back 25 characters and any time it finds WA5TTT it will color it accordingly and also place it in the grab window.

As for the clicking on callsigns it follows the same rule except there is a routine that looks to see the characters that are under the mouse if it is a valid call then it gets sent thru the routines to place it in the entry window. There is a ltrs/figs line of text that shows the actual text that is being converted. This will give you an idea of what text and is getting selected etc.

Problems will happen if the rules change in various countries and the rules in the Busted Call Checker can't keep up with the country changes so you get callsigns that do not come out of it ok. The main reason to add the Busted Call Checker routines in there is to cut down on a lot of garbage that would be getting colored that passed all of the check routines but were not really callsigns.


Off Topic, but nice to know

This chapter gives general information about contesting coming from discussions on the N1MM logger reflector. Should this be placed in a help/manual for a contest program? We don't know but as the title says: Off topic, but nice to know. We thank the authors for their approval so we could add this to the help/manual.

Working dupes or not

In paper log days you used to get penalized for too many dupes that weren't marked as such in the log. I don't know of any contest that has ever penalized you for working too many dupes as long as you marked them in your log and didn't try to claim points for them.

Its kind of ironic that the Cabrillo log format has no way to mark dupes, the sponsor's log processing software automatically rescores all the logs so you don't have to worry about even recognizing dupes or worrying about not claiming points for them.

On your specific question. You log by2a but 6y2a properly logs on5zo... 6y2a would get credit because the log checking software would properly match up the one-off call by2a with their log entry of on5zo. If there really is a by2a and they send in a log you would lose credit for a confirmed not-in-log. If there is no such callsign as by2a issued you would lose credit and penalty and lose the multiplier (assuming you didn't work any other by) as a bad call. If there is a by2a but they didn't send in a log you might get to keep the credit if the log checking software and manual checkers don't recognize the busted call.

Lets take it one step further. Say you really screwed up and logged by2et so the log checking software can't figure out that it was really 6y2a that you worked... now 6y2a loses qso credit and penalties for being not in the on5zo log. You may or may not lose credit as above based on the by2et log and callsign status.... now, later on you hear 6y2a and call them again. If they recognize you are a dupe and come back 'qso b4' and refuse to work you, THEY LOSE! They will never get credit for on5zo and will lose the penalty points. If instead they ignore the dupe and work you again the original not-in-log doesn't matter as they are now in your log and everyone gets credit... so NOT logging the dupe is bad.

The same holds for other combinations of them busting your call, or both of you busting each other, etc. It is always better to just log the dupe and move on. There is actually less of a chance you will get penalized if you work the dupe than if you don't.

David Robbins, K1TTT
e-mail: mailto:k1ttt@arrl.net
web: http://www.k1ttt.net

Types of operating

Running. In this mode you normally only want to only see new multipliers so the Check spot window serves well. You can set the filters to only see new multipliers so you can easily go grab them and get right back to your run frequency.

The traditional S&P mode. In this mode you dial up the band checking each signal you hear. In this mode the bandmaps work well as they can help you quickly identify each station you hear and determine their status as a new QSO or multiplier or dupe.

The 'new' packet assisted S&P mode. In this mode you start at one end of the band and quickly go from spot to spot and work all the new stuff on a band. With today's high spotting rates you often find that almost every station you would hear doing the traditional S&P is already in the band map so for an operator in a hurry to work out a band and move on this could be very useful. Also for an operator working a 2nd VFO while still running, or running SO2R to tune one band while CQing on another one this could be useful as you typically have less time to spend figuring out who someone is and would rather have a screen full of new stuff than a screen full of dupes to tune through.

David Robbins, K1TTT

A qso speedup tip (how is your typing speed?)

Being raised as a contester using CT, I was thought this trick (drill exercises on PED CT trainer, tnx to my contesting elmer ON5YR). By pressing "Insert" to send RST (CT uses "insert" to send call+RST).

I type the prefix, copy suffix in head, start sending RST while typing the suffix.
Saves a lot of time and the calling station does not have to wait that extra split second, as soon as his TRX goes from TX to RX, he hears me coming back to him already.

So although I use ESM a lot, whenever I use this trick I still press "Insert", works FB!

Try it, it works FB in combination with ESM.

73 es CU in contest!
Franki ON5ZO

NB. N1MM logger can be set up to send call+rst when pressing 'Insert'.

GMT is GMT, or not?

Not quite. Some of Bill Gates' boys didn't know the difference between Greenwich Mean Time and the local time in Greenwich, England. In some versions of Windows, one of the choices for time zone is labeled (GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London, but unfortunately, despite what the time zone list says this setting is NOT repeat NOT Greenwich Mean Time; it's local time in Greenwich (and Dublin, Edinburgh, Lisbon and London), which in the summer is daylight savings time, i.e. GMT + 1:00 .

There's an often published workaround. If you absolutely gotta put your computer on GMT because you're tired of resetting some old DOS software that doesn't know any better, you can set the computer for (GMT) Casablanca, Monrovia. Those places never go on daylight savings time, so their local time really is the same as GMT all year round, not like Greenwich.

But you know what? If you're using Windows software like N1MM Logger, it's a lot easier to set your computer to your own local time zone and let the operating system take care of all that time zone and daylight savings time stuff automagically.

73, Rich VE3IAY


Index

 Title page

Overview and Installation

Quick Tour (a must read!)
Overview
Features
PC Requirements
Installation
Setting up the Program
Basic Functions
 Advanced Functions
Two Monitor Support

Contest Setup & Config

Station
Configurer
Select Log Type

Windows

Entry
Log
Bandmap
Packet
Check Partial
Available Mults and Qs
Edit Contact
Info
Score
Mults by Band
Statistics

Digital

General RTTY Information
RTTY Support
General PSK Information
PSK Support

Operating

Before the Contest
During the Contest
After the Contest

Help

Help files and Manual
Tips and Tricks
VHF and Up contesting

Reference

Key Assignments
Key Assignments Short List
Interfacing
Macros
Multi User Support
SO2R
 Frequently Asked Questions
Supported Hardware
Supported Contests
Contest Setup Instructions
Supported Radios

Appendices

Third Party Software
Example Function Keys
Call Checking
Links
DX Clusters
Customizing the DXCC list
Technical Information
Off Topic, but nice to know